# -*- encoding:utf-8; warn-indent:false; frozen_string_literal: true  -*-
#
# DO NOT MODIFY!!!!
# This file is automatically generated by Racc 1.6.0
# from Racc grammar file "".
#

require 'racc/parser.rb'


require 'parser'

module Parser
  class Ruby31 < Parser::Base


  def version
    31
  end

  def default_encoding
    Encoding::UTF_8
  end

  def endless_method_name(name_t)
    if !%w[=== == != <= >=].include?(name_t[0]) && name_t[0].end_with?('=')
      diagnostic :error, :endless_setter, nil, name_t
    end
  end

  def try_declare_numparam(node)
    name = node.children[0]

    if name =~ /\A_[1-9]\z/ && !static_env.declared?(name) && context.in_dynamic_block?
      # definitely an implicit param
      location = node.loc.expression

      if max_numparam_stack.has_ordinary_params?
        diagnostic :error, :ordinary_param_defined, nil, [nil, location]
      end

      raw_context = context.stack.dup
      raw_max_numparam_stack = max_numparam_stack.stack.dup

      # ignore current block scope
      raw_context.pop
      raw_max_numparam_stack.pop

      raw_context.reverse_each do |outer_scope|
        if outer_scope == :block || outer_scope == :lambda
          outer_scope_has_numparams = raw_max_numparam_stack.pop > 0

          if outer_scope_has_numparams
            diagnostic :error, :numparam_used_in_outer_scope, nil, [nil, location]
          else
            # for now it's ok, but an outer scope can also be a block
            # with numparams, so we need to continue
          end
        else
          # found an outer scope that can't have numparams
          # like def/class/etc
          break
        end
      end

      static_env.declare(name)
      max_numparam_stack.register(name[1].to_i)

      true
    else
      false
    end
  end
##### State transition tables begin ###

racc_action_table = [
  -607,   218,   219,   218,   219,   230,  -116,  -607,  -607,  -607,
   919,   617,  -607,  -607,  -607,   224,  -607,   308,   236,  1117,
   123,  -725,   223,   617,  -607,   122,  -607,  -607,  -607,   218,
   219,   221,   713,   658,  -117,  -124,  -607,  -607,   617,  -607,
  -607,  -607,  -607,  -607,   617,   617,   617,  -116,  -117,  -725,
   714,  -123,   887,   237,  -124,   624,   660,   237,     3,   237,
   308,  -737,   828,   828,  -119,  -121,  -607,  -607,  -607,  -607,
  -607,  -607,  -607,  -607,  -607,  -607,  -607,  -607,  -607,  -607,
   225,   303,  -607,  -607,  -607,   119,  -607,  -607,   823,   237,
  -607,   995,  -118,  -607,  -607,   237,  -607,   237,  -607,   657,
  -607,  1118,  -607,  -607,   307,  -607,  -607,  -607,  -607,  -607,
  -123,  -607,  -610,  -607,  -119,  -107,   308,   218,   219,  -610,
  -610,  -610,   659,   237,  -610,  -610,  -610,  -607,  -610,   123,
  -607,  -607,  -607,  -607,   122,  -607,  -610,  -607,  -610,  -610,
  -610,   123,  -607,  -108,  -115,  -607,   122,   307,  -610,  -610,
  -121,  -610,  -610,  -610,  -610,  -610,   123,  -120,  -118,   984,
  -114,   122,   123,   123,   123,  -116,  -117,   122,   122,   122,
  -116,  -117,  -124,  -110,  -112,  -120,  -122,  -124,  -610,  -610,
  -610,  -610,  -610,  -610,  -610,  -610,  -610,  -610,  -610,  -610,
  -610,  -610,   123,  -122,  -610,  -610,  -610,   122,  -610,  -610,
   994,  -109,  -610,   307,   123,  -610,  -610,  -725,  -610,   122,
  -610,   123,  -610,   645,  -610,  -610,   122,  -610,  -610,  -610,
  -610,  -610,  -319,  -610,   237,  -610,   919,  -621,  -123,  -319,
  -319,  -319,  -119,  -123,  -712,  -319,  -319,  -119,  -319,  -610,
  -712,  -713,  -610,  -610,  -610,  -610,  -319,  -610,   224,  -610,
   308,   230,   132,   645,  -610,   301,   919,  -610,  -319,  -319,
  -110,  -319,  -319,  -319,  -319,  -319,   101,   102,  -121,   887,
  -713,   624,   918,  -121,  -112,  -120,  -118,   647,   646,  -622,
  -120,  -118,   101,   102,  -111,  -113,  -116,   854,  -319,  -319,
  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,
  -319,  -319,  -504,   224,  -319,  -319,  -319,  -737,   684,  -319,
   301,  -122,  -319,   225,   303,  -319,  -122,   647,   646,   643,
  -319,   215,  -319,   645,  -319,  -319,  -110,  -319,  -319,  -319,
  -319,  -319,   519,  -319,  -716,  -319,   943,   307,  -117,   234,
  -112,  -716,  -716,  -716,   103,   104,   123,  -716,  -716,  -319,
  -716,   122,  -319,  -319,   942,  -113,   216,  -319,  -716,  -716,
   103,   104,  -109,   597,  -319,   217,  -110,  -122,   225,  -110,
  -716,  -716,   913,  -716,  -716,  -716,  -716,  -716,  -102,  -607,
  -112,  -110,   609,  -112,  -111,   608,  -607,   647,   646,   645,
   -88,  -124,   914,   645,   123,  -112,   230,   856,  -124,   122,
  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,
  -716,  -716,  -716,  -716,   220,   750,  -716,  -716,  -716,  -354,
   685,  -716,  -123,   297,  -716,   496,  -354,  -716,  -109,   679,
   645,  -119,  -716,   680,  -716,  -354,  -716,  -716,   645,  -716,
  -716,  -716,  -716,  -716,  -607,  -716,  -716,  -716,   358,  -712,
  -111,  -121,  -737,   647,   646,   643,   645,   647,   646,   643,
   234,  -716,   645,   497,  -716,  -716,  -709,  -111,  -109,  -716,
   796,  -109,   645,  -716,  1057,  1050,  -716,   230,   359,  -120,
  -716,  -716,  -716,  -109,  -354,  -716,  -716,  -716,  -119,  -716,
  -111,   123,  -121,  -111,   647,   646,   122,  -716,  -716,  -716,
  -716,  -716,   647,   646,   648,  -111,  -710,  -115,   237,  -716,
  -716,  1057,  -716,  -716,  -716,  -716,  -716,   428,  -607,  -124,
   647,   646,   650,   645,   468,  -607,   647,   646,   652,   609,
  -709,  1029,   611,  -737,  -607,  -628,   647,   646,   656,  -716,
  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,
  -716,  -716,  -716,  -709,   870,  -716,  -716,  -716,  -610,   915,
  -716,   218,   219,  -716,   630,  -610,  -716,  -716,   631,  -716,
  -710,  -716,   507,  -716,  -610,  -716,  -716,   518,  -716,  -716,
  -716,  -716,  -716,  -607,  -716,  -716,  -716,   647,   646,   661,
  -118,   224,  -610,  -710,  -617,  -616,   278,   279,   516,  -610,
  -716,  -617,  -616,  -716,  -716,  -716,  -716,   517,  -716,  -618,
  -716,  -621,  -319,  -118,   520,  -716,  -618,  -622,  -120,  -319,
  -319,  -319,   521,  -610,  -319,  -319,  -319,  -615,  -319,   218,
   219,   236,   277,   276,  -615,  -612,  -319,   555,  -319,  -319,
  -319,   425,  -612,   504,   503,   567,   427,   426,  -319,  -319,
   597,  -319,  -319,  -319,  -319,  -319,   225,  -610,  -107,  -617,
  -616,  -613,  -614,   630,  -108,   569,   925,   954,  -613,  -614,
  -116,   921,   571,   630,  -618,   922,  -117,   954,  -319,  -319,
  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,
  -319,  -319,  -615,   750,  -319,  -319,  -319,  -114,   916,  -319,
  -612,   679,  -319,   496,   609,  -319,  -319,   611,  -319,  -123,
  -319,   132,  -319,   609,  -319,  -319,   611,  -319,  -319,  -319,
  -319,  -319,  -319,  -319,   -87,  -319,  -613,  -614,    87,  -319,
  -319,  -319,   944,   945,   237,  -319,  -319,  1190,  -319,  -319,
    88,   497,  -319,  -319,  -319,  -319,  -319,  -319,  -110,  -319,
    89,   979,   887,  1050,  -319,   680,   237,  -122,  -319,  -319,
  -119,  -319,  -319,  -319,  -319,  -319,  1142,  1143,   979,   887,
   488,  -619,   485,   484,   483,   493,   486,   582,  -619,   870,
   488,   583,   485,   484,   483,   496,   486,  -619,  -319,  -319,
  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,  -319,
  -319,  -319,  -112,   590,  -319,  -319,  -319,   491,   684,  -319,
   312,   237,  -319,   230,  -121,  -319,   501,   500,   504,   503,
  -319,   230,  -319,   497,  -319,  -319,  -109,  -319,  -319,  -319,
  -319,  -319,   303,  -319,  -716,  -319,  -619,   594,  -118,   600,
   261,  -716,  -716,  -716,   237,   612,   613,  -716,  -716,  -319,
  -716,   571,  -319,  -319,   624,  -319,   417,  -319,  -716,  -716,
   628,   629,   637,   482,  -319,   662,   665,  -122,   666,  -292,
  -716,  -716,   668,  -716,  -716,  -716,  -716,  -716,   669,   673,
   237,   677,   488,  -620,   485,   484,   483,   493,   486,   948,
  -620,   952,   951,   678,   303,   953,   691,   496,   692,  -620,
  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,  -716,
  -716,  -716,  -716,  -716,   237,   694,  -716,  -716,  -716,   491,
   685,  -716,   697,   698,  -716,   700,   950,  -716,   501,   500,
   504,   503,  -716,   702,  -716,   497,  -716,  -716,   704,  -716,
  -716,  -716,  -716,  -716,   493,  -716,  -716,  -716,  -620,   715,
   224,   716,   720,   722,   496,  -310,   224,   589,   728,   729,
   261,  -716,  -310,   599,  -716,  -716,   587,  -716,   261,  -716,
   224,  -310,   517,   261,   261,   482,  -716,   627,   237,  -120,
     7,    77,    78,    26,    11,    65,   625,   504,   503,    71,
    72,   784,   497,   237,    75,  -716,    73,    74,    76,    35,
    36,    79,    80,   126,   127,   128,   129,   130,    81,    33,
    32,   111,   110,   112,   113,   225,   237,    23,   237,  -102,
  -310,   225,   799,    10,    53,     9,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   225,   109,   117,   118,   224,
   101,   102,    49,    50,    48,   224,   633,  -716,   237,  -320,
   603,   810,   672,   814,  -716,   635,  -320,   237,   816,  -712,
   819,   670,   824,  -716,    45,  -320,   825,    38,   829,   853,
    66,    67,  -320,   857,    68,   858,    40,  -293,   871,  -320,
    52,   555,  -716,   555,   261,   883,   848,   849,  -320,    24,
   850,   117,   118,   887,    99,    87,    90,    91,   907,    92,
    94,    93,    95,   908,   225,   237,   911,    88,    98,   237,
   225,   920,  -716,   937,  -320,    82,   258,    89,   103,   104,
   260,   259,    46,    47,   330,    77,    78,    26,    11,    65,
   938,   939,   956,    71,    72,   958,   297,  -320,    75,   964,
    73,    74,    76,    35,    36,    79,    80,   253,   966,   968,
   569,   571,    81,    33,    32,   111,   110,   112,   113,   810,
  1152,    23,   485,   484,   483,   237,   486,    10,    53,   332,
    12,   115,   114,   116,   105,    64,   107,   106,   108,   303,
   109,   117,   118,   303,   101,   102,    49,    50,    48,   261,
   265,   266,   267,   268,   278,   279,   273,   274,   269,   270,
  -319,   254,   255,   810,   261,   271,   272,  -319,    45,   887,
   252,   334,  -713,   981,    66,    67,  -319,   982,    68,   237,
    40,   258,   237,   264,    52,   260,   259,   992,   256,   257,
   277,   276,   262,    24,   263,   237,  -294,   237,    99,    87,
    90,    91,   224,    92,    94,    93,    95,  1003,  1007,  1157,
  -292,    88,    98,  1011,   275,   697,   714,  1014,  1155,    82,
  1016,    89,   103,   104,  1018,  -319,    46,    47,     7,    77,
    78,    26,    11,    65,  1020,  1020,   237,    71,    72,   770,
   237,   237,    75,  1048,    73,    74,    76,    35,    36,    79,
    80,   126,   127,   128,   129,   130,    81,    33,    32,   111,
   110,   112,   113,  1051,   919,    23,   966,   225,  1063,   237,
   674,    10,    53,     9,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   810,   109,   117,   118,  1079,   101,   102,
    49,    50,    48,   261,   265,   266,   267,   268,   278,   279,
   273,   274,   269,   270,  -319,   254,   255,  1081,  1086,   271,
   272,  -319,    45,  1087,  1092,    38,  -713,  1093,    66,    67,
  -319,  1094,    68,  -295,    40,   258,  1107,   264,    52,   260,
   259,  1108,   256,   257,   277,   276,   262,    24,   263,  1109,
   237,   237,    99,    87,    90,    91,   224,    92,    94,    93,
    95,   237,   237,  1181,   237,    88,    98,   237,   275,   919,
  -264,  1116,   635,    82,   237,    89,   103,   104,  1122,  -319,
    46,    47,   330,    77,    78,    26,    11,    65,  1123,  1125,
   697,    71,    72,  1128,  1131,  1133,    75,  1135,    73,    74,
    76,    35,    36,    79,    80,   126,   127,   128,   129,   130,
    81,    33,    32,   111,   110,   112,   113,   237,  1137,    23,
  1147,   225,  1158,  1159,   674,    10,    53,   332,    12,   115,
   114,   116,   105,    64,   107,   106,   108,  1020,   109,   117,
   118,  1020,   101,   102,    49,    50,    48,   261,   265,   266,
   267,   268,   278,   279,   273,   274,   269,   270,   224,   254,
   255,  1020,  1166,   271,   272,  1181,    45,  1179,  1182,    38,
   493,  1187,    66,    67,   635,  1188,    68,   691,    40,   258,
   496,   264,    52,   260,   259,  1108,   256,   257,   277,   276,
   262,    24,   263,  1198,  1198,   697,    99,    87,    90,    91,
  1201,    92,    94,    93,    95,  1203,  1205,  1207,  1207,    88,
    98,   237,   275,   504,   503,  1020,  1198,    82,   497,    89,
   103,   104,  -713,   225,    46,    47,   330,    77,    78,    26,
    11,    65,  -712,  1224,  1207,    71,    72,  1207,  1207,  1207,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   126,
   127,   128,   129,   130,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   884,    10,
    53,   332,    12,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   261,   265,   266,   267,   268,   278,   279,   273,   274,
   269,   270,   nil,   254,   255,   nil,   nil,   271,   272,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   258,   nil,   264,    52,   260,   259,   nil,
   256,   257,   277,   276,   262,    24,   263,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   275,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,
   330,    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   912,    10,    53,   332,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   261,   265,   266,   267,   268,
   278,   279,   273,   274,   269,   270,   nil,   254,   255,   nil,
   nil,   271,   272,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   258,   nil,   264,
    52,   260,   259,   nil,   256,   257,   277,   276,   262,    24,
   263,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   275,   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,    46,    47,   330,    77,    78,    26,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
  1152,    23,   485,   484,   483,   nil,   486,    10,    53,   332,
    12,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   261,
   265,   266,   267,   268,   278,   279,   273,   274,   269,   270,
   nil,   254,   255,   nil,   nil,   271,   272,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   258,   nil,   264,    52,   260,   259,   nil,   256,   257,
   277,   276,   262,    24,   263,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   275,   nil,   nil,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,    46,    47,   330,    77,
    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   332,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   261,   265,   266,   267,   268,   278,   279,
   273,   274,   269,   270,   nil,   254,   255,   nil,   nil,   271,
   272,   nil,    45,   nil,   nil,   334,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   258,   nil,   264,    52,   260,
   259,   nil,   256,   257,   277,   276,   262,    24,   263,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   237,   275,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,   330,    77,    78,    26,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   332,    12,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   261,   265,   266,
   267,   268,   278,   279,   273,   274,   269,   270,   nil,   254,
   255,   nil,   nil,   271,   272,   nil,    45,   nil,   nil,   334,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   258,
   nil,   264,    52,   260,   259,   nil,   256,   257,   277,   276,
   262,    24,   263,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   275,   nil,   nil,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,    46,    47,   330,    77,    78,    26,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   332,    12,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   261,   265,   266,   267,   268,   278,   279,   273,   274,
   269,   270,   nil,   254,   255,   nil,   nil,   271,   272,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   258,   nil,   264,    52,   260,   259,   nil,
   256,   257,   277,   276,   262,    24,   263,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   275,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,
   330,    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   332,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   261,   265,   266,   267,   268,
   278,   279,   273,   274,   269,   270,   nil,   254,   255,   nil,
   nil,   271,   272,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   258,   nil,   264,
    52,   260,   259,   nil,   256,   257,   277,   276,   262,    24,
   263,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   275,   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,    46,    47,   330,    77,    78,    26,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   332,
    12,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   261,
   265,   266,   267,   268,   278,   279,   273,   274,   269,   270,
   nil,   254,   255,   nil,   nil,   271,   272,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   258,   nil,   264,    52,   260,   259,   nil,   256,   257,
   277,   276,   262,    24,   263,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   275,   nil,   nil,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,    46,    47,   330,    77,
    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   332,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   261,   265,   266,   267,   268,   278,   279,
   273,   274,   269,   270,   nil,   254,   255,   nil,   nil,   271,
   272,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   258,   nil,   264,    52,   260,
   259,   nil,   256,   257,   277,   276,   262,    24,   263,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   275,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,   330,    77,    78,    26,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   332,    12,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   261,   265,   266,
   267,   268,   278,   279,   273,   274,   269,   270,   nil,   254,
   255,   nil,   nil,   271,   272,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   258,
   nil,   264,    52,   260,   259,   nil,   256,   257,   277,   276,
   262,    24,   263,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   275,   nil,   nil,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,    46,    47,   330,    77,    78,    26,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   332,    12,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   261,   265,   266,   267,   268,   278,   279,   273,   274,
   269,   270,   nil,   254,   255,   nil,   nil,   271,   272,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   258,   nil,   264,    52,   260,   259,   nil,
   256,   257,   277,   276,   262,    24,   263,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   275,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,
   330,    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   488,    23,   485,   484,
   483,   nil,   486,    10,    53,   332,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   488,   nil,   485,   484,   483,
   nil,   486,   nil,   706,   nil,   nil,   261,   nil,   nil,   nil,
   nil,   nil,   710,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   488,    40,   485,   484,   483,
    52,   486,   706,   nil,   nil,   nil,   nil,   nil,   258,    24,
   nil,   710,   260,   259,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,   706,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   710,    46,    47,   330,    77,    78,    26,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   332,
    12,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   261,
   265,   266,   267,   268,   278,   279,   273,   274,   269,   270,
   nil,  -738,  -738,   nil,   nil,   271,   272,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   261,    68,   nil,
    40,   258,   nil,   264,    52,   260,   259,   nil,   256,   257,
   277,   276,   262,    24,   263,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   258,
   nil,    88,    98,   260,   259,   nil,   256,   257,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,    46,    47,   330,    77,
    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   332,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   261,   265,   266,   267,   268,   278,   279,
   273,   274,   269,   270,   nil,  -738,  -738,   nil,   nil,   271,
   272,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   261,    68,   nil,    40,   258,   nil,   264,    52,   260,
   259,   nil,   256,   257,   277,   276,   262,    24,   263,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   258,   nil,    88,    98,   260,   259,   nil,
   256,   257,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,   330,    77,    78,    26,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   332,    12,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   261,   265,   266,
   267,   268,   278,   279,   273,   274,   269,   270,   nil,  -738,
  -738,   nil,   nil,   271,   272,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   258,
   nil,   264,    52,   260,   259,   nil,   256,   257,   277,   276,
   262,    24,   263,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   488,   nil,   485,   484,   483,    82,   486,    89,
   103,   104,   nil,   nil,    46,    47,   330,    77,    78,    26,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   706,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   332,    12,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   261,   265,   266,   267,   268,   278,   279,   273,   274,
   269,   270,   nil,  -738,  -738,   nil,   nil,   271,   272,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   258,   nil,   264,    52,   260,   259,   nil,
   256,   257,   277,   276,   262,    24,   263,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   488,   nil,   485,   484,
   483,    82,   486,    89,   103,   104,   nil,   nil,    46,    47,
   330,    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   706,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   488,    23,   485,   484,
   483,   nil,   486,    10,    53,   332,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   261,  -738,  -738,  -738,  -738,
   278,   279,   nil,   706,  -738,  -738,   nil,   nil,   nil,   nil,
   nil,   271,   272,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   258,   nil,   264,
    52,   260,   259,   nil,   256,   257,   277,   276,   262,    24,
   263,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,    46,    47,   330,    77,    78,    26,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   332,
    12,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   261,
  -738,  -738,  -738,  -738,   278,   279,   nil,   nil,  -738,  -738,
   nil,   nil,   nil,   nil,   nil,   271,   272,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   258,   nil,   264,    52,   260,   259,   nil,   256,   257,
   277,   276,   262,    24,   263,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,    46,    47,   330,    77,
    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   332,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   261,  -738,  -738,  -738,  -738,   278,   279,
   nil,   nil,  -738,  -738,   nil,   nil,   nil,   nil,   nil,   271,
   272,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   258,   nil,   264,    52,   260,
   259,   nil,   256,   257,   277,   276,   262,    24,   263,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,   330,    77,    78,    26,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   332,    12,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   261,  -738,  -738,
  -738,  -738,   278,   279,   nil,   nil,  -738,  -738,   nil,   nil,
   nil,   nil,   nil,   271,   272,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   258,
   nil,   264,    52,   260,   259,   nil,   256,   257,   277,   276,
   262,    24,   263,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,    46,    47,   330,    77,    78,    26,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   332,    12,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   261,  -738,  -738,  -738,  -738,   278,   279,   nil,   nil,
  -738,  -738,   nil,   nil,   nil,   nil,   nil,   271,   272,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   258,   nil,   264,    52,   260,   259,   nil,
   256,   257,   277,   276,   262,    24,   263,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,
   330,    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   332,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   261,  -738,  -738,  -738,  -738,
   278,   279,   nil,   nil,  -738,  -738,   nil,   nil,   nil,   nil,
   nil,   271,   272,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   258,   nil,   264,
    52,   260,   259,   nil,   256,   257,   277,   276,   262,    24,
   263,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,    46,    47,   330,    77,    78,    26,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   332,
    12,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   261,
   265,   266,   267,   268,   278,   279,   nil,   nil,   269,   270,
   nil,   nil,   nil,   nil,   nil,   271,   272,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   258,   nil,   264,    52,   260,   259,   nil,   256,   257,
   277,   276,   262,    24,   263,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,    46,    47,   330,    77,
    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   332,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   261,   265,   266,   267,   268,   278,   279,
   273,   nil,   269,   270,   nil,   nil,   nil,   nil,   nil,   271,
   272,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   258,   nil,   264,    52,   260,
   259,   nil,   256,   257,   277,   276,   262,    24,   263,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,   330,    77,    78,    26,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   332,    12,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   261,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   271,   272,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   258,
   nil,   264,    52,   260,   259,   nil,   256,   257,   nil,   nil,
   262,    24,   263,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,    46,    47,    77,    78,    26,    11,
    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,
     9,    12,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   261,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   271,   272,   nil,    45,
   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,    40,   258,   nil,   264,    52,   260,   259,   nil,   256,
   257,   nil,   nil,   262,    24,   263,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   261,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   271,   272,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   258,   nil,   264,    52,   260,   259,   nil,
   256,   257,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,  -434,   nil,    46,    47,
   nil,   nil,   nil,  -434,  -434,  -434,   nil,   nil,  -434,  -434,
  -434,   261,  -434,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  -434,  -434,  -434,  -434,   nil,   nil,   nil,   271,   272,   nil,
   nil,   nil,  -434,  -434,   nil,  -434,  -434,  -434,  -434,  -434,
   nil,   nil,   nil,   258,   nil,   264,   nil,   260,   259,   nil,
   256,   257,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -434,  -434,  -434,  -434,  -434,  -434,  -434,  -434,
  -434,  -434,  -434,  -434,  -434,  -434,   nil,   nil,  -434,  -434,
  -434,   nil,   nil,  -434,   nil,   303,  -434,   nil,   nil,  -434,
  -434,   nil,  -434,   nil,  -434,   nil,  -434,   nil,  -434,  -434,
   nil,  -434,  -434,  -434,  -434,  -434,  -326,  -434,  -434,  -434,
   nil,   nil,   nil,  -326,  -326,  -326,   nil,   nil,  -326,  -326,
  -326,   nil,  -326,  -434,   261,   nil,  -434,  -434,   nil,  -434,
  -326,  -434,  -326,  -326,   nil,   nil,   nil,   nil,  -434,   nil,
   271,   272,  -326,  -326,   nil,  -326,  -326,  -326,  -326,  -326,
   nil,   nil,   nil,   nil,   nil,   nil,   258,   nil,   nil,   nil,
   260,   259,   nil,   256,   257,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -326,  -326,  -326,  -326,  -326,  -326,  -326,  -326,
  -326,  -326,  -326,  -326,  -326,  -326,   nil,   nil,  -326,  -326,
  -326,   nil,   nil,  -326,   nil,   312,  -326,   nil,   nil,  -326,
  -326,   nil,  -326,   nil,  -326,   nil,  -326,   nil,  -326,  -326,
   nil,  -326,  -326,  -326,  -326,  -326,   nil,  -326,   nil,  -326,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  -326,   nil,   nil,  -326,  -326,   nil,  -326,
   nil,  -326,    77,    78,    26,   nil,    65,   nil,  -326,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   324,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   321,   nil,   319,
   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   324,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   321,   nil,
   319,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,    33,    32,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   324,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   321,
   nil,   319,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,  -311,   nil,
    46,    47,   nil,   nil,   nil,  -311,  -311,  -311,   nil,   nil,
  -311,  -311,  -311,   nil,  -311,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -311,   nil,  -311,  -311,  -311,   nil,   nil,   nil,
   111,   110,   112,   113,  -311,  -311,   nil,  -311,  -311,  -311,
  -311,  -311,   nil,   nil,   nil,   nil,   115,   114,   116,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   101,
   102,   nil,   nil,   355,  -311,  -311,  -311,  -311,  -311,  -311,
  -311,  -311,  -311,  -311,  -311,  -311,  -311,  -311,   nil,   nil,
  -311,  -311,  -311,   nil,   nil,  -311,   nil,   nil,  -311,   nil,
   nil,  -311,  -311,   nil,  -311,   nil,  -311,   nil,  -311,   nil,
  -311,  -311,   nil,  -311,  -311,  -311,  -311,  -311,   nil,  -311,
   nil,  -311,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,  -311,    88,    98,  -311,  -311,
  -311,  -311,   nil,  -311,    82,  -311,    89,   103,   104,   nil,
  -311,    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   nil,    12,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   324,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   321,   nil,   nil,
   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   324,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,    33,    32,   111,   110,   112,   113,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   123,   nil,   nil,   nil,   nil,   122,
    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,    77,
    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,     9,    12,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   417,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,    77,    78,    26,   nil,    65,   nil,   nil,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,    33,    32,   111,   110,   112,   113,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,    46,    47,    77,    78,
    26,    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,
   nil,    75,   nil,    73,    74,    76,    35,    36,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,
   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,
    10,    53,   nil,    12,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,    40,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   433,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   433,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,    33,    32,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   324,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   321,
   nil,   319,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   237,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   324,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   321,   nil,
   319,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,   557,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,    33,    32,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   324,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   321,
   nil,   319,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   324,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   321,   nil,   319,   nil,    52,   nil,   nil,   325,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,   322,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   237,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
    46,    47,    77,    78,    26,    11,    65,   nil,   nil,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,    10,    53,   nil,    12,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    45,   nil,   nil,    38,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,    40,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   603,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,  -274,   nil,    46,    47,
   nil,   nil,   nil,  -274,  -274,  -274,   nil,   nil,  -274,  -274,
  -274,   nil,  -274,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  -274,  -274,  -274,  -274,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -274,  -274,   nil,  -274,  -274,  -274,  -274,  -274,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -274,  -274,  -274,  -274,  -274,  -274,  -274,  -274,
  -274,  -274,  -274,  -274,  -274,  -274,   nil,   nil,  -274,  -274,
  -274,   nil,   nil,  -274,   nil,   303,  -274,   nil,   nil,  -274,
  -274,   nil,  -274,   nil,  -274,   nil,  -274,   nil,  -274,  -274,
   nil,  -274,  -274,  -274,  -274,  -274,   nil,  -274,  -274,  -274,
   488,   nil,   485,   484,   483,   493,   486,   nil,   nil,   nil,
   nil,   nil,   nil,  -274,   nil,   496,  -274,  -274,  -717,  -274,
   nil,  -274,   nil,   nil,   nil,  -717,  -717,  -717,  -274,   nil,
  -717,  -717,  -717,   nil,  -717,   nil,   nil,   491,   nil,   nil,
   nil,   nil,  -717,  -717,  -717,  -717,  -717,   nil,   504,   503,
   nil,   nil,   nil,   497,  -717,  -717,   nil,  -717,  -717,  -717,
  -717,  -717,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  -717,  -717,  -717,  -717,  -717,  -717,
  -717,  -717,  -717,  -717,  -717,  -717,  -717,  -717,   nil,   nil,
  -717,  -717,  -717,   nil,   nil,  -717,   nil,   nil,  -717,   nil,
   nil,  -717,  -717,   nil,  -717,   nil,  -717,   nil,  -717,   nil,
  -717,  -717,   nil,  -717,  -717,  -717,  -717,  -717,   nil,  -717,
  -717,  -717,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  -717,   nil,   nil,  -717,  -717,
  -717,  -717,   nil,  -717,  -718,  -717,   nil,   nil,   nil,   nil,
  -717,  -718,  -718,  -718,   nil,   nil,  -718,  -718,  -718,   nil,
  -718,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  -718,  -718,
  -718,  -718,  -718,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  -718,  -718,   nil,  -718,  -718,  -718,  -718,  -718,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  -718,  -718,  -718,  -718,  -718,  -718,  -718,  -718,  -718,  -718,
  -718,  -718,  -718,  -718,   nil,   nil,  -718,  -718,  -718,   nil,
   nil,  -718,   nil,   nil,  -718,   nil,   nil,  -718,  -718,   nil,
  -718,   nil,  -718,   nil,  -718,   nil,  -718,  -718,   nil,  -718,
  -718,  -718,  -718,  -718,   nil,  -718,  -718,  -718,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  -718,   nil,   nil,  -718,  -718,  -718,  -718,   nil,  -718,
   nil,  -718,   nil,    77,    78,    26,  -718,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,    33,    32,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   324,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   321,   nil,   319,   nil,    52,   nil,   nil,   325,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
   322,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,  -274,   nil,
    46,    47,   nil,   nil,   nil,  -274,  -274,  -274,   nil,   nil,
  -274,  -274,  -274,   488,  -274,   485,   484,   483,   493,   486,
   nil,   nil,  -274,  -274,  -274,   nil,   nil,   nil,   496,   nil,
   nil,   nil,   nil,   nil,  -274,  -274,   nil,  -274,  -274,  -274,
  -274,  -274,   nil,   488,   nil,   485,   484,   483,   493,   486,
   491,   641,   nil,   nil,   nil,   nil,   nil,   nil,   496,   501,
   500,   504,   503,   nil,   nil,   nil,   497,   nil,   488,   nil,
   485,   484,   483,   493,   486,  -274,   nil,   nil,   nil,   nil,
   491,   nil,  -274,   496,   nil,   nil,   nil,   303,  -274,   501,
   500,   504,   503,   nil,   nil,   nil,   497,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   491,   482,   nil,   nil,   nil,
  -274,  -274,   nil,   nil,   501,   500,   504,   503,   nil,   nil,
   nil,   497,   nil,   nil,   nil,  -274,   nil,   nil,  -274,   nil,
    77,    78,    26,  -274,    65,   nil,   482,   nil,    71,    72,
  -274,   nil,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   324,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   793,   nil,   319,   nil,
    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,   322,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   324,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   319,
   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,    46,    47,    77,    78,    26,    11,
    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,
   332,    12,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    45,
   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,    40,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,   417,
    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,    77,
    78,    26,   nil,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   324,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   321,   nil,   319,   nil,    52,   nil,
   nil,   325,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,   322,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   324,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   793,   nil,
   nil,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   324,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   321,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   324,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   321,   nil,   319,   nil,    52,   nil,   nil,   325,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
   322,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   324,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   321,   nil,   319,   nil,    52,   nil,   nil,   325,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,   322,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,   nil,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,    46,    47,
    77,    78,    26,    11,    65,   nil,   nil,   nil,    71,    72,
   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,
   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,
   nil,   nil,    10,    53,   nil,    12,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   862,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   324,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   321,   nil,
   319,   nil,    52,   nil,   nil,   325,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,   322,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,    46,    47,    77,    78,    26,    11,
    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,    33,    32,   111,   110,   112,   113,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,
   nil,    12,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    45,
   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,    40,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   324,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   793,   nil,   319,   nil,    52,   nil,   nil,
   325,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,   322,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   324,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   319,   nil,    52,   nil,
   nil,   325,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,   322,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   433,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   324,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   793,   nil,   319,   nil,    52,   nil,   nil,
   325,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,   322,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
   557,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,
    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,    33,    32,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   247,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
    33,    32,   111,   110,   112,   113,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,    33,    32,   111,   110,   112,   113,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   793,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   324,   109,   117,   118,   nil,   101,   102,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,
   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   319,   nil,    52,   nil,   nil,   325,   nil,
   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,    99,
   322,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,    35,    36,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,   110,
   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,   111,
   110,   112,   113,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,    33,    32,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   324,   109,   117,   118,   nil,   101,
   102,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   242,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   321,   nil,   319,   nil,    52,
   nil,   nil,   325,   nil,   nil,   nil,   nil,   nil,   247,   nil,
   nil,   nil,   nil,    99,   322,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,    77,    78,    26,    82,    65,    89,   103,   104,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,   347,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   343,   nil,   nil,   339,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   338,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,   347,   nil,   nil,   115,   114,
   116,   105,    64,   107,   106,   108,   nil,   109,   117,   118,
   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   343,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   488,   nil,
   485,   484,   483,   493,   486,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   496,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,   357,   nil,   491,    82,   nil,    89,   103,
   104,    77,    78,    26,   nil,    65,   504,   503,   nil,    71,
    72,   497,   nil,   nil,    75,   nil,    73,    74,    76,   351,
   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,
   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,
   nil,   nil,   nil,   nil,   347,   nil,   nil,   115,   114,   116,
   105,    64,   107,   106,   108,   nil,   109,   117,   118,   nil,
   101,   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   392,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,    77,    78,    26,    82,    65,    89,   103,   104,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,    81,
   346,   354,   111,   110,   112,   113,   nil,   nil,   251,   nil,
   nil,   nil,   nil,   nil,   nil,   347,   nil,   nil,   115,   114,
   116,   397,    64,   107,   106,   398,   nil,   109,   117,   118,
   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   404,   nil,   nil,   399,   nil,   nil,   250,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,   103,
   104,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,   347,   nil,   nil,   115,
   114,   116,   397,    64,   107,   106,   398,   nil,   109,   117,
   118,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   399,   nil,   nil,   250,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,   nil,   nil,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,   347,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   343,   nil,   nil,
   250,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   488,   nil,   485,   484,   483,   493,   486,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   496,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,   585,   nil,   491,    82,   nil,
    89,   103,   104,    77,    78,    26,   nil,    65,   504,   503,
   nil,    71,    72,   497,   nil,   nil,    75,   nil,    73,    74,
    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,   nil,
    81,   346,   354,   111,   110,   112,   113,   nil,   nil,   251,
   nil,   nil,   nil,   nil,   nil,   nil,   347,   nil,   nil,   115,
   114,   116,   105,    64,   107,   106,   108,   nil,   109,   117,
   118,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   343,   nil,   nil,   339,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,    89,
   103,   104,    71,    72,   nil,   nil,   nil,    75,   nil,    73,
    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,   nil,
   nil,    81,   346,   354,   111,   110,   112,   113,   nil,   nil,
   251,   nil,   nil,   nil,   nil,   nil,   nil,   347,   nil,   nil,
   115,   114,   116,   105,    64,   107,   106,   108,   nil,   109,
   117,   118,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   343,   nil,   nil,
   339,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,    65,
    89,   103,   104,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,   351,   352,    79,    80,   nil,   nil,   nil,
   nil,   nil,    81,   346,   354,   111,   110,   112,   113,   nil,
   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,   347,   nil,
   nil,   115,   114,   116,   105,    64,   107,   106,   108,   nil,
   109,   117,   118,   nil,   101,   102,   nil,   nil,   355,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   343,   nil,
   nil,   339,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,    82,
    65,    89,   103,   104,    71,    72,   nil,   nil,   nil,    75,
   nil,    73,    74,    76,   351,   352,    79,    80,   nil,   nil,
   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,   113,
   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,   347,
   nil,   nil,   115,   114,   116,   105,    64,   107,   106,   108,
   nil,   109,   117,   118,   nil,   101,   102,   nil,   nil,   355,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   343,
   nil,   nil,   339,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    99,
    87,    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,
   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,    26,
    82,    65,    89,   103,   104,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,   351,   352,    79,    80,   nil,
   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,   112,
   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,   nil,
   347,   nil,   nil,   115,   114,   116,   105,    64,   107,   106,
   108,   nil,   109,   117,   118,   nil,   101,   102,   nil,   nil,
   355,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   343,   nil,   nil,   339,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,    78,
    26,    82,    65,    89,   103,   104,    71,    72,   nil,   nil,
   nil,    75,   nil,    73,    74,    76,   351,   352,    79,    80,
   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,   110,
   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,   nil,
   nil,   347,   nil,   nil,   115,   114,   116,   105,    64,   107,
   106,   108,   nil,   109,   117,   118,   nil,   101,   102,   nil,
   nil,   355,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1100,   nil,   nil,   250,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    99,    87,    90,    91,   nil,    92,    94,    93,    95,
   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,    77,
    78,    26,    82,    65,    89,   103,   104,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,   351,   352,    79,
    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,   111,
   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,   nil,
   nil,   nil,   347,   nil,   nil,   115,   114,   116,   105,    64,
   107,   106,   108,   nil,   109,   117,   118,   nil,   101,   102,
   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1139,   nil,   nil,   250,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
    77,    78,    26,    82,    65,    89,   103,   104,    71,    72,
   nil,   nil,   nil,    75,   nil,    73,    74,    76,   351,   352,
    79,    80,   nil,   nil,   nil,   nil,   nil,    81,   346,   354,
   111,   110,   112,   113,   nil,   nil,   251,   nil,   nil,   nil,
   nil,   nil,   nil,   347,   nil,   nil,   115,   114,   116,   105,
    64,   107,   106,   108,   nil,   109,   117,   118,   nil,   101,
   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1139,   nil,   nil,   250,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,   182,
   193,   183,   206,   179,   199,   189,   188,   209,   210,   204,
   187,   186,   181,   207,   211,   212,   191,   180,   194,   198,
   200,   192,   185,   nil,   nil,   nil,   201,   208,   203,   202,
   195,   205,   190,   178,   197,   196,   nil,   nil,   nil,   nil,
   nil,   177,   184,   175,   176,   172,   173,   174,   135,   137,
   134,   nil,   136,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   166,   167,   nil,   163,   145,   146,   147,   154,   151,   153,
   nil,   nil,   148,   149,   nil,   nil,   nil,   168,   169,   155,
   156,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   160,   159,   nil,   144,   165,   162,
   161,   170,   157,   158,   152,   150,   142,   164,   143,   nil,
   nil,   171,    99,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    98,   182,   193,   183,
   206,   179,   199,   189,   188,   209,   210,   204,   187,   186,
   181,   207,   211,   212,   191,   180,   194,   198,   200,   192,
   185,   nil,   nil,   nil,   201,   208,   203,   202,   195,   205,
   190,   178,   197,   196,   nil,   nil,   nil,   nil,   nil,   177,
   184,   175,   176,   172,   173,   174,   135,   137,   nil,   nil,
   136,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,
   nil,   163,   145,   146,   147,   154,   151,   153,   nil,   nil,
   148,   149,   nil,   nil,   nil,   168,   169,   155,   156,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   160,   159,   nil,   144,   165,   162,   161,   170,
   157,   158,   152,   150,   142,   164,   143,   nil,   nil,   171,
    99,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    98,   182,   193,   183,   206,   179,
   199,   189,   188,   209,   210,   204,   187,   186,   181,   207,
   211,   212,   191,   180,   194,   198,   200,   192,   185,   nil,
   nil,   nil,   201,   208,   203,   202,   195,   205,   190,   178,
   197,   196,   nil,   nil,   nil,   nil,   nil,   177,   184,   175,
   176,   172,   173,   174,   135,   137,   nil,   nil,   136,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,   163,
   145,   146,   147,   154,   151,   153,   nil,   nil,   148,   149,
   nil,   nil,   nil,   168,   169,   155,   156,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   160,   159,   nil,   144,   165,   162,   161,   170,   157,   158,
   152,   150,   142,   164,   143,   nil,   nil,   171,    99,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    98,   182,   193,   183,   206,   179,   199,   189,
   188,   209,   210,   204,   187,   186,   181,   207,   211,   212,
   191,   180,   194,   198,   200,   192,   185,   nil,   nil,   nil,
   201,   208,   203,   202,   195,   205,   190,   178,   197,   196,
   nil,   nil,   nil,   nil,   nil,   177,   184,   175,   176,   172,
   173,   174,   135,   137,   nil,   nil,   136,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   166,   167,   nil,   163,   145,   146,
   147,   154,   151,   153,   nil,   nil,   148,   149,   nil,   nil,
   nil,   168,   169,   155,   156,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,
   nil,   144,   165,   162,   161,   170,   157,   158,   152,   150,
   142,   164,   143,   nil,   nil,   171,    99,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    98,   182,   193,   183,   206,   179,   199,   189,   188,   209,
   210,   204,   187,   186,   181,   207,   211,   212,   191,   180,
   194,   198,   200,   192,   185,   nil,   nil,   nil,   201,   208,
   203,   291,   290,   292,   289,   178,   197,   196,   nil,   nil,
   nil,   nil,   nil,   177,   184,   175,   176,   286,   287,   288,
   284,   137,   107,   106,   285,   nil,   109,   nil,   nil,   nil,
   nil,   nil,   166,   167,   nil,   163,   145,   146,   147,   154,
   151,   153,   nil,   nil,   148,   149,   nil,   nil,   nil,   168,
   169,   155,   156,   nil,   nil,   nil,   nil,   nil,   296,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,   144,
   165,   162,   161,   170,   157,   158,   152,   150,   142,   164,
   143,   nil,   nil,   171,   111,   110,   112,   113,   nil,   nil,
   488,   nil,   485,   484,   483,   493,   486,   nil,   nil,   nil,
   115,   114,   116,   770,   nil,   496,   nil,   773,   750,   nil,
   nil,   nil,   nil,   101,   102,   nil,   nil,   355,   496,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   491,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   772,   504,   503,
   743,   nil,   nil,   497,   741,   nil,   nil,   742,   nil,   745,
   nil,   nil,   nil,   nil,   nil,   nil,   497,   nil,   nil,   nil,
   nil,   nil,   nil,   771,   nil,   nil,   nil,    99,   751,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   111,   110,   112,   113,   nil,   nil,    82,   nil,
    89,   103,   104,   nil,   nil,   758,   759,   nil,   115,   114,
   116,   770,   nil,   nil,   nil,   773,   750,   nil,   nil,   nil,
   nil,   101,   102,   nil,   nil,   355,   496,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,   nil,
   nil,   nil,   741,   nil,   nil,   742,   nil,   745,   nil,   nil,
   nil,   nil,   nil,   nil,   497,   nil,   nil,   nil,   nil,   nil,
   nil,   771,   nil,   nil,   nil,    99,   751,    90,    91,   nil,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   111,   110,   112,   113,   nil,   nil,    82,   nil,    89,   103,
   104,   nil,   nil,   758,   759,   nil,   115,   114,   116,   770,
   nil,   nil,   nil,   773,   nil,   nil,   nil,   nil,   nil,   101,
   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   772,   nil,   nil,   743,   nil,   nil,   nil,
   741,   nil,   nil,   742,   nil,   745,   nil,   nil,   nil,   nil,
   nil,   nil,   488,   nil,   485,   484,   483,   493,   486,   771,
   nil,   nil,   nil,    99,    87,    90,    91,   496,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   237,   111,
   110,   112,   113,   nil,    82,   nil,    89,   103,   104,   491,
   nil,   758,   759,   nil,   nil,   115,   114,   116,   770,   nil,
   504,   503,   773,   nil,   nil,   497,   nil,   nil,   101,   102,
   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   772,   nil,   nil,   743,   nil,   nil,   nil,   741,
   nil,   nil,   742,   nil,   nil,   482,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   771,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,   nil,
   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
   758,   759,   182,   193,   183,   206,   179,   199,   189,   188,
   209,   210,   204,   187,   186,   181,   207,   211,   212,   191,
   180,   194,   198,   200,   192,   185,   nil,   nil,   nil,   201,
   208,   203,   202,   195,   205,   190,   178,   197,   196,   nil,
   nil,   nil,   nil,   nil,   177,   184,   175,   176,   172,   173,
   174,   135,   137,   nil,   nil,   136,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   166,   167,   nil,   163,   145,   146,   147,
   154,   151,   153,   nil,   nil,   148,   149,   nil,   nil,   nil,
   168,   169,   155,   156,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,
   144,   165,   162,   161,   170,   157,   158,   152,   150,   142,
   164,   143,   nil,   nil,   171,   111,   110,   112,   113,   nil,
   nil,   nil,   nil,   nil,   488,   nil,   485,   484,   483,   493,
   486,   115,   114,   116,   770,   nil,   nil,   nil,   773,   496,
   nil,   nil,   nil,   nil,   101,   102,   nil,   nil,   355,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   491,   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,
   nil,   743,   504,   503,   nil,   741,   nil,   497,   742,   nil,
   745,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   771,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   111,   110,   112,   113,   482,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,   758,   759,   nil,   115,
   114,   116,   770,   nil,   nil,   488,   773,   485,   484,   483,
   493,   486,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,
   496,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,
   nil,   nil,   491,   741,   nil,   nil,   742,   nil,   nil,   nil,
   nil,   501,   500,   504,   503,   nil,   nil,   nil,   497,   nil,
   nil,   nil,   771,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   111,   110,   112,   113,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,   758,   759,   nil,   115,   114,   116,
   770,   nil,   nil,   nil,   773,   750,   nil,   nil,   nil,   nil,
   101,   102,   nil,   nil,   355,   496,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,   nil,   nil,
   nil,   741,   nil,   nil,   742,   nil,   745,   nil,   nil,   nil,
   nil,   nil,   nil,   497,   nil,   nil,   nil,   nil,   nil,   nil,
   771,   nil,   nil,   nil,    99,   751,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   111,
   110,   112,   113,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,   758,   759,   nil,   115,   114,   116,   770,   nil,
   nil,   nil,   773,   750,   nil,   nil,   nil,   nil,   101,   102,
   nil,   nil,   355,   496,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   772,   nil,   nil,   743,   nil,   nil,   nil,   741,
   nil,   nil,   742,   nil,   745,   nil,   nil,   nil,   nil,   nil,
   nil,   497,   nil,   nil,   nil,   nil,   nil,   nil,   771,   nil,
   nil,   nil,    99,   751,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   111,   110,   112,
   113,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
   758,   759,   nil,   115,   114,   116,   770,   nil,   nil,   488,
   773,   485,   484,   483,   493,   486,   101,   102,   nil,   nil,
   355,   nil,   nil,   nil,   496,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   772,   nil,   nil,   743,   nil,   nil,   491,   741,   nil,   nil,
   742,   nil,  1047,   nil,   nil,   501,   500,   504,   503,   nil,
   nil,   nil,   497,   nil,   nil,   nil,   771,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   111,   110,   112,   113,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,   758,   759,
   nil,   115,   114,   116,   770,   nil,   nil,   488,   773,   485,
   484,   483,   493,   486,   101,   102,   nil,   nil,   355,   nil,
   nil,   nil,   496,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,
   nil,   743,   nil,   nil,   491,   741,   nil,   nil,   742,   nil,
   nil,   nil,   nil,   nil,   nil,   504,   503,   nil,   nil,   nil,
   497,   nil,   nil,   nil,   771,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   111,   110,   112,   113,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,   758,   759,   nil,   115,
   114,   116,   770,   nil,   nil,   nil,   773,   nil,   nil,   nil,
   nil,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,
   nil,   nil,   nil,   741,   nil,   nil,   742,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   771,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   111,   110,   112,   113,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,   758,   759,   nil,   115,   114,   116,
   770,   nil,   nil,   nil,   773,   750,   nil,   nil,   nil,   nil,
   101,   102,   nil,   nil,   355,   496,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,   nil,   nil,
   nil,   741,   nil,   nil,   742,   nil,   745,   nil,   nil,   nil,
   nil,   nil,   nil,   497,   nil,   nil,   nil,   nil,   nil,   nil,
   771,   nil,   nil,   nil,    99,   751,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   111,
   110,   112,   113,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,   758,   759,   nil,   115,   114,   116,   770,   nil,
   nil,   nil,   773,   nil,   nil,   nil,   nil,   nil,   101,   102,
   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   772,   nil,   nil,   743,   nil,   nil,   nil,   741,
   nil,   nil,   742,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   771,   nil,
   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,    93,
    95,   nil,   nil,   nil,   nil,    88,    98,   111,   110,   112,
   113,   nil,   nil,    82,   nil,    89,   103,   104,   nil,   nil,
   758,   759,   nil,   115,   114,   116,   770,   nil,   nil,   nil,
   773,   nil,   nil,   nil,   nil,   nil,   101,   102,   nil,   nil,
   355,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   772,   nil,   nil,   743,   nil,   nil,   nil,   741,   nil,   nil,
   742,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   771,   nil,   nil,   nil,
    99,    87,    90,    91,   nil,    92,    94,    93,    95,   nil,
   nil,   nil,   nil,    88,    98,   111,   110,   112,   113,   nil,
   nil,    82,   nil,    89,   103,   104,   nil,   nil,   758,   759,
   nil,   115,   114,   116,   770,   nil,   nil,   nil,   773,   nil,
   nil,   nil,   nil,   nil,   101,   102,   nil,   nil,   355,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,
   nil,   743,   nil,   nil,   nil,   741,   nil,   nil,   742,   nil,
   745,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   771,   nil,   nil,   nil,    99,    87,
    90,    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,
   nil,    88,    98,   111,   110,   112,   113,   nil,   nil,    82,
   nil,    89,   103,   104,   nil,   nil,   758,   759,   nil,   115,
   114,   116,   770,   nil,   nil,   nil,   773,   nil,   nil,   nil,
   nil,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,
   nil,   nil,   nil,   741,   nil,   nil,   742,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   771,   nil,   nil,   nil,    99,    87,    90,    91,
   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,
    98,   111,   110,   112,   113,   nil,   nil,    82,   nil,    89,
   103,   104,   nil,   nil,   758,   759,   nil,   115,   114,   116,
   770,   nil,   nil,   nil,   773,   nil,   nil,   nil,   nil,   nil,
   101,   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   111,   110,   112,   113,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   772,   nil,   nil,   743,   115,   114,
   116,   741,   nil,   nil,   742,   nil,   nil,   nil,   nil,   nil,
   nil,   101,   102,   nil,   nil,   355,   nil,   nil,   nil,   nil,
   771,   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,
    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,
   nil,   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,
   nil,   nil,   758,   759,   488,   nil,   485,   484,   483,   493,
   486,   nil,   nil,   nil,   nil,    99,    87,    90,    91,   496,
    92,    94,    93,    95,   nil,   nil,   nil,   nil,    88,    98,
   111,   110,   112,   113,   nil,   nil,    82,   nil,    89,   103,
   104,   491,   nil,   nil,   nil,   nil,   115,   114,   116,   nil,
   501,   500,   504,   503,   nil,   nil,   nil,   497,   nil,   101,
   102,   nil,   nil,   355,   111,   110,   112,   113,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   115,   114,   116,   237,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   101,   102,   nil,   nil,   355,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    99,    87,    90,    91,   nil,    92,    94,
    93,    95,   nil,   nil,   nil,   nil,    88,    98,   nil,   nil,
   nil,   nil,   nil,   nil,    82,   nil,    89,   103,   104,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    99,    87,    90,
    91,   nil,    92,    94,    93,    95,   nil,   nil,   nil,   nil,
    88,    98,   nil,   nil,   nil,   nil,   nil,   nil,    82,   nil,
    89,   103,   104,   488,   nil,   485,   484,   483,   493,   486,
   nil,   488,   nil,   485,   484,   483,   493,   486,   496,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   496,   nil,   488,   nil,
   485,   484,   483,   493,   486,   nil,   nil,   nil,   nil,   nil,
   491,   nil,   nil,   496,   nil,   nil,   nil,   nil,   491,   501,
   500,   504,   503,   nil,   nil,   nil,   497,   501,   500,   504,
   503,   nil,   nil,   nil,   497,   491,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   501,   500,   504,   503,   nil,   nil,
   488,   497,   485,   484,   483,   493,   486,   488,   nil,   485,
   484,   483,   493,   486,   nil,   496,   482,   nil,   nil,   nil,
   nil,   nil,   496,   nil,   482,   488,   nil,   485,   484,   483,
   493,   486,   nil,   nil,   nil,   nil,   nil,   491,   nil,   nil,
   496,   482,   nil,   nil,   491,   nil,   nil,   nil,   504,   503,
   nil,   nil,   nil,   497,   nil,   504,   503,   nil,   nil,   nil,
   497,   nil,   491,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   504,   503,   nil,   nil,   nil,   497,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   455,   459,   nil,   482,   456,   nil,   nil,   nil,   nil,   nil,
   482,   nil,   166,   167,   nil,   163,   145,   146,   147,   154,
   151,   153,   nil,   nil,   148,   149,   nil,   nil,   482,   168,
   169,   155,   156,   nil,   nil,   nil,   nil,   nil,   303,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,   144,
   165,   162,   161,   170,   157,   158,   152,   150,   142,   164,
   143,   462,   466,   171,   nil,   461,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   166,   167,   nil,   163,   145,   146,   147,
   154,   151,   153,   nil,   nil,   148,   149,   nil,   nil,   nil,
   168,   169,   155,   156,   nil,   nil,   nil,   nil,   nil,   303,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,
   144,   165,   162,   161,   170,   157,   158,   152,   150,   142,
   164,   143,   553,   459,   171,   nil,   554,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   166,   167,   nil,   163,   145,   146,
   147,   154,   151,   153,   nil,   nil,   148,   149,   nil,   nil,
   nil,   168,   169,   155,   156,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,
   nil,   144,   165,   162,   161,   170,   157,   158,   152,   150,
   142,   164,   143,   723,   459,   171,   nil,   724,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,   163,   145,
   146,   147,   154,   151,   153,   nil,   nil,   148,   149,   nil,
   nil,   nil,   168,   169,   155,   156,   nil,   nil,   nil,   nil,
   nil,   303,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,
   159,   nil,   144,   165,   162,   161,   170,   157,   158,   152,
   150,   142,   164,   143,   725,   466,   171,   nil,   726,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,   163,
   145,   146,   147,   154,   151,   153,   nil,   nil,   148,   149,
   nil,   nil,   nil,   168,   169,   155,   156,   nil,   nil,   nil,
   nil,   nil,   303,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   160,   159,   nil,   144,   165,   162,   161,   170,   157,   158,
   152,   150,   142,   164,   143,   803,   459,   171,   nil,   804,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,
   163,   145,   146,   147,   154,   151,   153,   nil,   nil,   148,
   149,   nil,   nil,   nil,   168,   169,   155,   156,   nil,   nil,
   nil,   nil,   nil,   303,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   160,   159,   nil,   144,   165,   162,   161,   170,   157,
   158,   152,   150,   142,   164,   143,   806,   466,   171,   nil,
   807,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,
   nil,   163,   145,   146,   147,   154,   151,   153,   nil,   nil,
   148,   149,   nil,   nil,   nil,   168,   169,   155,   156,   nil,
   nil,   nil,   nil,   nil,   303,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   160,   159,   nil,   144,   165,   162,   161,   170,
   157,   158,   152,   150,   142,   164,   143,   723,   459,   171,
   nil,   724,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,
   167,   nil,   163,   145,   146,   147,   154,   151,   153,   nil,
   nil,   148,   149,   nil,   nil,   nil,   168,   169,   155,   156,
   nil,   nil,   nil,   nil,   nil,   303,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   160,   159,   nil,   144,   165,   162,   161,
   170,   157,   158,   152,   150,   142,   164,   143,   725,   466,
   171,   nil,   726,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   166,   167,   nil,   163,   145,   146,   147,   154,   151,   153,
   nil,   nil,   148,   149,   nil,   nil,   nil,   168,   169,   155,
   156,   nil,   nil,   nil,   nil,   nil,   303,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   160,   159,   nil,   144,   165,   162,
   161,   170,   157,   158,   152,   150,   142,   164,   143,   832,
   459,   171,   nil,   833,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   166,   167,   nil,   163,   145,   146,   147,   154,   151,
   153,   nil,   nil,   148,   149,   nil,   nil,   nil,   168,   169,
   155,   156,   nil,   nil,   nil,   nil,   nil,   303,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,   144,   165,
   162,   161,   170,   157,   158,   152,   150,   142,   164,   143,
   834,   466,   171,   nil,   835,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   166,   167,   nil,   163,   145,   146,   147,   154,
   151,   153,   nil,   nil,   148,   149,   nil,   nil,   nil,   168,
   169,   155,   156,   nil,   nil,   nil,   nil,   nil,   303,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,   144,
   165,   162,   161,   170,   157,   158,   152,   150,   142,   164,
   143,   837,   466,   171,   nil,   838,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   166,   167,   nil,   163,   145,   146,   147,
   154,   151,   153,   nil,   nil,   148,   149,   nil,   nil,   nil,
   168,   169,   155,   156,   nil,   nil,   nil,   nil,   nil,   303,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,   nil,
   144,   165,   162,   161,   170,   157,   158,   152,   150,   142,
   164,   143,   553,   459,   171,   nil,   554,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   166,   167,   nil,   163,   145,   146,
   147,   154,   151,   153,   nil,   nil,   148,   149,   nil,   nil,
   nil,   168,   169,   155,   156,   nil,   nil,   nil,   nil,   nil,
   303,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,   159,
   nil,   144,   165,   162,   161,   170,   157,   158,   152,   150,
   142,   164,   143,   864,   459,   171,   nil,   865,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,   163,   145,
   146,   147,   154,   151,   153,   nil,   nil,   148,   149,   nil,
   nil,   nil,   168,   169,   155,   156,   nil,   nil,   nil,   nil,
   nil,   303,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   160,
   159,   nil,   144,   165,   162,   161,   170,   157,   158,   152,
   150,   142,   164,   143,   867,   466,   171,   nil,   866,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,   163,
   145,   146,   147,   154,   151,   153,   nil,   nil,   148,   149,
   nil,   nil,   nil,   168,   169,   155,   156,   nil,   nil,   nil,
   nil,   nil,   303,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   160,   159,   nil,   144,   165,   162,   161,   170,   157,   158,
   152,   150,   142,   164,   143,  1193,   459,   171,   nil,  1194,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,   nil,
   163,   145,   146,   147,   154,   151,   153,   nil,   nil,   148,
   149,   nil,   nil,   nil,   168,   169,   155,   156,   nil,   nil,
   nil,   nil,   nil,   303,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   160,   159,   nil,   144,   165,   162,   161,   170,   157,
   158,   152,   150,   142,   164,   143,  1195,   466,   171,   nil,
  1196,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,   167,
   nil,   163,   145,   146,   147,   154,   151,   153,   nil,   nil,
   148,   149,   nil,   nil,   nil,   168,   169,   155,   156,   nil,
   nil,   nil,   nil,   nil,   303,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   160,   159,   nil,   144,   165,   162,   161,   170,
   157,   158,   152,   150,   142,   164,   143,  1211,   466,   171,
   nil,  1210,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   166,
   167,   nil,   163,   145,   146,   147,   154,   151,   153,   nil,
   nil,   148,   149,   nil,   nil,   nil,   168,   169,   155,   156,
   nil,   nil,   nil,   nil,   nil,   303,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   160,   159,   nil,   144,   165,   162,   161,
   170,   157,   158,   152,   150,   142,   164,   143,   nil,   nil,
   171 ]

racc_action_check = [
   105,   512,   512,   550,   550,    19,   389,   105,   105,   105,
  1052,   381,   105,   105,   105,    18,   105,    31,    23,  1047,
     5,   922,    18,   382,   105,     5,   105,   105,   105,   813,
   813,    18,   498,   413,   390,   393,   105,   105,   830,   105,
   105,   105,   105,   105,  1010,  1080,  1082,  1097,  1098,   921,
   498,   628,  1213,  1052,  1101,   622,   414,   922,     1,    23,
    69,    19,  1213,   622,   832,   833,   105,   105,   105,   105,
   105,   105,   105,   105,   105,   105,   105,   105,   105,   105,
    18,    31,   105,   105,   105,     3,   105,   105,   619,   921,
   105,   845,   986,   105,   105,   512,   105,   550,   105,   413,
   105,  1047,   105,   105,    31,   105,   105,   105,   105,   105,
  1158,   105,   108,   105,  1193,   389,   781,   638,   638,   108,
   108,   108,   414,   813,   108,   108,   108,   105,   108,   381,
   105,   105,   105,   105,   381,   105,   108,   105,   108,   108,
   108,   382,   105,   390,   393,   105,   382,    69,   108,   108,
  1194,   108,   108,   108,   108,   108,   830,  1195,  1215,   830,
   628,   830,  1010,  1080,  1082,  1097,  1098,  1010,  1080,  1082,
  1097,  1098,  1101,   832,   833,   834,   835,  1101,   108,   108,
   108,   108,   108,   108,   108,   108,   108,   108,   108,   108,
   108,   108,   619,  1196,   108,   108,   108,   619,   108,   108,
   845,   986,   108,   781,   328,   108,   108,   742,   108,   328,
   108,   638,   108,   653,   108,   108,   638,   108,   108,   108,
   108,   108,   461,   108,   742,   108,   731,   240,  1158,   461,
   461,   461,  1193,  1158,  1195,   461,   461,  1193,   461,   108,
   834,   835,   108,   108,   108,   108,   461,   108,    29,   108,
   348,    20,     9,   408,   108,    29,   926,   108,   461,   461,
   803,   461,   461,   461,   461,   461,    48,    48,  1194,  1085,
  1196,  1085,   731,  1194,   804,  1195,  1215,   653,   653,   241,
  1195,  1215,   355,   355,   834,   835,   240,   653,   461,   461,
   461,   461,   461,   461,   461,   461,   461,   461,   461,   461,
   461,   461,   926,   283,   461,   461,   461,    20,   461,   461,
   283,  1196,   461,    29,   348,   461,  1196,   408,   408,   408,
   461,    12,   461,   655,   461,   461,   803,   461,   461,   461,
   461,   461,   243,   461,   462,   461,   752,   348,   241,   440,
   804,   462,   462,   462,    48,    48,   386,   462,   462,   461,
   462,   386,   461,   461,   752,   461,    14,   461,   462,   462,
   355,   355,   973,   518,   461,    15,   803,   461,   283,   803,
   462,   462,   723,   462,   462,   462,   462,   462,   798,   284,
   804,   803,   373,   804,   806,   373,   284,   655,   655,   573,
   798,   243,   724,   941,   506,   804,   248,   655,   440,   506,
   462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
   462,   462,   462,   462,    17,   933,   462,   462,   462,    54,
   462,   462,   518,    27,   462,   933,    54,   462,   973,   864,
  1120,   723,   462,   865,   462,    54,   462,   462,   409,   462,
   462,   462,   462,   462,   284,   462,   462,   462,    42,   806,
   806,   724,   248,   573,   573,   573,   410,   941,   941,   941,
    21,   462,   411,   933,   462,   462,   397,   462,   973,   462,
   573,   973,   412,   725,   941,   933,   462,   249,    45,   462,
   725,   725,   725,   973,    54,   725,   725,   725,   864,   725,
   806,   990,   865,   806,  1120,  1120,   990,   725,   725,   725,
   725,   725,   409,   409,   409,   806,   398,    21,    53,   725,
   725,  1120,   725,   725,   725,   725,   725,   213,   397,    21,
   410,   410,   410,   415,   226,   397,   411,   411,   411,   374,
   397,   917,   374,   249,   397,   228,   412,   412,   412,   725,
   725,   725,   725,   725,   725,   725,   725,   725,   725,   725,
   725,   725,   725,   397,  1000,   725,   725,   725,   398,   725,
   725,    16,    16,   725,   399,   398,   725,   725,   399,   725,
   398,   725,   232,   725,   398,   725,   725,   242,   725,   725,
   725,   725,   725,   397,   725,   725,   725,   415,   415,   415,
   917,   239,   285,   398,   286,   287,    51,    51,   239,   285,
   725,   286,   287,   725,   725,   725,   725,   239,   725,   288,
   725,    43,   726,  1000,   244,   725,   288,    44,   725,   726,
   726,   726,   245,   398,   726,   726,   726,   289,   726,   380,
   380,   251,    51,    51,   289,   290,   726,   302,   726,   726,
   726,   134,   290,   697,   697,   316,   134,   134,   726,   726,
   359,   726,   726,   726,   726,   726,   239,   285,    43,   286,
   287,   291,   292,   772,    44,   317,   740,   772,   291,   292,
    43,   740,   320,   925,   288,   740,    44,   925,   726,   726,
   726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
   726,   726,   289,   939,   726,   726,   726,   359,   726,   726,
   290,   455,   726,   939,   377,   726,   726,   377,   726,   359,
   726,   332,   726,   817,   726,   726,   817,   726,   726,   726,
   726,   726,   866,   726,   333,   726,   291,   292,    85,   866,
   866,   866,   755,   755,  1150,   866,   866,  1150,   866,   726,
    85,   939,   726,   726,   726,   726,   866,   726,   455,   726,
    85,   818,   818,   939,   726,   456,   335,   726,   866,   866,
   455,   866,   866,   866,   866,   866,  1083,  1083,  1183,  1183,
   230,   340,   230,   230,   230,   230,   230,   336,   340,   675,
   710,   337,   710,   710,   710,   230,   710,   340,   866,   866,
   866,   866,   866,   866,   866,   866,   866,   866,   866,   866,
   866,   866,   456,   343,   866,   866,   866,   230,   866,   866,
   346,   347,   866,   349,   456,   866,   230,   230,   230,   230,
   866,   350,   866,   230,   866,   866,   675,   866,   866,   866,
   866,   866,   354,   866,   867,   866,   340,   356,   675,   363,
   365,   867,   867,   867,   371,   375,   376,   867,   867,   866,
   867,   378,   866,   866,   387,   866,   388,   866,   867,   867,
   392,   394,   403,   230,   866,   423,   429,   866,   431,   432,
   867,   867,   434,   867,   867,   867,   867,   867,   437,   441,
   451,   453,   231,   341,   231,   231,   231,   231,   231,   771,
   341,   771,   771,   454,   463,   771,   469,   231,   470,   341,
   867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
   867,   867,   867,   867,   473,   474,   867,   867,   867,   231,
   867,   867,   475,   478,   867,   479,   771,   867,   231,   231,
   231,   231,   867,   480,   867,   231,   867,   867,   490,   867,
   867,   867,   867,   867,   694,   867,   867,   867,   341,   502,
   342,   505,   508,   514,   694,   344,   360,   342,   522,   523,
   530,   867,   344,   360,   867,   867,   342,   867,   531,   867,
   391,   344,   360,   532,   533,   231,   867,   391,   558,   867,
     2,     2,     2,     2,     2,     2,   391,   694,   694,     2,
     2,   559,   694,   560,     2,   837,     2,     2,     2,     2,
     2,     2,     2,     8,     8,     8,     8,     8,     2,     2,
     2,     2,     2,     2,     2,   342,   564,     2,   580,   581,
   344,   360,   584,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,   391,     2,     2,     2,   401,
     2,     2,     2,     2,     2,   439,   401,   837,   586,   590,
   591,   595,   439,   604,   837,   401,   590,   605,   606,   837,
   616,   439,   620,   837,     2,   590,   621,     2,   623,   650,
     2,     2,   631,   658,     2,   660,     2,   667,   676,   631,
     2,   681,   837,   686,   528,   688,   646,   646,   631,     2,
   646,   646,   646,   690,     2,     2,     2,     2,   708,     2,
     2,     2,     2,   709,   401,   711,   718,     2,     2,   727,
   439,   736,   837,   744,   590,     2,   528,     2,     2,     2,
   528,   528,     2,     2,    38,    38,    38,    38,    38,    38,
   745,   746,   775,    38,    38,   778,   780,   631,    38,   786,
    38,    38,    38,    38,    38,    38,    38,    25,   787,   788,
   790,   792,    38,    38,    38,    38,    38,    38,    38,   800,
  1092,    38,  1092,  1092,  1092,   802,  1092,    38,    38,    38,
    38,    38,    38,    38,    38,    38,    38,    38,    38,   805,
    38,    38,    38,   808,    38,    38,    38,    38,    38,    25,
    25,    25,    25,    25,    25,    25,    25,    25,    25,    25,
   807,    25,    25,   809,   812,    25,    25,   807,    38,   820,
    25,    38,   807,   826,    38,    38,   807,   827,    38,   831,
    38,    25,   840,    25,    38,    25,    25,   844,    25,    25,
    25,    25,    25,    38,    25,   846,   861,   863,    38,    38,
    38,    38,  1099,    38,    38,    38,    38,   872,   885,  1099,
   888,    38,    38,   889,    25,   892,   894,   897,  1099,    38,
   898,    38,    38,    38,   900,   807,    38,    38,   132,   132,
   132,   132,   132,   132,   901,   903,   906,   132,   132,   919,
   927,   928,   132,   932,   132,   132,   132,   132,   132,   132,
   132,   331,   331,   331,   331,   331,   132,   132,   132,   132,
   132,   132,   132,   935,   940,   132,   959,  1099,   962,   963,
   444,   132,   132,   132,   132,   132,   132,   132,   132,   132,
   132,   132,   132,   972,   132,   132,   132,   977,   132,   132,
   132,   132,   132,   444,   444,   444,   444,   444,   444,   444,
   444,   444,   444,   444,   838,   444,   444,   980,   987,   444,
   444,   838,   132,   989,   996,   132,   838,   997,   132,   132,
   838,   998,   132,   999,   132,   444,  1025,   444,   132,   444,
   444,  1026,   444,   444,   444,   444,   444,   132,   444,  1031,
  1036,  1037,   132,   132,   132,   132,  1138,   132,   132,   132,
   132,  1038,  1039,  1138,  1040,   132,   132,  1041,   444,  1045,
   444,  1046,  1138,   132,  1049,   132,   132,   132,  1053,   838,
   132,   132,   215,   215,   215,   215,   215,   215,  1060,  1065,
  1066,   215,   215,  1068,  1069,  1070,   215,  1072,   215,   215,
   215,   215,   215,   215,   215,   370,   370,   370,   370,   370,
   215,   215,   215,   215,   215,   215,   215,  1073,  1074,   215,
  1089,  1138,  1100,  1103,   450,   215,   215,   215,   215,   215,
   215,   215,   215,   215,   215,   215,   215,  1104,   215,   215,
   215,  1105,   215,   215,   215,   215,   215,   450,   450,   450,
   450,   450,   450,   450,   450,   450,   450,   450,  1180,   450,
   450,  1106,  1117,   450,   450,  1180,   215,  1136,  1139,   215,
  1125,  1148,   215,   215,  1180,  1149,   215,  1154,   215,   450,
  1125,   450,   215,   450,   450,  1164,   450,   450,   450,   450,
   450,   215,   450,  1165,  1167,  1170,   215,   215,   215,   215,
  1173,   215,   215,   215,   215,  1174,  1175,  1176,  1178,   215,
   215,  1192,   450,  1125,  1125,  1197,  1199,   215,  1125,   215,
   215,   215,  1210,  1180,   215,   215,   227,   227,   227,   227,
   227,   227,  1211,  1217,  1218,   227,   227,  1219,  1220,  1229,
   227,   nil,   227,   227,   227,   227,   227,   227,   227,   578,
   578,   578,   578,   578,   227,   227,   227,   227,   227,   227,
   227,   nil,   nil,   227,   nil,   nil,   nil,   nil,   689,   227,
   227,   227,   227,   227,   227,   227,   227,   227,   227,   227,
   227,   nil,   227,   227,   227,   nil,   227,   227,   227,   227,
   227,   689,   689,   689,   689,   689,   689,   689,   689,   689,
   689,   689,   nil,   689,   689,   nil,   nil,   689,   689,   nil,
   227,   nil,   nil,   227,   nil,   nil,   227,   227,   nil,   nil,
   227,   nil,   227,   689,   nil,   689,   227,   689,   689,   nil,
   689,   689,   689,   689,   689,   227,   689,   nil,   nil,   nil,
   227,   227,   227,   227,   nil,   227,   227,   227,   227,   nil,
   nil,   nil,   nil,   227,   227,   nil,   689,   nil,   nil,   nil,
   nil,   227,   nil,   227,   227,   227,   nil,   nil,   227,   227,
   233,   233,   233,   233,   233,   233,   nil,   nil,   nil,   233,
   233,   nil,   nil,   nil,   233,   nil,   233,   233,   233,   233,
   233,   233,   233,   nil,   nil,   nil,   nil,   nil,   233,   233,
   233,   233,   233,   233,   233,   nil,   nil,   233,   nil,   nil,
   nil,   nil,   719,   233,   233,   233,   233,   233,   233,   233,
   233,   233,   233,   233,   233,   nil,   233,   233,   233,   nil,
   233,   233,   233,   233,   233,   719,   719,   719,   719,   719,
   719,   719,   719,   719,   719,   719,   nil,   719,   719,   nil,
   nil,   719,   719,   nil,   233,   nil,   nil,   233,   nil,   nil,
   233,   233,   nil,   nil,   233,   nil,   233,   719,   nil,   719,
   233,   719,   719,   nil,   719,   719,   719,   719,   719,   233,
   719,   nil,   nil,   nil,   233,   233,   233,   233,   nil,   233,
   233,   233,   233,   nil,   nil,   nil,   nil,   233,   233,   nil,
   719,   nil,   nil,   nil,   nil,   233,   nil,   233,   233,   233,
   nil,   nil,   233,   233,   250,   250,   250,   250,   250,   250,
   nil,   nil,   nil,   250,   250,   nil,   nil,   nil,   250,   nil,
   250,   250,   250,   250,   250,   250,   250,   nil,   nil,   nil,
   nil,   nil,   250,   250,   250,   250,   250,   250,   250,   nil,
  1190,   250,  1190,  1190,  1190,   nil,  1190,   250,   250,   250,
   250,   250,   250,   250,   250,   250,   250,   250,   250,   nil,
   250,   250,   250,   nil,   250,   250,   250,   250,   250,   314,
   314,   314,   314,   314,   314,   314,   314,   314,   314,   314,
   nil,   314,   314,   nil,   nil,   314,   314,   nil,   250,   nil,
   nil,   250,   nil,   nil,   250,   250,   nil,   nil,   250,   nil,
   250,   314,   nil,   314,   250,   314,   314,   nil,   314,   314,
   314,   314,   314,   250,   314,   nil,   nil,   nil,   250,   250,
   250,   250,   nil,   250,   250,   250,   250,   nil,   nil,   nil,
   nil,   250,   250,   nil,   314,   nil,   nil,   nil,   nil,   250,
   nil,   250,   250,   250,   nil,   nil,   250,   250,   334,   334,
   334,   334,   334,   334,   nil,   nil,   nil,   334,   334,   nil,
   nil,   nil,   334,   nil,   334,   334,   334,   334,   334,   334,
   334,   nil,   nil,   nil,   nil,   nil,   334,   334,   334,   334,
   334,   334,   334,   nil,   nil,   334,   nil,   nil,   nil,   nil,
   nil,   334,   334,   334,   334,   334,   334,   334,   334,   334,
   334,   334,   334,   nil,   334,   334,   334,   nil,   334,   334,
   334,   334,   334,   547,   547,   547,   547,   547,   547,   547,
   547,   547,   547,   547,   nil,   547,   547,   nil,   nil,   547,
   547,   nil,   334,   nil,   nil,   334,   nil,   nil,   334,   334,
   nil,   nil,   334,   nil,   334,   547,   nil,   547,   334,   547,
   547,   nil,   547,   547,   547,   547,   547,   334,   547,   nil,
   nil,   nil,   334,   334,   334,   334,   nil,   334,   334,   334,
   334,   nil,   nil,   nil,   nil,   334,   334,   547,   547,   nil,
   nil,   nil,   nil,   334,   nil,   334,   334,   334,   nil,   nil,
   334,   334,   339,   339,   339,   339,   339,   339,   nil,   nil,
   nil,   339,   339,   nil,   nil,   nil,   339,   nil,   339,   339,
   339,   339,   339,   339,   339,   nil,   nil,   nil,   nil,   nil,
   339,   339,   339,   339,   339,   339,   339,   nil,   nil,   339,
   nil,   nil,   nil,   nil,   nil,   339,   339,   339,   339,   339,
   339,   339,   339,   339,   339,   339,   339,   nil,   339,   339,
   339,   nil,   339,   339,   339,   339,   339,   602,   602,   602,
   602,   602,   602,   602,   602,   602,   602,   602,   nil,   602,
   602,   nil,   nil,   602,   602,   nil,   339,   nil,   nil,   339,
   nil,   nil,   339,   339,   nil,   nil,   339,   nil,   339,   602,
   nil,   602,   339,   602,   602,   nil,   602,   602,   602,   602,
   602,   339,   602,   nil,   nil,   nil,   339,   339,   339,   339,
   nil,   339,   339,   339,   339,   nil,   nil,   nil,   nil,   339,
   339,   nil,   602,   nil,   nil,   nil,   nil,   339,   nil,   339,
   339,   339,   nil,   nil,   339,   339,   369,   369,   369,   369,
   369,   369,   nil,   nil,   nil,   369,   369,   nil,   nil,   nil,
   369,   nil,   369,   369,   369,   369,   369,   369,   369,   nil,
   nil,   nil,   nil,   nil,   369,   369,   369,   369,   369,   369,
   369,   nil,   nil,   369,   nil,   nil,   nil,   nil,   nil,   369,
   369,   369,   369,   369,   369,   369,   369,   369,   369,   369,
   369,   nil,   369,   369,   369,   nil,   369,   369,   369,   369,
   369,   869,   869,   869,   869,   869,   869,   869,   869,   869,
   869,   869,   nil,   869,   869,   nil,   nil,   869,   869,   nil,
   369,   nil,   nil,   369,   nil,   nil,   369,   369,   nil,   nil,
   369,   nil,   369,   869,   nil,   869,   369,   869,   869,   nil,
   869,   869,   869,   869,   869,   369,   869,   nil,   nil,   nil,
   369,   369,   369,   369,   nil,   369,   369,   369,   369,   nil,
   nil,   nil,   nil,   369,   369,   nil,   869,   nil,   nil,   nil,
   nil,   369,   nil,   369,   369,   369,   nil,   nil,   369,   369,
   384,   384,   384,   384,   384,   384,   nil,   nil,   nil,   384,
   384,   nil,   nil,   nil,   384,   nil,   384,   384,   384,   384,
   384,   384,   384,   nil,   nil,   nil,   nil,   nil,   384,   384,
   384,   384,   384,   384,   384,   nil,   nil,   384,   nil,   nil,
   nil,   nil,   nil,   384,   384,   384,   384,   384,   384,   384,
   384,   384,   384,   384,   384,   nil,   384,   384,   384,   nil,
   384,   384,   384,   384,   384,  1004,  1004,  1004,  1004,  1004,
  1004,  1004,  1004,  1004,  1004,  1004,   nil,  1004,  1004,   nil,
   nil,  1004,  1004,   nil,   384,   nil,   nil,   384,   nil,   nil,
   384,   384,   nil,   nil,   384,   nil,   384,  1004,   nil,  1004,
   384,  1004,  1004,   nil,  1004,  1004,  1004,  1004,  1004,   384,
  1004,   nil,   nil,   nil,   384,   384,   384,   384,   nil,   384,
   384,   384,   384,   nil,   nil,   nil,   nil,   384,   384,   nil,
  1004,   nil,   nil,   nil,   nil,   384,   nil,   384,   384,   384,
   nil,   nil,   384,   384,   385,   385,   385,   385,   385,   385,
   nil,   nil,   nil,   385,   385,   nil,   nil,   nil,   385,   nil,
   385,   385,   385,   385,   385,   385,   385,   nil,   nil,   nil,
   nil,   nil,   385,   385,   385,   385,   385,   385,   385,   nil,
   nil,   385,   nil,   nil,   nil,   nil,   nil,   385,   385,   385,
   385,   385,   385,   385,   385,   385,   385,   385,   385,   nil,
   385,   385,   385,   nil,   385,   385,   385,   385,   385,  1005,
  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
   nil,  1005,  1005,   nil,   nil,  1005,  1005,   nil,   385,   nil,
   nil,   385,   nil,   nil,   385,   385,   nil,   nil,   385,   nil,
   385,  1005,   nil,  1005,   385,  1005,  1005,   nil,  1005,  1005,
  1005,  1005,  1005,   385,  1005,   nil,   nil,   nil,   385,   385,
   385,   385,   nil,   385,   385,   385,   385,   nil,   nil,   nil,
   nil,   385,   385,   nil,  1005,   nil,   nil,   nil,   nil,   385,
   nil,   385,   385,   385,   nil,   nil,   385,   385,   615,   615,
   615,   615,   615,   615,   nil,   nil,   nil,   615,   615,   nil,
   nil,   nil,   615,   nil,   615,   615,   615,   615,   615,   615,
   615,   nil,   nil,   nil,   nil,   nil,   615,   615,   615,   615,
   615,   615,   615,   nil,   nil,   615,   nil,   nil,   nil,   nil,
   nil,   615,   615,   615,   615,   615,   615,   615,   615,   615,
   615,   615,   615,   nil,   615,   615,   615,   nil,   615,   615,
   615,   615,   615,  1027,  1027,  1027,  1027,  1027,  1027,  1027,
  1027,  1027,  1027,  1027,   nil,  1027,  1027,   nil,   nil,  1027,
  1027,   nil,   615,   nil,   nil,   615,   nil,   nil,   615,   615,
   nil,   nil,   615,   nil,   615,  1027,   nil,  1027,   615,  1027,
  1027,   nil,  1027,  1027,  1027,  1027,  1027,   615,  1027,   nil,
   nil,   nil,   615,   615,   615,   615,   nil,   615,   615,   615,
   615,   nil,   nil,   nil,   nil,   615,   615,   nil,  1027,   nil,
   nil,   nil,   nil,   615,   nil,   615,   615,   615,   nil,   nil,
   615,   615,   618,   618,   618,   618,   618,   618,   nil,   nil,
   nil,   618,   618,   nil,   nil,   nil,   618,   nil,   618,   618,
   618,   618,   618,   618,   618,   nil,   nil,   nil,   nil,   nil,
   618,   618,   618,   618,   618,   618,   618,   nil,   nil,   618,
   nil,   nil,   nil,   nil,   nil,   618,   618,   618,   618,   618,
   618,   618,   618,   618,   618,   618,   618,   nil,   618,   618,
   618,   nil,   618,   618,   618,   618,   618,  1028,  1028,  1028,
  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,   nil,  1028,
  1028,   nil,   nil,  1028,  1028,   nil,   618,   nil,   nil,   618,
   nil,   nil,   618,   618,   nil,   nil,   618,   nil,   618,  1028,
   nil,  1028,   618,  1028,  1028,   nil,  1028,  1028,  1028,  1028,
  1028,   618,  1028,   nil,   nil,   nil,   618,   618,   618,   618,
   nil,   618,   618,   618,   618,   nil,   nil,   nil,   nil,   618,
   618,   nil,  1028,   nil,   nil,   nil,   nil,   618,   nil,   618,
   618,   618,   nil,   nil,   618,   618,   639,   639,   639,   639,
   639,   639,   nil,   nil,   nil,   639,   639,   nil,   nil,   nil,
   639,   nil,   639,   639,   639,   639,   639,   639,   639,   nil,
   nil,   nil,   nil,   nil,   639,   639,   639,   639,   639,   639,
   639,   nil,   nil,   639,   nil,   nil,   nil,   nil,   nil,   639,
   639,   639,   639,   639,   639,   639,   639,   639,   639,   639,
   639,   nil,   639,   639,   639,   nil,   639,   639,   639,   639,
   639,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
  1061,  1061,   nil,  1061,  1061,   nil,   nil,  1061,  1061,   nil,
   639,   nil,   nil,   639,   nil,   nil,   639,   639,   nil,   nil,
   639,   nil,   639,  1061,   nil,  1061,   639,  1061,  1061,   nil,
  1061,  1061,  1061,  1061,  1061,   639,  1061,   nil,   nil,   nil,
   639,   639,   639,   639,   nil,   639,   639,   639,   639,   nil,
   nil,   nil,   nil,   639,   639,   nil,  1061,   nil,   nil,   nil,
   nil,   639,   nil,   639,   639,   639,   nil,   nil,   639,   639,
   836,   836,   836,   836,   836,   836,   nil,   nil,   nil,   836,
   836,   nil,   nil,   nil,   836,   nil,   836,   836,   836,   836,
   836,   836,   836,   nil,   nil,   nil,   nil,   nil,   836,   836,
   836,   836,   836,   836,   836,   nil,   491,   836,   491,   491,
   491,   nil,   491,   836,   836,   836,   836,   836,   836,   836,
   836,   836,   836,   836,   836,   nil,   836,   836,   836,   nil,
   836,   836,   836,   836,   836,   706,   nil,   706,   706,   706,
   nil,   706,   nil,   491,   nil,   nil,   529,   nil,   nil,   nil,
   nil,   nil,   491,   nil,   836,   nil,   nil,   836,   nil,   nil,
   836,   836,   nil,   nil,   836,   907,   836,   907,   907,   907,
   836,   907,   706,   nil,   nil,   nil,   nil,   nil,   529,   836,
   nil,   706,   529,   529,   836,   836,   836,   836,   nil,   836,
   836,   836,   836,   nil,   nil,   nil,   nil,   836,   836,   nil,
   nil,   nil,   907,   nil,   nil,   836,   nil,   836,   836,   836,
   nil,   907,   836,   836,   841,   841,   841,   841,   841,   841,
   nil,   nil,   nil,   841,   841,   nil,   nil,   nil,   841,   nil,
   841,   841,   841,   841,   841,   841,   841,   nil,   nil,   nil,
   nil,   nil,   841,   841,   841,   841,   841,   841,   841,   nil,
   nil,   841,   nil,   nil,   nil,   nil,   nil,   841,   841,   841,
   841,   841,   841,   841,   841,   841,   841,   841,   841,   nil,
   841,   841,   841,   nil,   841,   841,   841,   841,   841,   361,
   361,   361,   361,   361,   361,   361,   361,   361,   361,   361,
   nil,   361,   361,   nil,   nil,   361,   361,   nil,   841,   nil,
   nil,   841,   nil,   nil,   841,   841,   nil,   543,   841,   nil,
   841,   361,   nil,   361,   841,   361,   361,   nil,   361,   361,
   361,   361,   361,   841,   361,   nil,   nil,   nil,   841,   841,
   841,   841,   nil,   841,   841,   841,   841,   nil,   nil,   543,
   nil,   841,   841,   543,   543,   nil,   543,   543,   nil,   841,
   nil,   841,   841,   841,   nil,   nil,   841,   841,   852,   852,
   852,   852,   852,   852,   nil,   nil,   nil,   852,   852,   nil,
   nil,   nil,   852,   nil,   852,   852,   852,   852,   852,   852,
   852,   nil,   nil,   nil,   nil,   nil,   852,   852,   852,   852,
   852,   852,   852,   nil,   nil,   852,   nil,   nil,   nil,   nil,
   nil,   852,   852,   852,   852,   852,   852,   852,   852,   852,
   852,   852,   852,   nil,   852,   852,   852,   nil,   852,   852,
   852,   852,   852,   362,   362,   362,   362,   362,   362,   362,
   362,   362,   362,   362,   nil,   362,   362,   nil,   nil,   362,
   362,   nil,   852,   nil,   nil,   852,   nil,   nil,   852,   852,
   nil,   544,   852,   nil,   852,   362,   nil,   362,   852,   362,
   362,   nil,   362,   362,   362,   362,   362,   852,   362,   nil,
   nil,   nil,   852,   852,   852,   852,   nil,   852,   852,   852,
   852,   nil,   nil,   544,   nil,   852,   852,   544,   544,   nil,
   544,   544,   nil,   852,   nil,   852,   852,   852,   nil,   nil,
   852,   852,   887,   887,   887,   887,   887,   887,   nil,   nil,
   nil,   887,   887,   nil,   nil,   nil,   887,   nil,   887,   887,
   887,   887,   887,   887,   887,   nil,   nil,   nil,   nil,   nil,
   887,   887,   887,   887,   887,   887,   887,   nil,   nil,   887,
   nil,   nil,   nil,   nil,   nil,   887,   887,   887,   887,   887,
   887,   887,   887,   887,   887,   887,   887,   nil,   887,   887,
   887,   nil,   887,   887,   887,   887,   887,   526,   526,   526,
   526,   526,   526,   526,   526,   526,   526,   526,   nil,   526,
   526,   nil,   nil,   526,   526,   nil,   887,   nil,   nil,   887,
   nil,   nil,   887,   887,   nil,   nil,   887,   nil,   887,   526,
   nil,   526,   887,   526,   526,   nil,   526,   526,   526,   526,
   526,   887,   526,   nil,   nil,   nil,   887,   887,   887,   887,
   nil,   887,   887,   887,   887,   nil,   nil,   nil,   nil,   887,
   887,   nil,   908,   nil,   908,   908,   908,   887,   908,   887,
   887,   887,   nil,   nil,   887,   887,   967,   967,   967,   967,
   967,   967,   nil,   nil,   nil,   967,   967,   nil,   nil,   nil,
   967,   nil,   967,   967,   967,   967,   967,   967,   967,   908,
   nil,   nil,   nil,   nil,   967,   967,   967,   967,   967,   967,
   967,   nil,   nil,   967,   nil,   nil,   nil,   nil,   nil,   967,
   967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
   967,   nil,   967,   967,   967,   nil,   967,   967,   967,   967,
   967,   527,   527,   527,   527,   527,   527,   527,   527,   527,
   527,   527,   nil,   527,   527,   nil,   nil,   527,   527,   nil,
   967,   nil,   nil,   967,   nil,   nil,   967,   967,   nil,   nil,
   967,   nil,   967,   527,   nil,   527,   967,   527,   527,   nil,
   527,   527,   527,   527,   527,   967,   527,   nil,   nil,   nil,
   967,   967,   967,   967,   nil,   967,   967,   967,   967,   nil,
   nil,   nil,   nil,   967,   967,   nil,  1107,   nil,  1107,  1107,
  1107,   967,  1107,   967,   967,   967,   nil,   nil,   967,   967,
   985,   985,   985,   985,   985,   985,   nil,   nil,   nil,   985,
   985,   nil,   nil,   nil,   985,   nil,   985,   985,   985,   985,
   985,   985,   985,  1107,   nil,   nil,   nil,   nil,   985,   985,
   985,   985,   985,   985,   985,   nil,  1108,   985,  1108,  1108,
  1108,   nil,  1108,   985,   985,   985,   985,   985,   985,   985,
   985,   985,   985,   985,   985,   nil,   985,   985,   985,   nil,
   985,   985,   985,   985,   985,   537,   537,   537,   537,   537,
   537,   537,   nil,  1108,   537,   537,   nil,   nil,   nil,   nil,
   nil,   537,   537,   nil,   985,   nil,   nil,   985,   nil,   nil,
   985,   985,   nil,   nil,   985,   nil,   985,   537,   nil,   537,
   985,   537,   537,   nil,   537,   537,   537,   537,   537,   985,
   537,   nil,   nil,   nil,   985,   985,   985,   985,   nil,   985,
   985,   985,   985,   nil,   nil,   nil,   nil,   985,   985,   nil,
   nil,   nil,   nil,   nil,   nil,   985,   nil,   985,   985,   985,
   nil,   nil,   985,   985,   991,   991,   991,   991,   991,   991,
   nil,   nil,   nil,   991,   991,   nil,   nil,   nil,   991,   nil,
   991,   991,   991,   991,   991,   991,   991,   nil,   nil,   nil,
   nil,   nil,   991,   991,   991,   991,   991,   991,   991,   nil,
   nil,   991,   nil,   nil,   nil,   nil,   nil,   991,   991,   991,
   991,   991,   991,   991,   991,   991,   991,   991,   991,   nil,
   991,   991,   991,   nil,   991,   991,   991,   991,   991,   538,
   538,   538,   538,   538,   538,   538,   nil,   nil,   538,   538,
   nil,   nil,   nil,   nil,   nil,   538,   538,   nil,   991,   nil,
   nil,   991,   nil,   nil,   991,   991,   nil,   nil,   991,   nil,
   991,   538,   nil,   538,   991,   538,   538,   nil,   538,   538,
   538,   538,   538,   991,   538,   nil,   nil,   nil,   991,   991,
   991,   991,   nil,   991,   991,   991,   991,   nil,   nil,   nil,
   nil,   991,   991,   nil,   nil,   nil,   nil,   nil,   nil,   991,
   nil,   991,   991,   991,   nil,   nil,   991,   991,  1007,  1007,
  1007,  1007,  1007,  1007,   nil,   nil,   nil,  1007,  1007,   nil,
   nil,   nil,  1007,   nil,  1007,  1007,  1007,  1007,  1007,  1007,
  1007,   nil,   nil,   nil,   nil,   nil,  1007,  1007,  1007,  1007,
  1007,  1007,  1007,   nil,   nil,  1007,   nil,   nil,   nil,   nil,
   nil,  1007,  1007,  1007,  1007,  1007,  1007,  1007,  1007,  1007,
  1007,  1007,  1007,   nil,  1007,  1007,  1007,   nil,  1007,  1007,
  1007,  1007,  1007,   539,   539,   539,   539,   539,   539,   539,
   nil,   nil,   539,   539,   nil,   nil,   nil,   nil,   nil,   539,
   539,   nil,  1007,   nil,   nil,  1007,   nil,   nil,  1007,  1007,
   nil,   nil,  1007,   nil,  1007,   539,   nil,   539,  1007,   539,
   539,   nil,   539,   539,   539,   539,   539,  1007,   539,   nil,
   nil,   nil,  1007,  1007,  1007,  1007,   nil,  1007,  1007,  1007,
  1007,   nil,   nil,   nil,   nil,  1007,  1007,   nil,   nil,   nil,
   nil,   nil,   nil,  1007,   nil,  1007,  1007,  1007,   nil,   nil,
  1007,  1007,  1062,  1062,  1062,  1062,  1062,  1062,   nil,   nil,
   nil,  1062,  1062,   nil,   nil,   nil,  1062,   nil,  1062,  1062,
  1062,  1062,  1062,  1062,  1062,   nil,   nil,   nil,   nil,   nil,
  1062,  1062,  1062,  1062,  1062,  1062,  1062,   nil,   nil,  1062,
   nil,   nil,   nil,   nil,   nil,  1062,  1062,  1062,  1062,  1062,
  1062,  1062,  1062,  1062,  1062,  1062,  1062,   nil,  1062,  1062,
  1062,   nil,  1062,  1062,  1062,  1062,  1062,   540,   540,   540,
   540,   540,   540,   540,   nil,   nil,   540,   540,   nil,   nil,
   nil,   nil,   nil,   540,   540,   nil,  1062,   nil,   nil,  1062,
   nil,   nil,  1062,  1062,   nil,   nil,  1062,   nil,  1062,   540,
   nil,   540,  1062,   540,   540,   nil,   540,   540,   540,   540,
   540,  1062,   540,   nil,   nil,   nil,  1062,  1062,  1062,  1062,
   nil,  1062,  1062,  1062,  1062,   nil,   nil,   nil,   nil,  1062,
  1062,   nil,   nil,   nil,   nil,   nil,   nil,  1062,   nil,  1062,
  1062,  1062,   nil,   nil,  1062,  1062,  1090,  1090,  1090,  1090,
  1090,  1090,   nil,   nil,   nil,  1090,  1090,   nil,   nil,   nil,
  1090,   nil,  1090,  1090,  1090,  1090,  1090,  1090,  1090,   nil,
   nil,   nil,   nil,   nil,  1090,  1090,  1090,  1090,  1090,  1090,
  1090,   nil,   nil,  1090,   nil,   nil,   nil,   nil,   nil,  1090,
  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,
  1090,   nil,  1090,  1090,  1090,   nil,  1090,  1090,  1090,  1090,
  1090,   541,   541,   541,   541,   541,   541,   541,   nil,   nil,
   541,   541,   nil,   nil,   nil,   nil,   nil,   541,   541,   nil,
  1090,   nil,   nil,  1090,   nil,   nil,  1090,  1090,   nil,   nil,
  1090,   nil,  1090,   541,   nil,   541,  1090,   541,   541,   nil,
   541,   541,   541,   541,   541,  1090,   541,   nil,   nil,   nil,
  1090,  1090,  1090,  1090,   nil,  1090,  1090,  1090,  1090,   nil,
   nil,   nil,   nil,  1090,  1090,   nil,   nil,   nil,   nil,   nil,
   nil,  1090,   nil,  1090,  1090,  1090,   nil,   nil,  1090,  1090,
  1091,  1091,  1091,  1091,  1091,  1091,   nil,   nil,   nil,  1091,
  1091,   nil,   nil,   nil,  1091,   nil,  1091,  1091,  1091,  1091,
  1091,  1091,  1091,   nil,   nil,   nil,   nil,   nil,  1091,  1091,
  1091,  1091,  1091,  1091,  1091,   nil,   nil,  1091,   nil,   nil,
   nil,   nil,   nil,  1091,  1091,  1091,  1091,  1091,  1091,  1091,
  1091,  1091,  1091,  1091,  1091,   nil,  1091,  1091,  1091,   nil,
  1091,  1091,  1091,  1091,  1091,   542,   542,   542,   542,   542,
   542,   542,   nil,   nil,   542,   542,   nil,   nil,   nil,   nil,
   nil,   542,   542,   nil,  1091,   nil,   nil,  1091,   nil,   nil,
  1091,  1091,   nil,   nil,  1091,   nil,  1091,   542,   nil,   542,
  1091,   542,   542,   nil,   542,   542,   542,   542,   542,  1091,
   542,   nil,   nil,   nil,  1091,  1091,  1091,  1091,   nil,  1091,
  1091,  1091,  1091,   nil,   nil,   nil,   nil,  1091,  1091,   nil,
   nil,   nil,   nil,   nil,   nil,  1091,   nil,  1091,  1091,  1091,
   nil,   nil,  1091,  1091,  1096,  1096,  1096,  1096,  1096,  1096,
   nil,   nil,   nil,  1096,  1096,   nil,   nil,   nil,  1096,   nil,
  1096,  1096,  1096,  1096,  1096,  1096,  1096,   nil,   nil,   nil,
   nil,   nil,  1096,  1096,  1096,  1096,  1096,  1096,  1096,   nil,
   nil,  1096,   nil,   nil,   nil,   nil,   nil,  1096,  1096,  1096,
  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,   nil,
  1096,  1096,  1096,   nil,  1096,  1096,  1096,  1096,  1096,   545,
   545,   545,   545,   545,   545,   545,   nil,   nil,   545,   545,
   nil,   nil,   nil,   nil,   nil,   545,   545,   nil,  1096,   nil,
   nil,  1096,   nil,   nil,  1096,  1096,   nil,   nil,  1096,   nil,
  1096,   545,   nil,   545,  1096,   545,   545,   nil,   545,   545,
   545,   545,   545,  1096,   545,   nil,   nil,   nil,  1096,  1096,
  1096,  1096,   nil,  1096,  1096,  1096,  1096,   nil,   nil,   nil,
   nil,  1096,  1096,   nil,   nil,   nil,   nil,   nil,   nil,  1096,
   nil,  1096,  1096,  1096,   nil,   nil,  1096,  1096,  1140,  1140,
  1140,  1140,  1140,  1140,   nil,   nil,   nil,  1140,  1140,   nil,
   nil,   nil,  1140,   nil,  1140,  1140,  1140,  1140,  1140,  1140,
  1140,   nil,   nil,   nil,   nil,   nil,  1140,  1140,  1140,  1140,
  1140,  1140,  1140,   nil,   nil,  1140,   nil,   nil,   nil,   nil,
   nil,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
  1140,  1140,  1140,   nil,  1140,  1140,  1140,   nil,  1140,  1140,
  1140,  1140,  1140,   546,   546,   546,   546,   546,   546,   546,
   546,   nil,   546,   546,   nil,   nil,   nil,   nil,   nil,   546,
   546,   nil,  1140,   nil,   nil,  1140,   nil,   nil,  1140,  1140,
   nil,   nil,  1140,   nil,  1140,   546,   nil,   546,  1140,   546,
   546,   nil,   546,   546,   546,   546,   546,  1140,   546,   nil,
   nil,   nil,  1140,  1140,  1140,  1140,   nil,  1140,  1140,  1140,
  1140,   nil,   nil,   nil,   nil,  1140,  1140,   nil,   nil,   nil,
   nil,   nil,   nil,  1140,   nil,  1140,  1140,  1140,   nil,   nil,
  1140,  1140,  1184,  1184,  1184,  1184,  1184,  1184,   nil,   nil,
   nil,  1184,  1184,   nil,   nil,   nil,  1184,   nil,  1184,  1184,
  1184,  1184,  1184,  1184,  1184,   nil,   nil,   nil,   nil,   nil,
  1184,  1184,  1184,  1184,  1184,  1184,  1184,   nil,   nil,  1184,
   nil,   nil,   nil,   nil,   nil,  1184,  1184,  1184,  1184,  1184,
  1184,  1184,  1184,  1184,  1184,  1184,  1184,   nil,  1184,  1184,
  1184,   nil,  1184,  1184,  1184,  1184,  1184,   548,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   548,   548,   nil,  1184,   nil,   nil,  1184,
   nil,   nil,  1184,  1184,   nil,   nil,  1184,   nil,  1184,   548,
   nil,   548,  1184,   548,   548,   nil,   548,   548,   nil,   nil,
   548,  1184,   548,   nil,   nil,   nil,  1184,  1184,  1184,  1184,
   nil,  1184,  1184,  1184,  1184,   nil,   nil,   nil,   nil,  1184,
  1184,   nil,   nil,   nil,   nil,   nil,   nil,  1184,   nil,  1184,
  1184,  1184,   nil,   nil,  1184,  1184,     7,     7,     7,     7,
     7,   nil,   nil,   nil,     7,     7,   nil,   nil,   nil,     7,
   nil,     7,     7,     7,     7,     7,     7,     7,   nil,   nil,
   nil,   nil,   nil,     7,     7,     7,     7,     7,     7,     7,
   nil,   nil,     7,   nil,   nil,   nil,   nil,   nil,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
   nil,     7,     7,     7,   nil,     7,     7,     7,     7,     7,
   601,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   601,   601,   nil,     7,
   nil,   nil,     7,   nil,   nil,     7,     7,   nil,   nil,     7,
   nil,     7,   601,   nil,   601,     7,   601,   601,   nil,   601,
   601,   nil,   nil,   601,     7,   601,   nil,   nil,   nil,     7,
     7,     7,     7,   nil,     7,     7,     7,     7,   nil,   nil,
   nil,   nil,     7,     7,   nil,   nil,   nil,    24,    24,    24,
     7,    24,     7,     7,     7,    24,    24,     7,     7,   nil,
    24,   nil,    24,    24,    24,    24,    24,    24,    24,   nil,
   nil,   nil,   nil,   nil,    24,    24,    24,    24,    24,    24,
    24,   nil,   nil,    24,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,    24,    24,    24,    24,    24,    24,    24,
    24,   nil,    24,    24,    24,   nil,    24,    24,    24,    24,
    24,   534,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   534,   534,   nil,
    24,   nil,   nil,    24,   nil,   nil,    24,    24,   nil,   nil,
    24,   nil,   nil,   534,   nil,   534,    24,   534,   534,   nil,
   534,   534,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,
    24,    24,    24,    24,   nil,    24,    24,    24,    24,   nil,
   nil,   nil,   nil,    24,    24,   nil,   nil,   nil,   nil,   nil,
   nil,    24,   nil,    24,    24,    24,    32,   nil,    24,    24,
   nil,   nil,   nil,    32,    32,    32,   nil,   nil,    32,    32,
    32,   535,    32,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    32,    32,    32,    32,   nil,   nil,   nil,   535,   535,   nil,
   nil,   nil,    32,    32,   nil,    32,    32,    32,    32,    32,
   nil,   nil,   nil,   535,   nil,   535,   nil,   535,   535,   nil,
   535,   535,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    32,    32,    32,    32,    32,    32,    32,    32,
    32,    32,    32,    32,    32,    32,   nil,   nil,    32,    32,
    32,   nil,   nil,    32,   nil,    32,    32,   nil,   nil,    32,
    32,   nil,    32,   nil,    32,   nil,    32,   nil,    32,    32,
   nil,    32,    32,    32,    32,    32,    33,    32,    32,    32,
   nil,   nil,   nil,    33,    33,    33,   nil,   nil,    33,    33,
    33,   nil,    33,    32,   536,   nil,    32,    32,   nil,    32,
    33,    32,    33,    33,   nil,   nil,   nil,   nil,    32,   nil,
   536,   536,    33,    33,   nil,    33,    33,    33,    33,    33,
   nil,   nil,   nil,   nil,   nil,   nil,   536,   nil,   nil,   nil,
   536,   536,   nil,   536,   536,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    33,    33,    33,    33,    33,    33,    33,    33,
    33,    33,    33,    33,    33,    33,   nil,   nil,    33,    33,
    33,   nil,   nil,    33,   nil,    33,    33,   nil,   nil,    33,
    33,   nil,    33,   nil,    33,   nil,    33,   nil,    33,    33,
   nil,    33,    33,    33,    33,    33,   nil,    33,   nil,    33,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    33,   nil,   nil,    33,    33,   nil,    33,
   nil,    33,    34,    34,    34,   nil,    34,   nil,    33,   nil,
    34,    34,   nil,   nil,   nil,    34,   nil,    34,    34,    34,
    34,    34,    34,    34,   nil,   nil,   nil,   nil,   nil,    34,
    34,    34,    34,    34,    34,    34,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,    34,    34,
    34,    34,    34,    34,    34,    34,    34,    34,    34,    34,
   nil,    34,    34,    34,    34,    34,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,    34,   nil,
   nil,    34,    34,   nil,   nil,    34,   nil,    34,   nil,    34,
   nil,    34,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
    34,   nil,   nil,   nil,   nil,    34,    34,    34,    34,   nil,
    34,    34,    34,    34,   nil,   nil,   nil,   nil,    34,    34,
   nil,   nil,   nil,    35,    35,    35,    34,    35,    34,    34,
    34,    35,    35,    34,    34,   nil,    35,   nil,    35,    35,
    35,    35,    35,    35,    35,   nil,   nil,   nil,   nil,   nil,
    35,    35,    35,    35,    35,    35,    35,   nil,   nil,    35,
   nil,   nil,   nil,   nil,   nil,   nil,    35,   nil,   nil,    35,
    35,    35,    35,    35,    35,    35,    35,    35,    35,    35,
    35,   nil,    35,    35,    35,    35,    35,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    35,   nil,   nil,    35,
   nil,   nil,    35,    35,   nil,   nil,    35,   nil,    35,   nil,
    35,   nil,    35,   nil,   nil,    35,   nil,   nil,   nil,   nil,
   nil,    35,   nil,   nil,   nil,   nil,    35,    35,    35,    35,
   nil,    35,    35,    35,    35,   nil,   nil,   nil,   nil,    35,
    35,   nil,   nil,   nil,    36,    36,    36,    35,    36,    35,
    35,    35,    36,    36,    35,    35,   nil,    36,   nil,    36,
    36,    36,    36,    36,    36,    36,   nil,   nil,   nil,   nil,
   nil,    36,    36,    36,    36,    36,    36,    36,   nil,   nil,
    36,   nil,   nil,   nil,   nil,   nil,   nil,    36,   nil,   nil,
    36,    36,    36,    36,    36,    36,    36,    36,    36,    36,
    36,    36,   nil,    36,    36,    36,    36,    36,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    36,   nil,   nil,
    36,   nil,   nil,    36,    36,   nil,   nil,    36,   nil,    36,
   nil,    36,   nil,    36,   nil,   nil,    36,   nil,   nil,   nil,
   nil,   nil,    36,   nil,   nil,   nil,   nil,    36,    36,    36,
    36,   nil,    36,    36,    36,    36,   nil,   nil,   nil,   nil,
    36,    36,   nil,   nil,   nil,    46,    46,    46,    36,    46,
    36,    36,    36,    46,    46,    36,    36,   nil,    46,   nil,
    46,    46,    46,    46,    46,    46,    46,   nil,   nil,   nil,
   nil,   nil,    46,    46,    46,    46,    46,    46,    46,   nil,
   nil,    46,   nil,   nil,   nil,   nil,   nil,   nil,    46,   nil,
   nil,    46,    46,    46,    46,    46,    46,    46,    46,   nil,
    46,    46,    46,   nil,    46,    46,    46,    46,    46,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    46,   nil,
   nil,    46,   nil,   nil,    46,    46,   nil,   nil,    46,   nil,
   nil,   nil,   nil,   nil,    46,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    46,   nil,   nil,   nil,   nil,    46,    46,
    46,    46,   nil,    46,    46,    46,    46,   nil,   nil,   nil,
   nil,    46,    46,   nil,   nil,   nil,    47,    47,    47,    46,
    47,    46,    46,    46,    47,    47,    46,    46,   nil,    47,
   nil,    47,    47,    47,    47,    47,    47,    47,   nil,   nil,
   nil,   nil,   nil,    47,    47,    47,    47,    47,    47,    47,
   nil,   nil,    47,   nil,   nil,   nil,   nil,   nil,   nil,    47,
   nil,   nil,    47,    47,    47,    47,    47,    47,    47,    47,
   nil,    47,    47,    47,   nil,    47,    47,    47,    47,    47,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    47,
   nil,   nil,    47,   nil,   nil,    47,    47,   nil,   nil,    47,
   nil,   nil,   nil,   nil,   nil,    47,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    47,   nil,   nil,   nil,   nil,    47,
    47,    47,    47,   nil,    47,    47,    47,    47,   nil,   nil,
   nil,   nil,    47,    47,   nil,   nil,   nil,    49,    49,    49,
    47,    49,    47,    47,    47,    49,    49,    47,    47,   nil,
    49,   nil,    49,    49,    49,    49,    49,    49,    49,   nil,
   nil,   nil,   nil,   nil,    49,    49,    49,    49,    49,    49,
    49,   nil,   nil,    49,   nil,   nil,   nil,   nil,   nil,   nil,
    49,   nil,   nil,    49,    49,    49,    49,    49,    49,    49,
    49,   nil,    49,    49,    49,   nil,    49,    49,    49,    49,
    49,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    49,   nil,   nil,    49,   nil,   nil,    49,    49,   nil,   nil,
    49,   nil,   nil,   nil,   nil,   nil,    49,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    49,   nil,   nil,   nil,   nil,
    49,    49,    49,    49,   nil,    49,    49,    49,    49,   nil,
   nil,   nil,   nil,    49,    49,   nil,   nil,   nil,    50,    50,
    50,    49,    50,    49,    49,    49,    50,    50,    49,    49,
   nil,    50,   nil,    50,    50,    50,    50,    50,    50,    50,
   nil,   nil,   nil,   nil,   nil,    50,    50,    50,    50,    50,
    50,    50,   nil,   nil,    50,   nil,   nil,   nil,   nil,   nil,
   nil,    50,   nil,   nil,    50,    50,    50,    50,    50,    50,
    50,    50,   nil,    50,    50,    50,   nil,    50,    50,    50,
    50,    50,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    50,   nil,   nil,    50,   nil,   nil,    50,    50,   nil,
   nil,    50,   nil,   nil,   nil,   nil,   nil,    50,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    50,   nil,   nil,   nil,
   nil,    50,    50,    50,    50,   nil,    50,    50,    50,    50,
   nil,   nil,   nil,   nil,    50,    50,   nil,   nil,   nil,    52,
    52,    52,    50,    52,    50,    50,    50,    52,    52,    50,
    50,   nil,    52,   nil,    52,    52,    52,    52,    52,    52,
    52,   nil,   nil,   nil,   nil,   nil,    52,    52,    52,    52,
    52,    52,    52,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,    52,    52,    52,    52,    52,
    52,    52,    52,   nil,    52,    52,    52,   nil,    52,    52,
    52,    52,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,    52,   nil,   nil,    52,    52,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,    52,    52,    52,    52,   nil,    52,    52,    52,
    52,   nil,   nil,   nil,   nil,    52,    52,   nil,   nil,   nil,
   nil,   nil,   nil,    52,   nil,    52,    52,    52,    64,   nil,
    52,    52,   nil,   nil,   nil,    64,    64,    64,   nil,   nil,
    64,    64,    64,   nil,    64,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    64,   nil,    64,    64,    64,   nil,   nil,   nil,
   758,   758,   758,   758,    64,    64,   nil,    64,    64,    64,
    64,    64,   nil,   nil,   nil,   nil,   758,   758,   758,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   758,
   758,   nil,   nil,   758,    64,    64,    64,    64,    64,    64,
    64,    64,    64,    64,    64,    64,    64,    64,   nil,   nil,
    64,    64,    64,   nil,   nil,    64,   nil,   nil,    64,   nil,
   nil,    64,    64,   nil,    64,   nil,    64,   nil,    64,   nil,
    64,    64,   nil,    64,    64,    64,    64,    64,   nil,    64,
   nil,    64,   nil,   758,   758,   758,   758,   nil,   758,   758,
   758,   758,   nil,   nil,   nil,    64,   758,   758,    64,    64,
    64,    64,   nil,    64,   758,    64,   758,   758,   758,   nil,
    64,    66,    66,    66,    66,    66,   nil,   nil,   nil,    66,
    66,   nil,   nil,   nil,    66,   nil,    66,    66,    66,    66,
    66,    66,    66,   nil,   nil,   nil,   nil,   nil,    66,    66,
    66,    66,    66,    66,    66,   nil,   nil,    66,   nil,   nil,
   nil,   nil,   nil,    66,    66,   nil,    66,    66,    66,    66,
    66,    66,    66,    66,    66,   nil,    66,    66,    66,   nil,
    66,    66,    66,    66,    66,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    66,   nil,   nil,    66,   nil,   nil,
    66,    66,   nil,   nil,    66,   nil,    66,   nil,   nil,   nil,
    66,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    66,
   nil,   nil,   nil,   nil,    66,    66,    66,    66,   nil,    66,
    66,    66,    66,   nil,   nil,   nil,   nil,    66,    66,   nil,
   nil,   nil,    67,    67,    67,    66,    67,    66,    66,    66,
    67,    67,    66,    66,   nil,    67,   nil,    67,    67,    67,
    67,    67,    67,    67,   nil,   nil,   nil,   nil,   nil,    67,
    67,    67,    67,    67,    67,    67,   nil,   nil,    67,   nil,
   nil,   nil,   nil,   nil,   nil,    67,   nil,   nil,    67,    67,
    67,    67,    67,    67,    67,    67,    67,    67,    67,    67,
   nil,    67,    67,    67,    67,    67,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    67,   nil,   nil,    67,   nil,
   nil,    67,    67,   nil,   nil,    67,   nil,    67,   nil,   nil,
   nil,    67,   nil,   nil,    67,   nil,   nil,   nil,   nil,   nil,
    67,   nil,   nil,   nil,   nil,    67,    67,    67,    67,   nil,
    67,    67,    67,    67,   nil,   nil,   nil,   nil,    67,    67,
   nil,   nil,   nil,    68,    68,    68,    67,    68,    67,    67,
    67,    68,    68,    67,    67,   nil,    68,   nil,    68,    68,
    68,    68,    68,    68,    68,   nil,   nil,   nil,   nil,   nil,
    68,    68,    68,    68,    68,    68,    68,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,   nil,    68,   nil,   nil,    68,
    68,    68,    68,    68,    68,    68,    68,    68,    68,    68,
    68,   nil,    68,    68,    68,    68,    68,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    68,   nil,   nil,    68,
   nil,   nil,    68,    68,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    68,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    68,   nil,   nil,   nil,   nil,    68,    68,    68,    68,
   nil,    68,    68,    68,    68,   nil,   nil,   nil,   nil,    68,
    68,   nil,   nil,   nil,    71,    71,    71,    68,    71,    68,
    68,    68,    71,    71,    68,    68,   nil,    71,   nil,    71,
    71,    71,    71,    71,    71,    71,   nil,   nil,   nil,   nil,
   nil,    71,    71,    71,    71,    71,    71,    71,   nil,   nil,
    71,   nil,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,
    71,    71,    71,    71,    71,    71,    71,    71,   nil,    71,
    71,    71,   nil,    71,    71,    71,    71,    71,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,
    71,   nil,   nil,    71,    71,   nil,   nil,    71,   nil,   nil,
   nil,   nil,   nil,    71,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    71,   nil,   nil,   nil,   nil,    71,    71,    71,
    71,   nil,    71,    71,    71,    71,   nil,   nil,   nil,   nil,
    71,    71,   nil,   nil,   nil,    72,    72,    72,    71,    72,
    71,    71,    71,    72,    72,    71,    71,   nil,    72,   nil,
    72,    72,    72,    72,    72,    72,    72,   nil,   nil,   nil,
   nil,   nil,    72,    72,    72,    72,    72,    72,    72,   nil,
   nil,    72,   nil,   nil,   nil,   nil,   nil,   nil,    72,   nil,
   nil,    72,    72,    72,    72,    72,    72,    72,    72,   nil,
    72,    72,    72,   nil,    72,    72,    72,    72,    72,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    72,   nil,
   nil,    72,   nil,   nil,    72,    72,   nil,   nil,    72,   nil,
   nil,   nil,   nil,   nil,    72,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    72,   nil,   nil,   nil,   nil,    72,    72,
    72,    72,   nil,    72,    72,    72,    72,   nil,   nil,   nil,
   nil,    72,    72,   nil,   nil,   nil,    75,    75,    75,    72,
    75,    72,    72,    72,    75,    75,    72,    72,   nil,    75,
   nil,    75,    75,    75,    75,    75,    75,    75,   nil,   nil,
   nil,   nil,   nil,    75,    75,    75,    75,    75,    75,    75,
   nil,   nil,    75,   nil,   nil,   nil,   nil,   nil,   nil,    75,
   nil,   nil,    75,    75,    75,    75,    75,    75,    75,    75,
   nil,    75,    75,    75,   nil,    75,    75,    75,    75,    75,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    75,
   nil,   nil,    75,   nil,   nil,    75,    75,   nil,   nil,    75,
   nil,   nil,   nil,   nil,   nil,    75,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    75,   nil,   nil,   nil,   nil,    75,
    75,    75,    75,   nil,    75,    75,    75,    75,   nil,   nil,
   nil,   nil,    75,    75,    75,   nil,   nil,   nil,   nil,    75,
    75,   nil,    75,    75,    75,   nil,   nil,    75,    75,   121,
   121,   121,   121,   121,   nil,   nil,   nil,   121,   121,   nil,
   nil,   nil,   121,   nil,   121,   121,   121,   121,   121,   121,
   121,   nil,   nil,   nil,   nil,   nil,   121,   121,   121,   121,
   121,   121,   121,   nil,   nil,   121,   nil,   nil,   nil,   nil,
   nil,   121,   121,   121,   121,   121,   121,   121,   121,   121,
   121,   121,   121,   nil,   121,   121,   121,   nil,   121,   121,
   121,   121,   121,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   121,   nil,   nil,   121,   nil,   nil,   121,   121,
   nil,   nil,   121,   nil,   121,   nil,   nil,   nil,   121,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   121,   nil,   nil,
   nil,   nil,   121,   121,   121,   121,   nil,   121,   121,   121,
   121,   nil,   nil,   nil,   nil,   121,   121,   nil,   nil,   nil,
   nil,   nil,   121,   121,   nil,   121,   121,   121,   nil,   nil,
   121,   121,   126,   126,   126,   nil,   126,   nil,   nil,   nil,
   126,   126,   nil,   nil,   nil,   126,   nil,   126,   126,   126,
   126,   126,   126,   126,   nil,   nil,   nil,   nil,   nil,   126,
   126,   126,   126,   126,   126,   126,   nil,   nil,   126,   nil,
   nil,   nil,   nil,   nil,   nil,   126,   nil,   nil,   126,   126,
   126,   126,   126,   126,   126,   126,   nil,   126,   126,   126,
   nil,   126,   126,   126,   126,   126,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   126,   nil,   nil,   126,   nil,
   nil,   126,   126,   nil,   nil,   126,   nil,   nil,   nil,   nil,
   nil,   126,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   126,   nil,   nil,   nil,   nil,   126,   126,   126,   126,   nil,
   126,   126,   126,   126,   nil,   nil,   nil,   nil,   126,   126,
   nil,   nil,   nil,   127,   127,   127,   126,   127,   126,   126,
   126,   127,   127,   126,   126,   nil,   127,   nil,   127,   127,
   127,   127,   127,   127,   127,   nil,   nil,   nil,   nil,   nil,
   127,   127,   127,   127,   127,   127,   127,   nil,   nil,   127,
   nil,   nil,   nil,   nil,   nil,   nil,   127,   nil,   nil,   127,
   127,   127,   127,   127,   127,   127,   127,   nil,   127,   127,
   127,   nil,   127,   127,   127,   127,   127,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   127,   nil,   nil,   127,
   nil,   nil,   127,   127,   nil,   nil,   127,   nil,   nil,   nil,
   nil,   nil,   127,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   127,   nil,   nil,   nil,   nil,   127,   127,   127,   127,
   nil,   127,   127,   127,   127,   nil,   nil,   nil,   nil,   127,
   127,   nil,   nil,   nil,   128,   128,   128,   127,   128,   127,
   127,   127,   128,   128,   127,   127,   nil,   128,   nil,   128,
   128,   128,   128,   128,   128,   128,   nil,   nil,   nil,   nil,
   nil,   128,   128,   128,   128,   128,   128,   128,   nil,   nil,
   128,   nil,   nil,   nil,   nil,   nil,   nil,   128,   nil,   nil,
   128,   128,   128,   128,   128,   128,   128,   128,   nil,   128,
   128,   128,   nil,   128,   128,   128,   128,   128,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   128,   nil,   nil,
   128,   nil,   nil,   128,   128,   nil,   nil,   128,   nil,   nil,
   nil,   nil,   nil,   128,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   128,   nil,   nil,   nil,   nil,   128,   128,   128,
   128,   nil,   128,   128,   128,   128,   nil,   nil,   nil,   nil,
   128,   128,   nil,   nil,   nil,   129,   129,   129,   128,   129,
   128,   128,   128,   129,   129,   128,   128,   nil,   129,   nil,
   129,   129,   129,   129,   129,   129,   129,   nil,   nil,   nil,
   nil,   nil,   129,   129,   129,   129,   129,   129,   129,   nil,
   nil,   129,   nil,   nil,   nil,   nil,   nil,   nil,   129,   nil,
   nil,   129,   129,   129,   129,   129,   129,   129,   129,   nil,
   129,   129,   129,   nil,   129,   129,   129,   129,   129,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   129,   nil,
   nil,   129,   nil,   nil,   129,   129,   nil,   nil,   129,   nil,
   nil,   nil,   nil,   nil,   129,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   129,   nil,   nil,   nil,   nil,   129,   129,
   129,   129,   nil,   129,   129,   129,   129,   nil,   nil,   nil,
   nil,   129,   129,   nil,   nil,   nil,   nil,   nil,   nil,   129,
   nil,   129,   129,   129,   nil,   nil,   129,   129,   130,   130,
   130,   130,   130,   nil,   nil,   nil,   130,   130,   nil,   nil,
   nil,   130,   nil,   130,   130,   130,   130,   130,   130,   130,
   nil,   nil,   nil,   nil,   nil,   130,   130,   130,   130,   130,
   130,   130,   nil,   nil,   130,   nil,   nil,   nil,   nil,   nil,
   130,   130,   nil,   130,   130,   130,   130,   130,   130,   130,
   130,   130,   nil,   130,   130,   130,   nil,   130,   130,   130,
   130,   130,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   130,   nil,   nil,   130,   nil,   nil,   130,   130,   nil,
   nil,   130,   nil,   130,   nil,   nil,   nil,   130,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   130,   nil,   nil,   nil,
   nil,   130,   130,   130,   130,   nil,   130,   130,   130,   130,
   nil,   nil,   nil,   nil,   130,   130,   nil,   nil,   nil,   216,
   216,   216,   130,   216,   130,   130,   130,   216,   216,   130,
   130,   nil,   216,   nil,   216,   216,   216,   216,   216,   216,
   216,   nil,   nil,   nil,   nil,   nil,   216,   216,   216,   216,
   216,   216,   216,   nil,   nil,   216,   nil,   nil,   nil,   nil,
   nil,   nil,   216,   nil,   nil,   216,   216,   216,   216,   216,
   216,   216,   216,   nil,   216,   216,   216,   nil,   216,   216,
   216,   216,   216,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   216,   nil,   nil,   216,   nil,   nil,   216,   216,
   nil,   nil,   216,   nil,   216,   nil,   nil,   nil,   216,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   216,   nil,   nil,
   nil,   nil,   216,   216,   216,   216,   nil,   216,   216,   216,
   216,   nil,   nil,   nil,   nil,   216,   216,   nil,   nil,   nil,
   217,   217,   217,   216,   217,   216,   216,   216,   217,   217,
   216,   216,   nil,   217,   nil,   217,   217,   217,   217,   217,
   217,   217,   nil,   nil,   nil,   nil,   nil,   217,   217,   217,
   217,   217,   217,   217,   nil,   nil,   217,   nil,   nil,   nil,
   nil,   nil,   nil,   217,   nil,   nil,   217,   217,   217,   217,
   217,   217,   217,   217,   nil,   217,   217,   217,   nil,   217,
   217,   217,   217,   217,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   217,   nil,   nil,   217,   nil,   nil,   217,
   217,   nil,   nil,   217,   nil,   217,   nil,   nil,   nil,   217,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   217,   nil,
   nil,   nil,   nil,   217,   217,   217,   217,   nil,   217,   217,
   217,   217,   nil,   nil,   nil,   nil,   217,   217,   nil,   nil,
   nil,   218,   218,   218,   217,   218,   217,   217,   217,   218,
   218,   217,   217,   nil,   218,   nil,   218,   218,   218,   218,
   218,   218,   218,   nil,   nil,   nil,   nil,   nil,   218,   218,
   218,   218,   218,   218,   218,   nil,   nil,   218,   nil,   nil,
   nil,   nil,   nil,   nil,   218,   nil,   nil,   218,   218,   218,
   218,   218,   218,   218,   218,   nil,   218,   218,   218,   nil,
   218,   218,   218,   218,   218,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   218,   nil,   nil,   218,   nil,   nil,
   218,   218,   nil,   nil,   218,   nil,   nil,   nil,   nil,   nil,
   218,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   218,
   nil,   nil,   nil,   nil,   218,   218,   218,   218,   nil,   218,
   218,   218,   218,   nil,   nil,   nil,   nil,   218,   218,   nil,
   nil,   nil,   219,   219,   219,   218,   219,   218,   218,   218,
   219,   219,   218,   218,   nil,   219,   nil,   219,   219,   219,
   219,   219,   219,   219,   nil,   nil,   nil,   nil,   nil,   219,
   219,   219,   219,   219,   219,   219,   nil,   nil,   219,   nil,
   nil,   nil,   nil,   nil,   nil,   219,   nil,   nil,   219,   219,
   219,   219,   219,   219,   219,   219,   nil,   219,   219,   219,
   nil,   219,   219,   219,   219,   219,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   219,   nil,   nil,   219,   nil,
   nil,   219,   219,   nil,   nil,   219,   nil,   nil,   nil,   nil,
   nil,   219,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   219,   nil,   nil,   nil,   nil,   219,   219,   219,   219,   nil,
   219,   219,   219,   219,   nil,   nil,   nil,   nil,   219,   219,
   nil,   nil,   nil,   220,   220,   220,   219,   220,   219,   219,
   219,   220,   220,   219,   219,   nil,   220,   nil,   220,   220,
   220,   220,   220,   220,   220,   nil,   nil,   nil,   nil,   nil,
   220,   220,   220,   220,   220,   220,   220,   nil,   nil,   220,
   nil,   nil,   nil,   nil,   nil,   nil,   220,   nil,   nil,   220,
   220,   220,   220,   220,   220,   220,   220,   nil,   220,   220,
   220,   nil,   220,   220,   220,   220,   220,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   220,   nil,   nil,   220,
   nil,   nil,   220,   220,   nil,   nil,   220,   nil,   nil,   nil,
   nil,   nil,   220,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   220,   nil,   nil,   nil,   nil,   220,   220,   220,   220,
   nil,   220,   220,   220,   220,   nil,   nil,   nil,   nil,   220,
   220,   nil,   nil,   nil,   221,   221,   221,   220,   221,   220,
   220,   220,   221,   221,   220,   220,   nil,   221,   nil,   221,
   221,   221,   221,   221,   221,   221,   nil,   nil,   nil,   nil,
   nil,   221,   221,   221,   221,   221,   221,   221,   nil,   nil,
   221,   nil,   nil,   nil,   nil,   nil,   nil,   221,   nil,   nil,
   221,   221,   221,   221,   221,   221,   221,   221,   221,   221,
   221,   221,   nil,   221,   221,   221,   221,   221,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   221,   nil,   nil,
   221,   nil,   nil,   221,   221,   nil,   nil,   221,   nil,   221,
   nil,   221,   nil,   221,   nil,   nil,   221,   nil,   nil,   nil,
   nil,   nil,   221,   nil,   nil,   nil,   nil,   221,   221,   221,
   221,   nil,   221,   221,   221,   221,   nil,   nil,   nil,   nil,
   221,   221,   nil,   nil,   nil,   234,   234,   234,   221,   234,
   221,   221,   221,   234,   234,   221,   221,   nil,   234,   nil,
   234,   234,   234,   234,   234,   234,   234,   nil,   nil,   nil,
   nil,   nil,   234,   234,   234,   234,   234,   234,   234,   nil,
   nil,   234,   nil,   nil,   nil,   nil,   nil,   nil,   234,   nil,
   nil,   234,   234,   234,   234,   234,   234,   234,   234,   nil,
   234,   234,   234,   nil,   234,   234,   234,   234,   234,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   234,   nil,
   nil,   234,   nil,   nil,   234,   234,   nil,   nil,   234,   nil,
   nil,   nil,   nil,   nil,   234,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   234,   nil,   nil,   nil,   nil,   234,   234,
   234,   234,   nil,   234,   234,   234,   234,   nil,   nil,   nil,
   nil,   234,   234,   nil,   nil,   nil,   235,   235,   235,   234,
   235,   234,   234,   234,   235,   235,   234,   234,   nil,   235,
   nil,   235,   235,   235,   235,   235,   235,   235,   nil,   nil,
   nil,   nil,   nil,   235,   235,   235,   235,   235,   235,   235,
   nil,   nil,   235,   nil,   nil,   nil,   nil,   nil,   nil,   235,
   nil,   nil,   235,   235,   235,   235,   235,   235,   235,   235,
   nil,   235,   235,   235,   nil,   235,   235,   235,   235,   235,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   235,
   nil,   nil,   235,   nil,   nil,   235,   235,   nil,   nil,   235,
   nil,   nil,   nil,   nil,   nil,   235,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   235,   nil,   nil,   nil,   nil,   235,
   235,   235,   235,   nil,   235,   235,   235,   235,   nil,   nil,
   nil,   nil,   235,   235,   nil,   nil,   nil,   236,   236,   236,
   235,   236,   235,   235,   235,   236,   236,   235,   235,   nil,
   236,   nil,   236,   236,   236,   236,   236,   236,   236,   nil,
   nil,   nil,   nil,   nil,   236,   236,   236,   236,   236,   236,
   236,   nil,   nil,   236,   nil,   nil,   nil,   nil,   nil,   nil,
   236,   nil,   nil,   236,   236,   236,   236,   236,   236,   236,
   236,   nil,   236,   236,   236,   nil,   236,   236,   236,   236,
   236,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   236,   nil,   nil,   236,   nil,   nil,   236,   236,   nil,   nil,
   236,   nil,   nil,   nil,   nil,   nil,   236,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   236,   nil,   nil,   nil,   nil,
   236,   236,   236,   236,   nil,   236,   236,   236,   236,   nil,
   nil,   nil,   nil,   236,   236,   236,   nil,   nil,   247,   247,
   247,   236,   247,   236,   236,   236,   247,   247,   236,   236,
   nil,   247,   nil,   247,   247,   247,   247,   247,   247,   247,
   nil,   nil,   nil,   nil,   nil,   247,   247,   247,   247,   247,
   247,   247,   nil,   nil,   247,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   247,   247,   247,   247,   247,   247,
   247,   247,   nil,   247,   247,   247,   nil,   247,   247,   247,
   247,   247,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   247,   nil,   nil,   247,   nil,   nil,   247,   247,   nil,
   nil,   247,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   247,   nil,   nil,   nil,
   nil,   247,   247,   247,   247,   nil,   247,   247,   247,   247,
   nil,   nil,   nil,   nil,   247,   247,   nil,   nil,   nil,   254,
   254,   254,   247,   254,   247,   247,   247,   254,   254,   247,
   247,   nil,   254,   nil,   254,   254,   254,   254,   254,   254,
   254,   nil,   nil,   nil,   nil,   nil,   254,   254,   254,   254,
   254,   254,   254,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,   254,   nil,   nil,   254,   254,   254,   254,   254,
   254,   254,   254,   nil,   254,   254,   254,   nil,   254,   254,
   254,   254,   254,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   254,   nil,   nil,   254,   nil,   nil,   254,   254,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   254,   254,   254,   254,   nil,   254,   254,   254,
   254,   nil,   nil,   nil,   nil,   254,   254,   nil,   nil,   nil,
   255,   255,   255,   254,   255,   254,   254,   254,   255,   255,
   254,   254,   nil,   255,   nil,   255,   255,   255,   255,   255,
   255,   255,   nil,   nil,   nil,   nil,   nil,   255,   255,   255,
   255,   255,   255,   255,   nil,   nil,   255,   nil,   nil,   nil,
   nil,   nil,   nil,   255,   nil,   nil,   255,   255,   255,   255,
   255,   255,   255,   255,   nil,   255,   255,   255,   nil,   255,
   255,   255,   255,   255,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   255,   nil,   nil,   255,   nil,   nil,   255,
   255,   nil,   nil,   255,   nil,   nil,   nil,   nil,   nil,   255,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   255,   nil,
   nil,   nil,   nil,   255,   255,   255,   255,   nil,   255,   255,
   255,   255,   nil,   nil,   nil,   nil,   255,   255,   nil,   nil,
   nil,   256,   256,   256,   255,   256,   255,   255,   255,   256,
   256,   255,   255,   nil,   256,   nil,   256,   256,   256,   256,
   256,   256,   256,   nil,   nil,   nil,   nil,   nil,   256,   256,
   256,   256,   256,   256,   256,   nil,   nil,   256,   nil,   nil,
   nil,   nil,   nil,   nil,   256,   nil,   nil,   256,   256,   256,
   256,   256,   256,   256,   256,   nil,   256,   256,   256,   nil,
   256,   256,   256,   256,   256,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   256,   nil,   nil,   256,   nil,   nil,
   256,   256,   nil,   nil,   256,   nil,   nil,   nil,   nil,   nil,
   256,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   256,
   nil,   nil,   nil,   nil,   256,   256,   256,   256,   nil,   256,
   256,   256,   256,   nil,   nil,   nil,   nil,   256,   256,   nil,
   nil,   nil,   257,   257,   257,   256,   257,   256,   256,   256,
   257,   257,   256,   256,   nil,   257,   nil,   257,   257,   257,
   257,   257,   257,   257,   nil,   nil,   nil,   nil,   nil,   257,
   257,   257,   257,   257,   257,   257,   nil,   nil,   257,   nil,
   nil,   nil,   nil,   nil,   nil,   257,   nil,   nil,   257,   257,
   257,   257,   257,   257,   257,   257,   nil,   257,   257,   257,
   nil,   257,   257,   257,   257,   257,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   257,   nil,   nil,   257,   nil,
   nil,   257,   257,   nil,   nil,   257,   nil,   nil,   nil,   nil,
   nil,   257,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   257,   nil,   nil,   nil,   nil,   257,   257,   257,   257,   nil,
   257,   257,   257,   257,   nil,   nil,   nil,   nil,   257,   257,
   nil,   nil,   nil,   258,   258,   258,   257,   258,   257,   257,
   257,   258,   258,   257,   257,   nil,   258,   nil,   258,   258,
   258,   258,   258,   258,   258,   nil,   nil,   nil,   nil,   nil,
   258,   258,   258,   258,   258,   258,   258,   nil,   nil,   258,
   nil,   nil,   nil,   nil,   nil,   nil,   258,   nil,   nil,   258,
   258,   258,   258,   258,   258,   258,   258,   nil,   258,   258,
   258,   nil,   258,   258,   258,   258,   258,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   258,   nil,   nil,   258,
   nil,   nil,   258,   258,   nil,   nil,   258,   nil,   nil,   nil,
   nil,   nil,   258,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   258,   nil,   nil,   nil,   nil,   258,   258,   258,   258,
   nil,   258,   258,   258,   258,   nil,   nil,   nil,   nil,   258,
   258,   nil,   nil,   nil,   259,   259,   259,   258,   259,   258,
   258,   258,   259,   259,   258,   258,   nil,   259,   nil,   259,
   259,   259,   259,   259,   259,   259,   nil,   nil,   nil,   nil,
   nil,   259,   259,   259,   259,   259,   259,   259,   nil,   nil,
   259,   nil,   nil,   nil,   nil,   nil,   nil,   259,   nil,   nil,
   259,   259,   259,   259,   259,   259,   259,   259,   nil,   259,
   259,   259,   nil,   259,   259,   259,   259,   259,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   259,   nil,   nil,
   259,   nil,   nil,   259,   259,   nil,   nil,   259,   nil,   nil,
   nil,   nil,   nil,   259,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   259,   nil,   nil,   nil,   nil,   259,   259,   259,
   259,   nil,   259,   259,   259,   259,   nil,   nil,   nil,   nil,
   259,   259,   nil,   nil,   nil,   260,   260,   260,   259,   260,
   259,   259,   259,   260,   260,   259,   259,   nil,   260,   nil,
   260,   260,   260,   260,   260,   260,   260,   nil,   nil,   nil,
   nil,   nil,   260,   260,   260,   260,   260,   260,   260,   nil,
   nil,   260,   nil,   nil,   nil,   nil,   nil,   nil,   260,   nil,
   nil,   260,   260,   260,   260,   260,   260,   260,   260,   nil,
   260,   260,   260,   nil,   260,   260,   260,   260,   260,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   260,   nil,
   nil,   260,   nil,   nil,   260,   260,   nil,   nil,   260,   nil,
   nil,   nil,   nil,   nil,   260,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   260,   nil,   nil,   nil,   nil,   260,   260,
   260,   260,   nil,   260,   260,   260,   260,   nil,   nil,   nil,
   nil,   260,   260,   nil,   nil,   nil,   261,   261,   261,   260,
   261,   260,   260,   260,   261,   261,   260,   260,   nil,   261,
   nil,   261,   261,   261,   261,   261,   261,   261,   nil,   nil,
   nil,   nil,   nil,   261,   261,   261,   261,   261,   261,   261,
   nil,   nil,   261,   nil,   nil,   nil,   nil,   nil,   nil,   261,
   nil,   nil,   261,   261,   261,   261,   261,   261,   261,   261,
   nil,   261,   261,   261,   nil,   261,   261,   261,   261,   261,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   261,
   nil,   nil,   261,   nil,   nil,   261,   261,   nil,   nil,   261,
   nil,   nil,   nil,   nil,   nil,   261,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   261,   nil,   nil,   nil,   nil,   261,
   261,   261,   261,   nil,   261,   261,   261,   261,   nil,   nil,
   nil,   nil,   261,   261,   nil,   nil,   nil,   262,   262,   262,
   261,   262,   261,   261,   261,   262,   262,   261,   261,   nil,
   262,   nil,   262,   262,   262,   262,   262,   262,   262,   nil,
   nil,   nil,   nil,   nil,   262,   262,   262,   262,   262,   262,
   262,   nil,   nil,   262,   nil,   nil,   nil,   nil,   nil,   nil,
   262,   nil,   nil,   262,   262,   262,   262,   262,   262,   262,
   262,   nil,   262,   262,   262,   nil,   262,   262,   262,   262,
   262,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   262,   nil,   nil,   262,   nil,   nil,   262,   262,   nil,   nil,
   262,   nil,   nil,   nil,   nil,   nil,   262,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   262,   nil,   nil,   nil,   nil,
   262,   262,   262,   262,   nil,   262,   262,   262,   262,   nil,
   nil,   nil,   nil,   262,   262,   nil,   nil,   nil,   263,   263,
   263,   262,   263,   262,   262,   262,   263,   263,   262,   262,
   nil,   263,   nil,   263,   263,   263,   263,   263,   263,   263,
   nil,   nil,   nil,   nil,   nil,   263,   263,   263,   263,   263,
   263,   263,   nil,   nil,   263,   nil,   nil,   nil,   nil,   nil,
   nil,   263,   nil,   nil,   263,   263,   263,   263,   263,   263,
   263,   263,   nil,   263,   263,   263,   nil,   263,   263,   263,
   263,   263,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   263,   nil,   nil,   263,   nil,   nil,   263,   263,   nil,
   nil,   263,   nil,   nil,   nil,   nil,   nil,   263,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   263,   nil,   nil,   nil,
   nil,   263,   263,   263,   263,   nil,   263,   263,   263,   263,
   nil,   nil,   nil,   nil,   263,   263,   nil,   nil,   nil,   264,
   264,   264,   263,   264,   263,   263,   263,   264,   264,   263,
   263,   nil,   264,   nil,   264,   264,   264,   264,   264,   264,
   264,   nil,   nil,   nil,   nil,   nil,   264,   264,   264,   264,
   264,   264,   264,   nil,   nil,   264,   nil,   nil,   nil,   nil,
   nil,   nil,   264,   nil,   nil,   264,   264,   264,   264,   264,
   264,   264,   264,   nil,   264,   264,   264,   nil,   264,   264,
   264,   264,   264,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   264,   nil,   nil,   264,   nil,   nil,   264,   264,
   nil,   nil,   264,   nil,   nil,   nil,   nil,   nil,   264,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   264,   nil,   nil,
   nil,   nil,   264,   264,   264,   264,   nil,   264,   264,   264,
   264,   nil,   nil,   nil,   nil,   264,   264,   nil,   nil,   nil,
   265,   265,   265,   264,   265,   264,   264,   264,   265,   265,
   264,   264,   nil,   265,   nil,   265,   265,   265,   265,   265,
   265,   265,   nil,   nil,   nil,   nil,   nil,   265,   265,   265,
   265,   265,   265,   265,   nil,   nil,   265,   nil,   nil,   nil,
   nil,   nil,   nil,   265,   nil,   nil,   265,   265,   265,   265,
   265,   265,   265,   265,   nil,   265,   265,   265,   nil,   265,
   265,   265,   265,   265,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   265,   nil,   nil,   265,   nil,   nil,   265,
   265,   nil,   nil,   265,   nil,   nil,   nil,   nil,   nil,   265,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   265,   nil,
   nil,   nil,   nil,   265,   265,   265,   265,   nil,   265,   265,
   265,   265,   nil,   nil,   nil,   nil,   265,   265,   nil,   nil,
   nil,   266,   266,   266,   265,   266,   265,   265,   265,   266,
   266,   265,   265,   nil,   266,   nil,   266,   266,   266,   266,
   266,   266,   266,   nil,   nil,   nil,   nil,   nil,   266,   266,
   266,   266,   266,   266,   266,   nil,   nil,   266,   nil,   nil,
   nil,   nil,   nil,   nil,   266,   nil,   nil,   266,   266,   266,
   266,   266,   266,   266,   266,   nil,   266,   266,   266,   nil,
   266,   266,   266,   266,   266,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   266,   nil,   nil,   266,   nil,   nil,
   266,   266,   nil,   nil,   266,   nil,   nil,   nil,   nil,   nil,
   266,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   266,
   nil,   nil,   nil,   nil,   266,   266,   266,   266,   nil,   266,
   266,   266,   266,   nil,   nil,   nil,   nil,   266,   266,   nil,
   nil,   nil,   267,   267,   267,   266,   267,   266,   266,   266,
   267,   267,   266,   266,   nil,   267,   nil,   267,   267,   267,
   267,   267,   267,   267,   nil,   nil,   nil,   nil,   nil,   267,
   267,   267,   267,   267,   267,   267,   nil,   nil,   267,   nil,
   nil,   nil,   nil,   nil,   nil,   267,   nil,   nil,   267,   267,
   267,   267,   267,   267,   267,   267,   nil,   267,   267,   267,
   nil,   267,   267,   267,   267,   267,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   267,   nil,   nil,   267,   nil,
   nil,   267,   267,   nil,   nil,   267,   nil,   nil,   nil,   nil,
   nil,   267,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   267,   nil,   nil,   nil,   nil,   267,   267,   267,   267,   nil,
   267,   267,   267,   267,   nil,   nil,   nil,   nil,   267,   267,
   nil,   nil,   nil,   268,   268,   268,   267,   268,   267,   267,
   267,   268,   268,   267,   267,   nil,   268,   nil,   268,   268,
   268,   268,   268,   268,   268,   nil,   nil,   nil,   nil,   nil,
   268,   268,   268,   268,   268,   268,   268,   nil,   nil,   268,
   nil,   nil,   nil,   nil,   nil,   nil,   268,   nil,   nil,   268,
   268,   268,   268,   268,   268,   268,   268,   nil,   268,   268,
   268,   nil,   268,   268,   268,   268,   268,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   268,   nil,   nil,   268,
   nil,   nil,   268,   268,   nil,   nil,   268,   nil,   nil,   nil,
   nil,   nil,   268,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   268,   nil,   nil,   nil,   nil,   268,   268,   268,   268,
   nil,   268,   268,   268,   268,   nil,   nil,   nil,   nil,   268,
   268,   nil,   nil,   nil,   269,   269,   269,   268,   269,   268,
   268,   268,   269,   269,   268,   268,   nil,   269,   nil,   269,
   269,   269,   269,   269,   269,   269,   nil,   nil,   nil,   nil,
   nil,   269,   269,   269,   269,   269,   269,   269,   nil,   nil,
   269,   nil,   nil,   nil,   nil,   nil,   nil,   269,   nil,   nil,
   269,   269,   269,   269,   269,   269,   269,   269,   nil,   269,
   269,   269,   nil,   269,   269,   269,   269,   269,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   269,   nil,   nil,
   269,   nil,   nil,   269,   269,   nil,   nil,   269,   nil,   nil,
   nil,   nil,   nil,   269,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   269,   nil,   nil,   nil,   nil,   269,   269,   269,
   269,   nil,   269,   269,   269,   269,   nil,   nil,   nil,   nil,
   269,   269,   nil,   nil,   nil,   270,   270,   270,   269,   270,
   269,   269,   269,   270,   270,   269,   269,   nil,   270,   nil,
   270,   270,   270,   270,   270,   270,   270,   nil,   nil,   nil,
   nil,   nil,   270,   270,   270,   270,   270,   270,   270,   nil,
   nil,   270,   nil,   nil,   nil,   nil,   nil,   nil,   270,   nil,
   nil,   270,   270,   270,   270,   270,   270,   270,   270,   nil,
   270,   270,   270,   nil,   270,   270,   270,   270,   270,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   270,   nil,
   nil,   270,   nil,   nil,   270,   270,   nil,   nil,   270,   nil,
   nil,   nil,   nil,   nil,   270,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   270,   nil,   nil,   nil,   nil,   270,   270,
   270,   270,   nil,   270,   270,   270,   270,   nil,   nil,   nil,
   nil,   270,   270,   nil,   nil,   nil,   271,   271,   271,   270,
   271,   270,   270,   270,   271,   271,   270,   270,   nil,   271,
   nil,   271,   271,   271,   271,   271,   271,   271,   nil,   nil,
   nil,   nil,   nil,   271,   271,   271,   271,   271,   271,   271,
   nil,   nil,   271,   nil,   nil,   nil,   nil,   nil,   nil,   271,
   nil,   nil,   271,   271,   271,   271,   271,   271,   271,   271,
   nil,   271,   271,   271,   nil,   271,   271,   271,   271,   271,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   271,
   nil,   nil,   271,   nil,   nil,   271,   271,   nil,   nil,   271,
   nil,   nil,   nil,   nil,   nil,   271,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   271,   nil,   nil,   nil,   nil,   271,
   271,   271,   271,   nil,   271,   271,   271,   271,   nil,   nil,
   nil,   nil,   271,   271,   nil,   nil,   nil,   272,   272,   272,
   271,   272,   271,   271,   271,   272,   272,   271,   271,   nil,
   272,   nil,   272,   272,   272,   272,   272,   272,   272,   nil,
   nil,   nil,   nil,   nil,   272,   272,   272,   272,   272,   272,
   272,   nil,   nil,   272,   nil,   nil,   nil,   nil,   nil,   nil,
   272,   nil,   nil,   272,   272,   272,   272,   272,   272,   272,
   272,   nil,   272,   272,   272,   nil,   272,   272,   272,   272,
   272,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   272,   nil,   nil,   272,   nil,   nil,   272,   272,   nil,   nil,
   272,   nil,   nil,   nil,   nil,   nil,   272,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   272,   nil,   nil,   nil,   nil,
   272,   272,   272,   272,   nil,   272,   272,   272,   272,   nil,
   nil,   nil,   nil,   272,   272,   nil,   nil,   nil,   273,   273,
   273,   272,   273,   272,   272,   272,   273,   273,   272,   272,
   nil,   273,   nil,   273,   273,   273,   273,   273,   273,   273,
   nil,   nil,   nil,   nil,   nil,   273,   273,   273,   273,   273,
   273,   273,   nil,   nil,   273,   nil,   nil,   nil,   nil,   nil,
   nil,   273,   nil,   nil,   273,   273,   273,   273,   273,   273,
   273,   273,   nil,   273,   273,   273,   nil,   273,   273,   273,
   273,   273,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   273,   nil,   nil,   273,   nil,   nil,   273,   273,   nil,
   nil,   273,   nil,   nil,   nil,   nil,   nil,   273,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   273,   nil,   nil,   nil,
   nil,   273,   273,   273,   273,   nil,   273,   273,   273,   273,
   nil,   nil,   nil,   nil,   273,   273,   nil,   nil,   nil,   274,
   274,   274,   273,   274,   273,   273,   273,   274,   274,   273,
   273,   nil,   274,   nil,   274,   274,   274,   274,   274,   274,
   274,   nil,   nil,   nil,   nil,   nil,   274,   274,   274,   274,
   274,   274,   274,   nil,   nil,   274,   nil,   nil,   nil,   nil,
   nil,   nil,   274,   nil,   nil,   274,   274,   274,   274,   274,
   274,   274,   274,   nil,   274,   274,   274,   nil,   274,   274,
   274,   274,   274,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   274,   nil,   nil,   274,   nil,   nil,   274,   274,
   nil,   nil,   274,   nil,   nil,   nil,   nil,   nil,   274,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   274,   nil,   nil,
   nil,   nil,   274,   274,   274,   274,   nil,   274,   274,   274,
   274,   nil,   nil,   nil,   nil,   274,   274,   nil,   nil,   nil,
   275,   275,   275,   274,   275,   274,   274,   274,   275,   275,
   274,   274,   nil,   275,   nil,   275,   275,   275,   275,   275,
   275,   275,   nil,   nil,   nil,   nil,   nil,   275,   275,   275,
   275,   275,   275,   275,   nil,   nil,   275,   nil,   nil,   nil,
   nil,   nil,   nil,   275,   nil,   nil,   275,   275,   275,   275,
   275,   275,   275,   275,   nil,   275,   275,   275,   nil,   275,
   275,   275,   275,   275,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   275,   nil,   nil,   275,   nil,   nil,   275,
   275,   nil,   nil,   275,   nil,   nil,   nil,   nil,   nil,   275,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   275,   nil,
   nil,   nil,   nil,   275,   275,   275,   275,   nil,   275,   275,
   275,   275,   nil,   nil,   nil,   nil,   275,   275,   nil,   nil,
   nil,   280,   280,   280,   275,   280,   275,   275,   275,   280,
   280,   275,   275,   nil,   280,   nil,   280,   280,   280,   280,
   280,   280,   280,   nil,   nil,   nil,   nil,   nil,   280,   280,
   280,   280,   280,   280,   280,   nil,   nil,   280,   nil,   nil,
   nil,   nil,   nil,   nil,   280,   nil,   nil,   280,   280,   280,
   280,   280,   280,   280,   280,   nil,   280,   280,   280,   nil,
   280,   280,   280,   280,   280,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   280,   nil,   nil,   280,   nil,   nil,
   280,   280,   nil,   nil,   280,   nil,   nil,   nil,   nil,   nil,
   280,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   280,
   nil,   nil,   nil,   nil,   280,   280,   280,   280,   nil,   280,
   280,   280,   280,   nil,   nil,   nil,   nil,   280,   280,   nil,
   nil,   nil,   296,   296,   296,   280,   296,   280,   280,   280,
   296,   296,   280,   280,   nil,   296,   nil,   296,   296,   296,
   296,   296,   296,   296,   nil,   nil,   nil,   nil,   nil,   296,
   296,   296,   296,   296,   296,   296,   nil,   nil,   296,   nil,
   nil,   nil,   nil,   nil,   nil,   296,   nil,   nil,   296,   296,
   296,   296,   296,   296,   296,   296,   nil,   296,   296,   296,
   nil,   296,   296,   296,   296,   296,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   296,   nil,   nil,   296,   nil,
   nil,   296,   296,   nil,   nil,   296,   nil,   nil,   nil,   nil,
   nil,   296,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   296,   nil,   nil,   nil,   nil,   296,   296,   296,   296,   nil,
   296,   296,   296,   296,   nil,   nil,   nil,   nil,   296,   296,
   nil,   nil,   nil,   303,   303,   303,   296,   303,   296,   296,
   296,   303,   303,   296,   296,   nil,   303,   nil,   303,   303,
   303,   303,   303,   303,   303,   nil,   nil,   nil,   nil,   nil,
   303,   303,   303,   303,   303,   303,   303,   nil,   nil,   303,
   nil,   nil,   nil,   nil,   nil,   nil,   303,   nil,   nil,   303,
   303,   303,   303,   303,   303,   303,   303,   303,   303,   303,
   303,   nil,   303,   303,   303,   303,   303,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   303,   nil,   nil,   303,
   nil,   nil,   303,   303,   nil,   nil,   303,   nil,   303,   nil,
   303,   nil,   303,   nil,   nil,   303,   nil,   nil,   nil,   nil,
   nil,   303,   nil,   nil,   nil,   nil,   303,   303,   303,   303,
   nil,   303,   303,   303,   303,   nil,   nil,   nil,   nil,   303,
   303,   nil,   nil,   nil,   304,   304,   304,   303,   304,   303,
   303,   303,   304,   304,   303,   303,   nil,   304,   nil,   304,
   304,   304,   304,   304,   304,   304,   nil,   nil,   nil,   nil,
   nil,   304,   304,   304,   304,   304,   304,   304,   nil,   nil,
   304,   nil,   nil,   nil,   nil,   nil,   nil,   304,   nil,   nil,
   304,   304,   304,   304,   304,   304,   304,   304,   304,   304,
   304,   304,   nil,   304,   304,   304,   304,   304,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   304,   nil,   nil,
   304,   nil,   nil,   304,   304,   nil,   nil,   304,   nil,   304,
   nil,   304,   nil,   304,   nil,   nil,   304,   nil,   nil,   nil,
   nil,   nil,   304,   nil,   nil,   nil,   nil,   304,   304,   304,
   304,   nil,   304,   304,   304,   304,   nil,   nil,   nil,   nil,
   304,   304,   nil,   nil,   nil,   312,   312,   312,   304,   312,
   304,   304,   304,   312,   312,   304,   304,   nil,   312,   nil,
   312,   312,   312,   312,   312,   312,   312,   nil,   nil,   nil,
   nil,   nil,   312,   312,   312,   312,   312,   312,   312,   nil,
   nil,   312,   nil,   nil,   nil,   nil,   nil,   nil,   312,   nil,
   nil,   312,   312,   312,   312,   312,   312,   312,   312,   312,
   312,   312,   312,   nil,   312,   312,   312,   312,   312,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   312,   nil,
   nil,   312,   nil,   nil,   312,   312,   nil,   nil,   312,   nil,
   312,   nil,   312,   nil,   312,   nil,   nil,   312,   nil,   nil,
   nil,   nil,   nil,   312,   nil,   nil,   nil,   nil,   312,   312,
   312,   312,   nil,   312,   312,   312,   312,   nil,   nil,   nil,
   nil,   312,   312,   312,   nil,   nil,   319,   319,   319,   312,
   319,   312,   312,   312,   319,   319,   312,   312,   nil,   319,
   nil,   319,   319,   319,   319,   319,   319,   319,   nil,   nil,
   nil,   nil,   nil,   319,   319,   319,   319,   319,   319,   319,
   nil,   nil,   319,   nil,   nil,   nil,   nil,   nil,   nil,   319,
   nil,   nil,   319,   319,   319,   319,   319,   319,   319,   319,
   nil,   319,   319,   319,   nil,   319,   319,   319,   319,   319,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   319,
   nil,   nil,   319,   nil,   nil,   319,   319,   nil,   nil,   319,
   nil,   nil,   nil,   nil,   nil,   319,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   319,   nil,   nil,   nil,   nil,   319,
   319,   319,   319,   nil,   319,   319,   319,   319,   nil,   nil,
   nil,   nil,   319,   319,   nil,   nil,   nil,   321,   321,   321,
   319,   321,   319,   319,   319,   321,   321,   319,   319,   nil,
   321,   nil,   321,   321,   321,   321,   321,   321,   321,   nil,
   nil,   nil,   nil,   nil,   321,   321,   321,   321,   321,   321,
   321,   nil,   nil,   321,   nil,   nil,   nil,   nil,   nil,   nil,
   321,   nil,   nil,   321,   321,   321,   321,   321,   321,   321,
   321,   nil,   321,   321,   321,   nil,   321,   321,   321,   321,
   321,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   321,   nil,   nil,   321,   nil,   nil,   321,   321,   nil,   nil,
   321,   nil,   nil,   nil,   nil,   nil,   321,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   321,   nil,   nil,   nil,   nil,
   321,   321,   321,   321,   nil,   321,   321,   321,   321,   nil,
   nil,   nil,   nil,   321,   321,   nil,   nil,   nil,   324,   324,
   324,   321,   324,   321,   321,   321,   324,   324,   321,   321,
   nil,   324,   nil,   324,   324,   324,   324,   324,   324,   324,
   nil,   nil,   nil,   nil,   nil,   324,   324,   324,   324,   324,
   324,   324,   nil,   nil,   324,   nil,   nil,   nil,   nil,   nil,
   nil,   324,   nil,   nil,   324,   324,   324,   324,   324,   324,
   324,   324,   nil,   324,   324,   324,   nil,   324,   324,   324,
   324,   324,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   324,   nil,   nil,   324,   nil,   nil,   324,   324,   nil,
   nil,   324,   nil,   nil,   nil,   nil,   nil,   324,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   324,   nil,   nil,   nil,
   nil,   324,   324,   324,   324,   nil,   324,   324,   324,   324,
   nil,   nil,   nil,   nil,   324,   324,   nil,   nil,   nil,   325,
   325,   325,   324,   325,   324,   324,   324,   325,   325,   324,
   324,   nil,   325,   nil,   325,   325,   325,   325,   325,   325,
   325,   nil,   nil,   nil,   nil,   nil,   325,   325,   325,   325,
   325,   325,   325,   nil,   nil,   325,   nil,   nil,   nil,   nil,
   nil,   nil,   325,   nil,   nil,   325,   325,   325,   325,   325,
   325,   325,   325,   nil,   325,   325,   325,   nil,   325,   325,
   325,   325,   325,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   325,   nil,   nil,   325,   nil,   nil,   325,   325,
   nil,   nil,   325,   nil,   nil,   nil,   nil,   nil,   325,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   325,   nil,   nil,
   nil,   nil,   325,   325,   325,   325,   nil,   325,   325,   325,
   325,   nil,   nil,   nil,   nil,   325,   325,   nil,   nil,   nil,
   nil,   nil,   nil,   325,   nil,   325,   325,   325,   nil,   nil,
   325,   325,   330,   330,   330,   330,   330,   nil,   nil,   nil,
   330,   330,   nil,   nil,   nil,   330,   nil,   330,   330,   330,
   330,   330,   330,   330,   nil,   nil,   nil,   nil,   nil,   330,
   330,   330,   330,   330,   330,   330,   nil,   nil,   330,   nil,
   nil,   nil,   nil,   nil,   330,   330,   nil,   330,   330,   330,
   330,   330,   330,   330,   330,   330,   nil,   330,   330,   330,
   nil,   330,   330,   330,   330,   330,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   330,   nil,   nil,   330,   nil,
   nil,   330,   330,   nil,   nil,   330,   nil,   330,   nil,   nil,
   nil,   330,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   330,   nil,   nil,   nil,   nil,   330,   330,   330,   330,   nil,
   330,   330,   330,   330,   nil,   nil,   nil,   nil,   330,   330,
   nil,   nil,   nil,   366,   366,   366,   330,   366,   330,   330,
   330,   366,   366,   330,   330,   nil,   366,   nil,   366,   366,
   366,   366,   366,   366,   366,   nil,   nil,   nil,   nil,   nil,
   366,   366,   366,   366,   366,   366,   366,   nil,   nil,   366,
   nil,   nil,   nil,   nil,   nil,   nil,   366,   nil,   nil,   366,
   366,   366,   366,   366,   366,   366,   366,   nil,   366,   366,
   366,   nil,   366,   366,   366,   366,   366,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   366,   nil,   nil,   366,
   nil,   nil,   366,   366,   nil,   nil,   366,   nil,   nil,   nil,
   nil,   nil,   366,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   366,   nil,   nil,   nil,   nil,   366,   366,   366,   366,
   nil,   366,   366,   366,   366,   nil,   nil,   nil,   nil,   366,
   366,   nil,   nil,   nil,   368,   368,   368,   366,   368,   366,
   366,   366,   368,   368,   366,   366,   nil,   368,   nil,   368,
   368,   368,   368,   368,   368,   368,   nil,   nil,   nil,   nil,
   nil,   368,   368,   368,   368,   368,   368,   368,   nil,   nil,
   368,   nil,   nil,   nil,   nil,   nil,   nil,   368,   nil,   nil,
   368,   368,   368,   368,   368,   368,   368,   368,   nil,   368,
   368,   368,   nil,   368,   368,   368,   368,   368,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   368,   nil,   nil,
   368,   368,   nil,   368,   368,   nil,   nil,   368,   nil,   nil,
   nil,   nil,   nil,   368,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   368,   nil,   nil,   nil,   nil,   368,   368,   368,
   368,   nil,   368,   368,   368,   368,   nil,   nil,   nil,   nil,
   368,   368,   nil,   nil,   nil,   383,   383,   383,   368,   383,
   368,   368,   368,   383,   383,   368,   368,   nil,   383,   nil,
   383,   383,   383,   383,   383,   383,   383,   nil,   nil,   nil,
   nil,   nil,   383,   383,   383,   383,   383,   383,   383,   nil,
   nil,   383,   nil,   nil,   nil,   nil,   nil,   nil,   383,   nil,
   nil,   383,   383,   383,   383,   383,   383,   383,   383,   nil,
   383,   383,   383,   nil,   383,   383,   383,   383,   383,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   383,   nil,
   nil,   383,   nil,   nil,   383,   383,   nil,   nil,   383,   nil,
   nil,   nil,   nil,   nil,   383,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   383,   nil,   nil,   nil,   nil,   383,   383,
   383,   383,   nil,   383,   383,   383,   383,   nil,   nil,   nil,
   nil,   383,   383,   nil,   nil,   nil,   404,   404,   404,   383,
   404,   383,   383,   383,   404,   404,   383,   383,   nil,   404,
   nil,   404,   404,   404,   404,   404,   404,   404,   nil,   nil,
   nil,   nil,   nil,   404,   404,   404,   404,   404,   404,   404,
   nil,   nil,   404,   nil,   nil,   nil,   nil,   nil,   nil,   404,
   nil,   nil,   404,   404,   404,   404,   404,   404,   404,   404,
   nil,   404,   404,   404,   nil,   404,   404,   404,   404,   404,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   404,
   nil,   nil,   404,   nil,   nil,   404,   404,   nil,   nil,   404,
   nil,   nil,   nil,   nil,   nil,   404,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   404,   nil,   nil,   nil,   nil,   404,
   404,   404,   404,   nil,   404,   404,   404,   404,   nil,   nil,
   nil,   nil,   404,   404,   nil,   nil,   nil,   433,   433,   433,
   404,   433,   404,   404,   404,   433,   433,   404,   404,   nil,
   433,   nil,   433,   433,   433,   433,   433,   433,   433,   nil,
   nil,   nil,   nil,   nil,   433,   433,   433,   433,   433,   433,
   433,   nil,   nil,   433,   nil,   nil,   nil,   nil,   nil,   nil,
   433,   nil,   nil,   433,   433,   433,   433,   433,   433,   433,
   433,   nil,   433,   433,   433,   nil,   433,   433,   433,   433,
   433,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   433,   nil,   nil,   433,   nil,   nil,   433,   433,   nil,   nil,
   433,   nil,   nil,   nil,   nil,   nil,   433,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   433,   nil,   nil,   nil,   nil,
   433,   433,   433,   433,   nil,   433,   433,   433,   433,   nil,
   nil,   nil,   nil,   433,   433,   nil,   nil,   nil,   nil,   nil,
   nil,   433,   nil,   433,   433,   433,   457,   nil,   433,   433,
   nil,   nil,   nil,   457,   457,   457,   nil,   nil,   457,   457,
   457,   nil,   457,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   457,   457,   457,   457,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   457,   457,   nil,   457,   457,   457,   457,   457,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   457,   457,   457,   457,   457,   457,   457,   457,
   457,   457,   457,   457,   457,   457,   nil,   nil,   457,   457,
   457,   nil,   nil,   457,   nil,   457,   457,   nil,   nil,   457,
   457,   nil,   457,   nil,   457,   nil,   457,   nil,   457,   457,
   nil,   457,   457,   457,   457,   457,   nil,   457,   457,   457,
  1133,   nil,  1133,  1133,  1133,  1133,  1133,   nil,   nil,   nil,
   nil,   nil,   nil,   457,   nil,  1133,   457,   457,   466,   457,
   nil,   457,   nil,   nil,   nil,   466,   466,   466,   457,   nil,
   466,   466,   466,   nil,   466,   nil,   nil,  1133,   nil,   nil,
   nil,   nil,   466,   466,   466,   466,   466,   nil,  1133,  1133,
   nil,   nil,   nil,  1133,   466,   466,   nil,   466,   466,   466,
   466,   466,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   466,   466,   466,   466,   466,   466,
   466,   466,   466,   466,   466,   466,   466,   466,   nil,   nil,
   466,   466,   466,   nil,   nil,   466,   nil,   nil,   466,   nil,
   nil,   466,   466,   nil,   466,   nil,   466,   nil,   466,   nil,
   466,   466,   nil,   466,   466,   466,   466,   466,   nil,   466,
   466,   466,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   466,   nil,   nil,   466,   466,
   466,   466,   nil,   466,   467,   466,   nil,   nil,   nil,   nil,
   466,   467,   467,   467,   nil,   nil,   467,   467,   467,   nil,
   467,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   467,   467,
   467,   467,   467,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   467,   467,   nil,   467,   467,   467,   467,   467,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   467,   467,   467,   467,   467,   467,   467,   467,   467,   467,
   467,   467,   467,   467,   nil,   nil,   467,   467,   467,   nil,
   nil,   467,   nil,   nil,   467,   nil,   nil,   467,   467,   nil,
   467,   nil,   467,   nil,   467,   nil,   467,   467,   nil,   467,
   467,   467,   467,   467,   nil,   467,   467,   467,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   467,   nil,   nil,   467,   467,   467,   467,   nil,   467,
   nil,   467,   nil,   468,   468,   468,   467,   468,   nil,   nil,
   nil,   468,   468,   nil,   nil,   nil,   468,   nil,   468,   468,
   468,   468,   468,   468,   468,   nil,   nil,   nil,   nil,   nil,
   468,   468,   468,   468,   468,   468,   468,   nil,   nil,   468,
   nil,   nil,   nil,   nil,   nil,   nil,   468,   nil,   nil,   468,
   468,   468,   468,   468,   468,   468,   468,   nil,   468,   468,
   468,   nil,   468,   468,   468,   468,   468,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   468,   nil,   nil,   468,
   nil,   nil,   468,   468,   nil,   nil,   468,   nil,   nil,   nil,
   nil,   nil,   468,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   468,   nil,   nil,   nil,   nil,   468,   468,   468,   468,
   nil,   468,   468,   468,   468,   nil,   nil,   nil,   nil,   468,
   468,   nil,   nil,   nil,   494,   494,   494,   468,   494,   468,
   468,   468,   494,   494,   468,   468,   nil,   494,   nil,   494,
   494,   494,   494,   494,   494,   494,   nil,   nil,   nil,   nil,
   nil,   494,   494,   494,   494,   494,   494,   494,   nil,   nil,
   494,   nil,   nil,   nil,   nil,   nil,   nil,   494,   nil,   nil,
   494,   494,   494,   494,   494,   494,   494,   494,   nil,   494,
   494,   494,   nil,   494,   494,   494,   494,   494,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   494,   nil,   nil,
   494,   nil,   nil,   494,   494,   nil,   nil,   494,   nil,   nil,
   nil,   nil,   nil,   494,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   494,   nil,   nil,   nil,   nil,   494,   494,   494,
   494,   nil,   494,   494,   494,   494,   nil,   nil,   nil,   nil,
   494,   494,   nil,   nil,   nil,   507,   507,   507,   494,   507,
   494,   494,   494,   507,   507,   494,   494,   nil,   507,   nil,
   507,   507,   507,   507,   507,   507,   507,   nil,   nil,   nil,
   nil,   nil,   507,   507,   507,   507,   507,   507,   507,   nil,
   nil,   507,   nil,   nil,   nil,   nil,   nil,   nil,   507,   nil,
   nil,   507,   507,   507,   507,   507,   507,   507,   507,   nil,
   507,   507,   507,   nil,   507,   507,   507,   507,   507,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   507,   nil,
   nil,   507,   nil,   nil,   507,   507,   nil,   nil,   507,   nil,
   nil,   nil,   nil,   nil,   507,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   507,   nil,   nil,   nil,   nil,   507,   507,
   507,   507,   nil,   507,   507,   507,   507,   nil,   nil,   nil,
   nil,   507,   507,   nil,   nil,   nil,   517,   517,   517,   507,
   517,   507,   507,   507,   517,   517,   507,   507,   nil,   517,
   nil,   517,   517,   517,   517,   517,   517,   517,   nil,   nil,
   nil,   nil,   nil,   517,   517,   517,   517,   517,   517,   517,
   nil,   nil,   517,   nil,   nil,   nil,   nil,   nil,   nil,   517,
   nil,   nil,   517,   517,   517,   517,   517,   517,   517,   517,
   517,   517,   517,   517,   nil,   517,   517,   517,   517,   517,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   517,
   nil,   nil,   517,   nil,   nil,   517,   517,   nil,   nil,   517,
   nil,   517,   nil,   517,   nil,   517,   nil,   nil,   517,   nil,
   nil,   nil,   nil,   nil,   517,   nil,   nil,   nil,   nil,   517,
   517,   517,   517,   nil,   517,   517,   517,   517,   nil,   nil,
   nil,   nil,   517,   517,   nil,   nil,   nil,   519,   519,   519,
   517,   519,   517,   517,   517,   519,   519,   517,   517,   nil,
   519,   nil,   519,   519,   519,   519,   519,   519,   519,   nil,
   nil,   nil,   nil,   nil,   519,   519,   519,   519,   519,   519,
   519,   nil,   nil,   519,   nil,   nil,   nil,   nil,   nil,   nil,
   519,   nil,   nil,   519,   519,   519,   519,   519,   519,   519,
   519,   nil,   519,   519,   519,   nil,   519,   519,   519,   519,
   519,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   519,   nil,   nil,   519,   nil,   nil,   519,   519,   nil,   nil,
   519,   nil,   nil,   nil,   nil,   nil,   519,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   519,   nil,   nil,   nil,   nil,
   519,   519,   519,   519,   nil,   519,   519,   519,   519,   nil,
   nil,   nil,   nil,   519,   519,   nil,   nil,   nil,   520,   520,
   520,   519,   520,   519,   519,   519,   520,   520,   519,   519,
   nil,   520,   nil,   520,   520,   520,   520,   520,   520,   520,
   nil,   nil,   nil,   nil,   nil,   520,   520,   520,   520,   520,
   520,   520,   nil,   nil,   520,   nil,   nil,   nil,   nil,   nil,
   nil,   520,   nil,   nil,   520,   520,   520,   520,   520,   520,
   520,   520,   nil,   520,   520,   520,   nil,   520,   520,   520,
   520,   520,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   520,   nil,   nil,   520,   nil,   nil,   520,   520,   nil,
   nil,   520,   nil,   nil,   nil,   nil,   nil,   520,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   520,   nil,   nil,   nil,
   nil,   520,   520,   520,   520,   nil,   520,   520,   520,   520,
   nil,   nil,   nil,   nil,   520,   520,   nil,   nil,   nil,   521,
   521,   521,   520,   521,   520,   520,   520,   521,   521,   520,
   520,   nil,   521,   nil,   521,   521,   521,   521,   521,   521,
   521,   nil,   nil,   nil,   nil,   nil,   521,   521,   521,   521,
   521,   521,   521,   nil,   nil,   521,   nil,   nil,   nil,   nil,
   nil,   nil,   521,   nil,   nil,   521,   521,   521,   521,   521,
   521,   521,   521,   nil,   521,   521,   521,   nil,   521,   521,
   521,   521,   521,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   521,   nil,   nil,   521,   nil,   nil,   521,   521,
   nil,   nil,   521,   nil,   nil,   nil,   nil,   nil,   521,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   521,   nil,   nil,
   nil,   nil,   521,   521,   521,   521,   nil,   521,   521,   521,
   521,   nil,   nil,   nil,   nil,   521,   521,   nil,   nil,   nil,
   nil,   nil,   nil,   521,   nil,   521,   521,   521,   552,   nil,
   521,   521,   nil,   nil,   nil,   552,   552,   552,   nil,   nil,
   552,   552,   552,   406,   552,   406,   406,   406,   406,   406,
   nil,   nil,   552,   552,   552,   nil,   nil,   nil,   406,   nil,
   nil,   nil,   nil,   nil,   552,   552,   nil,   552,   552,   552,
   552,   552,   nil,   641,   nil,   641,   641,   641,   641,   641,
   406,   406,   nil,   nil,   nil,   nil,   nil,   nil,   641,   406,
   406,   406,   406,   nil,   nil,   nil,   406,   nil,  1128,   nil,
  1128,  1128,  1128,  1128,  1128,   552,   nil,   nil,   nil,   nil,
   641,   nil,   552,  1128,   nil,   nil,   nil,   552,   552,   641,
   641,   641,   641,   nil,   nil,   nil,   641,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1128,   406,   nil,   nil,   nil,
   552,   552,   nil,   nil,  1128,  1128,  1128,  1128,   nil,   nil,
   nil,  1128,   nil,   nil,   nil,   552,   nil,   nil,   552,   nil,
   557,   557,   557,   552,   557,   nil,   641,   nil,   557,   557,
   552,   nil,   nil,   557,   nil,   557,   557,   557,   557,   557,
   557,   557,   nil,   nil,   nil,   nil,   nil,   557,   557,   557,
   557,   557,   557,   557,   nil,   nil,   557,   nil,   nil,   nil,
   nil,   nil,   nil,   557,   nil,   nil,   557,   557,   557,   557,
   557,   557,   557,   557,   nil,   557,   557,   557,   nil,   557,
   557,   557,   557,   557,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   557,   nil,   nil,   557,   nil,   nil,   557,
   557,   nil,   nil,   557,   nil,   nil,   nil,   nil,   nil,   557,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   557,   nil,
   nil,   nil,   nil,   557,   557,   557,   557,   nil,   557,   557,
   557,   557,   nil,   nil,   nil,   nil,   557,   557,   nil,   nil,
   nil,   567,   567,   567,   557,   567,   557,   557,   557,   567,
   567,   557,   557,   nil,   567,   nil,   567,   567,   567,   567,
   567,   567,   567,   nil,   nil,   nil,   nil,   nil,   567,   567,
   567,   567,   567,   567,   567,   nil,   nil,   567,   nil,   nil,
   nil,   nil,   nil,   nil,   567,   nil,   nil,   567,   567,   567,
   567,   567,   567,   567,   567,   567,   567,   567,   567,   nil,
   567,   567,   567,   567,   567,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   567,   nil,   nil,   567,   nil,   nil,
   567,   567,   nil,   nil,   567,   nil,   567,   nil,   567,   nil,
   567,   nil,   nil,   567,   nil,   nil,   nil,   nil,   nil,   567,
   nil,   nil,   nil,   nil,   567,   567,   567,   567,   nil,   567,
   567,   567,   567,   nil,   nil,   nil,   nil,   567,   567,   nil,
   nil,   nil,   569,   569,   569,   567,   569,   567,   567,   567,
   569,   569,   567,   567,   nil,   569,   nil,   569,   569,   569,
   569,   569,   569,   569,   nil,   nil,   nil,   nil,   nil,   569,
   569,   569,   569,   569,   569,   569,   nil,   nil,   569,   nil,
   nil,   nil,   nil,   nil,   nil,   569,   nil,   nil,   569,   569,
   569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
   nil,   569,   569,   569,   569,   569,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   569,   nil,   nil,   569,   nil,
   nil,   569,   569,   nil,   nil,   569,   nil,   nil,   nil,   569,
   nil,   569,   nil,   nil,   569,   nil,   nil,   nil,   nil,   nil,
   569,   nil,   nil,   nil,   nil,   569,   569,   569,   569,   nil,
   569,   569,   569,   569,   nil,   nil,   nil,   nil,   569,   569,
   nil,   nil,   nil,   571,   571,   571,   569,   571,   569,   569,
   569,   571,   571,   569,   569,   nil,   571,   nil,   571,   571,
   571,   571,   571,   571,   571,   nil,   nil,   nil,   nil,   nil,
   571,   571,   571,   571,   571,   571,   571,   nil,   nil,   571,
   nil,   nil,   nil,   nil,   nil,   nil,   571,   nil,   nil,   571,
   571,   571,   571,   571,   571,   571,   571,   nil,   571,   571,
   571,   nil,   571,   571,   571,   571,   571,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   571,   nil,   nil,   571,
   nil,   nil,   571,   571,   nil,   nil,   571,   nil,   nil,   nil,
   nil,   nil,   571,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   571,   nil,   nil,   nil,   nil,   571,   571,   571,   571,
   nil,   571,   571,   571,   571,   nil,   nil,   nil,   nil,   571,
   571,   nil,   nil,   nil,   nil,   nil,   nil,   571,   nil,   571,
   571,   571,   nil,   nil,   571,   571,   577,   577,   577,   577,
   577,   nil,   nil,   nil,   577,   577,   nil,   nil,   nil,   577,
   nil,   577,   577,   577,   577,   577,   577,   577,   nil,   nil,
   nil,   nil,   nil,   577,   577,   577,   577,   577,   577,   577,
   nil,   nil,   577,   nil,   nil,   nil,   nil,   nil,   577,   577,
   577,   577,   577,   577,   577,   577,   577,   577,   577,   577,
   nil,   577,   577,   577,   nil,   577,   577,   577,   577,   577,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   577,
   nil,   nil,   577,   nil,   nil,   577,   577,   nil,   nil,   577,
   nil,   577,   nil,   nil,   nil,   577,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   577,   nil,   nil,   nil,   nil,   577,
   577,   577,   577,   nil,   577,   577,   577,   577,   nil,   nil,
   nil,   nil,   577,   577,   nil,   nil,   nil,   nil,   nil,   577,
   577,   nil,   577,   577,   577,   nil,   nil,   577,   577,   587,
   587,   587,   nil,   587,   nil,   nil,   nil,   587,   587,   nil,
   nil,   nil,   587,   nil,   587,   587,   587,   587,   587,   587,
   587,   nil,   nil,   nil,   nil,   nil,   587,   587,   587,   587,
   587,   587,   587,   nil,   nil,   587,   nil,   nil,   nil,   nil,
   nil,   nil,   587,   nil,   nil,   587,   587,   587,   587,   587,
   587,   587,   587,   587,   587,   587,   587,   nil,   587,   587,
   587,   587,   587,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   587,   nil,   nil,   587,   nil,   nil,   587,   587,
   nil,   nil,   587,   nil,   587,   nil,   587,   nil,   587,   nil,
   nil,   587,   nil,   nil,   nil,   nil,   nil,   587,   nil,   nil,
   nil,   nil,   587,   587,   587,   587,   nil,   587,   587,   587,
   587,   nil,   nil,   nil,   nil,   587,   587,   nil,   nil,   nil,
   597,   597,   597,   587,   597,   587,   587,   587,   597,   597,
   587,   587,   nil,   597,   nil,   597,   597,   597,   597,   597,
   597,   597,   nil,   nil,   nil,   nil,   nil,   597,   597,   597,
   597,   597,   597,   597,   nil,   nil,   597,   nil,   nil,   nil,
   nil,   nil,   nil,   597,   nil,   nil,   597,   597,   597,   597,
   597,   597,   597,   597,   nil,   597,   597,   597,   nil,   597,
   597,   597,   597,   597,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   597,   nil,   nil,   597,   nil,   nil,   597,
   597,   nil,   nil,   597,   nil,   nil,   nil,   nil,   nil,   597,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   597,   nil,
   nil,   nil,   nil,   597,   597,   597,   597,   nil,   597,   597,
   597,   597,   nil,   nil,   nil,   nil,   597,   597,   nil,   nil,
   nil,   600,   600,   600,   597,   600,   597,   597,   597,   600,
   600,   597,   597,   nil,   600,   nil,   600,   600,   600,   600,
   600,   600,   600,   nil,   nil,   nil,   nil,   nil,   600,   600,
   600,   600,   600,   600,   600,   nil,   nil,   600,   nil,   nil,
   nil,   nil,   nil,   nil,   600,   nil,   nil,   600,   600,   600,
   600,   600,   600,   600,   600,   nil,   600,   600,   600,   nil,
   600,   600,   600,   600,   600,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   600,   nil,   nil,   600,   nil,   nil,
   600,   600,   nil,   nil,   600,   nil,   nil,   nil,   nil,   nil,
   600,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   600,
   nil,   nil,   nil,   nil,   600,   600,   600,   600,   nil,   600,
   600,   600,   600,   nil,   nil,   nil,   nil,   600,   600,   nil,
   nil,   nil,   603,   603,   603,   600,   603,   600,   600,   600,
   603,   603,   600,   600,   nil,   603,   nil,   603,   603,   603,
   603,   603,   603,   603,   nil,   nil,   nil,   nil,   nil,   603,
   603,   603,   603,   603,   603,   603,   nil,   nil,   603,   nil,
   nil,   nil,   nil,   nil,   nil,   603,   nil,   nil,   603,   603,
   603,   603,   603,   603,   603,   603,   nil,   603,   603,   603,
   nil,   603,   603,   603,   603,   603,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   603,   nil,   nil,   603,   nil,
   nil,   603,   603,   nil,   nil,   603,   nil,   nil,   nil,   nil,
   nil,   603,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   603,   nil,   nil,   nil,   nil,   603,   603,   603,   603,   nil,
   603,   603,   603,   603,   nil,   nil,   nil,   nil,   603,   603,
   nil,   nil,   nil,   608,   608,   608,   603,   608,   603,   603,
   603,   608,   608,   603,   603,   nil,   608,   nil,   608,   608,
   608,   608,   608,   608,   608,   nil,   nil,   nil,   nil,   nil,
   608,   608,   608,   608,   608,   608,   608,   nil,   nil,   608,
   nil,   nil,   nil,   nil,   nil,   nil,   608,   nil,   nil,   608,
   608,   608,   608,   608,   608,   608,   608,   608,   608,   608,
   608,   nil,   608,   608,   608,   608,   608,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   608,   nil,   nil,   608,
   nil,   nil,   608,   608,   nil,   nil,   608,   nil,   608,   nil,
   nil,   nil,   608,   nil,   nil,   608,   nil,   nil,   nil,   nil,
   nil,   608,   nil,   nil,   nil,   nil,   608,   608,   608,   608,
   nil,   608,   608,   608,   608,   nil,   nil,   nil,   nil,   608,
   608,   nil,   nil,   nil,   611,   611,   611,   608,   611,   608,
   608,   608,   611,   611,   608,   608,   nil,   611,   nil,   611,
   611,   611,   611,   611,   611,   611,   nil,   nil,   nil,   nil,
   nil,   611,   611,   611,   611,   611,   611,   611,   nil,   nil,
   611,   nil,   nil,   nil,   nil,   nil,   nil,   611,   nil,   nil,
   611,   611,   611,   611,   611,   611,   611,   611,   611,   611,
   611,   611,   nil,   611,   611,   611,   611,   611,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   611,   nil,   nil,
   611,   nil,   nil,   611,   611,   nil,   nil,   611,   nil,   nil,
   nil,   nil,   nil,   611,   nil,   nil,   611,   nil,   nil,   nil,
   nil,   nil,   611,   nil,   nil,   nil,   nil,   611,   611,   611,
   611,   nil,   611,   611,   611,   611,   nil,   nil,   nil,   nil,
   611,   611,   nil,   nil,   nil,   624,   624,   624,   611,   624,
   611,   611,   611,   624,   624,   611,   611,   nil,   624,   nil,
   624,   624,   624,   624,   624,   624,   624,   nil,   nil,   nil,
   nil,   nil,   624,   624,   624,   624,   624,   624,   624,   nil,
   nil,   624,   nil,   nil,   nil,   nil,   nil,   nil,   624,   nil,
   nil,   624,   624,   624,   624,   624,   624,   624,   624,   nil,
   624,   624,   624,   nil,   624,   624,   624,   624,   624,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   624,   nil,
   nil,   624,   nil,   nil,   624,   624,   nil,   nil,   624,   nil,
   624,   nil,   nil,   nil,   624,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   624,   nil,   nil,   nil,   nil,   624,   624,
   624,   624,   nil,   624,   624,   624,   624,   nil,   nil,   nil,
   nil,   624,   624,   nil,   nil,   nil,   625,   625,   625,   624,
   625,   624,   624,   624,   625,   625,   624,   624,   nil,   625,
   nil,   625,   625,   625,   625,   625,   625,   625,   nil,   nil,
   nil,   nil,   nil,   625,   625,   625,   625,   625,   625,   625,
   nil,   nil,   625,   nil,   nil,   nil,   nil,   nil,   nil,   625,
   nil,   nil,   625,   625,   625,   625,   625,   625,   625,   625,
   625,   625,   625,   625,   nil,   625,   625,   625,   625,   625,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   625,
   nil,   nil,   625,   nil,   nil,   625,   625,   nil,   nil,   625,
   nil,   625,   nil,   625,   nil,   625,   nil,   nil,   625,   nil,
   nil,   nil,   nil,   nil,   625,   nil,   nil,   nil,   nil,   625,
   625,   625,   625,   nil,   625,   625,   625,   625,   nil,   nil,
   nil,   nil,   625,   625,   nil,   nil,   nil,   635,   635,   635,
   625,   635,   625,   625,   625,   635,   635,   625,   625,   nil,
   635,   nil,   635,   635,   635,   635,   635,   635,   635,   nil,
   nil,   nil,   nil,   nil,   635,   635,   635,   635,   635,   635,
   635,   nil,   nil,   635,   nil,   nil,   nil,   nil,   nil,   nil,
   635,   nil,   nil,   635,   635,   635,   635,   635,   635,   635,
   635,   635,   635,   635,   635,   nil,   635,   635,   635,   635,
   635,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   635,   nil,   nil,   635,   nil,   nil,   635,   635,   nil,   nil,
   635,   nil,   635,   nil,   635,   nil,   635,   nil,   nil,   635,
   nil,   nil,   nil,   nil,   nil,   635,   nil,   nil,   nil,   nil,
   635,   635,   635,   635,   nil,   635,   635,   635,   635,   nil,
   nil,   nil,   nil,   635,   635,   nil,   nil,   nil,   nil,   nil,
   nil,   635,   nil,   635,   635,   635,   nil,   nil,   635,   635,
   666,   666,   666,   666,   666,   nil,   nil,   nil,   666,   666,
   nil,   nil,   nil,   666,   nil,   666,   666,   666,   666,   666,
   666,   666,   nil,   nil,   nil,   nil,   nil,   666,   666,   666,
   666,   666,   666,   666,   nil,   nil,   666,   nil,   nil,   nil,
   nil,   nil,   666,   666,   nil,   666,   666,   666,   666,   666,
   666,   666,   666,   666,   nil,   666,   666,   666,   nil,   666,
   666,   666,   666,   666,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   666,   nil,   nil,   666,   nil,   nil,   666,
   666,   nil,   nil,   666,   nil,   666,   nil,   nil,   nil,   666,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   666,   nil,
   nil,   nil,   nil,   666,   666,   666,   666,   nil,   666,   666,
   666,   666,   nil,   nil,   nil,   nil,   666,   666,   nil,   nil,
   nil,   668,   668,   668,   666,   668,   666,   666,   666,   668,
   668,   666,   666,   nil,   668,   nil,   668,   668,   668,   668,
   668,   668,   668,   nil,   nil,   nil,   nil,   nil,   668,   668,
   668,   668,   668,   668,   668,   nil,   nil,   668,   nil,   nil,
   nil,   nil,   nil,   nil,   668,   nil,   nil,   668,   668,   668,
   668,   668,   668,   668,   668,   nil,   668,   668,   668,   nil,
   668,   668,   668,   668,   668,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   668,   nil,   nil,   668,   nil,   nil,
   668,   668,   nil,   nil,   668,   nil,   668,   nil,   nil,   nil,
   668,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   668,
   nil,   nil,   nil,   nil,   668,   668,   668,   668,   nil,   668,
   668,   668,   668,   nil,   nil,   nil,   nil,   668,   668,   nil,
   nil,   nil,   669,   669,   669,   668,   669,   668,   668,   668,
   669,   669,   668,   668,   nil,   669,   nil,   669,   669,   669,
   669,   669,   669,   669,   nil,   nil,   nil,   nil,   nil,   669,
   669,   669,   669,   669,   669,   669,   nil,   nil,   669,   nil,
   nil,   nil,   nil,   nil,   nil,   669,   nil,   nil,   669,   669,
   669,   669,   669,   669,   669,   669,   nil,   669,   669,   669,
   nil,   669,   669,   669,   669,   669,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   669,   nil,   nil,   669,   nil,
   nil,   669,   669,   nil,   nil,   669,   nil,   nil,   nil,   nil,
   nil,   669,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   669,   nil,   nil,   nil,   nil,   669,   669,   669,   669,   nil,
   669,   669,   669,   669,   nil,   nil,   nil,   nil,   669,   669,
   nil,   nil,   nil,   670,   670,   670,   669,   670,   669,   669,
   669,   670,   670,   669,   669,   nil,   670,   nil,   670,   670,
   670,   670,   670,   670,   670,   nil,   nil,   nil,   nil,   nil,
   670,   670,   670,   670,   670,   670,   670,   nil,   nil,   670,
   nil,   nil,   nil,   nil,   nil,   nil,   670,   nil,   nil,   670,
   670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
   670,   nil,   670,   670,   670,   670,   670,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   670,   nil,   nil,   670,
   nil,   nil,   670,   670,   nil,   nil,   670,   nil,   670,   nil,
   670,   nil,   670,   nil,   nil,   670,   nil,   nil,   nil,   nil,
   nil,   670,   nil,   nil,   nil,   nil,   670,   670,   670,   670,
   nil,   670,   670,   670,   670,   nil,   nil,   nil,   nil,   670,
   670,   nil,   nil,   nil,   nil,   nil,   nil,   670,   nil,   670,
   670,   670,   nil,   nil,   670,   670,   673,   673,   673,   673,
   673,   nil,   nil,   nil,   673,   673,   nil,   nil,   nil,   673,
   nil,   673,   673,   673,   673,   673,   673,   673,   nil,   nil,
   nil,   nil,   nil,   673,   673,   673,   673,   673,   673,   673,
   nil,   nil,   673,   nil,   nil,   nil,   nil,   nil,   673,   673,
   nil,   673,   673,   673,   673,   673,   673,   673,   673,   673,
   nil,   673,   673,   673,   nil,   673,   673,   673,   673,   673,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   673,
   nil,   nil,   673,   nil,   nil,   673,   673,   nil,   nil,   673,
   nil,   673,   nil,   nil,   nil,   673,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   673,   nil,   nil,   nil,   nil,   673,
   673,   673,   673,   nil,   673,   673,   673,   673,   nil,   nil,
   nil,   nil,   673,   673,   nil,   nil,   nil,   674,   674,   674,
   673,   674,   673,   673,   673,   674,   674,   673,   673,   nil,
   674,   nil,   674,   674,   674,   674,   674,   674,   674,   nil,
   nil,   nil,   nil,   nil,   674,   674,   674,   674,   674,   674,
   674,   nil,   nil,   674,   nil,   nil,   nil,   nil,   nil,   nil,
   674,   nil,   nil,   674,   674,   674,   674,   674,   674,   674,
   674,   nil,   674,   674,   674,   nil,   674,   674,   674,   674,
   674,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   674,   nil,   nil,   674,   nil,   nil,   674,   674,   nil,   nil,
   674,   nil,   nil,   nil,   nil,   nil,   674,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   674,   nil,   nil,   nil,   nil,
   674,   674,   674,   674,   nil,   674,   674,   674,   674,   nil,
   nil,   nil,   nil,   674,   674,   nil,   nil,   nil,   677,   677,
   677,   674,   677,   674,   674,   674,   677,   677,   674,   674,
   nil,   677,   nil,   677,   677,   677,   677,   677,   677,   677,
   nil,   nil,   nil,   nil,   nil,   677,   677,   677,   677,   677,
   677,   677,   nil,   nil,   677,   nil,   nil,   nil,   nil,   nil,
   nil,   677,   nil,   nil,   677,   677,   677,   677,   677,   677,
   677,   677,   677,   677,   677,   677,   nil,   677,   677,   677,
   677,   677,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   677,   nil,   nil,   677,   nil,   nil,   677,   677,   nil,
   nil,   677,   nil,   677,   nil,   677,   nil,   677,   nil,   nil,
   677,   nil,   nil,   nil,   nil,   nil,   677,   nil,   nil,   nil,
   nil,   677,   677,   677,   677,   nil,   677,   677,   677,   677,
   nil,   nil,   nil,   nil,   677,   677,   nil,   nil,   nil,   678,
   678,   678,   677,   678,   677,   677,   677,   678,   678,   677,
   677,   nil,   678,   nil,   678,   678,   678,   678,   678,   678,
   678,   nil,   nil,   nil,   nil,   nil,   678,   678,   678,   678,
   678,   678,   678,   nil,   nil,   678,   nil,   nil,   nil,   nil,
   nil,   nil,   678,   nil,   nil,   678,   678,   678,   678,   678,
   678,   678,   678,   678,   678,   678,   678,   nil,   678,   678,
   678,   678,   678,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   678,   nil,   nil,   678,   nil,   nil,   678,   678,
   nil,   nil,   678,   nil,   nil,   nil,   678,   nil,   678,   nil,
   nil,   678,   nil,   nil,   nil,   nil,   nil,   678,   nil,   nil,
   nil,   nil,   678,   678,   678,   678,   nil,   678,   678,   678,
   678,   nil,   nil,   nil,   nil,   678,   678,   nil,   nil,   nil,
   679,   679,   679,   678,   679,   678,   678,   678,   679,   679,
   678,   678,   nil,   679,   nil,   679,   679,   679,   679,   679,
   679,   679,   nil,   nil,   nil,   nil,   nil,   679,   679,   679,
   679,   679,   679,   679,   nil,   nil,   679,   nil,   nil,   nil,
   nil,   nil,   nil,   679,   nil,   nil,   679,   679,   679,   679,
   679,   679,   679,   679,   nil,   679,   679,   679,   nil,   679,
   679,   679,   679,   679,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   679,   nil,   nil,   679,   nil,   nil,   679,
   679,   nil,   nil,   679,   nil,   nil,   nil,   nil,   nil,   679,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   679,   nil,
   nil,   nil,   nil,   679,   679,   679,   679,   nil,   679,   679,
   679,   679,   nil,   nil,   nil,   nil,   679,   679,   nil,   nil,
   nil,   680,   680,   680,   679,   680,   679,   679,   679,   680,
   680,   679,   679,   nil,   680,   nil,   680,   680,   680,   680,
   680,   680,   680,   nil,   nil,   nil,   nil,   nil,   680,   680,
   680,   680,   680,   680,   680,   nil,   nil,   680,   nil,   nil,
   nil,   nil,   nil,   nil,   680,   nil,   nil,   680,   680,   680,
   680,   680,   680,   680,   680,   nil,   680,   680,   680,   nil,
   680,   680,   680,   680,   680,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   680,   nil,   nil,   680,   nil,   nil,
   680,   680,   nil,   nil,   680,   nil,   nil,   nil,   nil,   nil,
   680,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   680,
   nil,   nil,   nil,   nil,   680,   680,   680,   680,   nil,   680,
   680,   680,   680,   nil,   nil,   nil,   nil,   680,   680,   nil,
   nil,   nil,   684,   684,   684,   680,   684,   680,   680,   680,
   684,   684,   680,   680,   nil,   684,   nil,   684,   684,   684,
   684,   684,   684,   684,   nil,   nil,   nil,   nil,   nil,   684,
   684,   684,   684,   684,   684,   684,   nil,   nil,   684,   nil,
   nil,   nil,   nil,   nil,   nil,   684,   nil,   nil,   684,   684,
   684,   684,   684,   684,   684,   684,   nil,   684,   684,   684,
   nil,   684,   684,   684,   684,   684,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   684,   nil,   nil,   684,   nil,
   nil,   684,   684,   nil,   nil,   684,   nil,   nil,   nil,   nil,
   nil,   684,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   684,   nil,   nil,   nil,   nil,   684,   684,   684,   684,   nil,
   684,   684,   684,   684,   nil,   nil,   nil,   nil,   684,   684,
   nil,   nil,   nil,   685,   685,   685,   684,   685,   684,   684,
   684,   685,   685,   684,   684,   nil,   685,   nil,   685,   685,
   685,   685,   685,   685,   685,   nil,   nil,   nil,   nil,   nil,
   685,   685,   685,   685,   685,   685,   685,   nil,   nil,   685,
   nil,   nil,   nil,   nil,   nil,   nil,   685,   nil,   nil,   685,
   685,   685,   685,   685,   685,   685,   685,   nil,   685,   685,
   685,   nil,   685,   685,   685,   685,   685,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   685,   nil,   nil,   685,
   nil,   nil,   685,   685,   nil,   nil,   685,   nil,   nil,   nil,
   nil,   nil,   685,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   685,   nil,   nil,   nil,   nil,   685,   685,   685,   685,
   nil,   685,   685,   685,   685,   nil,   nil,   nil,   nil,   685,
   685,   nil,   nil,   nil,   691,   691,   691,   685,   691,   685,
   685,   685,   691,   691,   685,   685,   nil,   691,   nil,   691,
   691,   691,   691,   691,   691,   691,   nil,   nil,   nil,   nil,
   nil,   691,   691,   691,   691,   691,   691,   691,   nil,   nil,
   691,   nil,   nil,   nil,   nil,   nil,   nil,   691,   nil,   nil,
   691,   691,   691,   691,   691,   691,   691,   691,   nil,   691,
   691,   691,   nil,   691,   691,   691,   691,   691,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   691,   nil,   nil,
   691,   nil,   nil,   691,   691,   nil,   nil,   691,   nil,   691,
   nil,   nil,   nil,   691,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   691,   nil,   nil,   nil,   nil,   691,   691,   691,
   691,   nil,   691,   691,   691,   691,   nil,   nil,   nil,   nil,
   691,   691,   nil,   nil,   nil,   704,   704,   704,   691,   704,
   691,   691,   691,   704,   704,   691,   691,   nil,   704,   nil,
   704,   704,   704,   704,   704,   704,   704,   nil,   nil,   nil,
   nil,   nil,   704,   704,   704,   704,   704,   704,   704,   nil,
   nil,   704,   nil,   nil,   nil,   nil,   nil,   nil,   704,   nil,
   nil,   704,   704,   704,   704,   704,   704,   704,   704,   nil,
   704,   704,   704,   nil,   704,   704,   704,   704,   704,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   704,   nil,
   nil,   704,   nil,   nil,   704,   704,   nil,   nil,   704,   nil,
   nil,   nil,   nil,   nil,   704,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   704,   nil,   nil,   nil,   nil,   704,   704,
   704,   704,   nil,   704,   704,   704,   704,   nil,   nil,   nil,
   nil,   704,   704,   nil,   nil,   nil,   728,   728,   728,   704,
   728,   704,   704,   704,   728,   728,   704,   704,   nil,   728,
   nil,   728,   728,   728,   728,   728,   728,   728,   nil,   nil,
   nil,   nil,   nil,   728,   728,   728,   728,   728,   728,   728,
   nil,   nil,   728,   nil,   nil,   nil,   nil,   nil,   nil,   728,
   nil,   nil,   728,   728,   728,   728,   728,   728,   728,   728,
   nil,   728,   728,   728,   nil,   728,   728,   728,   728,   728,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   728,
   nil,   nil,   728,   nil,   nil,   728,   728,   nil,   nil,   728,
   nil,   nil,   nil,   nil,   nil,   728,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   728,   nil,   nil,   nil,   nil,   728,
   728,   728,   728,   nil,   728,   728,   728,   728,   nil,   nil,
   nil,   nil,   728,   728,   nil,   nil,   nil,   729,   729,   729,
   728,   729,   728,   728,   728,   729,   729,   728,   728,   nil,
   729,   nil,   729,   729,   729,   729,   729,   729,   729,   nil,
   nil,   nil,   nil,   nil,   729,   729,   729,   729,   729,   729,
   729,   nil,   nil,   729,   nil,   nil,   nil,   nil,   nil,   nil,
   729,   nil,   nil,   729,   729,   729,   729,   729,   729,   729,
   729,   nil,   729,   729,   729,   nil,   729,   729,   729,   729,
   729,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   729,   nil,   nil,   729,   nil,   nil,   729,   729,   nil,   nil,
   729,   nil,   nil,   nil,   nil,   nil,   729,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   729,   nil,   nil,   nil,   nil,
   729,   729,   729,   729,   nil,   729,   729,   729,   729,   nil,
   nil,   nil,   nil,   729,   729,   nil,   nil,   nil,   784,   784,
   784,   729,   784,   729,   729,   729,   784,   784,   729,   729,
   nil,   784,   nil,   784,   784,   784,   784,   784,   784,   784,
   nil,   nil,   nil,   nil,   nil,   784,   784,   784,   784,   784,
   784,   784,   nil,   nil,   784,   nil,   nil,   nil,   nil,   nil,
   nil,   784,   nil,   nil,   784,   784,   784,   784,   784,   784,
   784,   784,   784,   784,   784,   784,   nil,   784,   784,   784,
   784,   784,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   784,   nil,   nil,   784,   nil,   nil,   784,   784,   nil,
   nil,   784,   nil,   784,   nil,   784,   nil,   784,   nil,   nil,
   784,   nil,   nil,   nil,   nil,   nil,   784,   nil,   nil,   nil,
   nil,   784,   784,   784,   784,   nil,   784,   784,   784,   784,
   nil,   nil,   nil,   nil,   784,   784,   nil,   nil,   nil,   793,
   793,   793,   784,   793,   784,   784,   784,   793,   793,   784,
   784,   nil,   793,   nil,   793,   793,   793,   793,   793,   793,
   793,   nil,   nil,   nil,   nil,   nil,   793,   793,   793,   793,
   793,   793,   793,   nil,   nil,   793,   nil,   nil,   nil,   nil,
   nil,   nil,   793,   nil,   nil,   793,   793,   793,   793,   793,
   793,   793,   793,   nil,   793,   793,   793,   nil,   793,   793,
   793,   793,   793,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   793,   nil,   nil,   793,   nil,   nil,   793,   793,
   nil,   nil,   793,   nil,   nil,   nil,   nil,   nil,   793,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   793,   nil,   nil,
   nil,   nil,   793,   793,   793,   793,   nil,   793,   793,   793,
   793,   nil,   nil,   nil,   nil,   793,   793,   nil,   nil,   nil,
   796,   796,   796,   793,   796,   793,   793,   793,   796,   796,
   793,   793,   nil,   796,   nil,   796,   796,   796,   796,   796,
   796,   796,   nil,   nil,   nil,   nil,   nil,   796,   796,   796,
   796,   796,   796,   796,   nil,   nil,   796,   nil,   nil,   nil,
   nil,   nil,   nil,   796,   nil,   nil,   796,   796,   796,   796,
   796,   796,   796,   796,   nil,   796,   796,   796,   nil,   796,
   796,   796,   796,   796,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   796,   nil,   nil,   796,   nil,   nil,   796,
   796,   nil,   nil,   796,   nil,   nil,   nil,   nil,   nil,   796,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   796,   nil,
   nil,   nil,   nil,   796,   796,   796,   796,   nil,   796,   796,
   796,   796,   nil,   nil,   nil,   nil,   796,   796,   nil,   nil,
   nil,   842,   842,   842,   796,   842,   796,   796,   796,   842,
   842,   796,   796,   nil,   842,   nil,   842,   842,   842,   842,
   842,   842,   842,   nil,   nil,   nil,   nil,   nil,   842,   842,
   842,   842,   842,   842,   842,   nil,   nil,   842,   nil,   nil,
   nil,   nil,   nil,   nil,   842,   nil,   nil,   842,   842,   842,
   842,   842,   842,   842,   842,   nil,   842,   842,   842,   nil,
   842,   842,   842,   842,   842,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   842,   nil,   nil,   842,   nil,   nil,
   842,   842,   nil,   nil,   842,   nil,   nil,   nil,   nil,   nil,
   842,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   842,
   nil,   nil,   nil,   nil,   842,   842,   842,   842,   nil,   842,
   842,   842,   842,   nil,   nil,   nil,   nil,   842,   842,   nil,
   nil,   nil,   862,   862,   862,   842,   862,   842,   842,   842,
   862,   862,   842,   842,   nil,   862,   nil,   862,   862,   862,
   862,   862,   862,   862,   nil,   nil,   nil,   nil,   nil,   862,
   862,   862,   862,   862,   862,   862,   nil,   nil,   862,   nil,
   nil,   nil,   nil,   nil,   nil,   862,   nil,   nil,   862,   862,
   862,   862,   862,   862,   862,   862,   nil,   862,   862,   862,
   nil,   862,   862,   862,   862,   862,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   862,   nil,   nil,   862,   nil,
   nil,   862,   862,   nil,   nil,   862,   nil,   nil,   nil,   nil,
   nil,   862,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   862,   nil,   nil,   nil,   nil,   862,   862,   862,   862,   nil,
   862,   862,   862,   862,   nil,   nil,   nil,   nil,   862,   862,
   nil,   nil,   nil,   870,   870,   870,   862,   870,   862,   862,
   862,   870,   870,   862,   862,   nil,   870,   nil,   870,   870,
   870,   870,   870,   870,   870,   nil,   nil,   nil,   nil,   nil,
   870,   870,   870,   870,   870,   870,   870,   nil,   nil,   870,
   nil,   nil,   nil,   nil,   nil,   nil,   870,   nil,   nil,   870,
   870,   870,   870,   870,   870,   870,   870,   nil,   870,   870,
   870,   nil,   870,   870,   870,   870,   870,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   870,   nil,   nil,   870,
   nil,   nil,   870,   870,   nil,   nil,   870,   nil,   nil,   nil,
   nil,   nil,   870,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   870,   nil,   nil,   nil,   nil,   870,   870,   870,   870,
   nil,   870,   870,   870,   870,   nil,   nil,   nil,   nil,   870,
   870,   nil,   nil,   nil,   883,   883,   883,   870,   883,   870,
   870,   870,   883,   883,   870,   870,   nil,   883,   nil,   883,
   883,   883,   883,   883,   883,   883,   nil,   nil,   nil,   nil,
   nil,   883,   883,   883,   883,   883,   883,   883,   nil,   nil,
   883,   nil,   nil,   nil,   nil,   nil,   nil,   883,   nil,   nil,
   883,   883,   883,   883,   883,   883,   883,   883,   nil,   883,
   883,   883,   nil,   883,   883,   883,   883,   883,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   883,   nil,   nil,
   883,   nil,   nil,   883,   883,   nil,   nil,   883,   nil,   nil,
   nil,   nil,   nil,   883,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   883,   nil,   nil,   nil,   nil,   883,   883,   883,
   883,   nil,   883,   883,   883,   883,   nil,   nil,   nil,   nil,
   883,   883,   nil,   nil,   nil,   884,   884,   884,   883,   884,
   883,   883,   883,   884,   884,   883,   883,   nil,   884,   nil,
   884,   884,   884,   884,   884,   884,   884,   nil,   nil,   nil,
   nil,   nil,   884,   884,   884,   884,   884,   884,   884,   nil,
   nil,   884,   nil,   nil,   nil,   nil,   nil,   nil,   884,   nil,
   nil,   884,   884,   884,   884,   884,   884,   884,   884,   nil,
   884,   884,   884,   nil,   884,   884,   884,   884,   884,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   884,   nil,
   nil,   884,   nil,   nil,   884,   884,   nil,   nil,   884,   nil,
   nil,   nil,   nil,   nil,   884,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   884,   nil,   nil,   nil,   nil,   884,   884,
   884,   884,   nil,   884,   884,   884,   884,   nil,   nil,   nil,
   nil,   884,   884,   nil,   nil,   nil,   911,   911,   911,   884,
   911,   884,   884,   884,   911,   911,   884,   884,   nil,   911,
   nil,   911,   911,   911,   911,   911,   911,   911,   nil,   nil,
   nil,   nil,   nil,   911,   911,   911,   911,   911,   911,   911,
   nil,   nil,   911,   nil,   nil,   nil,   nil,   nil,   nil,   911,
   nil,   nil,   911,   911,   911,   911,   911,   911,   911,   911,
   nil,   911,   911,   911,   nil,   911,   911,   911,   911,   911,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   911,
   nil,   nil,   911,   nil,   nil,   911,   911,   nil,   nil,   911,
   nil,   nil,   nil,   nil,   nil,   911,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   911,   nil,   nil,   nil,   nil,   911,
   911,   911,   911,   nil,   911,   911,   911,   911,   nil,   nil,
   nil,   nil,   911,   911,   nil,   nil,   nil,   912,   912,   912,
   911,   912,   911,   911,   911,   912,   912,   911,   911,   nil,
   912,   nil,   912,   912,   912,   912,   912,   912,   912,   nil,
   nil,   nil,   nil,   nil,   912,   912,   912,   912,   912,   912,
   912,   nil,   nil,   912,   nil,   nil,   nil,   nil,   nil,   nil,
   912,   nil,   nil,   912,   912,   912,   912,   912,   912,   912,
   912,   nil,   912,   912,   912,   nil,   912,   912,   912,   912,
   912,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   912,   nil,   nil,   912,   nil,   nil,   912,   912,   nil,   nil,
   912,   nil,   nil,   nil,   nil,   nil,   912,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   912,   nil,   nil,   nil,   nil,
   912,   912,   912,   912,   nil,   912,   912,   912,   912,   nil,
   nil,   nil,   nil,   912,   912,   nil,   nil,   nil,   913,   913,
   913,   912,   913,   912,   912,   912,   913,   913,   912,   912,
   nil,   913,   nil,   913,   913,   913,   913,   913,   913,   913,
   nil,   nil,   nil,   nil,   nil,   913,   913,   913,   913,   913,
   913,   913,   nil,   nil,   913,   nil,   nil,   nil,   nil,   nil,
   nil,   913,   nil,   nil,   913,   913,   913,   913,   913,   913,
   913,   913,   nil,   913,   913,   913,   nil,   913,   913,   913,
   913,   913,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   913,   nil,   nil,   913,   nil,   nil,   913,   913,   nil,
   nil,   913,   nil,   nil,   nil,   nil,   nil,   913,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   913,   nil,   nil,   nil,
   nil,   913,   913,   913,   913,   nil,   913,   913,   913,   913,
   nil,   nil,   nil,   nil,   913,   913,   nil,   nil,   nil,   914,
   914,   914,   913,   914,   913,   913,   913,   914,   914,   913,
   913,   nil,   914,   nil,   914,   914,   914,   914,   914,   914,
   914,   nil,   nil,   nil,   nil,   nil,   914,   914,   914,   914,
   914,   914,   914,   nil,   nil,   914,   nil,   nil,   nil,   nil,
   nil,   nil,   914,   nil,   nil,   914,   914,   914,   914,   914,
   914,   914,   914,   nil,   914,   914,   914,   nil,   914,   914,
   914,   914,   914,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   914,   nil,   nil,   914,   nil,   nil,   914,   914,
   nil,   nil,   914,   nil,   nil,   nil,   nil,   nil,   914,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   914,   nil,   nil,
   nil,   nil,   914,   914,   914,   914,   nil,   914,   914,   914,
   914,   nil,   nil,   nil,   nil,   914,   914,   nil,   nil,   nil,
   915,   915,   915,   914,   915,   914,   914,   914,   915,   915,
   914,   914,   nil,   915,   nil,   915,   915,   915,   915,   915,
   915,   915,   nil,   nil,   nil,   nil,   nil,   915,   915,   915,
   915,   915,   915,   915,   nil,   nil,   915,   nil,   nil,   nil,
   nil,   nil,   nil,   915,   nil,   nil,   915,   915,   915,   915,
   915,   915,   915,   915,   nil,   915,   915,   915,   nil,   915,
   915,   915,   915,   915,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   915,   nil,   nil,   915,   nil,   nil,   915,
   915,   nil,   nil,   915,   nil,   nil,   nil,   nil,   nil,   915,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   915,   nil,
   nil,   nil,   nil,   915,   915,   915,   915,   nil,   915,   915,
   915,   915,   nil,   nil,   nil,   nil,   915,   915,   nil,   nil,
   nil,   916,   916,   916,   915,   916,   915,   915,   915,   916,
   916,   915,   915,   nil,   916,   nil,   916,   916,   916,   916,
   916,   916,   916,   nil,   nil,   nil,   nil,   nil,   916,   916,
   916,   916,   916,   916,   916,   nil,   nil,   916,   nil,   nil,
   nil,   nil,   nil,   nil,   916,   nil,   nil,   916,   916,   916,
   916,   916,   916,   916,   916,   nil,   916,   916,   916,   nil,
   916,   916,   916,   916,   916,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   916,   nil,   nil,   916,   nil,   nil,
   916,   916,   nil,   nil,   916,   nil,   nil,   nil,   nil,   nil,
   916,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   916,
   nil,   nil,   nil,   nil,   916,   916,   916,   916,   nil,   916,
   916,   916,   916,   nil,   nil,   nil,   nil,   916,   916,   nil,
   nil,   nil,   950,   950,   950,   916,   950,   916,   916,   916,
   950,   950,   916,   916,   nil,   950,   nil,   950,   950,   950,
   950,   950,   950,   950,   nil,   nil,   nil,   nil,   nil,   950,
   950,   950,   950,   950,   950,   950,   nil,   nil,   950,   nil,
   nil,   nil,   nil,   nil,   nil,   950,   nil,   nil,   950,   950,
   950,   950,   950,   950,   950,   950,   nil,   950,   950,   950,
   nil,   950,   950,   950,   950,   950,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   950,   nil,   nil,   950,   nil,
   nil,   950,   950,   nil,   nil,   950,   nil,   nil,   nil,   nil,
   nil,   950,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   950,   nil,   nil,   nil,   nil,   950,   950,   950,   950,   nil,
   950,   950,   950,   950,   nil,   nil,   nil,   nil,   950,   950,
   nil,   nil,   nil,   956,   956,   956,   950,   956,   950,   950,
   950,   956,   956,   950,   950,   nil,   956,   nil,   956,   956,
   956,   956,   956,   956,   956,   nil,   nil,   nil,   nil,   nil,
   956,   956,   956,   956,   956,   956,   956,   nil,   nil,   956,
   nil,   nil,   nil,   nil,   nil,   nil,   956,   nil,   nil,   956,
   956,   956,   956,   956,   956,   956,   956,   nil,   956,   956,
   956,   nil,   956,   956,   956,   956,   956,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   956,   nil,   nil,   956,
   nil,   nil,   956,   956,   nil,   nil,   956,   nil,   nil,   nil,
   nil,   nil,   956,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   956,   nil,   nil,   nil,   nil,   956,   956,   956,   956,
   nil,   956,   956,   956,   956,   nil,   nil,   nil,   nil,   956,
   956,   nil,   nil,   nil,   979,   979,   979,   956,   979,   956,
   956,   956,   979,   979,   956,   956,   nil,   979,   nil,   979,
   979,   979,   979,   979,   979,   979,   nil,   nil,   nil,   nil,
   nil,   979,   979,   979,   979,   979,   979,   979,   nil,   nil,
   979,   nil,   nil,   nil,   nil,   nil,   nil,   979,   nil,   nil,
   979,   979,   979,   979,   979,   979,   979,   979,   nil,   979,
   979,   979,   nil,   979,   979,   979,   979,   979,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   979,   nil,   nil,
   979,   nil,   nil,   979,   979,   nil,   nil,   979,   nil,   nil,
   nil,   nil,   nil,   979,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   979,   nil,   nil,   nil,   nil,   979,   979,   979,
   979,   nil,   979,   979,   979,   979,   nil,   nil,   nil,   nil,
   979,   979,   nil,   nil,   nil,   984,   984,   984,   979,   984,
   979,   979,   979,   984,   984,   979,   979,   nil,   984,   nil,
   984,   984,   984,   984,   984,   984,   984,   nil,   nil,   nil,
   nil,   nil,   984,   984,   984,   984,   984,   984,   984,   nil,
   nil,   984,   nil,   nil,   nil,   nil,   nil,   nil,   984,   nil,
   nil,   984,   984,   984,   984,   984,   984,   984,   984,   nil,
   984,   984,   984,   nil,   984,   984,   984,   984,   984,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   984,   nil,
   nil,   984,   nil,   nil,   984,   984,   nil,   nil,   984,   nil,
   984,   nil,   nil,   nil,   984,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   984,   nil,   nil,   nil,   nil,   984,   984,
   984,   984,   nil,   984,   984,   984,   984,   nil,   nil,   nil,
   nil,   984,   984,   nil,   nil,   nil,  1003,  1003,  1003,   984,
  1003,   984,   984,   984,  1003,  1003,   984,   984,   nil,  1003,
   nil,  1003,  1003,  1003,  1003,  1003,  1003,  1003,   nil,   nil,
   nil,   nil,   nil,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
   nil,   nil,  1003,   nil,   nil,   nil,   nil,   nil,   nil,  1003,
   nil,   nil,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
  1003,  1003,  1003,  1003,   nil,  1003,  1003,  1003,  1003,  1003,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1003,
   nil,   nil,  1003,   nil,   nil,  1003,  1003,   nil,   nil,  1003,
   nil,   nil,   nil,  1003,   nil,  1003,   nil,   nil,  1003,   nil,
   nil,   nil,   nil,   nil,  1003,   nil,   nil,   nil,   nil,  1003,
  1003,  1003,  1003,   nil,  1003,  1003,  1003,  1003,   nil,   nil,
   nil,   nil,  1003,  1003,   nil,   nil,   nil,  1029,  1029,  1029,
  1003,  1029,  1003,  1003,  1003,  1029,  1029,  1003,  1003,   nil,
  1029,   nil,  1029,  1029,  1029,  1029,  1029,  1029,  1029,   nil,
   nil,   nil,   nil,   nil,  1029,  1029,  1029,  1029,  1029,  1029,
  1029,   nil,   nil,  1029,   nil,   nil,   nil,   nil,   nil,   nil,
  1029,   nil,   nil,  1029,  1029,  1029,  1029,  1029,  1029,  1029,
  1029,   nil,  1029,  1029,  1029,   nil,  1029,  1029,  1029,  1029,
  1029,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1029,   nil,   nil,  1029,   nil,   nil,  1029,  1029,   nil,   nil,
  1029,   nil,   nil,   nil,   nil,   nil,  1029,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1029,   nil,   nil,   nil,   nil,
  1029,  1029,  1029,  1029,   nil,  1029,  1029,  1029,  1029,   nil,
   nil,   nil,   nil,  1029,  1029,   nil,   nil,   nil,  1142,  1142,
  1142,  1029,  1142,  1029,  1029,  1029,  1142,  1142,  1029,  1029,
   nil,  1142,   nil,  1142,  1142,  1142,  1142,  1142,  1142,  1142,
   nil,   nil,   nil,   nil,   nil,  1142,  1142,  1142,  1142,  1142,
  1142,  1142,   nil,   nil,  1142,   nil,   nil,   nil,   nil,   nil,
   nil,  1142,   nil,   nil,  1142,  1142,  1142,  1142,  1142,  1142,
  1142,  1142,   nil,  1142,  1142,  1142,   nil,  1142,  1142,  1142,
  1142,  1142,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1142,   nil,   nil,  1142,   nil,   nil,  1142,  1142,   nil,
   nil,  1142,   nil,   nil,   nil,   nil,   nil,  1142,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1142,   nil,   nil,   nil,
   nil,  1142,  1142,  1142,  1142,   nil,  1142,  1142,  1142,  1142,
   nil,   nil,   nil,   nil,  1142,  1142,   nil,   nil,   nil,  1143,
  1143,  1143,  1142,  1143,  1142,  1142,  1142,  1143,  1143,  1142,
  1142,   nil,  1143,   nil,  1143,  1143,  1143,  1143,  1143,  1143,
  1143,   nil,   nil,   nil,   nil,   nil,  1143,  1143,  1143,  1143,
  1143,  1143,  1143,   nil,   nil,  1143,   nil,   nil,   nil,   nil,
   nil,   nil,  1143,   nil,   nil,  1143,  1143,  1143,  1143,  1143,
  1143,  1143,  1143,   nil,  1143,  1143,  1143,   nil,  1143,  1143,
  1143,  1143,  1143,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1143,   nil,   nil,  1143,   nil,   nil,  1143,  1143,
   nil,   nil,  1143,   nil,   nil,   nil,   nil,   nil,  1143,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1143,   nil,   nil,
   nil,   nil,  1143,  1143,  1143,  1143,   nil,  1143,  1143,  1143,
  1143,   nil,   nil,   nil,   nil,  1143,  1143,   nil,   nil,   nil,
  1155,  1155,  1155,  1143,  1155,  1143,  1143,  1143,  1155,  1155,
  1143,  1143,   nil,  1155,   nil,  1155,  1155,  1155,  1155,  1155,
  1155,  1155,   nil,   nil,   nil,   nil,   nil,  1155,  1155,  1155,
  1155,  1155,  1155,  1155,   nil,   nil,  1155,   nil,   nil,   nil,
   nil,   nil,   nil,  1155,   nil,   nil,  1155,  1155,  1155,  1155,
  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,   nil,  1155,
  1155,  1155,  1155,  1155,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1155,   nil,   nil,  1155,   nil,   nil,  1155,
  1155,   nil,   nil,  1155,   nil,  1155,   nil,  1155,   nil,  1155,
   nil,   nil,  1155,   nil,   nil,   nil,   nil,   nil,  1155,   nil,
   nil,   nil,   nil,  1155,  1155,  1155,  1155,   nil,  1155,  1155,
  1155,  1155,   nil,   nil,   nil,   nil,  1155,  1155,   nil,   nil,
   nil,    39,    39,    39,  1155,    39,  1155,  1155,  1155,    39,
    39,  1155,  1155,   nil,    39,   nil,    39,    39,    39,    39,
    39,    39,    39,   nil,   nil,   nil,   nil,   nil,    39,    39,
    39,    39,    39,    39,    39,   nil,   nil,    39,   nil,   nil,
   nil,   nil,   nil,   nil,    39,   nil,   nil,    39,    39,    39,
    39,    39,    39,    39,    39,   nil,    39,    39,    39,   nil,
    39,    39,   nil,   nil,    39,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    39,   nil,   nil,    39,   nil,   nil,
    39,    39,   nil,   nil,    39,   nil,    39,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    39,    39,    39,    39,   nil,    39,
    39,    39,    39,   nil,   nil,   nil,   nil,    39,    39,   nil,
   nil,   nil,    40,    40,    40,    39,    40,    39,    39,    39,
    40,    40,   nil,   nil,   nil,    40,   nil,    40,    40,    40,
    40,    40,    40,    40,   nil,   nil,   nil,   nil,   nil,    40,
    40,    40,    40,    40,    40,    40,   nil,   nil,    40,   nil,
   nil,   nil,   nil,   nil,   nil,    40,   nil,   nil,    40,    40,
    40,    40,    40,    40,    40,    40,   nil,    40,    40,    40,
   nil,    40,    40,   nil,   nil,    40,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    40,   nil,   nil,    40,   nil,
   nil,    40,    40,   nil,   nil,    40,   nil,   nil,  1203,   nil,
  1203,  1203,  1203,  1203,  1203,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1203,   nil,    40,    40,    40,    40,   nil,
    40,    40,    40,    40,   nil,   nil,   nil,   nil,    40,    40,
   nil,   nil,   nil,    40,   nil,  1203,    40,   nil,    40,    40,
    40,    76,    76,    76,   nil,    76,  1203,  1203,   nil,    76,
    76,  1203,   nil,   nil,    76,   nil,    76,    76,    76,    76,
    76,    76,    76,   nil,   nil,   nil,   nil,   nil,    76,    76,
    76,    76,    76,    76,    76,   nil,   nil,    76,   nil,   nil,
   nil,   nil,   nil,   nil,    76,   nil,   nil,    76,    76,    76,
    76,    76,    76,    76,    76,   nil,    76,    76,    76,   nil,
    76,    76,   nil,   nil,    76,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    76,   nil,   nil,    76,   nil,   nil,
    76,    76,   nil,   nil,    76,   nil,    76,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    76,    76,    76,    76,   nil,    76,
    76,    76,    76,   nil,   nil,   nil,   nil,    76,    76,   nil,
   nil,   nil,    77,    77,    77,    76,    77,    76,    76,    76,
    77,    77,   nil,   nil,   nil,    77,   nil,    77,    77,    77,
    77,    77,    77,    77,   nil,   nil,   nil,   nil,   nil,    77,
    77,    77,    77,    77,    77,    77,   nil,   nil,    77,   nil,
   nil,   nil,   nil,   nil,   nil,    77,   nil,   nil,    77,    77,
    77,    77,    77,    77,    77,    77,   nil,    77,    77,    77,
   nil,    77,    77,   nil,   nil,    77,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    77,   nil,   nil,    77,   nil,   nil,    77,   nil,
   nil,    77,    77,   nil,   nil,    77,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    77,    77,    77,    77,   nil,
    77,    77,    77,    77,   nil,   nil,   nil,   nil,    77,    77,
   nil,   nil,   nil,    78,    78,    78,    77,    78,    77,    77,
    77,    78,    78,   nil,   nil,   nil,    78,   nil,    78,    78,
    78,    78,    78,    78,    78,   nil,   nil,   nil,   nil,   nil,
    78,    78,    78,    78,    78,    78,    78,   nil,   nil,    78,
   nil,   nil,   nil,   nil,   nil,   nil,    78,   nil,   nil,    78,
    78,    78,    78,    78,    78,    78,    78,   nil,    78,    78,
    78,   nil,    78,    78,   nil,   nil,    78,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    78,   nil,   nil,    78,
   nil,   nil,    78,    78,   nil,   nil,    78,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    78,    78,    78,    78,
   nil,    78,    78,    78,    78,   nil,   nil,   nil,   nil,    78,
    78,   nil,   nil,   nil,   338,   338,   338,    78,   338,    78,
    78,    78,   338,   338,   nil,   nil,   nil,   338,   nil,   338,
   338,   338,   338,   338,   338,   338,   nil,   nil,   nil,   nil,
   nil,   338,   338,   338,   338,   338,   338,   338,   nil,   nil,
   338,   nil,   nil,   nil,   nil,   nil,   nil,   338,   nil,   nil,
   338,   338,   338,   338,   338,   338,   338,   338,   nil,   338,
   338,   338,   nil,   338,   338,   nil,   nil,   338,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   338,   nil,   nil,
   338,   nil,   nil,   338,   338,   nil,   nil,   338,   nil,   nil,
  1205,   nil,  1205,  1205,  1205,  1205,  1205,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1205,   nil,   338,   338,   338,
   338,   nil,   338,   338,   338,   338,   nil,   nil,   nil,   nil,
   338,   338,   nil,   nil,   nil,   338,   nil,  1205,   338,   nil,
   338,   338,   338,   357,   357,   357,   nil,   357,  1205,  1205,
   nil,   357,   357,  1205,   nil,   nil,   357,   nil,   357,   357,
   357,   357,   357,   357,   357,   nil,   nil,   nil,   nil,   nil,
   357,   357,   357,   357,   357,   357,   357,   nil,   nil,   357,
   nil,   nil,   nil,   nil,   nil,   nil,   357,   nil,   nil,   357,
   357,   357,   357,   357,   357,   357,   357,   nil,   357,   357,
   357,   nil,   357,   357,   nil,   nil,   357,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   357,   nil,   nil,   357,
   nil,   nil,   357,   357,   nil,   nil,   357,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   357,   357,   357,   357,
   nil,   357,   357,   357,   357,   nil,   nil,   nil,   nil,   357,
   357,   nil,   nil,   nil,   585,   585,   585,   357,   585,   357,
   357,   357,   585,   585,   nil,   nil,   nil,   585,   nil,   585,
   585,   585,   585,   585,   585,   585,   nil,   nil,   nil,   nil,
   nil,   585,   585,   585,   585,   585,   585,   585,   nil,   nil,
   585,   nil,   nil,   nil,   nil,   nil,   nil,   585,   nil,   nil,
   585,   585,   585,   585,   585,   585,   585,   585,   nil,   585,
   585,   585,   nil,   585,   585,   nil,   nil,   585,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   585,   nil,   nil,
   585,   nil,   nil,   585,   585,   nil,   nil,   585,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   585,   585,   585,
   585,   nil,   585,   585,   585,   585,   nil,   nil,   nil,   nil,
   585,   585,   nil,   nil,   nil,   594,   594,   594,   585,   594,
   585,   585,   585,   594,   594,   nil,   nil,   nil,   594,   nil,
   594,   594,   594,   594,   594,   594,   594,   nil,   nil,   nil,
   nil,   nil,   594,   594,   594,   594,   594,   594,   594,   nil,
   nil,   594,   nil,   nil,   nil,   nil,   nil,   nil,   594,   nil,
   nil,   594,   594,   594,   594,   594,   594,   594,   594,   nil,
   594,   594,   594,   nil,   594,   594,   nil,   nil,   594,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   594,   nil,
   nil,   594,   nil,   nil,   594,   594,   nil,   nil,   594,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   594,   594,
   594,   594,   nil,   594,   594,   594,   594,   nil,   nil,   nil,
   nil,   594,   594,   nil,   nil,   nil,   799,   799,   799,   594,
   799,   594,   594,   594,   799,   799,   nil,   nil,   nil,   799,
   nil,   799,   799,   799,   799,   799,   799,   799,   nil,   nil,
   nil,   nil,   nil,   799,   799,   799,   799,   799,   799,   799,
   nil,   nil,   799,   nil,   nil,   nil,   nil,   nil,   nil,   799,
   nil,   nil,   799,   799,   799,   799,   799,   799,   799,   799,
   nil,   799,   799,   799,   nil,   799,   799,   nil,   nil,   799,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   799,
   nil,   nil,   799,   nil,   nil,   799,   799,   nil,   nil,   799,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   799,
   799,   799,   799,   nil,   799,   799,   799,   799,   nil,   nil,
   nil,   nil,   799,   799,   nil,   nil,   nil,   810,   810,   810,
   799,   810,   799,   799,   799,   810,   810,   nil,   nil,   nil,
   810,   nil,   810,   810,   810,   810,   810,   810,   810,   nil,
   nil,   nil,   nil,   nil,   810,   810,   810,   810,   810,   810,
   810,   nil,   nil,   810,   nil,   nil,   nil,   nil,   nil,   nil,
   810,   nil,   nil,   810,   810,   810,   810,   810,   810,   810,
   810,   nil,   810,   810,   810,   nil,   810,   810,   nil,   nil,
   810,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   810,   nil,   nil,   810,   nil,   nil,   810,   810,   nil,   nil,
   810,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   810,   810,   810,   810,   nil,   810,   810,   810,   810,   nil,
   nil,   nil,   nil,   810,   810,   nil,   nil,   nil,  1011,  1011,
  1011,   810,  1011,   810,   810,   810,  1011,  1011,   nil,   nil,
   nil,  1011,   nil,  1011,  1011,  1011,  1011,  1011,  1011,  1011,
   nil,   nil,   nil,   nil,   nil,  1011,  1011,  1011,  1011,  1011,
  1011,  1011,   nil,   nil,  1011,   nil,   nil,   nil,   nil,   nil,
   nil,  1011,   nil,   nil,  1011,  1011,  1011,  1011,  1011,  1011,
  1011,  1011,   nil,  1011,  1011,  1011,   nil,  1011,  1011,   nil,
   nil,  1011,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1011,   nil,   nil,  1011,   nil,   nil,  1011,  1011,   nil,
   nil,  1011,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1011,  1011,  1011,  1011,   nil,  1011,  1011,  1011,  1011,
   nil,   nil,   nil,   nil,  1011,  1011,   nil,   nil,   nil,  1075,
  1075,  1075,  1011,  1075,  1011,  1011,  1011,  1075,  1075,   nil,
   nil,   nil,  1075,   nil,  1075,  1075,  1075,  1075,  1075,  1075,
  1075,   nil,   nil,   nil,   nil,   nil,  1075,  1075,  1075,  1075,
  1075,  1075,  1075,   nil,   nil,  1075,   nil,   nil,   nil,   nil,
   nil,   nil,  1075,   nil,   nil,  1075,  1075,  1075,  1075,  1075,
  1075,  1075,  1075,   nil,  1075,  1075,  1075,   nil,  1075,  1075,
   nil,   nil,  1075,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1075,   nil,   nil,  1075,   nil,   nil,  1075,  1075,
   nil,   nil,  1075,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1075,  1075,  1075,  1075,   nil,  1075,  1075,  1075,
  1075,   nil,   nil,   nil,   nil,  1075,  1075,   nil,   nil,   nil,
  1137,  1137,  1137,  1075,  1137,  1075,  1075,  1075,  1137,  1137,
   nil,   nil,   nil,  1137,   nil,  1137,  1137,  1137,  1137,  1137,
  1137,  1137,   nil,   nil,   nil,   nil,   nil,  1137,  1137,  1137,
  1137,  1137,  1137,  1137,   nil,   nil,  1137,   nil,   nil,   nil,
   nil,   nil,   nil,  1137,   nil,   nil,  1137,  1137,  1137,  1137,
  1137,  1137,  1137,  1137,   nil,  1137,  1137,  1137,   nil,  1137,
  1137,   nil,   nil,  1137,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1137,   nil,   nil,  1137,   nil,   nil,  1137,
  1137,   nil,   nil,  1137,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1137,  1137,  1137,  1137,   nil,  1137,  1137,
  1137,  1137,   nil,   nil,   nil,   nil,  1137,  1137,   nil,   nil,
   nil,   nil,   nil,   nil,  1137,   nil,  1137,  1137,  1137,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,    10,    10,   nil,   nil,   nil,    10,    10,    10,    10,
    10,    10,    10,    10,    10,    10,   nil,   nil,   nil,   nil,
   nil,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,   nil,    10,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    10,    10,   nil,    10,    10,    10,    10,    10,    10,    10,
   nil,   nil,    10,    10,   nil,   nil,   nil,    10,    10,    10,
    10,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    10,    10,   nil,    10,    10,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,   nil,
   nil,    10,    10,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    10,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,    11,    11,    11,
    11,   nil,   nil,   nil,    11,    11,    11,    11,    11,    11,
    11,    11,    11,    11,   nil,   nil,   nil,   nil,   nil,    11,
    11,    11,    11,    11,    11,    11,    11,    11,   nil,   nil,
    11,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    11,    11,
   nil,    11,    11,    11,    11,    11,    11,    11,   nil,   nil,
    11,    11,   nil,   nil,   nil,    11,    11,    11,    11,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    11,    11,   nil,    11,    11,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,   nil,   nil,    11,
    11,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    11,   424,   424,   424,   424,   424,
   424,   424,   424,   424,   424,   424,   424,   424,   424,   424,
   424,   424,   424,   424,   424,   424,   424,   424,   424,   nil,
   nil,   nil,   424,   424,   424,   424,   424,   424,   424,   424,
   424,   424,   nil,   nil,   nil,   nil,   nil,   424,   424,   424,
   424,   424,   424,   424,   424,   424,   nil,   nil,   424,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   424,   424,   nil,   424,
   424,   424,   424,   424,   424,   424,   nil,   nil,   424,   424,
   nil,   nil,   nil,   424,   424,   424,   424,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   424,   424,   nil,   424,   424,   424,   424,   424,   424,   424,
   424,   424,   424,   424,   424,   nil,   nil,   424,   424,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   424,   664,   664,   664,   664,   664,   664,   664,
   664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
   664,   664,   664,   664,   664,   664,   664,   nil,   nil,   nil,
   664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
   nil,   nil,   nil,   nil,   nil,   664,   664,   664,   664,   664,
   664,   664,   664,   664,   nil,   nil,   664,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   664,   664,   nil,   664,   664,   664,
   664,   664,   664,   664,   nil,   nil,   664,   664,   nil,   nil,
   nil,   664,   664,   664,   664,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   664,   664,
   nil,   664,   664,   664,   664,   664,   664,   664,   664,   664,
   664,   664,   664,   nil,   nil,   664,   664,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   664,    26,    26,    26,    26,    26,    26,    26,    26,    26,
    26,    26,    26,    26,    26,    26,    26,    26,    26,    26,
    26,    26,    26,    26,    26,   nil,   nil,   nil,    26,    26,
    26,    26,    26,    26,    26,    26,    26,    26,   nil,   nil,
   nil,   nil,   nil,    26,    26,    26,    26,    26,    26,    26,
    26,    26,    26,    26,    26,   nil,    26,   nil,   nil,   nil,
   nil,   nil,    26,    26,   nil,    26,    26,    26,    26,    26,
    26,    26,   nil,   nil,    26,    26,   nil,   nil,   nil,    26,
    26,    26,    26,   nil,   nil,   nil,   nil,   nil,    26,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    26,    26,   nil,    26,
    26,    26,    26,    26,    26,    26,    26,    26,    26,    26,
    26,   nil,   nil,    26,   524,   524,   524,   524,   nil,   nil,
  1207,   nil,  1207,  1207,  1207,  1207,  1207,   nil,   nil,   nil,
   524,   524,   524,   524,   nil,  1207,   nil,   524,   524,   nil,
   nil,   nil,   nil,   524,   524,   nil,   nil,   524,   524,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1207,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   524,  1207,  1207,
   524,   nil,   nil,  1207,   524,   nil,   nil,   524,   nil,   524,
   nil,   nil,   nil,   nil,   nil,   nil,   524,   nil,   nil,   nil,
   nil,   nil,   nil,   524,   nil,   nil,   nil,   524,   524,   524,
   524,   nil,   524,   524,   524,   524,   nil,   nil,   nil,   nil,
   524,   524,   525,   525,   525,   525,   nil,   nil,   524,   nil,
   524,   524,   524,   nil,   nil,   524,   524,   nil,   525,   525,
   525,   525,   nil,   nil,   nil,   525,   525,   nil,   nil,   nil,
   nil,   525,   525,   nil,   nil,   525,   525,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   525,   nil,   nil,   525,   nil,
   nil,   nil,   525,   nil,   nil,   525,   nil,   525,   nil,   nil,
   nil,   nil,   nil,   nil,   525,   nil,   nil,   nil,   nil,   nil,
   nil,   525,   nil,   nil,   nil,   525,   525,   525,   525,   nil,
   525,   525,   525,   525,   nil,   nil,   nil,   nil,   525,   525,
   741,   741,   741,   741,   nil,   nil,   525,   nil,   525,   525,
   525,   nil,   nil,   525,   525,   nil,   741,   741,   741,   741,
   nil,   nil,   nil,   741,   nil,   nil,   nil,   nil,   nil,   741,
   741,   nil,   nil,   741,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   741,   nil,   nil,   741,   nil,   nil,   nil,
   741,   nil,   nil,   741,   nil,   741,   nil,   nil,   nil,   nil,
   nil,   nil,   702,   nil,   702,   702,   702,   702,   702,   741,
   nil,   nil,   nil,   741,   741,   741,   741,   702,   741,   741,
   741,   741,   nil,   nil,   nil,   nil,   741,   741,   741,   749,
   749,   749,   749,   nil,   741,   nil,   741,   741,   741,   702,
   nil,   741,   741,   nil,   nil,   749,   749,   749,   749,   nil,
   702,   702,   749,   nil,   nil,   702,   nil,   nil,   749,   749,
   nil,   nil,   749,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   749,   nil,   nil,   749,   nil,   nil,   nil,   749,
   nil,   nil,   749,   nil,   nil,   702,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   749,   nil,
   nil,   nil,   749,   749,   749,   749,   nil,   749,   749,   749,
   749,   nil,   nil,   nil,   nil,   749,   749,   nil,   nil,   nil,
   nil,   nil,   nil,   749,   nil,   749,   749,   749,   nil,   nil,
   749,   749,   776,   776,   776,   776,   776,   776,   776,   776,
   776,   776,   776,   776,   776,   776,   776,   776,   776,   776,
   776,   776,   776,   776,   776,   776,   nil,   nil,   nil,   776,
   776,   776,   776,   776,   776,   776,   776,   776,   776,   nil,
   nil,   nil,   nil,   nil,   776,   776,   776,   776,   776,   776,
   776,   776,   776,   nil,   nil,   776,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   776,   776,   nil,   776,   776,   776,   776,
   776,   776,   776,   nil,   nil,   776,   776,   nil,   nil,   nil,
   776,   776,   776,   776,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   776,   776,   nil,
   776,   776,   776,   776,   776,   776,   776,   776,   776,   776,
   776,   776,   nil,   nil,   776,   918,   918,   918,   918,   nil,
   nil,   nil,   nil,   nil,  1016,   nil,  1016,  1016,  1016,  1016,
  1016,   918,   918,   918,   918,   nil,   nil,   nil,   918,  1016,
   nil,   nil,   nil,   nil,   918,   918,   nil,   nil,   918,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1016,   nil,   nil,   nil,   nil,   nil,   nil,   918,   nil,
   nil,   918,  1016,  1016,   nil,   918,   nil,  1016,   918,   nil,
   918,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   918,   nil,   nil,   nil,   918,   918,
   918,   918,   nil,   918,   918,   918,   918,   nil,   nil,   nil,
   nil,   918,   918,   920,   920,   920,   920,  1016,   nil,   918,
   nil,   918,   918,   918,   nil,   nil,   918,   918,   nil,   920,
   920,   920,   920,   nil,   nil,  1131,   920,  1131,  1131,  1131,
  1131,  1131,   920,   920,   nil,   nil,   920,   nil,   nil,   nil,
  1131,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   920,   nil,   nil,   920,
   nil,   nil,  1131,   920,   nil,   nil,   920,   nil,   nil,   nil,
   nil,  1131,  1131,  1131,  1131,   nil,   nil,   nil,  1131,   nil,
   nil,   nil,   920,   nil,   nil,   nil,   920,   920,   920,   920,
   nil,   920,   920,   920,   920,   nil,   nil,   nil,   nil,   920,
   920,   923,   923,   923,   923,   nil,   nil,   920,   nil,   920,
   920,   920,   nil,   nil,   920,   920,   nil,   923,   923,   923,
   923,   nil,   nil,   nil,   923,   923,   nil,   nil,   nil,   nil,
   923,   923,   nil,   nil,   923,   923,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   923,   nil,   nil,   923,   nil,   nil,
   nil,   923,   nil,   nil,   923,   nil,   923,   nil,   nil,   nil,
   nil,   nil,   nil,   923,   nil,   nil,   nil,   nil,   nil,   nil,
   923,   nil,   nil,   nil,   923,   923,   923,   923,   nil,   923,
   923,   923,   923,   nil,   nil,   nil,   nil,   923,   923,   924,
   924,   924,   924,   nil,   nil,   923,   nil,   923,   923,   923,
   nil,   nil,   923,   923,   nil,   924,   924,   924,   924,   nil,
   nil,   nil,   924,   924,   nil,   nil,   nil,   nil,   924,   924,
   nil,   nil,   924,   924,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   924,   nil,   nil,   924,   nil,   nil,   nil,   924,
   nil,   nil,   924,   nil,   924,   nil,   nil,   nil,   nil,   nil,
   nil,   924,   nil,   nil,   nil,   nil,   nil,   nil,   924,   nil,
   nil,   nil,   924,   924,   924,   924,   nil,   924,   924,   924,
   924,   nil,   nil,   nil,   nil,   924,   924,   930,   930,   930,
   930,   nil,   nil,   924,   nil,   924,   924,   924,   nil,   nil,
   924,   924,   nil,   930,   930,   930,   930,   nil,   nil,  1201,
   930,  1201,  1201,  1201,  1201,  1201,   930,   930,   nil,   nil,
   930,   nil,   nil,   nil,  1201,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   930,   nil,   nil,   930,   nil,   nil,  1201,   930,   nil,   nil,
   930,   nil,   930,   nil,   nil,  1201,  1201,  1201,  1201,   nil,
   nil,   nil,  1201,   nil,   nil,   nil,   930,   nil,   nil,   nil,
   930,   930,   930,   930,   nil,   930,   930,   930,   930,   nil,
   nil,   nil,   nil,   930,   930,   936,   936,   936,   936,   nil,
   nil,   930,   nil,   930,   930,   930,   nil,   nil,   930,   930,
   nil,   936,   936,   936,   936,   nil,   nil,  1224,   936,  1224,
  1224,  1224,  1224,  1224,   936,   936,   nil,   nil,   936,   nil,
   nil,   nil,  1224,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   936,   nil,
   nil,   936,   nil,   nil,  1224,   936,   nil,   nil,   936,   nil,
   nil,   nil,   nil,   nil,   nil,  1224,  1224,   nil,   nil,   nil,
  1224,   nil,   nil,   nil,   936,   nil,   nil,   nil,   936,   936,
   936,   936,   nil,   936,   936,   936,   936,   nil,   nil,   nil,
   nil,   936,   936,   937,   937,   937,   937,   nil,   nil,   936,
   nil,   936,   936,   936,   nil,   nil,   936,   936,   nil,   937,
   937,   937,   937,   nil,   nil,   nil,   937,   nil,   nil,   nil,
   nil,   nil,   937,   937,   nil,   nil,   937,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   937,   nil,   nil,   937,
   nil,   nil,   nil,   937,   nil,   nil,   937,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   937,   nil,   nil,   nil,   937,   937,   937,   937,
   nil,   937,   937,   937,   937,   nil,   nil,   nil,   nil,   937,
   937,   983,   983,   983,   983,   nil,   nil,   937,   nil,   937,
   937,   937,   nil,   nil,   937,   937,   nil,   983,   983,   983,
   983,   nil,   nil,   nil,   983,   983,   nil,   nil,   nil,   nil,
   983,   983,   nil,   nil,   983,   983,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   983,   nil,   nil,   983,   nil,   nil,
   nil,   983,   nil,   nil,   983,   nil,   983,   nil,   nil,   nil,
   nil,   nil,   nil,   983,   nil,   nil,   nil,   nil,   nil,   nil,
   983,   nil,   nil,   nil,   983,   983,   983,   983,   nil,   983,
   983,   983,   983,   nil,   nil,   nil,   nil,   983,   983,  1109,
  1109,  1109,  1109,   nil,   nil,   983,   nil,   983,   983,   983,
   nil,   nil,   983,   983,   nil,  1109,  1109,  1109,  1109,   nil,
   nil,   nil,  1109,   nil,   nil,   nil,   nil,   nil,  1109,  1109,
   nil,   nil,  1109,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1109,   nil,   nil,  1109,   nil,   nil,   nil,  1109,
   nil,   nil,  1109,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1109,   nil,
   nil,   nil,  1109,  1109,  1109,  1109,   nil,  1109,  1109,  1109,
  1109,   nil,   nil,   nil,   nil,  1109,  1109,  1118,  1118,  1118,
  1118,   nil,   nil,  1109,   nil,  1109,  1109,  1109,   nil,   nil,
  1109,  1109,   nil,  1118,  1118,  1118,  1118,   nil,   nil,   nil,
  1118,   nil,   nil,   nil,   nil,   nil,  1118,  1118,   nil,   nil,
  1118,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1118,   nil,   nil,  1118,   nil,   nil,   nil,  1118,   nil,   nil,
  1118,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1118,   nil,   nil,   nil,
  1118,  1118,  1118,  1118,   nil,  1118,  1118,  1118,  1118,   nil,
   nil,   nil,   nil,  1118,  1118,  1122,  1122,  1122,  1122,   nil,
   nil,  1118,   nil,  1118,  1118,  1118,   nil,   nil,  1118,  1118,
   nil,  1122,  1122,  1122,  1122,   nil,   nil,   nil,  1122,   nil,
   nil,   nil,   nil,   nil,  1122,  1122,   nil,   nil,  1122,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1122,   nil,
   nil,  1122,   nil,   nil,   nil,  1122,   nil,   nil,  1122,   nil,
  1122,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  1122,   nil,   nil,   nil,  1122,  1122,
  1122,  1122,   nil,  1122,  1122,  1122,  1122,   nil,   nil,   nil,
   nil,  1122,  1122,  1166,  1166,  1166,  1166,   nil,   nil,  1122,
   nil,  1122,  1122,  1122,   nil,   nil,  1122,  1122,   nil,  1166,
  1166,  1166,  1166,   nil,   nil,   nil,  1166,   nil,   nil,   nil,
   nil,   nil,  1166,  1166,   nil,   nil,  1166,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1166,   nil,   nil,  1166,
   nil,   nil,   nil,  1166,   nil,   nil,  1166,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1166,   nil,   nil,   nil,  1166,  1166,  1166,  1166,
   nil,  1166,  1166,  1166,  1166,   nil,   nil,   nil,   nil,  1166,
  1166,  1198,  1198,  1198,  1198,   nil,   nil,  1166,   nil,  1166,
  1166,  1166,   nil,   nil,  1166,  1166,   nil,  1198,  1198,  1198,
  1198,   nil,   nil,   nil,  1198,   nil,   nil,   nil,   nil,   nil,
  1198,  1198,   nil,   nil,  1198,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   759,   759,   759,   759,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  1198,   nil,   nil,  1198,   759,   759,
   759,  1198,   nil,   nil,  1198,   nil,   nil,   nil,   nil,   nil,
   nil,   759,   759,   nil,   nil,   759,   nil,   nil,   nil,   nil,
  1198,   nil,   nil,   nil,  1198,  1198,  1198,  1198,   nil,  1198,
  1198,  1198,  1198,   nil,   nil,   nil,   nil,  1198,  1198,   nil,
   nil,   nil,   nil,   nil,   nil,  1198,   nil,  1198,  1198,  1198,
   nil,   nil,  1198,  1198,   966,   nil,   966,   966,   966,   966,
   966,   nil,   nil,   nil,   nil,   759,   759,   759,   759,   966,
   759,   759,   759,   759,   nil,   nil,   nil,   nil,   759,   759,
   944,   944,   944,   944,   nil,   nil,   759,   nil,   759,   759,
   759,   966,   nil,   nil,   nil,   nil,   944,   944,   944,   nil,
   966,   966,   966,   966,   nil,   nil,   nil,   966,   nil,   944,
   944,   nil,   nil,   944,   945,   945,   945,   945,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   945,   945,   945,   966,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   945,   945,   nil,   nil,   945,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   944,   944,   944,   944,   nil,   944,   944,
   944,   944,   nil,   nil,   nil,   nil,   944,   944,   nil,   nil,
   nil,   nil,   nil,   nil,   944,   nil,   944,   944,   944,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   945,   945,   945,
   945,   nil,   945,   945,   945,   945,   nil,   nil,   nil,   nil,
   945,   945,   nil,   nil,   nil,   nil,   nil,   nil,   945,   nil,
   945,   945,   945,   698,   nil,   698,   698,   698,   698,   698,
   nil,   700,   nil,   700,   700,   700,   700,   700,   698,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   700,   nil,  1014,   nil,
  1014,  1014,  1014,  1014,  1014,   nil,   nil,   nil,   nil,   nil,
   698,   nil,   nil,  1014,   nil,   nil,   nil,   nil,   700,   698,
   698,   698,   698,   nil,   nil,   nil,   698,   700,   700,   700,
   700,   nil,   nil,   nil,   700,  1014,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  1014,  1014,  1014,  1014,   nil,   nil,
  1018,  1014,  1018,  1018,  1018,  1018,  1018,  1020,   nil,  1020,
  1020,  1020,  1020,  1020,   nil,  1018,   698,   nil,   nil,   nil,
   nil,   nil,  1020,   nil,   700,  1159,   nil,  1159,  1159,  1159,
  1159,  1159,   nil,   nil,   nil,   nil,   nil,  1018,   nil,   nil,
  1159,  1014,   nil,   nil,  1020,   nil,   nil,   nil,  1018,  1018,
   nil,   nil,   nil,  1018,   nil,  1020,  1020,   nil,   nil,   nil,
  1020,   nil,  1159,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1159,  1159,   nil,   nil,   nil,  1159,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   222,   222,   nil,  1018,   222,   nil,   nil,   nil,   nil,   nil,
  1020,   nil,   222,   222,   nil,   222,   222,   222,   222,   222,
   222,   222,   nil,   nil,   222,   222,   nil,   nil,  1159,   222,
   222,   222,   222,   nil,   nil,   nil,   nil,   nil,   222,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   222,   222,   nil,   222,
   222,   222,   222,   222,   222,   222,   222,   222,   222,   222,
   222,   223,   223,   222,   nil,   223,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   223,   223,   nil,   223,   223,   223,   223,
   223,   223,   223,   nil,   nil,   223,   223,   nil,   nil,   nil,
   223,   223,   223,   223,   nil,   nil,   nil,   nil,   nil,   223,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   223,   223,   nil,
   223,   223,   223,   223,   223,   223,   223,   223,   223,   223,
   223,   223,   299,   299,   223,   nil,   299,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   299,   299,   nil,   299,   299,   299,
   299,   299,   299,   299,   nil,   nil,   299,   299,   nil,   nil,
   nil,   299,   299,   299,   299,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   299,   299,
   nil,   299,   299,   299,   299,   299,   299,   299,   299,   299,
   299,   299,   299,   515,   515,   299,   nil,   515,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   515,   515,   nil,   515,   515,
   515,   515,   515,   515,   515,   nil,   nil,   515,   515,   nil,
   nil,   nil,   515,   515,   515,   515,   nil,   nil,   nil,   nil,
   nil,   515,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   515,
   515,   nil,   515,   515,   515,   515,   515,   515,   515,   515,
   515,   515,   515,   515,   516,   516,   515,   nil,   516,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   516,   516,   nil,   516,
   516,   516,   516,   516,   516,   516,   nil,   nil,   516,   516,
   nil,   nil,   nil,   516,   516,   516,   516,   nil,   nil,   nil,
   nil,   nil,   516,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   516,   516,   nil,   516,   516,   516,   516,   516,   516,   516,
   516,   516,   516,   516,   516,   588,   588,   516,   nil,   588,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   588,   588,   nil,
   588,   588,   588,   588,   588,   588,   588,   nil,   nil,   588,
   588,   nil,   nil,   nil,   588,   588,   588,   588,   nil,   nil,
   nil,   nil,   nil,   588,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   588,   588,   nil,   588,   588,   588,   588,   588,   588,
   588,   588,   588,   588,   588,   588,   589,   589,   588,   nil,
   589,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   589,   589,
   nil,   589,   589,   589,   589,   589,   589,   589,   nil,   nil,
   589,   589,   nil,   nil,   nil,   589,   589,   589,   589,   nil,
   nil,   nil,   nil,   nil,   589,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   589,   589,   nil,   589,   589,   589,   589,   589,
   589,   589,   589,   589,   589,   589,   589,   598,   598,   589,
   nil,   598,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   598,
   598,   nil,   598,   598,   598,   598,   598,   598,   598,   nil,
   nil,   598,   598,   nil,   nil,   nil,   598,   598,   598,   598,
   nil,   nil,   nil,   nil,   nil,   598,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   598,   598,   nil,   598,   598,   598,   598,
   598,   598,   598,   598,   598,   598,   598,   598,   599,   599,
   598,   nil,   599,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   599,   599,   nil,   599,   599,   599,   599,   599,   599,   599,
   nil,   nil,   599,   599,   nil,   nil,   nil,   599,   599,   599,
   599,   nil,   nil,   nil,   nil,   nil,   599,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   599,   599,   nil,   599,   599,   599,
   599,   599,   599,   599,   599,   599,   599,   599,   599,   626,
   626,   599,   nil,   626,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   626,   626,   nil,   626,   626,   626,   626,   626,   626,
   626,   nil,   nil,   626,   626,   nil,   nil,   nil,   626,   626,
   626,   626,   nil,   nil,   nil,   nil,   nil,   626,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   626,   626,   nil,   626,   626,
   626,   626,   626,   626,   626,   626,   626,   626,   626,   626,
   627,   627,   626,   nil,   627,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   627,   627,   nil,   627,   627,   627,   627,   627,
   627,   627,   nil,   nil,   627,   627,   nil,   nil,   nil,   627,
   627,   627,   627,   nil,   nil,   nil,   nil,   nil,   627,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   627,   627,   nil,   627,
   627,   627,   627,   627,   627,   627,   627,   627,   627,   627,
   627,   633,   633,   627,   nil,   633,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   633,   633,   nil,   633,   633,   633,   633,
   633,   633,   633,   nil,   nil,   633,   633,   nil,   nil,   nil,
   633,   633,   633,   633,   nil,   nil,   nil,   nil,   nil,   633,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   633,   633,   nil,
   633,   633,   633,   633,   633,   633,   633,   633,   633,   633,
   633,   633,   634,   634,   633,   nil,   634,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   634,   634,   nil,   634,   634,   634,
   634,   634,   634,   634,   nil,   nil,   634,   634,   nil,   nil,
   nil,   634,   634,   634,   634,   nil,   nil,   nil,   nil,   nil,
   634,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   634,   634,
   nil,   634,   634,   634,   634,   634,   634,   634,   634,   634,
   634,   634,   634,   671,   671,   634,   nil,   671,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   671,   671,   nil,   671,   671,
   671,   671,   671,   671,   671,   nil,   nil,   671,   671,   nil,
   nil,   nil,   671,   671,   671,   671,   nil,   nil,   nil,   nil,
   nil,   671,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   671,
   671,   nil,   671,   671,   671,   671,   671,   671,   671,   671,
   671,   671,   671,   671,   672,   672,   671,   nil,   672,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   672,   672,   nil,   672,
   672,   672,   672,   672,   672,   672,   nil,   nil,   672,   672,
   nil,   nil,   nil,   672,   672,   672,   672,   nil,   nil,   nil,
   nil,   nil,   672,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   672,   672,   nil,   672,   672,   672,   672,   672,   672,   672,
   672,   672,   672,   672,   672,  1156,  1156,   672,   nil,  1156,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1156,  1156,   nil,
  1156,  1156,  1156,  1156,  1156,  1156,  1156,   nil,   nil,  1156,
  1156,   nil,   nil,   nil,  1156,  1156,  1156,  1156,   nil,   nil,
   nil,   nil,   nil,  1156,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1156,  1156,   nil,  1156,  1156,  1156,  1156,  1156,  1156,
  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,  1156,   nil,
  1157,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1157,  1157,
   nil,  1157,  1157,  1157,  1157,  1157,  1157,  1157,   nil,   nil,
  1157,  1157,   nil,   nil,   nil,  1157,  1157,  1157,  1157,   nil,
   nil,   nil,   nil,   nil,  1157,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1157,  1157,   nil,  1157,  1157,  1157,  1157,  1157,
  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1181,  1181,  1157,
   nil,  1181,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1181,
  1181,   nil,  1181,  1181,  1181,  1181,  1181,  1181,  1181,   nil,
   nil,  1181,  1181,   nil,   nil,   nil,  1181,  1181,  1181,  1181,
   nil,   nil,   nil,   nil,   nil,  1181,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1181,  1181,   nil,  1181,  1181,  1181,  1181,
  1181,  1181,  1181,  1181,  1181,  1181,  1181,  1181,   nil,   nil,
  1181 ]

racc_action_pointer = [
   nil,    58,   979,    85,   nil,  -110,   nil,  5154,   964,   140,
 24967, 25095,   209,   nil,   211,   220,   525,   328,   -62,   -84,
   162,   374,   nil,   -71,  5285,  1123, 25479,   396,   nil,   171,
   nil,    -8,  5426,  5536,  5670,  5801,  5932,   nil,  1123, 23109,
 23240,   nil,   315,   525,   531,   423,  6063,  6194,   205,  6325,
  6456,   525,  6587,   378,   342,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  6728,   nil,  6869,  7000,  7131,    35,
   nil,  7262,  7393,   nil,   nil,  7524, 23379, 23510, 23641,   nil,
   nil,   nil,   nil,   nil,   nil,   612,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,     0,   nil,   nil,   112,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  7667,   nil,   nil,   nil,   nil,  7810,  7941,  8072,  8203,
  8346,   nil,  1267,   nil,   588,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   384,   nil,  1411,  8477,  8608,  8739,  8870,
  9001,  9132, 27689, 27750,   nil,   nil,   379,  1555,   390,   nil,
   719,   831,   427,  1699,  9263,  9394,  9525,   nil,   nil,   514,
   141,   193,   522,   246,   469,   536,   nil,  9656,   307,   388,
  1843,   542,   nil,   nil,  9787,  9918, 10049, 10180, 10311, 10442,
 10573, 10704, 10835, 10966, 11097, 11228, 11359, 11490, 11621, 11752,
 11883, 12014, 12145, 12276, 12407, 12538,   nil,   nil,   nil,   nil,
 12669,   nil,   nil,   226,   302,   515,   517,   518,   532,   550,
   558,   584,   585,   nil,   nil,   nil, 12800,   nil,   nil, 27811,
   nil,   nil,   541, 12931, 13062,   nil,   nil,   nil,   nil,   nil,
   nil,   nil, 13193,   nil,  1843,   nil,   512,   532,   nil, 13324,
   585, 13455,   nil,   nil, 13586, 13717,   nil,   nil,    74,   nil,
 13860,  1252,   599,   579,  1987,   626,   687,   648, 23772,  2131,
   694,   806,   873,   748,   878,   nil,   721,   681,   225,   724,
   732,   nil,   nil,   nil,   743,   221,   704, 23911,   nil,   564,
   879,  3283,  3427,   773,   nil,   774, 13991,   nil, 14122,  2275,
  1396,   714,   nil,   252,   399,   751,   733,   574,   764,   nil,
   593,    -1,    11, 14253,  2419,  2563,   216,   838,   721,   -18,
    10,   893,   805,    11,   837,   nil,   nil,   441,   481,   513,
   nil,   962,   nil,   755, 14384,   nil, 15952,   nil,   193,   378,
   396,   402,   412,   -27,    -4,   463,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   752, 25223,   nil,   nil,   nil,   nil,   753,
   nil,   825,   736, 14515,   739,   nil,   nil,   733,   nil,   968,
   253,   836,   nil,   nil,  1267,   nil,   nil,   nil,   nil,   nil,
  1411,   750,   nil,   748,   760,   615,   669, 14656,   nil,   nil,
   nil,   222,   334,   805,   nil,   nil, 14788, 14924, 15061,   889,
   889,   nil,   nil,   784,   782,   789,   nil,   nil,   790,   792,
   800,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   793,  3125,   nil,   nil, 15192,   nil,   nil,   nil,    -1,   nil,
   nil,   nil,   898,   nil,   nil,   900,   264, 15323,   943,   nil,
   nil,   nil,   -35,   nil,   863, 27872, 27933, 15454,   277, 15585,
 15716, 15847,   813,   814, 25562, 25660,  3571,  3715,  1018,  3150,
   894,   902,   907,   908,  5285,  5375,  5488,  3859,  4003,  4147,
  4291,  4435,  4579,  3311,  3455,  4723,  4867,  1987,  5011,   nil,
   -33,   nil, 15988,   nil,   nil,   nil,   nil, 16118,   848,   858,
   863,   nil,   nil,   nil,   886,   nil,   nil, 16249,   nil, 16380,
   nil, 16511,   nil,   329,   nil,   nil,   nil, 16654,  1540,   nil,
   888,   886,   nil,   nil,   889, 24042,   918, 16797, 27994, 28055,
   972,   961,   nil,   nil, 24173,   918,   nil, 16928, 28116, 28177,
 17059,  5154,  2131, 17190,  1044,   927,   968,   nil, 17321,   nil,
   nil, 17452,   nil,   nil,   nil,  2707,  1048,   nil,  2851,    62,
  1053,  1057,    39,  1059, 17583, 17714, 28238, 28299,    27,   nil,
   nil,   995,   nil, 28360, 28421, 17845,   nil,   nil,    81,  2995,
   nil, 15982,   nil,   nil,   nil,   nil,  1033,   nil,   nil,   nil,
   950,   nil,   nil,   153,   nil,   263,   nil,   nil,   939,   nil,
   941,   nil,   nil,   nil, 25351,   nil, 17988,   944, 18119, 18250,
 18381, 28482, 28543, 18524, 18655,   693,   984, 18786, 18917, 19048,
 19179,   985,   nil,   nil, 19310, 19441,   987,   nil,  1042,  1555,
  1079, 19572,   nil,   nil,   888,   nil,   nil,   544, 27522,   nil,
 27530,   nil, 25811,   nil, 19703,   nil,  3154,   nil,   965,   970,
   729,   975,   nil,   nil,   nil,   nil,   nil,   nil,  1063,  1699,
   nil,   nil,   nil,   286,   306,   473,   612,   979, 19834, 19965,
   nil,   139,   nil,   nil,   nil,   nil,  1002,   nil,   nil,   nil,
   582, 25758,    94,   nil,   980,  1079,   998,   nil,   nil, 25857,
   nil,   nil,   303,   nil,   nil,   654,   nil,   nil,  6728, 27300,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   838,   612,   nil,   nil,  1000, 26000,   nil,  1126,   nil,
  1109,    91,   nil,   nil, 20096,   nil,  1026,  1039,  1140,   nil,
  1017,   nil,  1064, 20227,   nil,   nil, 20358,   nil,   245, 24304,
  1026,   nil,  1035,   236,   250,  1090,   360,  1123,  1094,  1070,
 24435,   nil,  1138,    -7,   nil,   nil,   nil,   583,   738,   nil,
  1195,   nil,   nil,   nil,   nil,   nil,  1204,  1208,   nil,   nil,
    26,  1089,    40,    41,   151,   152,  3139,   970,  1267,   nil,
  1092,  3283, 20489,   nil,  1218,    63,  1105,   nil,   nil,   nil,
   nil,   nil,  3427,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1103, 20620,  1107,   343,   347,   722,   834,   nil,  2275,
 20751,   nil,  1114,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil, 20882, 21013,  1240,   nil,  3571,  1117,  1166,
   nil,   nil,  1122,   nil,  1205,   nil,   nil,  1124,  1127,   nil,
  1131,  1141,   nil,  1142,   nil,   nil,  1146,  3184,  3651,   nil,
   nil, 21144, 21275, 21406, 21537, 21668, 21799,   445, 26083,  1228,
 26181,   -41,   -73, 26279, 26377,   622,   169,  1150,  1151,   nil,
 26475,   nil,  1150,   359,   nil,  1190, 26573, 26671,   nil,   637,
  1217,   333,   nil,   nil, 27398, 27432,   nil,   nil,   nil,   nil,
 21930,   nil,   nil,   nil,   nil,   nil, 22061,   nil,   nil,  1197,
   nil,   nil,  1195,  1179,   nil,   nil, 27353,  3715,   nil,   nil,
   nil,   nil,  1190,   338,   nil,   nil,   nil,  1318,   nil, 22192,
  1338,   nil,   nil, 26769, 22323,  3859,    68,  1339,   nil,  1344,
   361,  4003,   nil,   nil,   nil,   nil,  1219,  1267,  1234,  1230,
   468,   nil,   nil, 22454,  2419,  2563,   nil,  4147,   nil,   nil,
    32, 24566,   nil,   nil, 27547,   nil, 26073,   nil, 27599,   nil,
 27606,   nil,   nil,   nil,   nil,  1233,  1238,  2707,  2851, 22585,
   nil,  1246,   nil,   nil,   nil,   nil,  1250,  1251,  1261,  1262,
  1264,  1267,   nil,   nil,   nil,  1312,  1268,   -32,   nil,  1274,
   nil,   nil,   -77,  1275,   nil,   nil,   nil,   nil,   nil,   nil,
  1328,  2995,  4291,   nil,   nil,  1286,  1287,   nil,  1290,  1291,
  1292,   nil,  1318,  1317,  1303, 24697,   nil,   nil,   nil,   nil,
    33,   nil,    34,   727,   nil,   255,   nil,   nil,   nil,  1441,
  4435,  4579,  1109,   nil,   nil,   nil,  4723,    35,    36,  1165,
  1397,    42,   nil,  1320,  1334,  1338,  1358,  3795,  3845, 26867,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1359, 26965,   nil,
   370,   nil, 27063,   nil,   nil,  1444,   nil,   nil, 16007,   nil,
   nil, 26184,   nil, 14719,   nil,   nil,  1388, 24828,  1309,  1443,
  4867,   nil, 22716, 22847,   nil,   nil,   nil,   nil,  1388,  1496,
   604,   nil,   nil,   nil,  1500, 22978, 28604, 28665,    98, 27624,
   nil,   nil,   nil,   nil,  1382,  1390, 27161,  1391,   nil,   nil,
  1392,   nil,   nil,  1397,  1402,  1403,  1404,   nil,  1405,   nil,
  1411, 28726,   nil,   755,  5011,   nil,   nil,   nil,   nil,   nil,
  1829,   nil,  1411,   102,   138,   145,   181,  1412, 27259,  1413,
   nil, 26478,   nil, 23287,   nil, 23819,   nil, 25549,   nil,   nil,
  1463,  1473,   nil,    38,   nil,   146,   nil,  1430,  1431,  1434,
  1435,   nil,   nil,   nil, 26576,   nil,   nil,   nil,   nil,  1436,
   nil ]

racc_action_default = [
    -1,  -738,    -4,  -738,    -2,  -723,    -5,  -738,    -8,  -738,
  -738,  -738,  -738,   -31,  -738,  -738,   -36,  -738,  -738,  -632,
  -632,  -310,   -52,  -725,  -738,   -61,  -738,   -69,   -70,   -71,
   -75,  -286,  -286,  -286,  -323,  -350,  -351,   -87,   -13,   -91,
   -99,  -101,  -738,  -619,  -620,  -738,  -738,  -738,  -738,  -738,
  -738,  -239,  -738,  -725,  -257,  -301,  -302,  -303,  -304,  -305,
  -306,  -307,  -308,  -309,  -711,  -312,  -316,  -737,  -700,  -331,
  -333,  -738,  -738,   -63,   -63,  -723,  -738,  -738,  -738,  -352,
  -353,  -355,  -412,  -556,  -557,  -558,  -559,  -580,  -562,  -563,
  -582,  -584,  -567,  -572,  -576,  -578,  -594,  -595,  -596,  -580,
  -598,  -600,  -601,  -602,  -603,  -709,  -608,  -609,  -710,  -611,
  -612,  -613,  -614,  -615,  -616,  -617,  -618,  -623,  -624,  1231,
    -3,  -724,  -733,  -734,  -735,    -7,  -738,  -738,  -738,  -738,
  -738,    -9,    -4,   -19,  -738,  -130,  -131,  -132,  -133,  -134,
  -135,  -136,  -140,  -141,  -142,  -143,  -144,  -145,  -146,  -147,
  -148,  -149,  -150,  -151,  -152,  -153,  -154,  -155,  -156,  -157,
  -158,  -159,  -160,  -161,  -162,  -163,  -164,  -165,  -166,  -167,
  -168,  -169,  -170,  -171,  -172,  -173,  -174,  -175,  -176,  -177,
  -178,  -179,  -180,  -181,  -182,  -183,  -184,  -185,  -186,  -187,
  -188,  -189,  -190,  -191,  -192,  -193,  -194,  -195,  -196,  -197,
  -198,  -199,  -200,  -201,  -202,  -203,  -204,  -205,  -206,  -207,
  -208,  -209,  -210,   -24,  -137,   -13,  -738,  -738,  -738,  -738,
  -738,  -276,  -738,  -738,  -721,  -722,  -738,   -13,  -631,  -629,
  -655,  -655,  -738,   -13,  -738,  -738,  -725,  -726,   -56,  -738,
  -619,  -620,  -738,  -310,  -738,  -738,  -245,  -738,  -632,  -632,
   -13,  -738,   -57,   -59,  -222,  -223,  -738,  -738,  -738,  -738,
  -738,  -738,  -738,  -738,  -738,  -738,  -738,  -738,  -738,  -738,
  -738,  -738,  -738,  -738,  -738,  -738,  -258,  -259,  -260,  -261,
  -738,   -65,   -66,  -738,  -130,  -131,  -170,  -171,  -172,  -188,
  -193,  -200,  -203,  -619,  -620,  -698,  -738,  -421,  -423,  -738,
  -719,  -720,   -76,  -276,  -738,  -330,  -427,  -436,  -438,   -82,
  -433,   -83,  -725,   -84,  -264,  -281,  -291,  -291,  -285,  -289,
  -292,  -738,  -580,  -702,  -706,  -738,   -85,   -86,  -723,   -14,
  -738,   -17,  -738,   -89,   -13,  -725,  -738,   -92,   -95,   -13,
  -107,  -108,  -738,  -738,  -115,  -323,  -326,  -725,  -738,  -632,
  -632,  -350,  -351,  -354,  -434,  -738,   -97,  -738,  -103,  -320,
  -738,  -224,  -225,  -599,  -233,  -234,  -738,  -246,  -738,   -13,
  -314,  -725,  -265,  -730,  -730,  -738,  -738,  -730,  -738,  -332,
   -62,  -738,  -738,  -738,   -13,   -13,  -723,  -738,  -724,  -619,
  -620,  -738,  -738,  -310,  -738,  -365,  -366,  -125,  -126,  -738,
  -128,  -738,  -310,  -627,  -738,  -346,  -655,  -560,  -738,  -738,
  -738,  -738,  -738,  -738,  -738,  -738,    -6,  -736,   -25,   -26,
   -27,   -28,   -29,  -738,  -738,   -21,   -22,   -23,  -138,  -738,
   -32,   -35,  -297,  -738,  -738,  -296,   -33,  -738,   -37,  -738,
  -310,   -49,   -51,  -211,  -269,  -292,   -53,   -54,   -38,  -212,
  -269,  -725,  -277,  -291,  -291,  -712,  -713,  -286,  -431,  -714,
  -715,  -713,  -712,  -286,  -430,  -432,  -714,  -715,  -738,  -548,
  -738,  -378,  -379,  -725,  -697,  -697,  -637,  -638,  -640,  -640,
  -640,  -654,  -656,  -657,  -658,  -659,  -660,  -661,  -662,  -663,
  -664,  -738,  -666,  -668,  -670,  -675,  -677,  -678,  -681,  -686,
  -688,  -689,  -691,  -692,  -693,  -695,  -738,  -738,  -738,   -48,
  -219,   -55,  -725,  -329,  -738,  -738,  -738,  -276,  -320,  -738,
  -738,  -738,  -738,  -738,  -738,  -738,  -220,  -221,  -226,  -227,
  -228,  -229,  -230,  -231,  -235,  -236,  -237,  -238,  -240,  -241,
  -242,  -243,  -244,  -247,  -248,  -249,  -250,  -725,  -262,   -67,
  -725,  -442,  -286,  -712,  -713,   -73,   -77,  -656,  -725,  -291,
  -725,  -287,  -440,  -442,  -725,  -325,  -282,  -738,  -283,  -738,
  -288,  -738,  -293,  -738,  -705,  -708,   -12,  -724,   -16,   -18,
  -725,   -88,  -318,  -104,   -93,  -738,  -725,  -276,  -738,  -738,
  -114,  -738,  -631,  -599,  -738,  -100,  -105,  -738,  -738,  -738,
  -738,  -263,  -251,  -738,  -738,  -725,  -738,  -266,  -732,  -731,
  -268,  -732,  -321,  -322,  -701,   -13,  -356,  -357,   -13,  -738,
  -738,  -738,  -738,  -738,  -738,  -276,  -738,  -738,  -320,   -63,
  -125,  -126,  -127,  -738,  -738,  -276,  -342,  -625,  -738,   -13,
  -413,  -655,  -416,  -561,  -581,  -586,  -738,  -588,  -564,  -583,
  -738,  -585,  -566,  -738,  -569,  -738,  -571,  -574,  -738,  -575,
  -738,  -597,   -10,   -20,  -738,   -30,  -738,  -300,  -738,  -738,
  -276,  -738,  -738,  -738,  -738,  -435,  -738,  -278,  -280,  -738,
  -738,   -78,  -275,  -428,  -738,  -738,   -80,  -429,   -44,  -253,
  -737,  -737,  -348,  -630,  -738,  -635,  -636,  -738,  -738,  -647,
  -738,  -650,  -738,  -652,  -738,  -367,  -738,  -369,  -371,  -374,
  -377,  -725,  -669,  -679,  -680,  -690,  -694,  -633,   -46,  -255,
  -349,  -328,  -727,  -712,  -713,  -712,  -713,  -725,  -738,  -738,
   -58,  -456,  -459,  -460,  -461,  -462,  -464,  -466,  -469,  -470,
  -527,  -725,  -482,  -485,  -497,  -501,  -506,  -508,  -509,  -512,
  -513,  -580,  -516,  -518,  -519,  -520,  -525,  -526,  -738,  -738,
  -530,  -531,  -532,  -533,  -534,  -535,  -536,  -537,  -538,  -539,
  -540,  -738,  -738,  -546,   -60,  -738,  -738,  -699,  -738,  -443,
   -72,  -424,  -440,  -271,  -278,  -273,  -738,  -402,  -738,  -324,
  -291,  -290,  -294,  -738,  -703,  -704,  -738,   -15,   -90,  -738,
   -96,  -102,  -725,  -712,  -713,  -274,  -716,  -113,  -738,   -98,
  -738,  -218,  -232,  -725,  -313,  -315,  -317,  -730,  -737,  -358,
  -737,   -64,  -359,  -360,  -336,  -337,  -738,  -738,  -448,  -339,
  -738,  -725,  -712,  -713,  -716,  -319,   -13,  -125,  -126,  -129,
  -725,   -13,  -738,  -344,  -738,  -738,  -725,  -587,  -590,  -591,
  -592,  -593,   -13,  -565,  -568,  -570,  -573,  -577,  -579,  -139,
   -34,  -298,  -738,  -725,  -712,  -713,  -713,  -712,   -50,  -270,
  -738,  -728,  -291,   -40,  -214,   -41,  -215,   -79,   -42,  -217,
   -43,  -216,   -81,  -738,  -738,  -737,  -363,   -13,  -549,  -737,
  -550,  -551,  -697,  -676,  -681,  -696,  -639,  -640,  -640,  -667,
  -640,  -640,  -687,  -640,  -664,  -682,  -725,  -738,  -738,  -376,
  -665,  -738,  -738,  -738,  -738,  -738,  -738,  -435,  -457,  -738,
  -738,  -467,  -468,  -738,  -738,  -738,  -487,  -725,  -725,  -481,
  -488,  -494,  -738,  -738,  -484,  -738,  -738,  -738,  -500,  -507,
  -511,  -738,  -515,  -517,  -523,  -524,  -528,  -529,  -541,  -542,
  -738,  -604,  -605,  -606,  -126,  -544,  -738,   -68,  -422,  -402,
  -426,  -425,  -738,  -725,  -437,  -403,  -725,   -13,  -439,  -284,
  -295,  -707,   -94,  -435,  -106,  -327,  -267,  -738,  -361,  -738,
  -738,  -338,  -340,  -738,  -738,   -13,  -435,  -738,  -435,  -738,
  -738,   -13,  -347,  -414,  -417,  -419,  -406,  -738,  -738,  -299,
  -435,   -39,  -213,  -279,   -45,  -254,   -11,   -13,  -555,  -364,
  -738,  -738,  -553,  -634,  -738,  -643,  -738,  -645,  -738,  -648,
  -738,  -651,  -653,  -368,  -370,  -372,  -375,   -47,  -256,  -738,
  -458,  -497,  -463,  -465,  -474,  -478,  -725,  -725,  -725,  -725,
  -725,  -725,  -545,  -479,  -480,  -504,  -489,  -492,  -495,  -725,
  -580,  -729,  -725,  -498,  -502,  -505,  -510,  -514,  -521,  -522,
  -738,  -252,   -13,   -74,  -272,  -697,  -697,  -383,  -385,  -385,
  -385,  -401,  -738,  -725,  -664,  -672,  -673,  -684,  -441,  -334,
  -738,  -335,  -738,  -453,  -294,  -737,  -341,  -343,  -626,  -738,
   -13,   -13,  -738,  -415,  -589,  -554,   -13,  -619,  -620,  -738,
  -738,  -310,  -552,  -640,  -640,  -640,  -640,  -738,  -738,  -738,
  -471,  -472,  -473,  -475,  -476,  -477,  -496,  -490,  -738,  -483,
  -738,  -486,  -738,  -543,  -444,  -738,  -381,  -382,  -386,  -392,
  -394,  -738,  -397,  -738,  -399,  -404,  -738,  -738,  -671,  -738,
   -13,  -449,  -738,  -738,  -445,  -446,  -447,  -345,  -738,  -738,
  -725,  -408,  -410,  -411,  -548,  -276,  -738,  -738,  -320,  -738,
  -641,  -644,  -646,  -649,  -373,  -498,  -738,  -493,  -499,  -503,
  -697,  -674,  -384,  -385,  -385,  -385,  -385,  -685,  -385,  -405,
  -683,  -738,  -320,  -737,   -13,  -454,  -455,  -418,  -420,  -407,
  -738,  -547,  -725,  -712,  -713,  -716,  -319,  -640,  -738,  -491,
  -380,  -738,  -389,  -738,  -391,  -738,  -395,  -738,  -398,  -400,
  -319,  -716,  -362,  -737,  -409,  -435,  -642,  -385,  -385,  -385,
  -385,  -450,  -451,  -452,  -738,  -387,  -390,  -393,  -396,  -385,
  -388 ]

racc_goto_table = [
    44,   408,   235,   282,   379,    44,   138,   138,   298,   337,
   315,   315,   315,   415,   690,   281,   623,   124,   827,   560,
   470,   568,   138,   451,   294,    15,   508,   899,   222,   892,
    15,   632,   368,   317,   317,   317,    44,   341,   341,   300,
   977,   306,   310,   615,   618,   435,   436,   336,   384,   385,
   556,   381,   382,   229,   229,   386,   885,   353,   353,   473,
   506,    15,   705,   902,    44,   121,   374,   377,   238,   490,
   490,   363,   133,   214,   390,   294,   294,   131,   333,   730,
   774,    17,   356,   141,   141,   233,    17,   124,   448,    15,
   794,  1053,   457,   463,   353,   353,   353,   786,  1031,   395,
   711,   372,   509,   997,  1069,   558,   418,   419,   420,   421,
   733,   733,   299,   695,   696,   934,   335,    17,   791,    44,
   791,  1024,  1026,   595,     4,   901,   928,   903,    44,   967,
    44,  1177,   794,   120,     1,   752,   752,     2,   125,  1151,
   778,   316,   316,   316,    15,    17,  1153,  1006,   699,   701,
   703,   797,   788,    15,   213,    15,     8,   396,   568,   403,
   405,     8,   604,   431,   302,   309,   311,   226,   232,   552,
   424,   607,   610,   524,   373,   614,   525,   513,   481,   481,
  1038,  1041,   653,   655,   592,   592,   980,   898,   821,   900,
  1049,   442,   283,   776,   442,   782,   664,   315,   675,   794,
    17,  1177,   366,   387,   375,   781,   295,   376,   442,    17,
   394,    17,   636,    44,   369,   649,   651,   654,   654,   467,
   370,   605,   371,  1072,   429,    44,   841,   991,   791,   791,
   639,    44,   458,  1025,  1071,   642,   573,  1214,    15,  1129,
   437,  1073,  1150,   437,  1153,   490,   640,   993,    44,   515,
    15,   826,   416,   565,   423,   406,    15,   437,   845,   336,
   430,   441,  1090,  1165,   441,   839,  1173,  1091,   551,   562,
   563,   959,  1167,    15,  1144,     8,   581,   705,   441,   315,
   315,   909,   229,   229,   422,  1082,     8,  1221,   315,   946,
   947,   983,  1184,   300,    17,  1032,    17,  1033,   923,    17,
   924,  1062,  1168,   317,   933,   894,    17,   936,  1037,  1040,
  1055,   317,    17,    17,   233,   906,  1056,   962,   949,   727,
  1199,  1164,  1024,   434,   434,   927,   591,   596,    44,    17,
  1136,   889,    44,  1010,   407,   791,   341,    44,   409,   410,
   124,   411,   412,   336,   313,   326,   327,   413,   336,   899,
   606,   800,   588,    15,   481,   341,   353,    15,   306,   414,
   809,   847,    15,   619,   310,   852,   549,    44,   380,   380,
   598,   842,   380,   897,   333,   353,   893,   902,   593,   333,
   584,  1171,    44,    44,   nil,   457,   463,   nil,   577,   802,
   nil,  1068,    15,   620,   621,   nil,   522,   523,   124,   nil,
   579,   626,   nil,   nil,   955,  1212,   nil,    15,    15,    17,
   559,   316,   580,    17,   693,   233,   nil,   586,    17,   316,
   138,   nil,  1119,   380,   380,   380,   380,   831,   nil,   877,
   676,   nil,   844,   nil,   882,   nil,   nil,   840,   nil,  1104,
   nil,  1105,   nil,  1106,   688,   nil,   nil,   nil,    17,   671,
   nil,  1145,   nil,   721,   nil,  1070,   576,   899,   805,   855,
  1170,   855,   nil,    17,    17,   nil,   nil,   682,   805,   nil,
   846,   nil,   863,   687,   917,  1058,  1059,   nil,   705,   705,
   490,   nil,   nil,   718,   578,   nil,   663,   nil,   929,   nil,
   nil,   777,   985,   315,   969,   nil,   805,   141,   nil,   783,
   963,   785,  1030,  1103,   805,   789,   nil,  1036,  1039,   nil,
   nil,   nil,   467,   nil,   622,   446,   447,   nil,   717,   nil,
   890,   798,   768,   768,   794,   458,   775,   801,   nil,   nil,
   nil,  1013,   511,   512,   752,   752,   899,   490,  1083,   490,
   nil,   457,   463,   nil,   752,   nil,   815,   873,   875,   973,
   752,   nil,   878,   880,   791,   596,  1176,  1042,  1178,   nil,
   nil,   nil,   682,   315,   596,   972,   790,  1015,  1017,   733,
  1019,  1021,   nil,  1022,   nil,    44,   969,   449,   986,  1222,
   nil,   nil,   nil,   341,  1197,   467,   nil,   988,   nil,   481,
   681,   510,   341,   550,   752,   467,   686,   nil,   458,   nil,
    15,   315,   nil,   353,   836,   nil,   nil,   817,   458,  1223,
  1000,   315,   353,    44,   561,   976,    44,  1174,   nil,   nil,
  1175,   nil,   564,   467,   818,   nil,  1218,   820,  1219,   467,
  1220,   822,   nil,   nil,   989,   nil,   458,    44,    15,   nil,
   nil,    15,   nil,   442,   458,   nil,   315,   nil,   nil,  1229,
   843,   nil,   910,   442,   442,   nil,    17,   nil,   442,   442,
   138,   nil,    15,   nil,    44,   941,   nil,   nil,   467,  1035,
   nil,    44,  1096,   nil,  1043,  1044,   872,   nil,   705,   705,
   380,   458,   nil,   nil,   nil,   780,   nil,   nil,   nil,    15,
  1217,   nil,   437,   nil,    17,   nil,    15,    17,   nil,  1191,
   nil,   638,   437,   437,  1126,  1127,   676,   437,   437,   nil,
   nil,   nil,   nil,   441,  1146,   nil,   961,   nil,    17,   nil,
   676,   935,   nil,   441,   441,   891,   859,   nil,   441,   441,
   nil,   830,   nil,   nil,   nil,   nil,   894,   141,  1001,   768,
   nil,   nil,  1140,   nil,  1141,    17,   nil,   768,    17,   nil,
   nil,   nil,    17,   957,   975,   nil,   768,   768,    17,    17,
   nil,   960,   nil,    17,    17,   281,   nil,   nil,   nil,   596,
   nil,   nil,   138,  1160,  1161,  1162,  1163,   nil,   nil,   nil,
   974,   676,   nil,   872,  1089,   nil,  1113,  1114,  1115,   895,
   nil,   nil,   895,   nil,   nil,   nil,   nil,   341,   434,   nil,
   nil,   nil,   nil,   nil,   nil,  1074,   nil,  1046,   341,  1200,
   676,   nil,   nil,   nil,  1054,   682,   nil,   353,   687,   676,
   860,   nil,   990,   nil,   nil,   996,   nil,   868,   353,   nil,
   nil,   nil,   nil,   nil,    44,   nil,   nil,   nil,   nil,    44,
   nil,   nil,   676,   nil,   442,   987,   nil,  1023,   nil,   nil,
    44,   nil,   nil,   490,   nil,  1124,   nil,   731,   731,    15,
   nil,   998,  1034,   nil,    15,   nil,   nil,  1216,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    15,   510,   nil,   449,   nil,
   nil,   nil,   nil,   nil,  1149,    44,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   437,   nil,   nil,  1009,   nil,   nil,   nil,
   813,   676,   nil,   nil,  1064,   nil,   676,   676,   nil,   nil,
    15,   nil,   nil,   nil,   441,    17,   768,   nil,   768,  1008,
    17,   768,   768,  1012,   nil,   nil,   nil,   nil,   768,   nil,
  1060,    17,   nil,   nil,   768,   768,   nil,   nil,   nil,  1215,
   nil,   nil,   768,   768,   nil,   996,   nil,   nil,   nil,    17,
   nil,   nil,   nil,   nil,   811,   nil,   nil,  1192,   nil,  1080,
   nil,   nil,   nil,   nil,  1120,    44,    17,  1074,   nil,   nil,
  1074,   nil,   nil,   nil,   nil,   nil,  1078,  1110,  1111,  1112,
   nil,   768,   nil,    44,   nil,   nil,  1054,   nil,   nil,    44,
    15,   nil,   nil,  1121,  1085,  1054,   nil,   nil,   nil,  1169,
   nil,   nil,  1088,   nil,   nil,    44,   nil,   nil,    15,  1098,
   nil,   nil,   nil,   nil,    15,   nil,  1095,   nil,   676,   676,
   676,   nil,   nil,   nil,   nil,   nil,   805,  1066,   935,   353,
    15,   nil,   nil,   nil,  1102,   nil,   874,   876,   nil,   nil,
  1074,   879,   881,  1054,   nil,   nil,    17,   nil,   nil,   nil,
   nil,   nil,   996,   nil,   nil,   nil,   nil,   nil,   760,   760,
    44,  1067,   nil,   nil,    17,   nil,   nil,   nil,   nil,   nil,
    17,   nil,   nil,   294,   926,  1169,   nil,   nil,   nil,   nil,
   nil,   nil,   940,   nil,   nil,    15,    17,   nil,    44,    44,
   nil,   nil,   nil,   353,    44,   nil,   nil,   nil,   nil,  1148,
   nil,   nil,   nil,   nil,   378,  1154,   nil,   768,   nil,  1156,
    18,   nil,   nil,    15,    15,    18,   768,   nil,   nil,    15,
   768,   nil,  1185,  1186,   nil,   nil,   nil,   nil,   nil,  1189,
   nil,   315,   239,   nil,   nil,   294,   nil,   nil,    44,   380,
   nil,    17,   239,   239,   239,   nil,    18,   342,   342,  1183,
   nil,   nil,   nil,   467,   nil,   353,   nil,   nil,   nil,   761,
   761,   nil,   nil,    15,   768,   nil,   458,    19,   nil,    17,
    17,   676,    19,   nil,    18,    17,   nil,   467,   nil,   239,
   239,   nil,    44,   239,   391,   401,   401,  1075,   nil,  1066,
   nil,   nil,  1066,  1213,  1066,   nil,   768,   nil,   nil,   nil,
   762,   762,   nil,    19,   349,   349,   nil,    15,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    17,
   895,   nil,   nil,  1067,   nil,   nil,  1067,  1002,  1067,    18,
   nil,    19,   nil,   nil,   239,   239,   239,   239,    18,   nil,
    18,   349,   349,   349,   nil,   nil,   nil,   380,   nil,   nil,
   nil,   926,   432,   445,   nil,   nil,   926,   926,  1130,  1132,
  1134,   nil,  1066,    17,  1066,   nil,  1066,   nil,  1066,  1052,
   874,   876,   881,   879,   nil,   760,   380,   nil,   nil,   nil,
   nil,   nil,   nil,   760,   nil,  1066,    19,   nil,   nil,   nil,
   nil,   nil,   760,   760,   nil,    19,  1067,    19,  1067,   nil,
  1067,   nil,  1067,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   731,   nil,   nil,  1067,
   nil,   nil,   nil,    18,   239,   439,   239,   239,   439,   239,
   nil,   nil,   nil,   nil,   nil,    18,   nil,   nil,   nil,   nil,
   nil,    18,   439,   239,   239,   nil,  1075,   nil,   nil,  1075,
   nil,   nil,  1075,   nil,  1075,   570,   nil,   572,    18,   nil,
   574,   575,   nil,  1202,  1204,  1206,  1208,   nil,  1209,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   761,   nil,   nil,   nil,
    19,   nil,    19,   nil,   761,    19,  1002,   nil,   nil,   nil,
   nil,   nil,    19,   761,   761,   nil,   nil,   nil,    19,    19,
   nil,   nil,   nil,   nil,   239,   nil,   nil,  1225,  1226,  1227,
  1228,   239,   239,   nil,   nil,    19,   nil,   762,   nil,  1230,
   239,   nil,  1075,   nil,  1075,   762,  1075,   nil,  1075,   nil,
   nil,   nil,   nil,   nil,   762,   762,   nil,   nil,    18,   380,
   380,   nil,    18,   nil,   nil,  1075,   342,    18,   nil,   nil,
   nil,   nil,   760,   nil,   760,   nil,   nil,   760,   760,   nil,
   nil,   nil,   nil,   nil,   760,   342,   nil,   nil,   nil,   667,
   760,   760,   nil,   nil,   nil,   nil,   nil,    18,   760,   760,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   239,    18,    18,   nil,    19,   nil,   nil,   nil,    19,
   763,   763,   nil,   349,    19,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   239,   nil,   nil,   nil,   nil,   760,   nil,   nil,
   nil,   nil,   349,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   712,   nil,   nil,   nil,    19,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    19,
    19,   nil,   nil,   761,   nil,   761,   nil,   nil,   761,   761,
   nil,   nil,   nil,   nil,   nil,   761,   nil,   nil,   nil,   nil,
   nil,   761,   761,   nil,   nil,   nil,   239,   nil,   nil,   761,
   761,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   762,   nil,   762,   nil,   nil,   762,
   762,   nil,   nil,   792,   nil,   378,   762,   795,   nil,   nil,
   nil,   nil,   762,   762,   nil,   239,   nil,   nil,   761,   nil,
   762,   762,   nil,   nil,   nil,   239,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    20,   nil,   nil,   nil,   nil,    20,   nil,
   nil,   nil,   nil,   760,   792,   nil,   nil,   378,   nil,   nil,
   nil,   nil,   760,   nil,   nil,   nil,   760,   nil,   nil,   762,
   445,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    20,
   350,   350,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    18,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   342,   nil,   239,   nil,    20,   nil,   nil,
   760,   nil,   342,   nil,   861,   nil,   nil,   350,   350,   350,
   nil,   239,   nil,   792,   378,   nil,   nil,   763,   nil,   nil,
   nil,   nil,   nil,    18,   nil,   763,    18,   888,   764,   764,
   nil,   nil,   760,   239,   763,   763,   nil,   nil,   nil,   nil,
   905,   nil,    19,   239,   761,   nil,   nil,    18,   nil,   nil,
   349,   nil,    20,   761,   nil,   nil,   nil,   761,   nil,   349,
   nil,    20,   nil,    20,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    18,   nil,   nil,   439,   239,   nil,
    19,    18,   nil,    19,   nil,   762,   nil,   439,   439,   nil,
   nil,   nil,   439,   439,   762,   nil,   nil,   nil,   762,   nil,
   nil,   761,   nil,   nil,    19,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   792,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   970,
   nil,    19,   971,   761,    19,   nil,   nil,   nil,    19,   nil,
   nil,   nil,   762,   nil,    19,    19,    20,   nil,    20,    19,
    19,    20,    21,   nil,   nil,   nil,   nil,    21,    20,   nil,
   nil,   nil,   nil,   nil,    20,    20,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   762,   nil,   nil,   nil,   nil,   nil,
   nil,    20,   nil,   nil,   nil,   nil,   nil,   nil,    21,   344,
   344,   nil,   nil,   nil,   763,   nil,   763,   nil,   999,   763,
   763,   nil,   nil,   nil,   nil,   nil,   763,   342,   nil,   nil,
   nil,   nil,   763,   763,   nil,   nil,    21,   nil,   342,   nil,
   763,   763,   nil,   nil,   nil,   nil,   393,   402,   402,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    18,   764,   nil,   nil,   nil,    18,
   239,   nil,   nil,   764,   nil,   nil,   nil,   nil,   nil,   763,
    18,    20,   764,   764,   349,    20,   nil,   nil,   nil,   350,
    20,    21,   nil,   nil,   nil,   349,   nil,   nil,   439,   nil,
    21,   nil,    21,   nil,   nil,   nil,   nil,   nil,   350,   nil,
   nil,   nil,   nil,   nil,   nil,    18,   nil,   nil,   nil,   nil,
    20,    19,   nil,   nil,   nil,   nil,    19,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    20,    20,    19,   nil,   nil,
  1084,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    19,   nil,   nil,   nil,   378,
   nil,   nil,   nil,   765,   765,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    19,   nil,   nil,   nil,   nil,   nil,   239,   nil,
   nil,   nil,   nil,   nil,   nil,    21,   nil,   440,   nil,   nil,
   440,   nil,   nil,   nil,   nil,    18,   nil,    21,   nil,   nil,
   nil,   nil,   nil,    21,   440,   763,   nil,   239,   nil,   nil,
   nil,   nil,   nil,    18,   763,   nil,   nil,   nil,   763,    18,
    21,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    18,   nil,   nil,   nil,  1099,
   nil,   nil,   764,   nil,   764,   nil,   nil,   764,   764,   nil,
   nil,   nil,    19,   nil,   764,   nil,   nil,   nil,   nil,   nil,
   764,   764,   763,   nil,   nil,   nil,   nil,   nil,   764,   764,
    19,   nil,   nil,   nil,   nil,   nil,    19,   nil,   nil,   nil,
    31,   nil,   nil,   nil,   nil,    31,   nil,   nil,   nil,   nil,
    18,   nil,    19,   nil,   763,   nil,   349,   nil,   nil,   nil,
    21,   nil,    31,  1138,    21,   nil,   nil,   764,   344,    21,
   nil,   nil,    31,    31,    31,   nil,    31,   nil,    18,    18,
   nil,   nil,   nil,   nil,    18,   nil,   nil,   344,    20,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,    21,
   nil,   nil,   nil,   nil,    31,   350,   nil,    19,   nil,    31,
    31,   nil,   nil,    31,    21,    21,   nil,   nil,   nil,   nil,
   349,   nil,   nil,   nil,   nil,  1180,    20,   nil,    18,    20,
   239,   239,   nil,   nil,   nil,    19,    19,   nil,   nil,   nil,
   765,    19,   nil,   239,   nil,   nil,   nil,   nil,   765,   nil,
    20,   nil,   nil,   nil,   nil,   nil,   nil,   765,   765,    31,
   nil,   nil,   nil,   nil,    31,    31,    31,    31,    31,   nil,
    31,   nil,    18,   nil,   nil,   nil,   nil,    20,   nil,   nil,
    20,   nil,   349,   nil,    20,    19,   nil,   nil,   nil,   nil,
    20,    20,   nil,   764,   nil,    20,    20,   nil,   nil,   nil,
   nil,   nil,   764,   nil,   nil,   nil,   764,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    19,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   764,   nil,   nil,    31,    31,    31,    31,    31,    31,    31,
   nil,   nil,   nil,   nil,   nil,    31,   nil,   nil,   nil,   nil,
   nil,    31,    31,    31,    31,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   764,   nil,   nil,   nil,   nil,   nil,    31,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    21,   nil,   nil,
   350,   nil,   nil,   nil,   nil,   344,   nil,   765,   nil,   765,
   nil,   350,   765,   765,   344,   nil,   nil,   nil,   nil,   765,
   nil,   nil,   nil,   nil,    31,   765,   765,   nil,   nil,   nil,
   nil,    31,    31,   765,   765,    21,   nil,    20,    21,   nil,
    31,   nil,    20,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    20,   nil,   nil,   nil,   nil,    31,    21,
   nil,   nil,    31,   nil,   nil,   nil,   851,    31,   nil,   nil,
   nil,    20,   765,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    21,   nil,    20,   440,
   nil,   nil,   nil,    21,   766,   766,   nil,    31,   nil,   440,
   440,   nil,   nil,   nil,   440,   440,   nil,   nil,   nil,   nil,
   nil,    31,    31,    31,    43,   nil,   nil,   nil,   nil,    43,
   nil,   nil,   nil,   767,   767,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    31,   nil,   nil,   nil,   nil,   nil,   293,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    43,   340,   340,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    20,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    43,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    20,   nil,   389,   293,
   293,   nil,    20,   nil,   nil,   nil,    31,   nil,   765,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   765,    20,   nil,
   nil,   765,   350,   nil,   nil,   nil,   nil,   nil,   nil,   344,
   nil,   nil,   nil,   769,   769,   nil,   nil,   nil,   nil,   nil,
   344,   nil,   nil,    43,   nil,    31,   nil,   nil,   nil,   nil,
   nil,   nil,    43,   nil,    43,    31,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   765,    21,   nil,   nil,   nil,
   nil,    21,   nil,    20,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    21,   nil,   nil,   nil,   350,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   765,   nil,   nil,
   440,    20,    20,   nil,   nil,   nil,   nil,    20,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    31,   nil,    21,   nil,   nil,
   nil,   766,   nil,   nil,   nil,    31,   nil,   nil,   nil,   766,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    43,   766,   766,
   nil,    31,   nil,   nil,   nil,   nil,   nil,   nil,   350,    43,
   767,    20,   nil,    31,   nil,    43,    31,   nil,   767,   nil,
   nil,   nil,   nil,    31,   nil,   nil,   nil,   767,   767,    34,
   nil,   nil,    43,    31,    34,   nil,   nil,    31,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    34,   nil,   nil,   nil,    20,   nil,    21,   nil,   nil,
   nil,    34,    34,    34,    31,    34,   nil,    31,    31,   nil,
   nil,    31,   nil,   nil,   nil,    21,   nil,    31,    31,   nil,
   nil,    21,    31,    31,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   nil,    21,    34,    34,
   nil,  1101,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   769,   nil,    43,   nil,   nil,   nil,    43,   nil,   769,   nil,
   340,    43,   nil,   nil,   nil,   nil,   nil,   769,   769,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   340,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,
   nil,    43,    21,    34,    34,    34,    34,    34,   766,    34,
   766,   nil,   nil,   766,   766,   402,    43,    43,   nil,   nil,
   766,   nil,   nil,   nil,   nil,   nil,   766,   766,   nil,   nil,
    21,    21,   nil,   nil,   766,   766,    21,   767,   nil,   767,
   nil,   nil,   767,   767,   nil,   nil,   nil,   nil,   nil,   767,
   nil,   nil,   nil,   nil,   nil,   767,   767,   nil,   nil,   nil,
   nil,   nil,   nil,   767,   767,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   766,   nil,   nil,   nil,   402,   nil,   nil,
    21,   nil,   nil,   nil,    31,   nil,   nil,   nil,   nil,    31,
    31,   nil,    34,    34,    34,    34,    34,    34,    34,   nil,
    31,   nil,   767,   nil,    34,   nil,   nil,   nil,   nil,   nil,
    34,    34,    34,    34,   nil,   nil,   nil,   nil,    31,   nil,
   nil,   nil,   nil,   nil,    21,   nil,   nil,    34,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    31,   nil,   769,   nil,   769,
   nil,   nil,   769,   769,   nil,   nil,   nil,   nil,   nil,   769,
   nil,   nil,   nil,   nil,   nil,   769,   769,   nil,   nil,   nil,
   nil,   nil,   nil,   769,   769,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,
    34,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    31,   766,
   nil,   nil,   769,   nil,   nil,   nil,   nil,    34,   766,    43,
   nil,    34,   766,   nil,   nil,    31,    34,   340,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   340,    31,   767,   nil,
   nil,   nil,   nil,    31,   nil,   nil,   nil,   767,   nil,    31,
   nil,   767,   nil,   nil,   nil,   nil,    34,    43,   nil,   nil,
    43,   nil,   nil,   nil,   nil,    31,   766,   nil,   nil,   nil,
    34,    34,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    43,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    34,   nil,   nil,   nil,   767,   nil,   nil,   766,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    43,   nil,
   nil,   nil,   nil,   nil,   nil,    43,   nil,   nil,   nil,   nil,
    31,   nil,   nil,   nil,   nil,   nil,   nil,   767,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   769,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   769,    31,    31,
   nil,   769,   nil,   nil,    31,    34,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   769,   nil,   nil,    31,   nil,
    31,    31,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    31,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   769,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   340,    31,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   340,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,    43,   nil,
   nil,   nil,   nil,    43,   nil,   nil,   nil,   nil,   nil,   nil,
    34,   nil,   nil,   nil,    43,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   nil,    34,   nil,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   nil,   nil,    34,   nil,   nil,    43,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,    34,    34,   nil,   nil,
    34,   nil,   nil,   246,   nil,   nil,    34,    34,   nil,   nil,
   nil,    34,    34,   314,   314,   314,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   361,   362,   nil,   364,   365,
   nil,   367,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   314,   314,   nil,    43,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    43,   nil,   nil,
   nil,   nil,   nil,    43,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    43,
   nil,   nil,   nil,  1097,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    43,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   293,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,    34,    34,
   nil,   nil,    43,    43,   nil,   nil,   nil,   nil,    43,    34,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   314,   444,    34,   nil,   450,
   314,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   450,    34,   nil,   nil,   nil,   nil,   293,
   nil,   nil,    43,   nil,   nil,   nil,   246,   nil,   nil,   nil,
   nil,   nil,   nil,   526,   527,   528,   529,   530,   531,   532,
   533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
   543,   544,   545,   546,   547,   nil,   nil,   nil,   nil,   548,
   nil,   nil,   nil,   nil,   nil,   nil,    43,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,
   nil,   nil,   314,   314,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   314,   nil,   nil,    34,   nil,   nil,   nil,   314,   nil,
   314,   nil,   nil,   314,   314,   nil,    34,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   601,   nil,   602,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   314,   nil,   nil,   nil,   nil,    34,    34,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   689,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,    34,
    34,   nil,   nil,   314,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   nil,   nil,   719,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   314,   nil,   450,   450,
   450,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   362,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   314,   nil,   314,   nil,
   314,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   314,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   450,   nil,   nil,   812,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   314,   nil,   nil,
   314,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   314,   314,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   314,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   314,   450,   314,
   nil,   nil,   nil,   869,   nil,   nil,   314,   314,   450,   450,
   nil,   nil,   nil,   450,   450,   nil,   nil,   nil,   nil,   nil,
   314,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   314,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   689,   719,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   314,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   314,   nil,   nil,   314,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   314,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   450,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1004,  1005,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1027,  1028,   450,   450,   450,   450,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1061,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   314,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   314,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   450,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   314 ]

racc_goto_check = [
    71,   191,    40,    46,   105,    71,    74,    74,   151,    67,
    36,    36,    36,   191,    12,    48,   110,   114,   111,    90,
    10,    92,    74,    31,    71,    23,    10,   224,    33,   128,
    23,    72,    40,    88,    88,    88,    71,    71,    71,    33,
   109,    89,    89,   108,   108,    24,    24,    11,    44,    44,
    56,    19,    19,    85,    85,    19,    13,    81,    81,   150,
   150,    23,   123,   228,    71,     7,    88,    88,    22,   223,
   223,    79,    17,    17,    71,    71,    71,     9,    63,    41,
    41,    29,    68,    76,    76,   115,    29,   114,    28,    23,
   232,   185,    54,    54,    81,    81,    81,    57,   186,    23,
   124,    85,    28,   142,   138,    31,    19,    19,    19,    19,
   170,   170,    50,   132,   132,   180,    64,    29,    93,    71,
    93,   122,   125,    69,     2,   137,   169,   137,    71,   140,
    71,   229,   232,     5,     1,   193,   193,     3,     6,   144,
   154,    86,    86,    86,    23,    29,   145,    14,   221,   221,
   221,    16,   154,    23,    18,    23,     8,    21,    92,    73,
    73,     8,    10,    25,    55,    55,    55,    35,    35,    54,
    27,    87,    87,    42,    86,    87,    43,    65,   218,   218,
   171,   171,   207,   207,   217,   217,    13,   139,    45,   139,
   171,    20,    49,    51,    20,    59,    77,    36,    32,   232,
    29,   229,    82,     5,    84,    91,   103,   104,    20,    29,
   112,    29,   113,    71,   116,   208,   208,   208,   208,    74,
     8,   117,   118,   142,    11,    71,   119,   120,    93,    93,
   121,    71,    89,   126,   130,   150,   191,   144,    23,   135,
    23,   136,   143,    23,   145,   223,   146,   147,    71,    33,
    23,   110,     6,    65,     2,   148,    23,    23,   149,    11,
    22,    22,   152,   185,    22,    72,   138,   153,   155,   157,
   158,   161,   185,    23,   162,     8,    65,   123,    22,    36,
    36,   123,    85,    85,     8,   163,     8,   164,    36,   195,
   195,   165,   166,    33,    29,   173,    29,   175,   176,    29,
   177,   140,   186,    88,   181,   193,    29,   182,   169,   169,
   188,    88,    29,    29,   115,   124,   189,    57,   198,    31,
   185,   125,   122,    86,    86,   168,    40,    67,    71,    29,
   142,   199,    71,   200,   203,    93,    71,    71,   204,   205,
   114,   206,   209,    11,    62,    62,    62,   210,    11,   224,
    40,    69,    33,    23,   218,    71,    81,    23,    89,   211,
    69,   212,    23,    19,    89,   213,    50,    71,    26,    26,
    33,   216,    26,   222,    63,    81,   226,   228,    79,    63,
    68,   227,    71,    71,   nil,    54,    54,   nil,     7,    31,
   nil,   137,    23,    11,    11,   nil,    35,    35,   114,   nil,
     9,    33,   nil,   nil,    72,   109,   nil,    23,    23,    29,
    86,    86,    64,    29,    65,   115,   nil,    64,    29,    86,
    74,   nil,   180,    26,    26,    26,    26,    31,   nil,    56,
    40,   nil,    10,   nil,    56,   nil,   nil,    31,   nil,   137,
   nil,   137,   nil,   137,    36,   nil,   nil,   nil,    29,    33,
   nil,    13,   nil,    65,   nil,   139,     5,   224,    54,   208,
   128,   208,   nil,    29,    29,   nil,   nil,    89,    54,   nil,
   150,   nil,    31,    89,    32,   195,   195,   nil,   123,   123,
   223,   nil,   nil,    36,     8,   nil,    17,   nil,    32,   nil,
   nil,    65,   108,    36,    92,   nil,    54,    76,   nil,    65,
    90,    65,   168,   139,    54,    65,   nil,   168,   168,   nil,
   nil,   nil,    74,   nil,     5,    26,    26,   nil,   114,   nil,
    24,    65,    71,    71,   232,    89,    40,    65,   nil,   nil,
   nil,   132,    26,    26,   193,   193,   224,   223,    41,   223,
   nil,    54,    54,   nil,   193,   nil,    65,    28,    28,    32,
   193,   nil,    28,    28,    93,    67,   137,    72,   137,   nil,
   nil,   nil,    89,    36,    67,    69,    88,   221,   221,   170,
   221,   221,   nil,   221,   nil,    71,    92,    78,    32,    13,
   nil,   nil,   nil,    71,   137,    74,   nil,    32,   nil,   218,
    55,    78,    71,    26,   193,    74,    55,   nil,    89,   nil,
    23,    36,   nil,    81,    44,   nil,   nil,    88,    89,   111,
    32,    36,    81,    71,    62,    87,    71,   139,   nil,   nil,
   139,   nil,    62,    74,    11,   nil,   137,    11,   137,    74,
   137,   114,   nil,   nil,    10,   nil,    89,    71,    23,   nil,
   nil,    23,   nil,    20,    89,   nil,    36,   nil,   nil,   137,
   114,   nil,    65,    20,    20,   nil,    29,   nil,    20,    20,
    74,   nil,    23,   nil,    71,   191,   nil,   nil,    74,    32,
   nil,    71,   108,   nil,    32,    32,    88,   nil,   123,   123,
    26,    89,   nil,   nil,   nil,    55,   nil,   nil,   nil,    23,
   139,   nil,    23,   nil,    29,   nil,    23,    29,   nil,    12,
   nil,    26,    23,    23,   132,   132,    40,    23,    23,   nil,
   nil,   nil,   nil,    22,   110,   nil,   105,   nil,    29,   nil,
    40,    40,   nil,    22,    22,    85,    17,   nil,    22,    22,
   nil,    86,   nil,   nil,   nil,   nil,   193,    76,    28,    71,
   nil,   nil,   108,   nil,   108,    29,   nil,    71,    29,   nil,
   nil,   nil,    29,    46,    65,   nil,    71,    71,    29,    29,
   nil,   151,   nil,    29,    29,    48,   nil,   nil,   nil,    67,
   nil,   nil,    74,   221,   221,   221,   221,   nil,   nil,   nil,
    67,    40,   nil,    88,    10,   nil,    32,    32,    32,   133,
   nil,   nil,   133,   nil,   nil,   nil,   nil,    71,    86,   nil,
   nil,   nil,   nil,   nil,   nil,   223,   nil,   184,    71,   132,
    40,   nil,   nil,   nil,   184,    89,   nil,    81,    89,    40,
     8,   nil,    19,   nil,   nil,    40,   nil,     8,    81,   nil,
   nil,   nil,   nil,   nil,    71,   nil,   nil,   nil,   nil,    71,
   nil,   nil,    40,   nil,    20,    11,   nil,    65,   nil,   nil,
    71,   nil,   nil,   223,   nil,    10,   nil,   167,   167,    23,
   nil,    11,    65,   nil,    23,   nil,   nil,   221,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    23,    78,   nil,    78,   nil,
   nil,   nil,   nil,   nil,    10,    71,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    23,   nil,   nil,    11,   nil,   nil,   nil,
    26,    40,   nil,   nil,    65,   nil,    40,    40,   nil,   nil,
    23,   nil,   nil,   nil,    22,    29,    71,   nil,    71,    85,
    29,    71,    71,    85,   nil,   nil,   nil,   nil,    71,   nil,
    19,    29,   nil,   nil,    71,    71,   nil,   nil,   nil,    32,
   nil,   nil,    71,    71,   nil,    40,   nil,   nil,   nil,    29,
   nil,   nil,   nil,   nil,    78,   nil,   nil,    31,   nil,    19,
   nil,   nil,   nil,   nil,   191,    71,    29,   223,   nil,   nil,
   223,   nil,   nil,   nil,   nil,   nil,    11,    65,    65,    65,
   nil,    71,   nil,    71,   nil,   nil,   184,   nil,   nil,    71,
    23,   nil,   nil,    65,    11,   184,   nil,   nil,   nil,   184,
   nil,   nil,   114,   nil,   nil,    71,   nil,   nil,    23,    71,
   nil,   nil,   nil,   nil,    23,   nil,    11,   nil,    40,    40,
    40,   nil,   nil,   nil,   nil,   nil,    54,   127,    40,    81,
    23,   nil,   nil,   nil,    23,   nil,    78,    78,   nil,   nil,
   223,    78,    78,   184,   nil,   nil,    29,   nil,   nil,   nil,
   nil,   nil,    40,   nil,   nil,   nil,   nil,   nil,    95,    95,
    71,   133,   nil,   nil,    29,   nil,   nil,   nil,   nil,   nil,
    29,   nil,   nil,    71,   167,   184,   nil,   nil,   nil,   nil,
   nil,   nil,   167,   nil,   nil,    23,    29,   nil,    71,    71,
   nil,   nil,   nil,    81,    71,   nil,   nil,   nil,   nil,    11,
   nil,   nil,   nil,   nil,    83,    11,   nil,    71,   nil,    33,
    30,   nil,   nil,    23,    23,    30,    71,   nil,   nil,    23,
    71,   nil,    19,    19,   nil,   nil,   nil,   nil,   nil,    40,
   nil,    36,    30,   nil,   nil,    71,   nil,   nil,    71,    26,
   nil,    29,    30,    30,    30,   nil,    30,    30,    30,    11,
   nil,   nil,   nil,    74,   nil,    81,   nil,   nil,   nil,    96,
    96,   nil,   nil,    23,    71,   nil,    89,    34,   nil,    29,
    29,    40,    34,   nil,    30,    29,   nil,    74,   nil,    30,
    30,   nil,    71,    30,    30,    30,    30,   225,   nil,   127,
   nil,   nil,   127,    11,   127,   nil,    71,   nil,   nil,   nil,
    97,    97,   nil,    34,    34,    34,   nil,    23,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    29,
   133,   nil,   nil,   133,   nil,   nil,   133,    78,   133,    30,
   nil,    34,   nil,   nil,    30,    30,    30,    30,    30,   nil,
    30,    34,    34,    34,   nil,   nil,   nil,    26,   nil,   nil,
   nil,   167,    83,    83,   nil,   nil,   167,   167,   134,   134,
   134,   nil,   127,    29,   127,   nil,   127,   nil,   127,   167,
    78,    78,    78,    78,   nil,    95,    26,   nil,   nil,   nil,
   nil,   nil,   nil,    95,   nil,   127,    34,   nil,   nil,   nil,
   nil,   nil,    95,    95,   nil,    34,   133,    34,   133,   nil,
   133,   nil,   133,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   167,   nil,   nil,   133,
   nil,   nil,   nil,    30,    30,    30,    30,    30,    30,    30,
   nil,   nil,   nil,   nil,   nil,    30,   nil,   nil,   nil,   nil,
   nil,    30,    30,    30,    30,   nil,   225,   nil,   nil,   225,
   nil,   nil,   225,   nil,   225,    83,   nil,    83,    30,   nil,
    83,    83,   nil,   134,   134,   134,   134,   nil,   134,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    96,   nil,   nil,   nil,
    34,   nil,    34,   nil,    96,    34,    78,   nil,   nil,   nil,
   nil,   nil,    34,    96,    96,   nil,   nil,   nil,    34,    34,
   nil,   nil,   nil,   nil,    30,   nil,   nil,   134,   134,   134,
   134,    30,    30,   nil,   nil,    34,   nil,    97,   nil,   134,
    30,   nil,   225,   nil,   225,    97,   225,   nil,   225,   nil,
   nil,   nil,   nil,   nil,    97,    97,   nil,   nil,    30,    26,
    26,   nil,    30,   nil,   nil,   225,    30,    30,   nil,   nil,
   nil,   nil,    95,   nil,    95,   nil,   nil,    95,    95,   nil,
   nil,   nil,   nil,   nil,    95,    30,   nil,   nil,   nil,    83,
    95,    95,   nil,   nil,   nil,   nil,   nil,    30,    95,    95,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    30,    30,    30,   nil,    34,   nil,   nil,   nil,    34,
    98,    98,   nil,    34,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    30,   nil,   nil,   nil,   nil,    95,   nil,   nil,
   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    83,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,
    34,   nil,   nil,    96,   nil,    96,   nil,   nil,    96,    96,
   nil,   nil,   nil,   nil,   nil,    96,   nil,   nil,   nil,   nil,
   nil,    96,    96,   nil,   nil,   nil,    30,   nil,   nil,    96,
    96,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    97,   nil,    97,   nil,   nil,    97,
    97,   nil,   nil,    83,   nil,    83,    97,    83,   nil,   nil,
   nil,   nil,    97,    97,   nil,    30,   nil,   nil,    96,   nil,
    97,    97,   nil,   nil,   nil,    30,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    38,   nil,   nil,   nil,   nil,    38,   nil,
   nil,   nil,   nil,    95,    83,   nil,   nil,    83,   nil,   nil,
   nil,   nil,    95,   nil,   nil,   nil,    95,   nil,   nil,    97,
    83,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    38,
    38,    38,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    30,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    30,   nil,    30,   nil,    38,   nil,   nil,
    95,   nil,    30,   nil,    83,   nil,   nil,    38,    38,    38,
   nil,    30,   nil,    83,    83,   nil,   nil,    98,   nil,   nil,
   nil,   nil,   nil,    30,   nil,    98,    30,    83,    99,    99,
   nil,   nil,    95,    30,    98,    98,   nil,   nil,   nil,   nil,
    83,   nil,    34,    30,    96,   nil,   nil,    30,   nil,   nil,
    34,   nil,    38,    96,   nil,   nil,   nil,    96,   nil,    34,
   nil,    38,   nil,    38,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    30,   nil,   nil,    30,    30,   nil,
    34,    30,   nil,    34,   nil,    97,   nil,    30,    30,   nil,
   nil,   nil,    30,    30,    97,   nil,   nil,   nil,    97,   nil,
   nil,    96,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    83,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    83,
   nil,    34,    83,    96,    34,   nil,   nil,   nil,    34,   nil,
   nil,   nil,    97,   nil,    34,    34,    38,   nil,    38,    34,
    34,    38,    39,   nil,   nil,   nil,   nil,    39,    38,   nil,
   nil,   nil,   nil,   nil,    38,    38,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    97,   nil,   nil,   nil,   nil,   nil,
   nil,    38,   nil,   nil,   nil,   nil,   nil,   nil,    39,    39,
    39,   nil,   nil,   nil,    98,   nil,    98,   nil,    83,    98,
    98,   nil,   nil,   nil,   nil,   nil,    98,    30,   nil,   nil,
   nil,   nil,    98,    98,   nil,   nil,    39,   nil,    30,   nil,
    98,    98,   nil,   nil,   nil,   nil,    39,    39,    39,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    30,    99,   nil,   nil,   nil,    30,
    30,   nil,   nil,    99,   nil,   nil,   nil,   nil,   nil,    98,
    30,    38,    99,    99,    34,    38,   nil,   nil,   nil,    38,
    38,    39,   nil,   nil,   nil,    34,   nil,   nil,    30,   nil,
    39,   nil,    39,   nil,   nil,   nil,   nil,   nil,    38,   nil,
   nil,   nil,   nil,   nil,   nil,    30,   nil,   nil,   nil,   nil,
    38,    34,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    38,    38,    34,   nil,   nil,
    83,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,    83,
   nil,   nil,   nil,   100,   100,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,    30,   nil,
   nil,   nil,   nil,   nil,   nil,    39,   nil,    39,   nil,   nil,
    39,   nil,   nil,   nil,   nil,    30,   nil,    39,   nil,   nil,
   nil,   nil,   nil,    39,    39,    98,   nil,    30,   nil,   nil,
   nil,   nil,   nil,    30,    98,   nil,   nil,   nil,    98,    30,
    39,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    30,   nil,   nil,   nil,    30,
   nil,   nil,    99,   nil,    99,   nil,   nil,    99,    99,   nil,
   nil,   nil,    34,   nil,    99,   nil,   nil,   nil,   nil,   nil,
    99,    99,    98,   nil,   nil,   nil,   nil,   nil,    99,    99,
    34,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
    58,   nil,   nil,   nil,   nil,    58,   nil,   nil,   nil,   nil,
    30,   nil,    34,   nil,    98,   nil,    34,   nil,   nil,   nil,
    39,   nil,    58,    30,    39,   nil,   nil,    99,    39,    39,
   nil,   nil,    58,    58,    58,   nil,    58,   nil,    30,    30,
   nil,   nil,   nil,   nil,    30,   nil,   nil,    39,    38,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    38,   nil,   nil,    39,
   nil,   nil,   nil,   nil,    58,    38,   nil,    34,   nil,    58,
    58,   nil,   nil,    58,    39,    39,   nil,   nil,   nil,   nil,
    34,   nil,   nil,   nil,   nil,    30,    38,   nil,    30,    38,
    30,    30,   nil,   nil,   nil,    34,    34,   nil,   nil,   nil,
   100,    34,   nil,    30,   nil,   nil,   nil,   nil,   100,   nil,
    38,   nil,   nil,   nil,   nil,   nil,   nil,   100,   100,    58,
   nil,   nil,   nil,   nil,    58,    58,    58,    58,    58,   nil,
    58,   nil,    30,   nil,   nil,   nil,   nil,    38,   nil,   nil,
    38,   nil,    34,   nil,    38,    34,   nil,   nil,   nil,   nil,
    38,    38,   nil,    99,   nil,    38,    38,   nil,   nil,   nil,
   nil,   nil,    99,   nil,   nil,   nil,    99,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    99,   nil,   nil,    58,    58,    58,    58,    58,    58,    58,
   nil,   nil,   nil,   nil,   nil,    58,   nil,   nil,   nil,   nil,
   nil,    58,    58,    58,    58,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    99,   nil,   nil,   nil,   nil,   nil,    58,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    39,   nil,   nil,
    38,   nil,   nil,   nil,   nil,    39,   nil,   100,   nil,   100,
   nil,    38,   100,   100,    39,   nil,   nil,   nil,   nil,   100,
   nil,   nil,   nil,   nil,    58,   100,   100,   nil,   nil,   nil,
   nil,    58,    58,   100,   100,    39,   nil,    38,    39,   nil,
    58,   nil,    38,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    38,   nil,   nil,   nil,   nil,    58,    39,
   nil,   nil,    58,   nil,   nil,   nil,    39,    58,   nil,   nil,
   nil,    38,   100,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    39,   nil,    38,    39,
   nil,   nil,   nil,    39,   101,   101,   nil,    58,   nil,    39,
    39,   nil,   nil,   nil,    39,    39,   nil,   nil,   nil,   nil,
   nil,    58,    58,    58,    70,   nil,   nil,   nil,   nil,    70,
   nil,   nil,   nil,   102,   102,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    58,   nil,   nil,   nil,   nil,   nil,    70,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    70,    70,    70,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    38,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    38,   nil,    70,    70,
    70,   nil,    38,   nil,   nil,   nil,    58,   nil,   100,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   100,    38,   nil,
   nil,   100,    38,   nil,   nil,   nil,   nil,   nil,   nil,    39,
   nil,   nil,   nil,   107,   107,   nil,   nil,   nil,   nil,   nil,
    39,   nil,   nil,    70,   nil,    58,   nil,   nil,   nil,   nil,
   nil,   nil,    70,   nil,    70,    58,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   100,    39,   nil,   nil,   nil,
   nil,    39,   nil,    38,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    39,   nil,   nil,   nil,    38,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   100,   nil,   nil,
    39,    38,    38,   nil,   nil,   nil,   nil,    38,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    58,   nil,    39,   nil,   nil,
   nil,   101,   nil,   nil,   nil,    58,   nil,   nil,   nil,   101,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,   101,   101,
   nil,    58,   nil,   nil,   nil,   nil,   nil,   nil,    38,    70,
   102,    38,   nil,    58,   nil,    70,    58,   nil,   102,   nil,
   nil,   nil,   nil,    58,   nil,   nil,   nil,   102,   102,    61,
   nil,   nil,    70,    58,    61,   nil,   nil,    58,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    61,   nil,   nil,   nil,    38,   nil,    39,   nil,   nil,
   nil,    61,    61,    61,    58,    61,   nil,    58,    58,   nil,
   nil,    58,   nil,   nil,   nil,    39,   nil,    58,    58,   nil,
   nil,    39,    58,    58,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    61,   nil,   nil,   nil,    39,    61,    61,
   nil,    39,    61,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   107,   nil,    70,   nil,   nil,   nil,    70,   nil,   107,   nil,
    70,    70,   nil,   nil,   nil,   nil,   nil,   107,   107,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    61,   nil,
   nil,    70,    39,    61,    61,    61,    61,    61,   101,    61,
   101,   nil,   nil,   101,   101,    39,    70,    70,   nil,   nil,
   101,   nil,   nil,   nil,   nil,   nil,   101,   101,   nil,   nil,
    39,    39,   nil,   nil,   101,   101,    39,   102,   nil,   102,
   nil,   nil,   102,   102,   nil,   nil,   nil,   nil,   nil,   102,
   nil,   nil,   nil,   nil,   nil,   102,   102,   nil,   nil,   nil,
   nil,   nil,   nil,   102,   102,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   101,   nil,   nil,   nil,    39,   nil,   nil,
    39,   nil,   nil,   nil,    58,   nil,   nil,   nil,   nil,    58,
    58,   nil,    61,    61,    61,    61,    61,    61,    61,   nil,
    58,   nil,   102,   nil,    61,   nil,   nil,   nil,   nil,   nil,
    61,    61,    61,    61,   nil,   nil,   nil,   nil,    58,   nil,
   nil,   nil,   nil,   nil,    39,   nil,   nil,    61,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    58,   nil,   107,   nil,   107,
   nil,   nil,   107,   107,   nil,   nil,   nil,   nil,   nil,   107,
   nil,   nil,   nil,   nil,   nil,   107,   107,   nil,   nil,   nil,
   nil,   nil,   nil,   107,   107,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,   nil,
    61,    61,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    61,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    58,   101,
   nil,   nil,   107,   nil,   nil,   nil,   nil,    61,   101,    70,
   nil,    61,   101,   nil,   nil,    58,    61,    70,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    70,    58,   102,   nil,
   nil,   nil,   nil,    58,   nil,   nil,   nil,   102,   nil,    58,
   nil,   102,   nil,   nil,   nil,   nil,    61,    70,   nil,   nil,
    70,   nil,   nil,   nil,   nil,    58,   101,   nil,   nil,   nil,
    61,    61,    61,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    70,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    61,   nil,   nil,   nil,   102,   nil,   nil,   101,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,   nil,
   nil,   nil,   nil,   nil,   nil,    70,   nil,   nil,   nil,   nil,
    58,   nil,   nil,   nil,   nil,   nil,   nil,   102,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   107,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   107,    58,    58,
   nil,   107,   nil,   nil,    58,    61,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    61,   107,   nil,   nil,    58,   nil,
    58,    58,   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    58,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   107,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    70,    58,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    70,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    61,   nil,   nil,   nil,    70,   nil,
   nil,   nil,   nil,    70,   nil,   nil,   nil,   nil,   nil,   nil,
    61,   nil,   nil,   nil,    70,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    61,   nil,   nil,    61,   nil,   nil,   nil,   nil,
   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    61,   nil,   nil,   nil,    61,   nil,   nil,    70,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    61,   nil,   nil,    61,    61,   nil,   nil,
    61,   nil,   nil,    37,   nil,   nil,    61,    61,   nil,   nil,
   nil,    61,    61,    37,    37,    37,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    37,    37,   nil,    37,    37,
   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,    37,   nil,    70,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,   nil,   nil,
   nil,   nil,   nil,    70,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,
   nil,   nil,   nil,    70,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    70,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    70,   nil,   nil,
   nil,   nil,   nil,    61,   nil,   nil,   nil,   nil,    61,    61,
   nil,   nil,    70,    70,   nil,   nil,   nil,   nil,    70,    61,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    37,    37,    61,   nil,    37,
    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    37,    61,   nil,   nil,   nil,   nil,    70,
   nil,   nil,    70,   nil,   nil,   nil,    37,   nil,   nil,   nil,
   nil,   nil,   nil,    37,    37,    37,    37,    37,    37,    37,
    37,    37,    37,    37,    37,    37,    37,    37,    37,    37,
    37,    37,    37,    37,    37,   nil,   nil,   nil,   nil,    37,
   nil,   nil,   nil,   nil,   nil,   nil,    70,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    61,   nil,   nil,
   nil,   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,   nil,   nil,    61,   nil,   nil,   nil,    37,   nil,
    37,   nil,   nil,    37,    37,   nil,    61,   nil,   nil,   nil,
   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,    61,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    37,   nil,    37,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    61,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,   nil,   nil,    61,    61,   nil,
   nil,   nil,   nil,    61,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    61,   nil,    61,
    61,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    61,   nil,   nil,   nil,    37,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,    37,    37,
    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    61,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,    37,   nil,
    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,    37,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,
    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,    37,    37,
   nil,   nil,   nil,    37,   nil,   nil,    37,    37,    37,    37,
   nil,   nil,   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,
    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,    37,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    37,    37,    37,    37,    37,    37,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37 ]

racc_goto_pointer = [
   nil,   134,   122,   137,   nil,   128,   131,    60,   154,    68,
  -207,     9,  -455,  -634,  -738,   nil,  -426,    62,   143,   -20,
   -26,    81,    44,    23,  -171,   -53,   297,    37,  -132,    79,
  1108,  -198,  -253,    10,  1165,   148,   -24,  3439,  1631,  1850,
   -21,  -445,   -79,   -77,   -25,  -431,   -23,   nil,   -11,   166,
    83,  -356,   nil,   nil,  -130,   133,  -252,  -465,  2158,  -360,
   nil,  2787,   310,    40,    78,   -59,   nil,   -30,    42,  -234,
  2542,    -2,  -368,    82,    -4,   nil,    73,  -232,   357,    23,
   nil,    18,   151,  1036,   137,    34,   107,  -202,    -1,    10,
  -284,  -347,  -296,  -449,   nil,   534,   635,   676,   976,  1204,
  1519,  2000,  2029,   180,   139,   -65,   nil,  2129,  -338,  -778,
  -371,  -604,   134,  -191,    12,    65,   149,  -149,   156,  -410,
  -616,  -175,  -786,  -429,  -391,  -786,  -674,    61,  -665,   nil,
  -732,   nil,  -361,    95,   190,  -829,  -725,  -575,  -862,  -511,
  -658,   nil,  -743,  -850,  -953,  -946,  -160,  -598,   173,  -382,
  -171,   -19,  -732,  -728,  -411,   -29,   nil,   -38,   -38,   nil,
   nil,  -508,  -811,  -698,  -926,  -537,  -849,   333,  -416,  -615,
  -414,  -743,   nil,  -624,   nil,  -623,  -442,  -440,   nil,   nil,
  -627,  -438,  -436,   nil,  -123,  -846,  -820,   nil,  -629,  -623,
   nil,   -86,   nil,  -389,   nil,  -469,   nil,   nil,  -453,  -360,
  -556,   nil,   nil,   249,   248,   248,   249,  -229,  -194,   249,
   253,   264,  -285,  -282,   nil,   nil,  -266,  -165,   -52,   nil,
   nil,  -330,  -325,  -161,  -671,   221,  -318,  -744,  -637, -1000,
   nil,   nil,  -479 ]

racc_goto_default = [
   nil,   nil,   nil,   nil,     5,   nil,     6,   388,   331,   nil,
   nil,   469,   nil,   978,   nil,   328,   329,   nil,   nil,   nil,
    13,    14,    22,   244,   nil,   nil,    16,   nil,   438,   245,
   360,   nil,   nil,   634,   248,   nil,    27,    25,   249,   243,
   514,   nil,   nil,   nil,   nil,   nil,   nil,   383,   140,   nil,
   nil,   nil,    28,    29,   808,   nil,   nil,   nil,   348,   nil,
    30,   345,   452,    37,   nil,   nil,    39,    42,    41,   nil,
   240,   241,   400,   nil,   460,   139,    84,   nil,   443,   100,
    51,    54,   280,   320,   nil,   886,   453,   nil,   454,   465,
   477,   683,   566,   318,   304,    55,    56,    57,    58,    59,
    60,    61,    62,    63,   nil,   305,    69,    70,   nil,   nil,
   nil,   nil,   nil,   nil,   616,   227,   nil,   nil,   nil,   nil,
   nil,   nil,   707,   489,   nil,   708,   709,   475,   471,   472,
  1172,  1065,   nil,   476,   nil,   nil,   nil,   478,   nil,   480,
   nil,   965,   nil,   nil,   nil,   487,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   464,   nil,   nil,   787,
   779,   nil,   nil,   nil,   nil,   nil,   nil,  1045,   nil,   732,
   931,   734,   735,   739,   736,   737,   nil,   nil,   738,   740,
   nil,   nil,   nil,   930,   932,   nil,   744,   746,   747,   748,
   749,   nil,   753,   498,   754,   755,   756,   757,   nil,   nil,
   nil,    83,    85,    86,   nil,   nil,   nil,   nil,   644,   nil,
   nil,   nil,   nil,   nil,    96,    97,   nil,   228,   896,   231,
   474,   nil,   479,   904,   492,   494,   495,  1076,   499,  1077,
   502,   505,   323 ]

racc_reduce_table = [
  0, 0, :racc_error,
  0, 150, :_reduce_1,
  2, 148, :_reduce_2,
  2, 149, :_reduce_3,
  0, 151, :_reduce_4,
  1, 151, :_reduce_5,
  3, 151, :_reduce_6,
  2, 151, :_reduce_7,
  1, 153, :_reduce_none,
  2, 153, :_reduce_9,
  3, 156, :_reduce_10,
  4, 157, :_reduce_11,
  2, 158, :_reduce_12,
  0, 162, :_reduce_13,
  1, 162, :_reduce_14,
  3, 162, :_reduce_15,
  2, 162, :_reduce_16,
  1, 163, :_reduce_none,
  2, 163, :_reduce_18,
  0, 174, :_reduce_19,
  4, 155, :_reduce_20,
  3, 155, :_reduce_21,
  3, 155, :_reduce_22,
  3, 155, :_reduce_23,
  2, 155, :_reduce_24,
  3, 155, :_reduce_25,
  3, 155, :_reduce_26,
  3, 155, :_reduce_27,
  3, 155, :_reduce_28,
  3, 155, :_reduce_29,
  4, 155, :_reduce_30,
  1, 155, :_reduce_none,
  3, 155, :_reduce_32,
  3, 155, :_reduce_33,
  5, 155, :_reduce_34,
  3, 155, :_reduce_35,
  1, 155, :_reduce_none,
  3, 167, :_reduce_37,
  3, 167, :_reduce_38,
  6, 167, :_reduce_39,
  5, 167, :_reduce_40,
  5, 167, :_reduce_41,
  5, 167, :_reduce_42,
  5, 167, :_reduce_43,
  4, 167, :_reduce_44,
  6, 167, :_reduce_45,
  4, 167, :_reduce_46,
  6, 167, :_reduce_47,
  3, 167, :_reduce_48,
  1, 175, :_reduce_none,
  3, 175, :_reduce_50,
  1, 175, :_reduce_none,
  1, 173, :_reduce_none,
  3, 173, :_reduce_53,
  3, 173, :_reduce_54,
  3, 173, :_reduce_55,
  2, 173, :_reduce_56,
  0, 189, :_reduce_57,
  4, 173, :_reduce_58,
  0, 190, :_reduce_59,
  4, 173, :_reduce_60,
  1, 173, :_reduce_none,
  1, 166, :_reduce_none,
  0, 194, :_reduce_63,
  3, 191, :_reduce_64,
  1, 193, :_reduce_65,
  2, 181, :_reduce_66,
  0, 198, :_reduce_67,
  5, 185, :_reduce_68,
  1, 169, :_reduce_none,
  1, 169, :_reduce_none,
  1, 199, :_reduce_none,
  4, 199, :_reduce_72,
  0, 206, :_reduce_73,
  4, 203, :_reduce_74,
  1, 205, :_reduce_none,
  2, 183, :_reduce_76,
  3, 183, :_reduce_77,
  4, 183, :_reduce_78,
  5, 183, :_reduce_79,
  4, 183, :_reduce_80,
  5, 183, :_reduce_81,
  2, 183, :_reduce_82,
  2, 183, :_reduce_83,
  2, 183, :_reduce_84,
  2, 183, :_reduce_85,
  2, 183, :_reduce_86,
  1, 168, :_reduce_87,
  3, 168, :_reduce_88,
  1, 211, :_reduce_89,
  3, 211, :_reduce_90,
  1, 210, :_reduce_none,
  2, 210, :_reduce_92,
  3, 210, :_reduce_93,
  5, 210, :_reduce_94,
  2, 210, :_reduce_95,
  4, 210, :_reduce_96,
  2, 210, :_reduce_97,
  4, 210, :_reduce_98,
  1, 210, :_reduce_99,
  3, 210, :_reduce_100,
  1, 214, :_reduce_none,
  3, 214, :_reduce_102,
  2, 213, :_reduce_103,
  3, 213, :_reduce_104,
  1, 216, :_reduce_105,
  3, 216, :_reduce_106,
  1, 215, :_reduce_107,
  1, 215, :_reduce_108,
  4, 215, :_reduce_109,
  3, 215, :_reduce_110,
  3, 215, :_reduce_111,
  3, 215, :_reduce_112,
  3, 215, :_reduce_113,
  2, 215, :_reduce_114,
  1, 215, :_reduce_115,
  1, 170, :_reduce_116,
  1, 170, :_reduce_117,
  4, 170, :_reduce_118,
  3, 170, :_reduce_119,
  3, 170, :_reduce_120,
  3, 170, :_reduce_121,
  3, 170, :_reduce_122,
  2, 170, :_reduce_123,
  1, 170, :_reduce_124,
  1, 219, :_reduce_125,
  1, 219, :_reduce_none,
  2, 220, :_reduce_127,
  1, 220, :_reduce_128,
  3, 220, :_reduce_129,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 164, :_reduce_135,
  1, 164, :_reduce_none,
  1, 165, :_reduce_137,
  0, 224, :_reduce_138,
  4, 165, :_reduce_139,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 221, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  3, 184, :_reduce_211,
  3, 184, :_reduce_212,
  6, 184, :_reduce_213,
  5, 184, :_reduce_214,
  5, 184, :_reduce_215,
  5, 184, :_reduce_216,
  5, 184, :_reduce_217,
  4, 184, :_reduce_218,
  3, 184, :_reduce_219,
  3, 184, :_reduce_220,
  3, 184, :_reduce_221,
  2, 184, :_reduce_222,
  2, 184, :_reduce_223,
  2, 184, :_reduce_224,
  2, 184, :_reduce_225,
  3, 184, :_reduce_226,
  3, 184, :_reduce_227,
  3, 184, :_reduce_228,
  3, 184, :_reduce_229,
  3, 184, :_reduce_230,
  3, 184, :_reduce_231,
  4, 184, :_reduce_232,
  2, 184, :_reduce_233,
  2, 184, :_reduce_234,
  3, 184, :_reduce_235,
  3, 184, :_reduce_236,
  3, 184, :_reduce_237,
  3, 184, :_reduce_238,
  1, 184, :_reduce_none,
  3, 184, :_reduce_240,
  3, 184, :_reduce_241,
  3, 184, :_reduce_242,
  3, 184, :_reduce_243,
  3, 184, :_reduce_244,
  2, 184, :_reduce_245,
  2, 184, :_reduce_246,
  3, 184, :_reduce_247,
  3, 184, :_reduce_248,
  3, 184, :_reduce_249,
  3, 184, :_reduce_250,
  3, 184, :_reduce_251,
  6, 184, :_reduce_252,
  4, 184, :_reduce_253,
  6, 184, :_reduce_254,
  4, 184, :_reduce_255,
  6, 184, :_reduce_256,
  1, 184, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  3, 227, :_reduce_262,
  3, 227, :_reduce_263,
  1, 230, :_reduce_none,
  1, 231, :_reduce_none,
  2, 231, :_reduce_none,
  4, 231, :_reduce_267,
  2, 231, :_reduce_268,
  1, 225, :_reduce_none,
  3, 225, :_reduce_270,
  3, 236, :_reduce_271,
  5, 236, :_reduce_272,
  3, 236, :_reduce_273,
  0, 238, :_reduce_274,
  1, 238, :_reduce_none,
  0, 178, :_reduce_276,
  1, 178, :_reduce_none,
  2, 178, :_reduce_none,
  4, 178, :_reduce_279,
  2, 178, :_reduce_280,
  1, 209, :_reduce_281,
  2, 209, :_reduce_282,
  2, 209, :_reduce_283,
  4, 209, :_reduce_284,
  1, 209, :_reduce_285,
  0, 241, :_reduce_286,
  2, 202, :_reduce_287,
  2, 240, :_reduce_288,
  1, 240, :_reduce_289,
  2, 239, :_reduce_290,
  0, 239, :_reduce_291,
  1, 233, :_reduce_292,
  2, 233, :_reduce_293,
  3, 233, :_reduce_294,
  4, 233, :_reduce_295,
  1, 172, :_reduce_296,
  1, 172, :_reduce_none,
  3, 171, :_reduce_298,
  4, 171, :_reduce_299,
  2, 171, :_reduce_300,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_none,
  1, 228, :_reduce_311,
  0, 263, :_reduce_312,
  4, 228, :_reduce_313,
  0, 264, :_reduce_314,
  4, 228, :_reduce_315,
  0, 265, :_reduce_316,
  4, 228, :_reduce_317,
  3, 228, :_reduce_318,
  3, 228, :_reduce_319,
  2, 228, :_reduce_320,
  3, 228, :_reduce_321,
  3, 228, :_reduce_322,
  1, 228, :_reduce_323,
  4, 228, :_reduce_324,
  3, 228, :_reduce_325,
  1, 228, :_reduce_326,
  5, 228, :_reduce_327,
  4, 228, :_reduce_328,
  3, 228, :_reduce_329,
  2, 228, :_reduce_330,
  1, 228, :_reduce_none,
  2, 228, :_reduce_332,
  1, 228, :_reduce_none,
  6, 228, :_reduce_334,
  6, 228, :_reduce_335,
  4, 228, :_reduce_336,
  4, 228, :_reduce_337,
  5, 228, :_reduce_338,
  4, 228, :_reduce_339,
  5, 228, :_reduce_340,
  6, 228, :_reduce_341,
  0, 266, :_reduce_342,
  6, 228, :_reduce_343,
  0, 267, :_reduce_344,
  7, 228, :_reduce_345,
  0, 268, :_reduce_346,
  5, 228, :_reduce_347,
  4, 228, :_reduce_348,
  4, 228, :_reduce_349,
  1, 228, :_reduce_350,
  1, 228, :_reduce_351,
  1, 228, :_reduce_352,
  1, 228, :_reduce_353,
  1, 177, :_reduce_none,
  1, 208, :_reduce_355,
  1, 255, :_reduce_none,
  1, 255, :_reduce_none,
  2, 255, :_reduce_358,
  1, 192, :_reduce_none,
  1, 192, :_reduce_none,
  1, 256, :_reduce_none,
  5, 256, :_reduce_362,
  1, 160, :_reduce_none,
  2, 160, :_reduce_364,
  1, 259, :_reduce_none,
  1, 259, :_reduce_none,
  1, 269, :_reduce_367,
  3, 269, :_reduce_368,
  1, 272, :_reduce_369,
  3, 272, :_reduce_370,
  1, 271, :_reduce_none,
  3, 271, :_reduce_372,
  5, 271, :_reduce_373,
  1, 271, :_reduce_374,
  3, 271, :_reduce_375,
  2, 273, :_reduce_376,
  1, 273, :_reduce_377,
  1, 274, :_reduce_none,
  1, 274, :_reduce_none,
  4, 277, :_reduce_380,
  2, 277, :_reduce_381,
  2, 277, :_reduce_382,
  1, 277, :_reduce_383,
  2, 281, :_reduce_384,
  0, 281, :_reduce_385,
  1, 282, :_reduce_none,
  6, 283, :_reduce_387,
  8, 283, :_reduce_388,
  4, 283, :_reduce_389,
  6, 283, :_reduce_390,
  4, 283, :_reduce_391,
  2, 283, :_reduce_none,
  6, 283, :_reduce_393,
  2, 283, :_reduce_394,
  4, 283, :_reduce_395,
  6, 283, :_reduce_396,
  2, 283, :_reduce_397,
  4, 283, :_reduce_398,
  2, 283, :_reduce_399,
  4, 283, :_reduce_400,
  1, 283, :_reduce_none,
  0, 287, :_reduce_402,
  1, 287, :_reduce_403,
  3, 288, :_reduce_404,
  4, 288, :_reduce_405,
  1, 289, :_reduce_406,
  4, 289, :_reduce_407,
  1, 290, :_reduce_408,
  3, 290, :_reduce_409,
  1, 291, :_reduce_410,
  1, 291, :_reduce_none,
  0, 295, :_reduce_412,
  0, 296, :_reduce_413,
  5, 254, :_reduce_414,
  4, 293, :_reduce_415,
  1, 293, :_reduce_416,
  0, 299, :_reduce_417,
  4, 294, :_reduce_418,
  0, 300, :_reduce_419,
  4, 294, :_reduce_420,
  0, 302, :_reduce_421,
  4, 298, :_reduce_422,
  2, 200, :_reduce_423,
  4, 200, :_reduce_424,
  5, 200, :_reduce_425,
  5, 200, :_reduce_426,
  2, 253, :_reduce_427,
  4, 253, :_reduce_428,
  4, 253, :_reduce_429,
  3, 253, :_reduce_430,
  3, 253, :_reduce_431,
  3, 253, :_reduce_432,
  2, 253, :_reduce_433,
  1, 253, :_reduce_434,
  4, 253, :_reduce_435,
  0, 304, :_reduce_436,
  4, 252, :_reduce_437,
  0, 305, :_reduce_438,
  4, 252, :_reduce_439,
  0, 306, :_reduce_440,
  3, 204, :_reduce_441,
  0, 307, :_reduce_442,
  0, 308, :_reduce_443,
  4, 301, :_reduce_444,
  5, 257, :_reduce_445,
  1, 309, :_reduce_446,
  1, 309, :_reduce_none,
  0, 312, :_reduce_448,
  0, 313, :_reduce_449,
  7, 258, :_reduce_450,
  1, 311, :_reduce_451,
  1, 311, :_reduce_none,
  1, 310, :_reduce_453,
  3, 310, :_reduce_454,
  3, 310, :_reduce_455,
  1, 188, :_reduce_none,
  2, 188, :_reduce_457,
  3, 188, :_reduce_458,
  1, 188, :_reduce_459,
  1, 188, :_reduce_460,
  1, 188, :_reduce_461,
  1, 314, :_reduce_none,
  3, 319, :_reduce_463,
  1, 319, :_reduce_none,
  3, 321, :_reduce_465,
  1, 321, :_reduce_none,
  1, 323, :_reduce_467,
  1, 324, :_reduce_468,
  1, 322, :_reduce_none,
  1, 322, :_reduce_none,
  4, 322, :_reduce_471,
  4, 322, :_reduce_472,
  4, 322, :_reduce_473,
  3, 322, :_reduce_474,
  4, 322, :_reduce_475,
  4, 322, :_reduce_476,
  4, 322, :_reduce_477,
  3, 322, :_reduce_478,
  3, 322, :_reduce_479,
  3, 322, :_reduce_480,
  2, 322, :_reduce_481,
  0, 328, :_reduce_482,
  4, 322, :_reduce_483,
  2, 322, :_reduce_484,
  0, 329, :_reduce_485,
  4, 322, :_reduce_486,
  1, 315, :_reduce_487,
  1, 315, :_reduce_488,
  2, 315, :_reduce_489,
  3, 315, :_reduce_490,
  5, 315, :_reduce_491,
  2, 315, :_reduce_492,
  4, 315, :_reduce_493,
  1, 315, :_reduce_none,
  2, 330, :_reduce_495,
  3, 330, :_reduce_496,
  1, 317, :_reduce_497,
  3, 317, :_reduce_498,
  5, 316, :_reduce_499,
  2, 333, :_reduce_500,
  1, 333, :_reduce_501,
  1, 332, :_reduce_502,
  3, 332, :_reduce_503,
  1, 331, :_reduce_none,
  3, 318, :_reduce_505,
  1, 318, :_reduce_506,
  2, 318, :_reduce_507,
  1, 318, :_reduce_508,
  1, 334, :_reduce_509,
  3, 334, :_reduce_510,
  2, 336, :_reduce_511,
  1, 336, :_reduce_512,
  1, 337, :_reduce_513,
  3, 337, :_reduce_514,
  2, 339, :_reduce_515,
  1, 339, :_reduce_516,
  2, 341, :_reduce_517,
  1, 335, :_reduce_none,
  1, 335, :_reduce_none,
  1, 325, :_reduce_none,
  3, 325, :_reduce_521,
  3, 325, :_reduce_522,
  2, 325, :_reduce_523,
  2, 325, :_reduce_524,
  1, 325, :_reduce_none,
  1, 325, :_reduce_none,
  1, 325, :_reduce_none,
  2, 325, :_reduce_528,
  2, 325, :_reduce_529,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_none,
  1, 342, :_reduce_538,
  1, 342, :_reduce_none,
  1, 320, :_reduce_540,
  2, 343, :_reduce_541,
  2, 343, :_reduce_542,
  4, 344, :_reduce_543,
  2, 326, :_reduce_544,
  3, 326, :_reduce_545,
  1, 326, :_reduce_546,
  6, 159, :_reduce_547,
  0, 159, :_reduce_548,
  1, 346, :_reduce_549,
  1, 346, :_reduce_none,
  1, 346, :_reduce_none,
  2, 347, :_reduce_552,
  1, 347, :_reduce_none,
  2, 161, :_reduce_554,
  1, 161, :_reduce_none,
  1, 242, :_reduce_none,
  1, 242, :_reduce_none,
  1, 243, :_reduce_558,
  1, 349, :_reduce_559,
  2, 349, :_reduce_560,
  3, 350, :_reduce_561,
  1, 350, :_reduce_562,
  1, 350, :_reduce_563,
  3, 244, :_reduce_564,
  4, 245, :_reduce_565,
  3, 246, :_reduce_566,
  0, 353, :_reduce_567,
  3, 353, :_reduce_568,
  1, 354, :_reduce_569,
  2, 354, :_reduce_570,
  3, 248, :_reduce_571,
  0, 356, :_reduce_572,
  3, 356, :_reduce_573,
  3, 247, :_reduce_574,
  3, 249, :_reduce_575,
  0, 357, :_reduce_576,
  3, 357, :_reduce_577,
  0, 358, :_reduce_578,
  3, 358, :_reduce_579,
  0, 338, :_reduce_580,
  2, 338, :_reduce_581,
  0, 351, :_reduce_582,
  2, 351, :_reduce_583,
  0, 352, :_reduce_584,
  2, 352, :_reduce_585,
  1, 355, :_reduce_586,
  2, 355, :_reduce_587,
  0, 360, :_reduce_588,
  4, 355, :_reduce_589,
  1, 359, :_reduce_590,
  1, 359, :_reduce_591,
  1, 359, :_reduce_592,
  1, 359, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 361, :_reduce_596,
  3, 362, :_reduce_597,
  1, 348, :_reduce_598,
  2, 348, :_reduce_599,
  1, 226, :_reduce_600,
  1, 226, :_reduce_601,
  1, 226, :_reduce_602,
  1, 226, :_reduce_603,
  1, 345, :_reduce_604,
  1, 345, :_reduce_605,
  1, 345, :_reduce_606,
  1, 217, :_reduce_607,
  1, 217, :_reduce_608,
  1, 217, :_reduce_609,
  1, 217, :_reduce_610,
  1, 217, :_reduce_611,
  1, 218, :_reduce_612,
  1, 218, :_reduce_613,
  1, 218, :_reduce_614,
  1, 218, :_reduce_615,
  1, 218, :_reduce_616,
  1, 218, :_reduce_617,
  1, 218, :_reduce_618,
  1, 250, :_reduce_619,
  1, 250, :_reduce_620,
  1, 176, :_reduce_621,
  1, 176, :_reduce_622,
  1, 186, :_reduce_623,
  1, 186, :_reduce_624,
  0, 363, :_reduce_625,
  4, 260, :_reduce_626,
  0, 260, :_reduce_627,
  1, 182, :_reduce_none,
  1, 182, :_reduce_629,
  3, 364, :_reduce_630,
  1, 262, :_reduce_none,
  0, 366, :_reduce_632,
  3, 262, :_reduce_633,
  4, 365, :_reduce_634,
  2, 365, :_reduce_635,
  2, 365, :_reduce_636,
  1, 365, :_reduce_637,
  1, 365, :_reduce_638,
  2, 368, :_reduce_639,
  0, 368, :_reduce_640,
  6, 297, :_reduce_641,
  8, 297, :_reduce_642,
  4, 297, :_reduce_643,
  6, 297, :_reduce_644,
  4, 297, :_reduce_645,
  6, 297, :_reduce_646,
  2, 297, :_reduce_647,
  4, 297, :_reduce_648,
  6, 297, :_reduce_649,
  2, 297, :_reduce_650,
  4, 297, :_reduce_651,
  2, 297, :_reduce_652,
  4, 297, :_reduce_653,
  1, 297, :_reduce_654,
  0, 297, :_reduce_655,
  1, 237, :_reduce_656,
  1, 292, :_reduce_657,
  1, 292, :_reduce_658,
  1, 292, :_reduce_659,
  1, 292, :_reduce_660,
  1, 270, :_reduce_none,
  1, 270, :_reduce_662,
  1, 370, :_reduce_663,
  1, 371, :_reduce_664,
  3, 371, :_reduce_665,
  1, 284, :_reduce_666,
  3, 284, :_reduce_667,
  1, 372, :_reduce_668,
  2, 373, :_reduce_669,
  1, 373, :_reduce_670,
  2, 374, :_reduce_671,
  1, 374, :_reduce_672,
  1, 278, :_reduce_673,
  3, 278, :_reduce_674,
  1, 367, :_reduce_675,
  3, 367, :_reduce_676,
  1, 340, :_reduce_none,
  1, 340, :_reduce_none,
  2, 276, :_reduce_679,
  2, 275, :_reduce_680,
  1, 275, :_reduce_681,
  3, 375, :_reduce_682,
  3, 376, :_reduce_683,
  1, 285, :_reduce_684,
  3, 285, :_reduce_685,
  1, 369, :_reduce_686,
  3, 369, :_reduce_687,
  1, 377, :_reduce_none,
  1, 377, :_reduce_none,
  2, 286, :_reduce_690,
  1, 286, :_reduce_691,
  1, 378, :_reduce_none,
  1, 378, :_reduce_none,
  2, 280, :_reduce_694,
  1, 280, :_reduce_695,
  2, 279, :_reduce_696,
  0, 279, :_reduce_697,
  1, 196, :_reduce_none,
  3, 196, :_reduce_699,
  0, 251, :_reduce_700,
  2, 251, :_reduce_none,
  1, 235, :_reduce_702,
  3, 235, :_reduce_703,
  3, 379, :_reduce_704,
  2, 379, :_reduce_705,
  1, 379, :_reduce_706,
  4, 379, :_reduce_707,
  2, 379, :_reduce_708,
  1, 207, :_reduce_none,
  1, 207, :_reduce_none,
  1, 207, :_reduce_none,
  1, 201, :_reduce_none,
  1, 201, :_reduce_none,
  1, 201, :_reduce_none,
  1, 201, :_reduce_none,
  1, 303, :_reduce_none,
  1, 303, :_reduce_none,
  1, 303, :_reduce_none,
  1, 197, :_reduce_none,
  1, 197, :_reduce_none,
  1, 180, :_reduce_721,
  1, 180, :_reduce_722,
  0, 152, :_reduce_none,
  1, 152, :_reduce_none,
  0, 187, :_reduce_none,
  1, 187, :_reduce_none,
  2, 212, :_reduce_727,
  2, 179, :_reduce_728,
  2, 327, :_reduce_729,
  0, 234, :_reduce_none,
  1, 234, :_reduce_none,
  1, 234, :_reduce_none,
  1, 261, :_reduce_733,
  1, 261, :_reduce_none,
  1, 154, :_reduce_none,
  2, 154, :_reduce_none,
  0, 232, :_reduce_737 ]

racc_reduce_n = 738

racc_shift_n = 1231

racc_token_table = {
  false => 0,
  :error => 1,
  :kCLASS => 2,
  :kMODULE => 3,
  :kDEF => 4,
  :kUNDEF => 5,
  :kBEGIN => 6,
  :kRESCUE => 7,
  :kENSURE => 8,
  :kEND => 9,
  :kIF => 10,
  :kUNLESS => 11,
  :kTHEN => 12,
  :kELSIF => 13,
  :kELSE => 14,
  :kCASE => 15,
  :kWHEN => 16,
  :kWHILE => 17,
  :kUNTIL => 18,
  :kFOR => 19,
  :kBREAK => 20,
  :kNEXT => 21,
  :kREDO => 22,
  :kRETRY => 23,
  :kIN => 24,
  :kDO => 25,
  :kDO_COND => 26,
  :kDO_BLOCK => 27,
  :kDO_LAMBDA => 28,
  :kRETURN => 29,
  :kYIELD => 30,
  :kSUPER => 31,
  :kSELF => 32,
  :kNIL => 33,
  :kTRUE => 34,
  :kFALSE => 35,
  :kAND => 36,
  :kOR => 37,
  :kNOT => 38,
  :kIF_MOD => 39,
  :kUNLESS_MOD => 40,
  :kWHILE_MOD => 41,
  :kUNTIL_MOD => 42,
  :kRESCUE_MOD => 43,
  :kALIAS => 44,
  :kDEFINED => 45,
  :klBEGIN => 46,
  :klEND => 47,
  :k__LINE__ => 48,
  :k__FILE__ => 49,
  :k__ENCODING__ => 50,
  :tIDENTIFIER => 51,
  :tFID => 52,
  :tGVAR => 53,
  :tIVAR => 54,
  :tCONSTANT => 55,
  :tLABEL => 56,
  :tCVAR => 57,
  :tNTH_REF => 58,
  :tBACK_REF => 59,
  :tSTRING_CONTENT => 60,
  :tINTEGER => 61,
  :tFLOAT => 62,
  :tUPLUS => 63,
  :tUMINUS => 64,
  :tUNARY_NUM => 65,
  :tPOW => 66,
  :tCMP => 67,
  :tEQ => 68,
  :tEQQ => 69,
  :tNEQ => 70,
  :tGEQ => 71,
  :tLEQ => 72,
  :tANDOP => 73,
  :tOROP => 74,
  :tMATCH => 75,
  :tNMATCH => 76,
  :tDOT => 77,
  :tDOT2 => 78,
  :tDOT3 => 79,
  :tAREF => 80,
  :tASET => 81,
  :tLSHFT => 82,
  :tRSHFT => 83,
  :tCOLON2 => 84,
  :tCOLON3 => 85,
  :tOP_ASGN => 86,
  :tASSOC => 87,
  :tLPAREN => 88,
  :tLPAREN2 => 89,
  :tRPAREN => 90,
  :tLPAREN_ARG => 91,
  :tLBRACK => 92,
  :tLBRACK2 => 93,
  :tRBRACK => 94,
  :tLBRACE => 95,
  :tLBRACE_ARG => 96,
  :tSTAR => 97,
  :tSTAR2 => 98,
  :tAMPER => 99,
  :tAMPER2 => 100,
  :tTILDE => 101,
  :tPERCENT => 102,
  :tDIVIDE => 103,
  :tDSTAR => 104,
  :tPLUS => 105,
  :tMINUS => 106,
  :tLT => 107,
  :tGT => 108,
  :tPIPE => 109,
  :tBANG => 110,
  :tCARET => 111,
  :tLCURLY => 112,
  :tRCURLY => 113,
  :tBACK_REF2 => 114,
  :tSYMBEG => 115,
  :tSTRING_BEG => 116,
  :tXSTRING_BEG => 117,
  :tREGEXP_BEG => 118,
  :tREGEXP_OPT => 119,
  :tWORDS_BEG => 120,
  :tQWORDS_BEG => 121,
  :tSYMBOLS_BEG => 122,
  :tQSYMBOLS_BEG => 123,
  :tSTRING_DBEG => 124,
  :tSTRING_DVAR => 125,
  :tSTRING_END => 126,
  :tSTRING_DEND => 127,
  :tSTRING => 128,
  :tSYMBOL => 129,
  :tNL => 130,
  :tEH => 131,
  :tCOLON => 132,
  :tCOMMA => 133,
  :tSPACE => 134,
  :tSEMI => 135,
  :tLAMBDA => 136,
  :tLAMBEG => 137,
  :tCHARACTER => 138,
  :tRATIONAL => 139,
  :tIMAGINARY => 140,
  :tLABEL_END => 141,
  :tANDDOT => 142,
  :tBDOT2 => 143,
  :tBDOT3 => 144,
  :tEQL => 145,
  :tLOWEST => 146 }

racc_nt_base = 147

racc_use_result_var = true

Racc_arg = [
  racc_action_table,
  racc_action_check,
  racc_action_default,
  racc_action_pointer,
  racc_goto_table,
  racc_goto_check,
  racc_goto_default,
  racc_goto_pointer,
  racc_nt_base,
  racc_reduce_table,
  racc_token_table,
  racc_shift_n,
  racc_reduce_n,
  racc_use_result_var ]

Racc_token_to_s_table = [
  "$end",
  "error",
  "kCLASS",
  "kMODULE",
  "kDEF",
  "kUNDEF",
  "kBEGIN",
  "kRESCUE",
  "kENSURE",
  "kEND",
  "kIF",
  "kUNLESS",
  "kTHEN",
  "kELSIF",
  "kELSE",
  "kCASE",
  "kWHEN",
  "kWHILE",
  "kUNTIL",
  "kFOR",
  "kBREAK",
  "kNEXT",
  "kREDO",
  "kRETRY",
  "kIN",
  "kDO",
  "kDO_COND",
  "kDO_BLOCK",
  "kDO_LAMBDA",
  "kRETURN",
  "kYIELD",
  "kSUPER",
  "kSELF",
  "kNIL",
  "kTRUE",
  "kFALSE",
  "kAND",
  "kOR",
  "kNOT",
  "kIF_MOD",
  "kUNLESS_MOD",
  "kWHILE_MOD",
  "kUNTIL_MOD",
  "kRESCUE_MOD",
  "kALIAS",
  "kDEFINED",
  "klBEGIN",
  "klEND",
  "k__LINE__",
  "k__FILE__",
  "k__ENCODING__",
  "tIDENTIFIER",
  "tFID",
  "tGVAR",
  "tIVAR",
  "tCONSTANT",
  "tLABEL",
  "tCVAR",
  "tNTH_REF",
  "tBACK_REF",
  "tSTRING_CONTENT",
  "tINTEGER",
  "tFLOAT",
  "tUPLUS",
  "tUMINUS",
  "tUNARY_NUM",
  "tPOW",
  "tCMP",
  "tEQ",
  "tEQQ",
  "tNEQ",
  "tGEQ",
  "tLEQ",
  "tANDOP",
  "tOROP",
  "tMATCH",
  "tNMATCH",
  "tDOT",
  "tDOT2",
  "tDOT3",
  "tAREF",
  "tASET",
  "tLSHFT",
  "tRSHFT",
  "tCOLON2",
  "tCOLON3",
  "tOP_ASGN",
  "tASSOC",
  "tLPAREN",
  "tLPAREN2",
  "tRPAREN",
  "tLPAREN_ARG",
  "tLBRACK",
  "tLBRACK2",
  "tRBRACK",
  "tLBRACE",
  "tLBRACE_ARG",
  "tSTAR",
  "tSTAR2",
  "tAMPER",
  "tAMPER2",
  "tTILDE",
  "tPERCENT",
  "tDIVIDE",
  "tDSTAR",
  "tPLUS",
  "tMINUS",
  "tLT",
  "tGT",
  "tPIPE",
  "tBANG",
  "tCARET",
  "tLCURLY",
  "tRCURLY",
  "tBACK_REF2",
  "tSYMBEG",
  "tSTRING_BEG",
  "tXSTRING_BEG",
  "tREGEXP_BEG",
  "tREGEXP_OPT",
  "tWORDS_BEG",
  "tQWORDS_BEG",
  "tSYMBOLS_BEG",
  "tQSYMBOLS_BEG",
  "tSTRING_DBEG",
  "tSTRING_DVAR",
  "tSTRING_END",
  "tSTRING_DEND",
  "tSTRING",
  "tSYMBOL",
  "tNL",
  "tEH",
  "tCOLON",
  "tCOMMA",
  "tSPACE",
  "tSEMI",
  "tLAMBDA",
  "tLAMBEG",
  "tCHARACTER",
  "tRATIONAL",
  "tIMAGINARY",
  "tLABEL_END",
  "tANDDOT",
  "tBDOT2",
  "tBDOT3",
  "tEQL",
  "tLOWEST",
  "$start",
  "program",
  "top_compstmt",
  "@1",
  "top_stmts",
  "opt_terms",
  "top_stmt",
  "terms",
  "stmt",
  "begin_block",
  "bodystmt",
  "compstmt",
  "opt_rescue",
  "opt_else",
  "opt_ensure",
  "stmts",
  "stmt_or_begin",
  "fitem",
  "undef_list",
  "expr_value",
  "command_asgn",
  "mlhs",
  "command_call",
  "lhs",
  "mrhs",
  "mrhs_arg",
  "expr",
  "@2",
  "command_rhs",
  "var_lhs",
  "primary_value",
  "opt_call_args",
  "rbracket",
  "call_op",
  "defn_head",
  "f_opt_paren_args",
  "command",
  "arg",
  "defs_head",
  "backref",
  "opt_nl",
  "p_top_expr_body",
  "@3",
  "@4",
  "expr_value_do",
  "do",
  "def_name",
  "@5",
  "fname",
  "singleton",
  "dot_or_colon",
  "@6",
  "block_command",
  "block_call",
  "operation2",
  "command_args",
  "cmd_brace_block",
  "brace_body",
  "fcall",
  "@7",
  "operation",
  "k_return",
  "call_args",
  "mlhs_basic",
  "mlhs_inner",
  "rparen",
  "mlhs_head",
  "mlhs_item",
  "mlhs_node",
  "mlhs_post",
  "user_variable",
  "keyword_variable",
  "cname",
  "cpath",
  "op",
  "reswords",
  "symbol",
  "@8",
  "arg_rhs",
  "simple_numeric",
  "rel_expr",
  "primary",
  "relop",
  "arg_value",
  "aref_args",
  "none",
  "args",
  "trailer",
  "assocs",
  "paren_args",
  "args_forward",
  "opt_paren_args",
  "opt_block_arg",
  "block_arg",
  "@9",
  "literal",
  "strings",
  "xstring",
  "regexp",
  "words",
  "qwords",
  "symbols",
  "qsymbols",
  "var_ref",
  "assoc_list",
  "brace_block",
  "method_call",
  "lambda",
  "then",
  "if_tail",
  "case_body",
  "p_case_body",
  "for_var",
  "superclass",
  "term",
  "f_arglist",
  "@10",
  "@11",
  "@12",
  "@13",
  "@14",
  "@15",
  "f_marg",
  "f_norm_arg",
  "f_margs",
  "f_marg_list",
  "f_rest_marg",
  "f_any_kwrest",
  "f_kwrest",
  "f_no_kwarg",
  "block_args_tail",
  "f_block_kwarg",
  "opt_f_block_arg",
  "f_block_arg",
  "opt_block_args_tail",
  "excessed_comma",
  "block_param",
  "f_arg",
  "f_block_optarg",
  "f_rest_arg",
  "opt_block_param",
  "block_param_def",
  "opt_bv_decl",
  "bv_decls",
  "bvar",
  "f_bad_arg",
  "f_larglist",
  "lambda_body",
  "@16",
  "@17",
  "f_args",
  "do_block",
  "@18",
  "@19",
  "do_body",
  "@20",
  "operation3",
  "@21",
  "@22",
  "@23",
  "@24",
  "@25",
  "cases",
  "p_top_expr",
  "p_cases",
  "@26",
  "@27",
  "p_expr",
  "p_args",
  "p_find",
  "p_args_tail",
  "p_kwargs",
  "p_as",
  "p_variable",
  "p_alt",
  "p_expr_basic",
  "p_lparen",
  "p_lbracket",
  "p_value",
  "p_const",
  "rbrace",
  "@28",
  "@29",
  "p_args_head",
  "p_arg",
  "p_args_post",
  "p_rest",
  "p_kwarg",
  "p_any_kwrest",
  "p_kw",
  "p_kw_label",
  "string_contents",
  "p_kwrest",
  "kwrest_mark",
  "p_kwnorest",
  "p_primitive",
  "p_var_ref",
  "p_expr_ref",
  "nonlocal_var",
  "exc_list",
  "exc_var",
  "numeric",
  "string",
  "string1",
  "xstring_contents",
  "regexp_contents",
  "word_list",
  "word",
  "string_content",
  "symbol_list",
  "qword_list",
  "qsym_list",
  "string_dvar",
  "@30",
  "ssym",
  "dsym",
  "@31",
  "f_paren_args",
  "args_tail",
  "@32",
  "f_kwarg",
  "opt_args_tail",
  "f_optarg",
  "f_arg_asgn",
  "f_arg_item",
  "f_label",
  "f_kw",
  "f_block_kw",
  "f_opt",
  "f_block_opt",
  "restarg_mark",
  "blkarg_mark",
  "assoc" ]

Racc_debug_parser = false

##### State transition tables end #####

# reduce 0 omitted

def _reduce_1(val, _values, result)
                      @current_arg_stack.push(nil)
                      @max_numparam_stack.push

    result
end

def _reduce_2(val, _values, result)
                      result = val[1]

                      @current_arg_stack.pop
                      @max_numparam_stack.pop

    result
end

def _reduce_3(val, _values, result)
                      result = @builder.compstmt(val[0])

    result
end

def _reduce_4(val, _values, result)
                      result = []

    result
end

def _reduce_5(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_6(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_7(val, _values, result)
                      result = [ val[1] ]

    result
end

# reduce 8 omitted

def _reduce_9(val, _values, result)
                      result = @builder.preexe(val[0], *val[1])

    result
end

def _reduce_10(val, _values, result)
                      result = val

    result
end

def _reduce_11(val, _values, result)
                      rescue_bodies     = val[1]
                      else_t,   else_   = val[2]
                      ensure_t, ensure_ = val[3]

                      if rescue_bodies.empty? && !else_t.nil?
                        diagnostic :error, :useless_else, nil, else_t
                      end

                      result = @builder.begin_body(val[0],
                                  rescue_bodies,
                                  else_t,   else_,
                                  ensure_t, ensure_)

    result
end

def _reduce_12(val, _values, result)
                      result = @builder.compstmt(val[0])

    result
end

def _reduce_13(val, _values, result)
                      result = []

    result
end

def _reduce_14(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_15(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_16(val, _values, result)
                      result = [ val[1] ]

    result
end

# reduce 17 omitted

def _reduce_18(val, _values, result)
                      diagnostic :error, :begin_in_method, nil, val[0]

    result
end

def _reduce_19(val, _values, result)
                      @lexer.state = :expr_fname

    result
end

def _reduce_20(val, _values, result)
                      result = @builder.alias(val[0], val[1], val[3])

    result
end

def _reduce_21(val, _values, result)
                      result = @builder.alias(val[0],
                                  @builder.gvar(val[1]),
                                  @builder.gvar(val[2]))

    result
end

def _reduce_22(val, _values, result)
                      result = @builder.alias(val[0],
                                  @builder.gvar(val[1]),
                                  @builder.back_ref(val[2]))

    result
end

def _reduce_23(val, _values, result)
                      diagnostic :error, :nth_ref_alias, nil, val[2]

    result
end

def _reduce_24(val, _values, result)
                      result = @builder.undef_method(val[0], val[1])

    result
end

def _reduce_25(val, _values, result)
                      result = @builder.condition_mod(val[0], nil,
                                                      val[1], val[2])

    result
end

def _reduce_26(val, _values, result)
                      result = @builder.condition_mod(nil, val[0],
                                                      val[1], val[2])

    result
end

def _reduce_27(val, _values, result)
                      result = @builder.loop_mod(:while, val[0], val[1], val[2])

    result
end

def _reduce_28(val, _values, result)
                      result = @builder.loop_mod(:until, val[0], val[1], val[2])

    result
end

def _reduce_29(val, _values, result)
                      rescue_body = @builder.rescue_body(val[1],
                                        nil, nil, nil,
                                        nil, val[2])

                      result = @builder.begin_body(val[0], [ rescue_body ])

    result
end

def _reduce_30(val, _values, result)
                      result = @builder.postexe(val[0], val[1], val[2], val[3])

    result
end

# reduce 31 omitted

def _reduce_32(val, _values, result)
                      result = @builder.multi_assign(val[0], val[1], val[2])

    result
end

def _reduce_33(val, _values, result)
                      result = @builder.assign(val[0], val[1],
                                  @builder.array(nil, val[2], nil))

    result
end

def _reduce_34(val, _values, result)
                      rescue_body = @builder.rescue_body(val[3],
                                                         nil, nil, nil,
                                                         nil, val[4])
                      begin_body = @builder.begin_body(val[2], [ rescue_body ])

                      result = @builder.multi_assign(val[0], val[1], begin_body)

    result
end

def _reduce_35(val, _values, result)
                      result = @builder.multi_assign(val[0], val[1], val[2])

    result
end

# reduce 36 omitted

def _reduce_37(val, _values, result)
                      result = @builder.assign(val[0], val[1], val[2])

    result
end

def _reduce_38(val, _values, result)
                      result = @builder.op_assign(val[0], val[1], val[2])

    result
end

def _reduce_39(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.index(
                                    val[0], val[1], val[2], val[3]),
                                  val[4], val[5])

    result
end

def _reduce_40(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_41(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_42(val, _values, result)
                      const  = @builder.const_op_assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))
                      result = @builder.op_assign(const, val[3], val[4])

    result
end

def _reduce_43(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_44(val, _values, result)
                      _def_t, name_t = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_method(*val[0],
                                 val[1], val[2], val[3])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_45(val, _values, result)
                      _def_t, name_t = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_method(*val[0],
                                 val[1], val[2], method_body)

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_46(val, _values, result)
                      _def_t, _recv, _dot_t, name_t = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_singleton(*val[0],
                                 val[1], val[2], val[3])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_47(val, _values, result)
                      _def_t, _recv, _dot_t, name_t = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_singleton(*val[0],
                                 val[1], val[2], method_body)

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_48(val, _values, result)
                      @builder.op_assign(val[0], val[1], val[2])

    result
end

# reduce 49 omitted

def _reduce_50(val, _values, result)
                      rescue_body = @builder.rescue_body(val[1],
                                        nil, nil, nil,
                                        nil, val[2])

                      result = @builder.begin_body(val[0], [ rescue_body ])

    result
end

# reduce 51 omitted

# reduce 52 omitted

def _reduce_53(val, _values, result)
                      result = @builder.logical_op(:and, val[0], val[1], val[2])

    result
end

def _reduce_54(val, _values, result)
                      result = @builder.logical_op(:or, val[0], val[1], val[2])

    result
end

def _reduce_55(val, _values, result)
                      result = @builder.not_op(val[0], nil, val[2], nil)

    result
end

def _reduce_56(val, _values, result)
                      result = @builder.not_op(val[0], nil, val[1], nil)

    result
end

def _reduce_57(val, _values, result)
                      @lexer.state = :expr_beg
                      @lexer.command_start = false
                      @pattern_variables.push

                      result = @lexer.in_kwarg
                      @lexer.in_kwarg = true

    result
end

def _reduce_58(val, _values, result)
                      @pattern_variables.pop
                      @lexer.in_kwarg = val[2]
                      result = @builder.match_pattern(val[0], val[1], val[3])

    result
end

def _reduce_59(val, _values, result)
                      @lexer.state = :expr_beg
                      @lexer.command_start = false
                      @pattern_variables.push

                      result = @lexer.in_kwarg
                      @lexer.in_kwarg = true

    result
end

def _reduce_60(val, _values, result)
                      @pattern_variables.pop
                      @lexer.in_kwarg = val[2]
                      result = @builder.match_pattern_p(val[0], val[1], val[3])

    result
end

# reduce 61 omitted

# reduce 62 omitted

def _reduce_63(val, _values, result)
                      @lexer.cond.push(true)

    result
end

def _reduce_64(val, _values, result)
                      @lexer.cond.pop
                      result = [ val[1], val[2] ]

    result
end

def _reduce_65(val, _values, result)
                      @static_env.extend_static
                      @lexer.cmdarg.push(false)
                      @lexer.cond.push(false)
                      @current_arg_stack.push(nil)

                      result = val[0]

    result
end

def _reduce_66(val, _values, result)
                      @context.push(:def)

                      result = [ val[0], val[1] ]

    result
end

def _reduce_67(val, _values, result)
                      @lexer.state = :expr_fname

    result
end

def _reduce_68(val, _values, result)
                      @context.push(:defs)

                      result = [ val[0], val[1], val[2], val[4] ]

    result
end

# reduce 69 omitted

# reduce 70 omitted

# reduce 71 omitted

def _reduce_72(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2],
                                  nil, val[3], nil)

    result
end

def _reduce_73(val, _values, result)
                      @context.push(:block)

    result
end

def _reduce_74(val, _values, result)
                      result = [ val[0], *val[2], val[3] ]
                      @context.pop

    result
end

# reduce 75 omitted

def _reduce_76(val, _values, result)
                      result = @builder.call_method(nil, nil, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_77(val, _values, result)
                      method_call = @builder.call_method(nil, nil, val[0],
                                        nil, val[1], nil)

                      begin_t, args, body, end_t = val[2]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_78(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2],
                                  nil, val[3], nil)

    result
end

def _reduce_79(val, _values, result)
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                        nil, val[3], nil)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_80(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2],
                                  nil, val[3], nil)

    result
end

def _reduce_81(val, _values, result)
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                        nil, val[3], nil)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_82(val, _values, result)
                      result = @builder.keyword_cmd(:super, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_83(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_84(val, _values, result)
                      result = @builder.keyword_cmd(:return, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_85(val, _values, result)
                      result = @builder.keyword_cmd(:break, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_86(val, _values, result)
                      result = @builder.keyword_cmd(:next, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_87(val, _values, result)
                      result = @builder.multi_lhs(nil, val[0], nil)

    result
end

def _reduce_88(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[2])

    result
end

def _reduce_89(val, _values, result)
                      result = @builder.multi_lhs(nil, val[0], nil)

    result
end

def _reduce_90(val, _values, result)
                      result = @builder.multi_lhs(val[0], val[1], val[2])

    result
end

# reduce 91 omitted

def _reduce_92(val, _values, result)
                      result = val[0].
                                  push(val[1])

    result
end

def _reduce_93(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1], val[2]))

    result
end

def _reduce_94(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1], val[2])).
                                  concat(val[4])

    result
end

def _reduce_95(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1]))

    result
end

def _reduce_96(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1])).
                                  concat(val[3])

    result
end

def _reduce_97(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]) ]

    result
end

def _reduce_98(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]),
                                 *val[3] ]

    result
end

def _reduce_99(val, _values, result)
                      result = [ @builder.splat(val[0]) ]

    result
end

def _reduce_100(val, _values, result)
                      result = [ @builder.splat(val[0]),
                                 *val[2] ]

    result
end

# reduce 101 omitted

def _reduce_102(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[2])

    result
end

def _reduce_103(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_104(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_105(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_106(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_107(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_108(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_109(val, _values, result)
                      result = @builder.index_asgn(val[0], val[1], val[2], val[3])

    result
end

def _reduce_110(val, _values, result)
                      if (val[1][0] == :anddot)
                        diagnostic :error, :csend_in_lhs_of_masgn, nil, val[1]
                      end

                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_111(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_112(val, _values, result)
                      if (val[1][0] == :anddot)
                        diagnostic :error, :csend_in_lhs_of_masgn, nil, val[1]
                      end

                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_113(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))

    result
end

def _reduce_114(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_global(val[0], val[1]))

    result
end

def _reduce_115(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_116(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_117(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_118(val, _values, result)
                      result = @builder.index_asgn(val[0], val[1], val[2], val[3])

    result
end

def _reduce_119(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_120(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_121(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_122(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))

    result
end

def _reduce_123(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_global(val[0], val[1]))

    result
end

def _reduce_124(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_125(val, _values, result)
                      diagnostic :error, :module_name_const, nil, val[0]

    result
end

# reduce 126 omitted

def _reduce_127(val, _values, result)
                      result = @builder.const_global(val[0], val[1])

    result
end

def _reduce_128(val, _values, result)
                      result = @builder.const(val[0])

    result
end

def _reduce_129(val, _values, result)
                      result = @builder.const_fetch(val[0], val[1], val[2])

    result
end

# reduce 130 omitted

# reduce 131 omitted

# reduce 132 omitted

# reduce 133 omitted

# reduce 134 omitted

def _reduce_135(val, _values, result)
                      result = @builder.symbol_internal(val[0])

    result
end

# reduce 136 omitted

def _reduce_137(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_138(val, _values, result)
                      @lexer.state = :expr_fname

    result
end

def _reduce_139(val, _values, result)
                      result = val[0] << val[3]

    result
end

# reduce 140 omitted

# reduce 141 omitted

# reduce 142 omitted

# reduce 143 omitted

# reduce 144 omitted

# reduce 145 omitted

# reduce 146 omitted

# reduce 147 omitted

# reduce 148 omitted

# reduce 149 omitted

# reduce 150 omitted

# reduce 151 omitted

# reduce 152 omitted

# reduce 153 omitted

# reduce 154 omitted

# reduce 155 omitted

# reduce 156 omitted

# reduce 157 omitted

# reduce 158 omitted

# reduce 159 omitted

# reduce 160 omitted

# reduce 161 omitted

# reduce 162 omitted

# reduce 163 omitted

# reduce 164 omitted

# reduce 165 omitted

# reduce 166 omitted

# reduce 167 omitted

# reduce 168 omitted

# reduce 169 omitted

# reduce 170 omitted

# reduce 171 omitted

# reduce 172 omitted

# reduce 173 omitted

# reduce 174 omitted

# reduce 175 omitted

# reduce 176 omitted

# reduce 177 omitted

# reduce 178 omitted

# reduce 179 omitted

# reduce 180 omitted

# reduce 181 omitted

# reduce 182 omitted

# reduce 183 omitted

# reduce 184 omitted

# reduce 185 omitted

# reduce 186 omitted

# reduce 187 omitted

# reduce 188 omitted

# reduce 189 omitted

# reduce 190 omitted

# reduce 191 omitted

# reduce 192 omitted

# reduce 193 omitted

# reduce 194 omitted

# reduce 195 omitted

# reduce 196 omitted

# reduce 197 omitted

# reduce 198 omitted

# reduce 199 omitted

# reduce 200 omitted

# reduce 201 omitted

# reduce 202 omitted

# reduce 203 omitted

# reduce 204 omitted

# reduce 205 omitted

# reduce 206 omitted

# reduce 207 omitted

# reduce 208 omitted

# reduce 209 omitted

# reduce 210 omitted

def _reduce_211(val, _values, result)
                      result = @builder.assign(val[0], val[1], val[2])

    result
end

def _reduce_212(val, _values, result)
                      result = @builder.op_assign(val[0], val[1], val[2])

    result
end

def _reduce_213(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.index(
                                    val[0], val[1], val[2], val[3]),
                                  val[4], val[5])

    result
end

def _reduce_214(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_215(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_216(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_217(val, _values, result)
                      const  = @builder.const_op_assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))
                      result = @builder.op_assign(const, val[3], val[4])

    result
end

def _reduce_218(val, _values, result)
                      const  = @builder.const_op_assignable(
                                  @builder.const_global(val[0], val[1]))
                      result = @builder.op_assign(const, val[2], val[3])

    result
end

def _reduce_219(val, _values, result)
                      result = @builder.op_assign(val[0], val[1], val[2])

    result
end

def _reduce_220(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], val[2])

    result
end

def _reduce_221(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], val[2])

    result
end

def _reduce_222(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], nil)

    result
end

def _reduce_223(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], nil)

    result
end

def _reduce_224(val, _values, result)
                      result = @builder.range_inclusive(nil, val[0], val[1])

    result
end

def _reduce_225(val, _values, result)
                      result = @builder.range_exclusive(nil, val[0], val[1])

    result
end

def _reduce_226(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_227(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_228(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_229(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_230(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_231(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_232(val, _values, result)
                      result = @builder.unary_op(val[0],
                                  @builder.binary_op(
                                    val[1], val[2], val[3]))

    result
end

def _reduce_233(val, _values, result)
                      result = @builder.unary_op(val[0], val[1])

    result
end

def _reduce_234(val, _values, result)
                      result = @builder.unary_op(val[0], val[1])

    result
end

def _reduce_235(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_236(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_237(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_238(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

# reduce 239 omitted

def _reduce_240(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_241(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_242(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_243(val, _values, result)
                      result = @builder.match_op(val[0], val[1], val[2])

    result
end

def _reduce_244(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_245(val, _values, result)
                      result = @builder.not_op(val[0], nil, val[1], nil)

    result
end

def _reduce_246(val, _values, result)
                      result = @builder.unary_op(val[0], val[1])

    result
end

def _reduce_247(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_248(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_249(val, _values, result)
                      result = @builder.logical_op(:and, val[0], val[1], val[2])

    result
end

def _reduce_250(val, _values, result)
                      result = @builder.logical_op(:or, val[0], val[1], val[2])

    result
end

def _reduce_251(val, _values, result)
                      result = @builder.keyword_cmd(:defined?, val[0], nil, [ val[2] ], nil)

    result
end

def _reduce_252(val, _values, result)
                      result = @builder.ternary(val[0], val[1],
                                                val[2], val[4], val[5])

    result
end

def _reduce_253(val, _values, result)
                      _def_t, name_t = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_method(*val[0],
                                 val[1], val[2], val[3])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_254(val, _values, result)
                      _def_t, name_t = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_method(*val[0],
                                 val[1], val[2], method_body)

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_255(val, _values, result)
                      _def_t, _recv, _dot_t, name_t = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_singleton(*val[0],
                                 val[1], val[2], val[3])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_256(val, _values, result)
                      _def_t, _recv, _dot_t, name_t = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_singleton(*val[0],
                                 val[1], val[2], method_body)

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

# reduce 257 omitted

# reduce 258 omitted

# reduce 259 omitted

# reduce 260 omitted

# reduce 261 omitted

def _reduce_262(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_263(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

# reduce 264 omitted

# reduce 265 omitted

# reduce 266 omitted

def _reduce_267(val, _values, result)
                      result = val[0] << @builder.associate(nil, val[2], nil)

    result
end

def _reduce_268(val, _values, result)
                      result = [ @builder.associate(nil, val[0], nil) ]

    result
end

# reduce 269 omitted

def _reduce_270(val, _values, result)
                      rescue_body = @builder.rescue_body(val[1],
                                        nil, nil, nil,
                                        nil, val[2])

                      result = @builder.begin_body(val[0], [ rescue_body ])

    result
end

def _reduce_271(val, _values, result)
                      result = val

    result
end

def _reduce_272(val, _values, result)
                      unless @static_env.declared_forward_args?
                        diagnostic :error, :unexpected_token, { :token => 'tBDOT3' } , val[3]
                      end

                      result = [val[0], [*val[1], @builder.forwarded_args(val[3])], val[4]]

    result
end

def _reduce_273(val, _values, result)
                      unless @static_env.declared_forward_args?
                        diagnostic :error, :unexpected_token, { :token => 'tBDOT3' } , val[1]
                      end

                      result = [val[0], [@builder.forwarded_args(val[1])], val[2]]

    result
end

def _reduce_274(val, _values, result)
                      result = [ nil, [], nil ]

    result
end

# reduce 275 omitted

def _reduce_276(val, _values, result)
                      result = []

    result
end

# reduce 277 omitted

# reduce 278 omitted

def _reduce_279(val, _values, result)
                      result = val[0] << @builder.associate(nil, val[2], nil)

    result
end

def _reduce_280(val, _values, result)
                      result = [ @builder.associate(nil, val[0], nil) ]

    result
end

def _reduce_281(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_282(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_283(val, _values, result)
                      result = [ @builder.associate(nil, val[0], nil) ]
                      result.concat(val[1])

    result
end

def _reduce_284(val, _values, result)
                      assocs = @builder.associate(nil, val[2], nil)
                      result = val[0] << assocs
                      result.concat(val[3])

    result
end

def _reduce_285(val, _values, result)
                      result =  [ val[0] ]

    result
end

def _reduce_286(val, _values, result)
                      # When branch gets invoked by RACC's lookahead
                      # and command args start with '[' or '('
                      # we need to put `true` to the cmdarg stack
                      # **before** `false` pushed by lexer
                      #   m [], n
                      #     ^
                      # Right here we have cmdarg [...0] because
                      # lexer pushed it on '['
                      # We need to modify cmdarg stack to [...10]
                      #
                      # For all other cases (like `m n` or `m n, []`) we simply put 1 to the stack
                      # and later lexer pushes corresponding bits on top of it.
                      last_token = @last_token[0]
                      lookahead = last_token == :tLBRACK || last_token == :tLPAREN_ARG

                      if lookahead
                        top = @lexer.cmdarg.pop
                        @lexer.cmdarg.push(true)
                        @lexer.cmdarg.push(top)
                      else
                        @lexer.cmdarg.push(true)
                      end

    result
end

def _reduce_287(val, _values, result)
                      # call_args can be followed by tLBRACE_ARG (that does cmdarg.push(0) in the lexer)
                      # but the push must be done after cmdarg.pop() in the parser.
                      # So this code does cmdarg.pop() to pop 0 pushed by tLBRACE_ARG,
                      # cmdarg.pop() to pop 1 pushed by command_args,
                      # and cmdarg.push(0) to restore back the flag set by tLBRACE_ARG.
                      last_token = @last_token[0]
                      lookahead = last_token == :tLBRACE_ARG
                      if lookahead
                        top = @lexer.cmdarg.pop
                        @lexer.cmdarg.pop
                        @lexer.cmdarg.push(top)
                      else
                        @lexer.cmdarg.pop
                      end

                      result = val[1]

    result
end

def _reduce_288(val, _values, result)
                      result = @builder.block_pass(val[0], val[1])

    result
end

def _reduce_289(val, _values, result)
                      if !@static_env.declared_anonymous_blockarg?
                        diagnostic :error, :no_anonymous_blockarg, nil, val[0]
                      end

                      result = @builder.block_pass(val[0], nil)

    result
end

def _reduce_290(val, _values, result)
                      result = [ val[1] ]

    result
end

def _reduce_291(val, _values, result)
                      result = []

    result
end

def _reduce_292(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_293(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]) ]

    result
end

def _reduce_294(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_295(val, _values, result)
                      result = val[0] << @builder.splat(val[2], val[3])

    result
end

def _reduce_296(val, _values, result)
                      result = @builder.array(nil, val[0], nil)

    result
end

# reduce 297 omitted

def _reduce_298(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_299(val, _values, result)
                      result = val[0] << @builder.splat(val[2], val[3])

    result
end

def _reduce_300(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]) ]

    result
end

# reduce 301 omitted

# reduce 302 omitted

# reduce 303 omitted

# reduce 304 omitted

# reduce 305 omitted

# reduce 306 omitted

# reduce 307 omitted

# reduce 308 omitted

# reduce 309 omitted

# reduce 310 omitted

def _reduce_311(val, _values, result)
                      result = @builder.call_method(nil, nil, val[0])

    result
end

def _reduce_312(val, _values, result)
                      @lexer.cmdarg.push(false)

    result
end

def _reduce_313(val, _values, result)
                      @lexer.cmdarg.pop

                      result = @builder.begin_keyword(val[0], val[2], val[3])

    result
end

def _reduce_314(val, _values, result)
                      @lexer.state = :expr_endarg

    result
end

def _reduce_315(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[3])

    result
end

def _reduce_316(val, _values, result)
                      @lexer.state = :expr_endarg

    result
end

def _reduce_317(val, _values, result)
                      result = @builder.begin(val[0], nil, val[3])

    result
end

def _reduce_318(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[2])

    result
end

def _reduce_319(val, _values, result)
                      result = @builder.const_fetch(val[0], val[1], val[2])

    result
end

def _reduce_320(val, _values, result)
                      result = @builder.const_global(val[0], val[1])

    result
end

def _reduce_321(val, _values, result)
                      result = @builder.array(val[0], val[1], val[2])

    result
end

def _reduce_322(val, _values, result)
                      result = @builder.associate(val[0], val[1], val[2])

    result
end

def _reduce_323(val, _values, result)
                      result = @builder.keyword_cmd(:return, val[0])

    result
end

def _reduce_324(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0], val[1], val[2], val[3])

    result
end

def _reduce_325(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0], val[1], [], val[2])

    result
end

def _reduce_326(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0])

    result
end

def _reduce_327(val, _values, result)
                      result = @builder.keyword_cmd(:defined?, val[0],
                                                    val[2], [ val[3] ], val[4])

    result
end

def _reduce_328(val, _values, result)
                      result = @builder.not_op(val[0], val[1], val[2], val[3])

    result
end

def _reduce_329(val, _values, result)
                      result = @builder.not_op(val[0], val[1], nil, val[2])

    result
end

def _reduce_330(val, _values, result)
                      method_call = @builder.call_method(nil, nil, val[0])

                      begin_t, args, body, end_t = val[1]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

# reduce 331 omitted

def _reduce_332(val, _values, result)
                      begin_t, args, body, end_t = val[1]
                      result      = @builder.block(val[0],
                                      begin_t, args, body, end_t)

    result
end

# reduce 333 omitted

def _reduce_334(val, _values, result)
                      else_t, else_ = val[4]
                      result = @builder.condition(val[0], val[1], val[2],
                                                  val[3], else_t,
                                                  else_,  val[5])

    result
end

def _reduce_335(val, _values, result)
                      else_t, else_ = val[4]
                      result = @builder.condition(val[0], val[1], val[2],
                                                  else_,  else_t,
                                                  val[3], val[5])

    result
end

def _reduce_336(val, _values, result)
                      result = @builder.loop(:while, val[0], *val[1], val[2], val[3])

    result
end

def _reduce_337(val, _values, result)
                      result = @builder.loop(:until, val[0], *val[1], val[2], val[3])

    result
end

def _reduce_338(val, _values, result)
                      *when_bodies, (else_t, else_body) = *val[3]

                      result = @builder.case(val[0], val[1],
                                             when_bodies, else_t, else_body,
                                             val[4])

    result
end

def _reduce_339(val, _values, result)
                      *when_bodies, (else_t, else_body) = *val[2]

                      result = @builder.case(val[0], nil,
                                             when_bodies, else_t, else_body,
                                             val[3])

    result
end

def _reduce_340(val, _values, result)
                      *in_bodies, (else_t, else_body) = *val[3]

                      result = @builder.case_match(val[0], val[1],
                                             in_bodies, else_t, else_body,
                                             val[4])

    result
end

def _reduce_341(val, _values, result)
                      result = @builder.for(val[0], val[1], val[2], *val[3], val[4], val[5])

    result
end

def _reduce_342(val, _values, result)
                      @static_env.extend_static
                      @lexer.cmdarg.push(false)
                      @lexer.cond.push(false)
                      @context.push(:class)

    result
end

def _reduce_343(val, _values, result)
                      unless @context.class_definition_allowed?
                        diagnostic :error, :class_in_def, nil, val[0]
                      end

                      lt_t, superclass = val[2]
                      result = @builder.def_class(val[0], val[1],
                                                  lt_t, superclass,
                                                  val[4], val[5])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop

    result
end

def _reduce_344(val, _values, result)
                      @static_env.extend_static
                      @lexer.cmdarg.push(false)
                      @lexer.cond.push(false)
                      @context.push(:sclass)

    result
end

def _reduce_345(val, _values, result)
                      result = @builder.def_sclass(val[0], val[1], val[2],
                                                   val[5], val[6])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop

    result
end

def _reduce_346(val, _values, result)
                      @static_env.extend_static
                      @lexer.cmdarg.push(false)
                      @context.push(:module)

    result
end

def _reduce_347(val, _values, result)
                      unless @context.module_definition_allowed?
                        diagnostic :error, :module_in_def, nil, val[0]
                      end

                      result = @builder.def_module(val[0], val[1],
                                                   val[3], val[4])

                      @lexer.cmdarg.pop
                      @static_env.unextend
                      @context.pop

    result
end

def _reduce_348(val, _values, result)
                      result = @builder.def_method(*val[0], val[1],
                                  val[2], val[3])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_349(val, _values, result)
                      result = @builder.def_singleton(*val[0], val[1],
                                  val[2], val[3])

                      @lexer.cmdarg.pop
                      @lexer.cond.pop
                      @static_env.unextend
                      @context.pop
                      @current_arg_stack.pop

    result
end

def _reduce_350(val, _values, result)
                      result = @builder.keyword_cmd(:break, val[0])

    result
end

def _reduce_351(val, _values, result)
                      result = @builder.keyword_cmd(:next, val[0])

    result
end

def _reduce_352(val, _values, result)
                      result = @builder.keyword_cmd(:redo, val[0])

    result
end

def _reduce_353(val, _values, result)
                      result = @builder.keyword_cmd(:retry, val[0])

    result
end

# reduce 354 omitted

def _reduce_355(val, _values, result)
                      if @context.in_class?
                        diagnostic :error, :invalid_return, nil, val[0]
                      end

    result
end

# reduce 356 omitted

# reduce 357 omitted

def _reduce_358(val, _values, result)
                      result = val[1]

    result
end

# reduce 359 omitted

# reduce 360 omitted

# reduce 361 omitted

def _reduce_362(val, _values, result)
                      else_t, else_ = val[4]
                      result = [ val[0],
                                 @builder.condition(val[0], val[1], val[2],
                                                    val[3], else_t,
                                                    else_,  nil),
                               ]

    result
end

# reduce 363 omitted

def _reduce_364(val, _values, result)
                      result = val

    result
end

# reduce 365 omitted

# reduce 366 omitted

def _reduce_367(val, _values, result)
                      result = @builder.arg(val[0])

    result
end

def _reduce_368(val, _values, result)
                      result = @builder.multi_lhs(val[0], val[1], val[2])

    result
end

def _reduce_369(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_370(val, _values, result)
                      result = val[0] << val[2]

    result
end

# reduce 371 omitted

def _reduce_372(val, _values, result)
                      result = val[0].
                                  push(val[2])

    result
end

def _reduce_373(val, _values, result)
                      result = val[0].
                                  push(val[2]).
                                  concat(val[4])

    result
end

def _reduce_374(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_375(val, _values, result)
                      result = [ val[0], *val[2] ]

    result
end

def _reduce_376(val, _values, result)
                      result = @builder.restarg(val[0], val[1])

    result
end

def _reduce_377(val, _values, result)
                      result = @builder.restarg(val[0])

    result
end

# reduce 378 omitted

# reduce 379 omitted

def _reduce_380(val, _values, result)
                      result = val[0].concat(val[2]).concat(val[3])

    result
end

def _reduce_381(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_382(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_383(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_384(val, _values, result)
                      result = val[1]

    result
end

def _reduce_385(val, _values, result)
                      result = []

    result
end

# reduce 386 omitted

def _reduce_387(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_388(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[6]).
                                  concat(val[7])

    result
end

def _reduce_389(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_390(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_391(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

# reduce 392 omitted

def _reduce_393(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_394(val, _values, result)
                      if val[1].empty? && val[0].size == 1
                        result = [@builder.procarg0(val[0][0])]
                      else
                        result = val[0].concat(val[1])
                      end

    result
end

def _reduce_395(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_396(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_397(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_398(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_399(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_400(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

# reduce 401 omitted

def _reduce_402(val, _values, result)
                      result = @builder.args(nil, [], nil)

    result
end

def _reduce_403(val, _values, result)
                      @lexer.state = :expr_value

    result
end

def _reduce_404(val, _values, result)
                      @max_numparam_stack.has_ordinary_params!
                      @current_arg_stack.set(nil)
                      result = @builder.args(val[0], val[1], val[2])

    result
end

def _reduce_405(val, _values, result)
                      @max_numparam_stack.has_ordinary_params!
                      @current_arg_stack.set(nil)
                      result = @builder.args(val[0], val[1].concat(val[2]), val[3])

    result
end

def _reduce_406(val, _values, result)
                      result = []

    result
end

def _reduce_407(val, _values, result)
                      result = val[2]

    result
end

def _reduce_408(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_409(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_410(val, _values, result)
                      @static_env.declare val[0][0]
                      result = @builder.shadowarg(val[0])

    result
end

# reduce 411 omitted

def _reduce_412(val, _values, result)
                      @static_env.extend_dynamic
                      @max_numparam_stack.push
                      @context.push(:lambda)

    result
end

def _reduce_413(val, _values, result)
                      @context.pop
                      @lexer.cmdarg.push(false)

    result
end

def _reduce_414(val, _values, result)
                      lambda_call = @builder.call_lambda(val[0])
                      args = @max_numparam_stack.has_numparams? ? @builder.numargs(@max_numparam_stack.top) : val[2]
                      begin_t, body, end_t = val[4]

                      @max_numparam_stack.pop
                      @static_env.unextend
                      @lexer.cmdarg.pop

                      result      = @builder.block(lambda_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_415(val, _values, result)
                      @max_numparam_stack.has_ordinary_params!
                      result = @builder.args(val[0], val[1].concat(val[2]), val[3])

    result
end

def _reduce_416(val, _values, result)
                      if val[0].any?
                        @max_numparam_stack.has_ordinary_params!
                      end
                      result = @builder.args(nil, val[0], nil)

    result
end

def _reduce_417(val, _values, result)
                      @context.push(:lambda)

    result
end

def _reduce_418(val, _values, result)
                      result = [ val[0], val[2], val[3] ]
                      @context.pop

    result
end

def _reduce_419(val, _values, result)
                      @context.push(:lambda)

    result
end

def _reduce_420(val, _values, result)
                      result = [ val[0], val[2], val[3] ]
                      @context.pop

    result
end

def _reduce_421(val, _values, result)
                      @context.push(:block)

    result
end

def _reduce_422(val, _values, result)
                      result = [ val[0], *val[2], val[3] ]
                      @context.pop

    result
end

def _reduce_423(val, _values, result)
                      begin_t, block_args, body, end_t = val[1]
                      result      = @builder.block(val[0],
                                      begin_t, block_args, body, end_t)

    result
end

def _reduce_424(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      result = @builder.call_method(val[0], val[1], val[2],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_425(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                      lparen_t, args, rparen_t)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_426(val, _values, result)
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                      nil, val[3], nil)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_427(val, _values, result)
                      lparen_t, args, rparen_t = val[1]
                      result = @builder.call_method(nil, nil, val[0],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_428(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      result = @builder.call_method(val[0], val[1], val[2],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_429(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      result = @builder.call_method(val[0], val[1], val[2],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_430(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2])

    result
end

def _reduce_431(val, _values, result)
                      lparen_t, args, rparen_t = val[2]
                      result = @builder.call_method(val[0], val[1], nil,
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_432(val, _values, result)
                      lparen_t, args, rparen_t = val[2]
                      result = @builder.call_method(val[0], val[1], nil,
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_433(val, _values, result)
                      lparen_t, args, rparen_t = val[1]
                      result = @builder.keyword_cmd(:super, val[0],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_434(val, _values, result)
                      result = @builder.keyword_cmd(:zsuper, val[0])

    result
end

def _reduce_435(val, _values, result)
                      result = @builder.index(val[0], val[1], val[2], val[3])

    result
end

def _reduce_436(val, _values, result)
                      @context.push(:block)

    result
end

def _reduce_437(val, _values, result)
                      result = [ val[0], *val[2], val[3] ]
                      @context.pop

    result
end

def _reduce_438(val, _values, result)
                      @context.push(:block)

    result
end

def _reduce_439(val, _values, result)
                      result = [ val[0], *val[2], val[3] ]
                      @context.pop

    result
end

def _reduce_440(val, _values, result)
                      @static_env.extend_dynamic
                      @max_numparam_stack.push

    result
end

def _reduce_441(val, _values, result)
                      args = @max_numparam_stack.has_numparams? ? @builder.numargs(@max_numparam_stack.top) : val[1]
                      result = [ args, val[2] ]

                      @max_numparam_stack.pop
                      @static_env.unextend

    result
end

def _reduce_442(val, _values, result)
                      @static_env.extend_dynamic
                      @max_numparam_stack.push

    result
end

def _reduce_443(val, _values, result)
                      @lexer.cmdarg.push(false)

    result
end

def _reduce_444(val, _values, result)
                      args = @max_numparam_stack.has_numparams? ? @builder.numargs(@max_numparam_stack.top) : val[2]
                      result = [ args, val[3] ]

                      @max_numparam_stack.pop
                      @static_env.unextend
                      @lexer.cmdarg.pop

    result
end

def _reduce_445(val, _values, result)
                      result = [ @builder.when(val[0], val[1], val[2], val[3]),
                                 *val[4] ]

    result
end

def _reduce_446(val, _values, result)
                      result = [ val[0] ]

    result
end

# reduce 447 omitted

def _reduce_448(val, _values, result)
                      @lexer.state = :expr_beg
                      @lexer.command_start = false
                      @pattern_variables.push
                      @pattern_hash_keys.push

                      result = @lexer.in_kwarg
                      @lexer.in_kwarg = true

    result
end

def _reduce_449(val, _values, result)
                      @pattern_variables.pop
                      @pattern_hash_keys.pop
                      @lexer.in_kwarg = val[1]

    result
end

def _reduce_450(val, _values, result)
                      result = [ @builder.in_pattern(val[0], *val[2], val[3], val[5]),
                                 *val[6] ]

    result
end

def _reduce_451(val, _values, result)
                      result = [ val[0] ]

    result
end

# reduce 452 omitted

def _reduce_453(val, _values, result)
                      result = [ val[0], nil ]

    result
end

def _reduce_454(val, _values, result)
                      result = [ val[0], @builder.if_guard(val[1], val[2]) ]

    result
end

def _reduce_455(val, _values, result)
                      result = [ val[0], @builder.unless_guard(val[1], val[2]) ]

    result
end

# reduce 456 omitted

def _reduce_457(val, _values, result)
                      # array patterns that end with comma
                      # like 1, 2,
                      # must be emitted as `array_pattern_with_tail`
                      item = @builder.match_with_trailing_comma(val[0], val[1])
                      result = @builder.array_pattern(nil, [ item ], nil)

    result
end

def _reduce_458(val, _values, result)
                      result = @builder.array_pattern(nil, [val[0]].concat(val[2]), nil)

    result
end

def _reduce_459(val, _values, result)
                      result = @builder.find_pattern(nil, val[0], nil)

    result
end

def _reduce_460(val, _values, result)
                      result = @builder.array_pattern(nil, val[0], nil)

    result
end

def _reduce_461(val, _values, result)
                      result = @builder.hash_pattern(nil, val[0], nil)

    result
end

# reduce 462 omitted

def _reduce_463(val, _values, result)
                      result = @builder.match_as(val[0], val[1], val[2])

    result
end

# reduce 464 omitted

def _reduce_465(val, _values, result)
                      result = @builder.match_alt(val[0], val[1], val[2])

    result
end

# reduce 466 omitted

def _reduce_467(val, _values, result)
                      result = val[0]
                      @pattern_hash_keys.push

    result
end

def _reduce_468(val, _values, result)
                      result = val[0]
                      @pattern_hash_keys.push

    result
end

# reduce 469 omitted

# reduce 470 omitted

def _reduce_471(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.array_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_472(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.find_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_473(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.hash_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_474(val, _values, result)
                      pattern = @builder.array_pattern(val[1], nil, val[2])
                      result = @builder.const_pattern(val[0], val[1], pattern, val[2])

    result
end

def _reduce_475(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.array_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_476(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.find_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_477(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.hash_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_478(val, _values, result)
                      pattern = @builder.array_pattern(val[1], nil, val[2])
                      result = @builder.const_pattern(val[0], val[1], pattern, val[2])

    result
end

def _reduce_479(val, _values, result)
                      result = @builder.array_pattern(val[0], val[1], val[2])

    result
end

def _reduce_480(val, _values, result)
                      result = @builder.find_pattern(val[0], val[1], val[2])

    result
end

def _reduce_481(val, _values, result)
                      result = @builder.array_pattern(val[0], [], val[1])

    result
end

def _reduce_482(val, _values, result)
                      @pattern_hash_keys.push
                      result = @lexer.in_kwarg
                      @lexer.in_kwarg = false

    result
end

def _reduce_483(val, _values, result)
                      @pattern_hash_keys.pop
                      @lexer.in_kwarg = val[1]
                      result = @builder.hash_pattern(val[0], val[2], val[3])

    result
end

def _reduce_484(val, _values, result)
                      result = @builder.hash_pattern(val[0], [], val[1])

    result
end

def _reduce_485(val, _values, result)
                      @pattern_hash_keys.push

    result
end

def _reduce_486(val, _values, result)
                      @pattern_hash_keys.pop
                      result = @builder.begin(val[0], val[2], val[3])

    result
end

def _reduce_487(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_488(val, _values, result)
                      result = val[0]

    result
end

def _reduce_489(val, _values, result)
                      result = [ *val[0], val[1] ]

    result
end

def _reduce_490(val, _values, result)
                      match_rest = @builder.match_rest(val[1], val[2])
                      result = [ *val[0], match_rest ]

    result
end

def _reduce_491(val, _values, result)
                      match_rest = @builder.match_rest(val[1], val[2])
                      result = [ *val[0], match_rest, *val[4] ]

    result
end

def _reduce_492(val, _values, result)
                      result = [ *val[0], @builder.match_rest(val[1]) ]

    result
end

def _reduce_493(val, _values, result)
                      result = [ *val[0], @builder.match_rest(val[1]), *val[3] ]

    result
end

# reduce 494 omitted

def _reduce_495(val, _values, result)
                      # array patterns that end with comma
                      # like [1, 2,]
                      # must be emitted as `array_pattern_with_tail`
                      item = @builder.match_with_trailing_comma(val[0], val[1])
                      result = [ item ]

    result
end

def _reduce_496(val, _values, result)
                      # array patterns that end with comma
                      # like [1, 2,]
                      # must be emitted as `array_pattern_with_tail`
                      last_item = @builder.match_with_trailing_comma(val[1], val[2])
                      result = [ *val[0], last_item ]

    result
end

def _reduce_497(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_498(val, _values, result)
                      result = [ val[0], *val[2] ]

    result
end

def _reduce_499(val, _values, result)
                      result = [ val[0], *val[2], val[4] ]

    result
end

def _reduce_500(val, _values, result)
                      result = @builder.match_rest(val[0], val[1])

    result
end

def _reduce_501(val, _values, result)
                      result = @builder.match_rest(val[0])

    result
end

def _reduce_502(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_503(val, _values, result)
                      result = [ *val[0], val[2] ]

    result
end

# reduce 504 omitted

def _reduce_505(val, _values, result)
                      result = [ *val[0], *val[2] ]

    result
end

def _reduce_506(val, _values, result)
                      result = val[0]

    result
end

def _reduce_507(val, _values, result)
                      result = val[0]

    result
end

def _reduce_508(val, _values, result)
                      result = val[0]

    result
end

def _reduce_509(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_510(val, _values, result)
                      result = [ *val[0], val[2] ]

    result
end

def _reduce_511(val, _values, result)
                      result = @builder.match_pair(*val[0], val[1])

    result
end

def _reduce_512(val, _values, result)
                      result = @builder.match_label(*val[0])

    result
end

def _reduce_513(val, _values, result)
                    result = [:label, val[0]]

    result
end

def _reduce_514(val, _values, result)
                    result = [:quoted, [val[0], val[1], val[2]]]

    result
end

def _reduce_515(val, _values, result)
                      result = [ @builder.match_rest(val[0], val[1]) ]

    result
end

def _reduce_516(val, _values, result)
                      result = [ @builder.match_rest(val[0], nil) ]

    result
end

def _reduce_517(val, _values, result)
                      result = [ @builder.match_nil_pattern(val[0], val[1]) ]

    result
end

# reduce 518 omitted

# reduce 519 omitted

# reduce 520 omitted

def _reduce_521(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], val[2])

    result
end

def _reduce_522(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], val[2])

    result
end

def _reduce_523(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], nil)

    result
end

def _reduce_524(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], nil)

    result
end

# reduce 525 omitted

# reduce 526 omitted

# reduce 527 omitted

def _reduce_528(val, _values, result)
                      result = @builder.range_inclusive(nil, val[0], val[1])

    result
end

def _reduce_529(val, _values, result)
                      result = @builder.range_exclusive(nil, val[0], val[1])

    result
end

# reduce 530 omitted

# reduce 531 omitted

# reduce 532 omitted

# reduce 533 omitted

# reduce 534 omitted

# reduce 535 omitted

# reduce 536 omitted

# reduce 537 omitted

def _reduce_538(val, _values, result)
                      result = @builder.accessible(val[0])

    result
end

# reduce 539 omitted

def _reduce_540(val, _values, result)
                      result = @builder.assignable(@builder.match_var(val[0]))

    result
end

def _reduce_541(val, _values, result)
                      name = val[1][0]
                      unless static_env.declared?(name)
                        diagnostic :error, :undefined_lvar, { :name => name }, val[1]
                      end

                      lvar = @builder.accessible(@builder.ident(val[1]))
                      result = @builder.pin(val[0], lvar)

    result
end

def _reduce_542(val, _values, result)
                      non_lvar = @builder.accessible(val[1])
                      result = @builder.pin(val[0], non_lvar)

    result
end

def _reduce_543(val, _values, result)
                      expr = @builder.begin(val[1], val[2], val[3])
                      result = @builder.pin(val[0], expr)

    result
end

def _reduce_544(val, _values, result)
                      result = @builder.const_global(val[0], val[1])

    result
end

def _reduce_545(val, _values, result)
                      result = @builder.const_fetch(val[0], val[1], val[2])

    result
end

def _reduce_546(val, _values, result)
                      result = @builder.const(val[0])

    result
end

def _reduce_547(val, _values, result)
                      assoc_t, exc_var = val[2]

                      if val[1]
                        exc_list = @builder.array(nil, val[1], nil)
                      end

                      result = [ @builder.rescue_body(val[0],
                                      exc_list, assoc_t, exc_var,
                                      val[3], val[4]),
                                 *val[5] ]

    result
end

def _reduce_548(val, _values, result)
                      result = []

    result
end

def _reduce_549(val, _values, result)
                      result = [ val[0] ]

    result
end

# reduce 550 omitted

# reduce 551 omitted

def _reduce_552(val, _values, result)
                      result = [ val[0], val[1] ]

    result
end

# reduce 553 omitted

def _reduce_554(val, _values, result)
                      result = [ val[0], val[1] ]

    result
end

# reduce 555 omitted

# reduce 556 omitted

# reduce 557 omitted

def _reduce_558(val, _values, result)
                      result = @builder.string_compose(nil, val[0], nil)

    result
end

def _reduce_559(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_560(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_561(val, _values, result)
                      string = @builder.string_compose(val[0], val[1], val[2])
                      result = @builder.dedent_string(string, @lexer.dedent_level)

    result
end

def _reduce_562(val, _values, result)
                      string = @builder.string(val[0])
                      result = @builder.dedent_string(string, @lexer.dedent_level)

    result
end

def _reduce_563(val, _values, result)
                      result = @builder.character(val[0])

    result
end

def _reduce_564(val, _values, result)
                      string = @builder.xstring_compose(val[0], val[1], val[2])
                      result = @builder.dedent_string(string, @lexer.dedent_level)

    result
end

def _reduce_565(val, _values, result)
                      opts   = @builder.regexp_options(val[3])
                      result = @builder.regexp_compose(val[0], val[1], val[2], opts)

    result
end

def _reduce_566(val, _values, result)
                      result = @builder.words_compose(val[0], val[1], val[2])

    result
end

def _reduce_567(val, _values, result)
                      result = []

    result
end

def _reduce_568(val, _values, result)
                      result = val[0] << @builder.word(val[1])

    result
end

def _reduce_569(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_570(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_571(val, _values, result)
                      result = @builder.symbols_compose(val[0], val[1], val[2])

    result
end

def _reduce_572(val, _values, result)
                      result = []

    result
end

def _reduce_573(val, _values, result)
                      result = val[0] << @builder.word(val[1])

    result
end

def _reduce_574(val, _values, result)
                      result = @builder.words_compose(val[0], val[1], val[2])

    result
end

def _reduce_575(val, _values, result)
                      result = @builder.symbols_compose(val[0], val[1], val[2])

    result
end

def _reduce_576(val, _values, result)
                      result = []

    result
end

def _reduce_577(val, _values, result)
                      result = val[0] << @builder.string_internal(val[1])

    result
end

def _reduce_578(val, _values, result)
                      result = []

    result
end

def _reduce_579(val, _values, result)
                      result = val[0] << @builder.symbol_internal(val[1])

    result
end

def _reduce_580(val, _values, result)
                      result = []

    result
end

def _reduce_581(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_582(val, _values, result)
                      result = []

    result
end

def _reduce_583(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_584(val, _values, result)
                      result = []

    result
end

def _reduce_585(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_586(val, _values, result)
                      result = @builder.string_internal(val[0])

    result
end

def _reduce_587(val, _values, result)
                      result = val[1]

    result
end

def _reduce_588(val, _values, result)
                      @lexer.cmdarg.push(false)
                      @lexer.cond.push(false)

    result
end

def _reduce_589(val, _values, result)
                      @lexer.cmdarg.pop
                      @lexer.cond.pop

                      result = @builder.begin(val[0], val[2], val[3])

    result
end

def _reduce_590(val, _values, result)
                      result = @builder.gvar(val[0])

    result
end

def _reduce_591(val, _values, result)
                      result = @builder.ivar(val[0])

    result
end

def _reduce_592(val, _values, result)
                      result = @builder.cvar(val[0])

    result
end

# reduce 593 omitted

# reduce 594 omitted

# reduce 595 omitted

def _reduce_596(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.symbol(val[0])

    result
end

def _reduce_597(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.symbol_compose(val[0], val[1], val[2])

    result
end

def _reduce_598(val, _values, result)
                      result = val[0]

    result
end

def _reduce_599(val, _values, result)
                      if @builder.respond_to? :negate
                        # AST builder interface compatibility
                        result = @builder.negate(val[0], val[1])
                      else
                        result = @builder.unary_num(val[0], val[1])
                      end

    result
end

def _reduce_600(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.integer(val[0])

    result
end

def _reduce_601(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.float(val[0])

    result
end

def _reduce_602(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.rational(val[0])

    result
end

def _reduce_603(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.complex(val[0])

    result
end

def _reduce_604(val, _values, result)
                      result = @builder.ivar(val[0])

    result
end

def _reduce_605(val, _values, result)
                      result = @builder.gvar(val[0])

    result
end

def _reduce_606(val, _values, result)
                      result = @builder.cvar(val[0])

    result
end

def _reduce_607(val, _values, result)
                      result = @builder.ident(val[0])

    result
end

def _reduce_608(val, _values, result)
                      result = @builder.ivar(val[0])

    result
end

def _reduce_609(val, _values, result)
                      result = @builder.gvar(val[0])

    result
end

def _reduce_610(val, _values, result)
                      result = @builder.const(val[0])

    result
end

def _reduce_611(val, _values, result)
                      result = @builder.cvar(val[0])

    result
end

def _reduce_612(val, _values, result)
                      result = @builder.nil(val[0])

    result
end

def _reduce_613(val, _values, result)
                      result = @builder.self(val[0])

    result
end

def _reduce_614(val, _values, result)
                      result = @builder.true(val[0])

    result
end

def _reduce_615(val, _values, result)
                      result = @builder.false(val[0])

    result
end

def _reduce_616(val, _values, result)
                      result = @builder.__FILE__(val[0])

    result
end

def _reduce_617(val, _values, result)
                      result = @builder.__LINE__(val[0])

    result
end

def _reduce_618(val, _values, result)
                      result = @builder.__ENCODING__(val[0])

    result
end

def _reduce_619(val, _values, result)
                      result = @builder.accessible(val[0])

    result
end

def _reduce_620(val, _values, result)
                      result = @builder.accessible(val[0])

    result
end

def _reduce_621(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_622(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_623(val, _values, result)
                      result = @builder.nth_ref(val[0])

    result
end

def _reduce_624(val, _values, result)
                      result = @builder.back_ref(val[0])

    result
end

def _reduce_625(val, _values, result)
                      @lexer.state = :expr_value

    result
end

def _reduce_626(val, _values, result)
                      result = [ val[0], val[2] ]

    result
end

def _reduce_627(val, _values, result)
                      result = nil

    result
end

# reduce 628 omitted

def _reduce_629(val, _values, result)
                      result = @builder.args(nil, [], nil)

    result
end

def _reduce_630(val, _values, result)
                      result = @builder.args(val[0], val[1], val[2])

                      @lexer.state = :expr_value

    result
end

# reduce 631 omitted

def _reduce_632(val, _values, result)
                      result = @lexer.in_kwarg
                      @lexer.in_kwarg = true
                      @context.push(:def_open_args)

    result
end

def _reduce_633(val, _values, result)
                      @context.pop
                      @lexer.in_kwarg = val[0]
                      result = @builder.args(nil, val[1], nil)

    result
end

def _reduce_634(val, _values, result)
                      result = val[0].concat(val[2]).concat(val[3])

    result
end

def _reduce_635(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_636(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_637(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_638(val, _values, result)
                      @static_env.declare_forward_args
                      result = [ @builder.forward_arg(val[0]) ]

    result
end

def _reduce_639(val, _values, result)
                      result = val[1]

    result
end

def _reduce_640(val, _values, result)
                      result = []

    result
end

def _reduce_641(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_642(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[6]).
                                  concat(val[7])

    result
end

def _reduce_643(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_644(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_645(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_646(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_647(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_648(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_649(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_650(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_651(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_652(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_653(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_654(val, _values, result)
                      result = val[0]

    result
end

def _reduce_655(val, _values, result)
                      result = []

    result
end

def _reduce_656(val, _values, result)
                      result = val[0]

    result
end

def _reduce_657(val, _values, result)
                      diagnostic :error, :argument_const, nil, val[0]

    result
end

def _reduce_658(val, _values, result)
                      diagnostic :error, :argument_ivar, nil, val[0]

    result
end

def _reduce_659(val, _values, result)
                      diagnostic :error, :argument_gvar, nil, val[0]

    result
end

def _reduce_660(val, _values, result)
                      diagnostic :error, :argument_cvar, nil, val[0]

    result
end

# reduce 661 omitted

def _reduce_662(val, _values, result)
                      @static_env.declare val[0][0]

                      @max_numparam_stack.has_ordinary_params!

                      result = val[0]

    result
end

def _reduce_663(val, _values, result)
                      @current_arg_stack.set(val[0][0])
                      result = val[0]

    result
end

def _reduce_664(val, _values, result)
                      @current_arg_stack.set(0)
                      result = @builder.arg(val[0])

    result
end

def _reduce_665(val, _values, result)
                      result = @builder.multi_lhs(val[0], val[1], val[2])

    result
end

def _reduce_666(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_667(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_668(val, _values, result)
                      check_kwarg_name(val[0])

                      @static_env.declare val[0][0]

                      @max_numparam_stack.has_ordinary_params!

                      @current_arg_stack.set(val[0][0])

                      result = val[0]

    result
end

def _reduce_669(val, _values, result)
                      @current_arg_stack.set(nil)
                      result = @builder.kwoptarg(val[0], val[1])

    result
end

def _reduce_670(val, _values, result)
                      @current_arg_stack.set(nil)
                      result = @builder.kwarg(val[0])

    result
end

def _reduce_671(val, _values, result)
                      result = @builder.kwoptarg(val[0], val[1])

    result
end

def _reduce_672(val, _values, result)
                      result = @builder.kwarg(val[0])

    result
end

def _reduce_673(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_674(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_675(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_676(val, _values, result)
                      result = val[0] << val[2]

    result
end

# reduce 677 omitted

# reduce 678 omitted

def _reduce_679(val, _values, result)
                      result = [ @builder.kwnilarg(val[0], val[1]) ]

    result
end

def _reduce_680(val, _values, result)
                      @static_env.declare val[1][0]

                      result = [ @builder.kwrestarg(val[0], val[1]) ]

    result
end

def _reduce_681(val, _values, result)
                      result = [ @builder.kwrestarg(val[0]) ]

    result
end

def _reduce_682(val, _values, result)
                      @current_arg_stack.set(0)
                      result = @builder.optarg(val[0], val[1], val[2])

    result
end

def _reduce_683(val, _values, result)
                      @current_arg_stack.set(0)
                      result = @builder.optarg(val[0], val[1], val[2])

    result
end

def _reduce_684(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_685(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_686(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_687(val, _values, result)
                      result = val[0] << val[2]

    result
end

# reduce 688 omitted

# reduce 689 omitted

def _reduce_690(val, _values, result)
                      @static_env.declare val[1][0]

                      result = [ @builder.restarg(val[0], val[1]) ]

    result
end

def _reduce_691(val, _values, result)
                      result = [ @builder.restarg(val[0]) ]

    result
end

# reduce 692 omitted

# reduce 693 omitted

def _reduce_694(val, _values, result)
                      @static_env.declare val[1][0]

                      result = @builder.blockarg(val[0], val[1])

    result
end

def _reduce_695(val, _values, result)
                      @static_env.declare_anonymous_blockarg

                      result = @builder.blockarg(val[0], nil)

    result
end

def _reduce_696(val, _values, result)
                      result = [ val[1] ]

    result
end

def _reduce_697(val, _values, result)
                      result = []

    result
end

# reduce 698 omitted

def _reduce_699(val, _values, result)
                      result = val[1]

    result
end

def _reduce_700(val, _values, result)
                      result = []

    result
end

# reduce 701 omitted

def _reduce_702(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_703(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_704(val, _values, result)
                      result = @builder.pair(val[0], val[1], val[2])

    result
end

def _reduce_705(val, _values, result)
                      result = @builder.pair_keyword(val[0], val[1])

    result
end

def _reduce_706(val, _values, result)
                      result = @builder.pair_label(val[0])

    result
end

def _reduce_707(val, _values, result)
                      result = @builder.pair_quoted(val[0], val[1], val[2], val[3])

    result
end

def _reduce_708(val, _values, result)
                      result = @builder.kwsplat(val[0], val[1])

    result
end

# reduce 709 omitted

# reduce 710 omitted

# reduce 711 omitted

# reduce 712 omitted

# reduce 713 omitted

# reduce 714 omitted

# reduce 715 omitted

# reduce 716 omitted

# reduce 717 omitted

# reduce 718 omitted

# reduce 719 omitted

# reduce 720 omitted

def _reduce_721(val, _values, result)
                      result = [:dot, val[0][1]]

    result
end

def _reduce_722(val, _values, result)
                      result = [:anddot, val[0][1]]

    result
end

# reduce 723 omitted

# reduce 724 omitted

# reduce 725 omitted

# reduce 726 omitted

def _reduce_727(val, _values, result)
                      result = val[1]

    result
end

def _reduce_728(val, _values, result)
                      result = val[1]

    result
end

def _reduce_729(val, _values, result)
                      result = val[1]

    result
end

# reduce 730 omitted

# reduce 731 omitted

# reduce 732 omitted

def _reduce_733(val, _values, result)
                    yyerrok

    result
end

# reduce 734 omitted

# reduce 735 omitted

# reduce 736 omitted

def _reduce_737(val, _values, result)
                    result = nil

    result
end

def _reduce_none(val, _values, result)
  val[0]
end

  end   # class Ruby31
end   # module Parser
